-- phpMyAdmin SQL Dump
-- version 4.0.4.1
-- http://www.phpmyadmin.net
--
-- Hoszt: mysql.s3.webtar.hu
-- Létrehozás ideje: 2016. Nov 25. 11:48
-- Szerver verzió: 5.5.53-0+deb8u1
-- PHP verzió: 5.6.27-0+deb8u1

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Adatbázis: `interfood`
--
CREATE DATABASE IF NOT EXISTS `interfood` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `interfood`;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `ack_log`
--

CREATE TABLE IF NOT EXISTS `ack_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `host` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `log` text CHARACTER SET utf8 COLLATE utf8_hungarian_ci,
  `idobelyeg` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_bin AUTO_INCREMENT=8647852 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `cardteszt_fizetes`
--

CREATE TABLE IF NOT EXISTS `cardteszt_fizetes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `loginNev` varchar(20) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `rendelid` varchar(25) COLLATE utf8_bin NOT NULL,
  `het` int(4) NOT NULL DEFAULT '0',
  `osszeg` int(6) NOT NULL DEFAULT '0',
  `ev` int(4) NOT NULL DEFAULT '0',
  `vissza_rendelid` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `kartyatipus_id` int(11) NOT NULL,
  `kartya_rovidnev` varchar(16) COLLATE utf8_bin NOT NULL,
  `sikeres` int(11) NOT NULL,
  `idobelyeg` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `anum` varchar(255) COLLATE utf8_bin NOT NULL,
  `ceg` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL DEFAULT 'Interfood Plusz',
  PRIMARY KEY (`id`),
  KEY `rendelid` (`rendelid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=129884 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `cardteszt_kartyak`
--

CREATE TABLE IF NOT EXISTS `cardteszt_kartyak` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rovidnev` varchar(16) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `nev` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `kartyaelfogado` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `azonositoszam` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `zseb` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `szekhely` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `web` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `email` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `telefon` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `mobil` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_bin AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `cardteszt_log`
--

CREATE TABLE IF NOT EXISTS `cardteszt_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `host` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `log` text CHARACTER SET utf8 COLLATE utf8_hungarian_ci,
  `idobelyeg` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_bin AUTO_INCREMENT=661948 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `cardteszt_rendeles_new`
--

CREATE TABLE IF NOT EXISTS `cardteszt_rendeles_new` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rendelid` varchar(255) COLLATE utf8_hungarian_ci NOT NULL,
  `loginNev` varchar(255) COLLATE utf8_hungarian_ci NOT NULL,
  `napid` int(2) NOT NULL DEFAULT '0',
  `ev` varchar(4) COLLATE utf8_hungarian_ci NOT NULL,
  `het` int(2) NOT NULL DEFAULT '0',
  `db` int(5) NOT NULL DEFAULT '0',
  `type` tinyint(1) NOT NULL DEFAULT '0',
  `ido` varchar(30) COLLATE utf8_hungarian_ci NOT NULL,
  `kategoria` varchar(6) COLLATE utf8_hungarian_ci NOT NULL,
  `datum` date NOT NULL,
  `Ar` double NOT NULL,
  `Kedvezmeny` int(11) NOT NULL,
  `Kedvezmenytipus` tinyint(4) NOT NULL DEFAULT '0',
  `etel_id` varchar(20) COLLATE utf8_hungarian_ci NOT NULL,
  `idlogin` int(11) NOT NULL,
  `hetiKategoria` varchar(6) COLLATE utf8_hungarian_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `loginNev` (`loginNev`),
  KEY `ido` (`ido`),
  KEY `rendelid` (`rendelid`),
  KEY `evhet` (`ev`,`het`),
  KEY `idlogin` (`idlogin`),
  KEY `datum` (`datum`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci AUTO_INCREMENT=15727525 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `cardteszt_rendeles_temp`
--

CREATE TABLE IF NOT EXISTS `cardteszt_rendeles_temp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rendelid` varchar(255) COLLATE utf8_hungarian_ci NOT NULL,
  `loginNev` varchar(255) COLLATE utf8_hungarian_ci NOT NULL,
  `napid` int(2) NOT NULL DEFAULT '0',
  `ev` varchar(4) COLLATE utf8_hungarian_ci NOT NULL,
  `het` int(2) NOT NULL DEFAULT '0',
  `db` int(5) NOT NULL DEFAULT '0',
  `type` tinyint(1) NOT NULL DEFAULT '0',
  `ido` varchar(30) COLLATE utf8_hungarian_ci NOT NULL,
  `kategoria` varchar(6) COLLATE utf8_hungarian_ci NOT NULL,
  `datum` date NOT NULL,
  `Ar` double NOT NULL,
  `Kedvezmeny` int(11) NOT NULL,
  `Kedvezmenytipus` tinyint(4) NOT NULL DEFAULT '0',
  `etel_id` int(11) NOT NULL,
  `idlogin` int(11) NOT NULL,
  `hetiKategoria` varchar(6) COLLATE utf8_hungarian_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `loginNev` (`loginNev`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `card_income`
--

CREATE TABLE IF NOT EXISTS `card_income` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `host` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `idobelyeg` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `bank` varchar(16) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `result` varchar(16) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `pos` varchar(16) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `cart_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `tid` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `amount` int(11) DEFAULT NULL,
  `tran` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `anum` varchar(16) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `curr` varchar(16) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `loginNev` varchar(20) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `exportalva` tinyint(4) NOT NULL DEFAULT '0',
  `rendelid` varchar(32) COLLATE latin1_bin DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `loginNev` (`loginNev`),
  KEY `cart_id` (`cart_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_bin AUTO_INCREMENT=715593 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `card_out`
--

CREATE TABLE IF NOT EXISTS `card_out` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `loginNev` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `rendelid` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `het` int(4) NOT NULL DEFAULT '0',
  `osszeg` int(6) NOT NULL DEFAULT '0',
  `ev` int(4) NOT NULL DEFAULT '0',
  `vissza_rendelid` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `kartyatipus_id` int(11) NOT NULL,
  `kartya_rovidnev` varchar(16) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `sikeres` tinyint(4) NOT NULL,
  `idobelyeg` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `anum` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `live` tinyint(4) NOT NULL DEFAULT '0',
  `pos` varchar(16) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `tid` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `result` varchar(16) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `tran` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `exportalva` tinyint(4) NOT NULL DEFAULT '0',
  `uid` varchar(32) COLLATE latin1_bin DEFAULT NULL,
  `cart_id` varchar(32) COLLATE latin1_bin DEFAULT NULL,
  `ceg` varchar(255) COLLATE latin1_bin DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `rendelid` (`rendelid`),
  KEY `live` (`live`),
  KEY `idobelyeg` (`idobelyeg`),
  KEY `uid` (`uid`),
  KEY `cart_id` (`cart_id`),
  KEY `kartya_rovidnev` (`kartya_rovidnev`),
  KEY `result` (`result`),
  KEY `loginNev` (`loginNev`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_bin AUTO_INCREMENT=728516 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `egyszeri_kedvezmeny`
--

CREATE TABLE IF NOT EXISTS `egyszeri_kedvezmeny` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ev` varchar(4) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `het` int(2) NOT NULL,
  `szazalek` tinyint(4) NOT NULL,
  `ertek` int(11) NOT NULL,
  `szoveg` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `nev` varchar(64) COLLATE latin1_bin DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_bin AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `egyszeri_kedvezmeny_jar`
--

CREATE TABLE IF NOT EXISTS `egyszeri_kedvezmeny_jar` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `egyszeri_kedvezmeny_id` int(11) NOT NULL,
  `idlogin` int(11) NOT NULL,
  `igenybevette` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `kedvezmeny` (`egyszeri_kedvezmeny_id`,`idlogin`),
  KEY `egyszeri_kedvezmeny_id` (`egyszeri_kedvezmeny_id`),
  KEY `idLogin` (`idlogin`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_bin AUTO_INCREMENT=1014 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `emlekezteto`
--

CREATE TABLE IF NOT EXISTS `emlekezteto` (
  `datum` date NOT NULL,
  KEY `datum` (`datum`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `etelek`
--

CREATE TABLE IF NOT EXISTS `etelek` (
  `idetel` int(6) NOT NULL AUTO_INCREMENT,
  `Nev` varchar(200) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Kategoria` varchar(6) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `lastweek` varchar(20) COLLATE utf8_hungarian_ci NOT NULL,
  `lang` varchar(16) COLLATE utf8_hungarian_ci NOT NULL DEFAULT 'hu',
  `kep` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`idetel`),
  UNIQUE KEY `NevKategorialang` (`Nev`,`Kategoria`,`lang`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci AUTO_INCREMENT=10409 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `etlap`
--

CREATE TABLE IF NOT EXISTS `etlap` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Het` int(2) NOT NULL DEFAULT '0',
  `Honap` varchar(10) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Nap` char(2) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '0',
  `Szun` char(1) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Kategoria` varchar(4) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Nev` varchar(200) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Ar` double NOT NULL DEFAULT '0',
  `ev` varchar(4) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Info` text COLLATE utf8_hungarian_ci NOT NULL,
  `Gomba` tinyint(4) NOT NULL,
  `Hot` tinyint(4) NOT NULL,
  `New` tinyint(4) NOT NULL,
  `Info2` longtext COLLATE utf8_hungarian_ci NOT NULL,
  `elozonap` tinyint(4) NOT NULL DEFAULT '0',
  `datum` date DEFAULT NULL,
  `ssz` int(11) DEFAULT NULL,
  `heteve` varchar(4) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '2012',
  `screenNev` varchar(255) COLLATE utf8_hungarian_ci DEFAULT NULL,
  `hetirendeles` tinyint(4) NOT NULL DEFAULT '0',
  `hetiAr` double NOT NULL DEFAULT '0',
  `hetiKategoria` varchar(5) COLLATE utf8_hungarian_ci DEFAULT NULL,
  `aktiv` tinyint(4) NOT NULL DEFAULT '0',
  `lang` varchar(16) CHARACTER SET armscii8 COLLATE armscii8_bin NOT NULL DEFAULT 'hu',
  `ikon_id` int(11) NOT NULL DEFAULT '0',
  `zaszlo_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `Kategoriadatumlang` (`Kategoria`,`datum`,`lang`),
  KEY `kategoria` (`Kategoria`),
  KEY `nevkategoria` (`Nev`,`Kategoria`),
  KEY `evhethoNapkatland` (`ev`,`Het`,`Honap`,`Nap`,`Kategoria`,`lang`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci AUTO_INCREMENT=162154 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `felhasznalok`
--

CREATE TABLE IF NOT EXISTS `felhasznalok` (
  `idlogin` int(10) NOT NULL AUTO_INCREMENT,
  `loginNev` varchar(255) COLLATE utf8_hungarian_ci NOT NULL,
  `jelszo` varchar(255) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Nev` varchar(50) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `UNev` varchar(50) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Varos` varchar(60) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Iszam` varchar(4) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Utca` varchar(30) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Hazszam` varchar(15) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Kaputel` varchar(50) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Email` varchar(50) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Telefon` varchar(20) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Fax` varchar(20) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Szamnev` varchar(50) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Szamiszam` varchar(4) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Szamvaros` varchar(30) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Szamutca` varchar(30) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Szamhazszam` varchar(15) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Megjegy` varchar(255) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Statusz` char(1) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Varos2` varchar(60) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Kedvezmeny` int(3) NOT NULL DEFAULT '0',
  `Newsletter` int(2) NOT NULL DEFAULT '0',
  `lang` int(1) NOT NULL,
  `otszaz` int(1) NOT NULL DEFAULT '0',
  `temp` int(1) NOT NULL,
  `Jarat` varchar(8) COLLATE utf8_hungarian_ci NOT NULL,
  `idobelyeg` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `utolsoosszeg` int(11) NOT NULL DEFAULT '0',
  `utolsohet` int(11) NOT NULL DEFAULT '201101',
  `tlogin` varchar(255) COLLATE utf8_hungarian_ci DEFAULT NULL,
  `emlekezteto` int(2) NOT NULL DEFAULT '0',
  `emlekezteto_ok` tinyint(4) NOT NULL DEFAULT '0',
  `emlekezteto_uid` varchar(64) COLLATE utf8_hungarian_ci NOT NULL,
  `emlekezteto_limit` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `Szamadoszam` varchar(255) COLLATE utf8_hungarian_ci DEFAULT NULL,
  `Szamlaszam` varchar(255) COLLATE utf8_hungarian_ci DEFAULT NULL,
  PRIMARY KEY (`idlogin`),
  KEY `loginNev` (`loginNev`),
  KEY `Nev` (`Nev`),
  KEY `Varos` (`Varos`),
  KEY `Email` (`Email`),
  KEY `tlogin` (`tlogin`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci AUTO_INCREMENT=118644 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `felhasznalok_al`
--

CREATE TABLE IF NOT EXISTS `felhasznalok_al` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Nev` varchar(220) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `idlogin` int(11) NOT NULL,
  `hozzaadva` datetime NOT NULL,
  `del` enum('0','1') CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Email` varchar(200) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `loginNev` varchar(100) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `loginNev` (`loginNev`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1096 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `felhasznalok_cimek`
--

CREATE TABLE IF NOT EXISTS `felhasznalok_cimek` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idlogin` int(11) NOT NULL DEFAULT '0',
  `loginNev` varchar(255) COLLATE utf8_hungarian_ci DEFAULT NULL,
  `Email` varchar(120) COLLATE utf8_hungarian_ci DEFAULT NULL,
  `fb_user` varchar(255) CHARACTER SET ucs2 COLLATE ucs2_hungarian_ci NOT NULL,
  `Nev` varchar(255) COLLATE utf8_hungarian_ci NOT NULL,
  `UNev` varchar(200) COLLATE utf8_hungarian_ci NOT NULL,
  `Varos` varchar(255) COLLATE utf8_hungarian_ci NOT NULL,
  `Utca` varchar(255) COLLATE utf8_hungarian_ci NOT NULL,
  `Iszam` varchar(20) COLLATE utf8_hungarian_ci NOT NULL,
  `Hazszam` varchar(20) COLLATE utf8_hungarian_ci NOT NULL,
  `Fax` varchar(50) COLLATE utf8_hungarian_ci NOT NULL,
  `Telefon` varchar(50) COLLATE utf8_hungarian_ci NOT NULL,
  `Kaputel` varchar(100) CHARACTER SET latin2 COLLATE latin2_hungarian_ci NOT NULL,
  `Szamnev` varchar(255) CHARACTER SET latin2 COLLATE latin2_hungarian_ci NOT NULL,
  `Szamvaros` varchar(255) CHARACTER SET latin2 COLLATE latin2_hungarian_ci NOT NULL,
  `Szamiszam` varchar(20) COLLATE utf8_hungarian_ci NOT NULL,
  `Szamutca` varchar(200) COLLATE utf8_hungarian_ci NOT NULL,
  `Szamhazszam` varchar(100) CHARACTER SET ucs2 COLLATE ucs2_hungarian_ci NOT NULL,
  `Megjegy` text COLLATE utf8_hungarian_ci NOT NULL,
  `Jarat` varchar(25) COLLATE utf8_hungarian_ci NOT NULL,
  `ujreg` tinyint(4) NOT NULL DEFAULT '1',
  `cimmod` tinyint(4) NOT NULL DEFAULT '0',
  `default` enum('0','1') CHARACTER SET latin1 NOT NULL DEFAULT '0',
  `name` varchar(220) CHARACTER SET latin2 COLLATE latin2_hungarian_ci NOT NULL,
  `Kedvezmeny` int(3) NOT NULL DEFAULT '0',
  `Newsletter` tinyint(4) NOT NULL DEFAULT '1',
  `regcode` varchar(200) COLLATE utf8_hungarian_ci NOT NULL,
  `temp` int(1) NOT NULL DEFAULT '0',
  `tlogin` varchar(255) CHARACTER SET latin1 DEFAULT '',
  `Szamadoszam` varchar(255) COLLATE utf8_hungarian_ci DEFAULT NULL,
  `Szamlaszam` varchar(255) COLLATE utf8_hungarian_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `loginNev` (`loginNev`),
  KEY `Nev` (`Nev`),
  KEY `Varos` (`Varos`),
  KEY `ujreg` (`ujreg`),
  KEY `cimmod` (`cimmod`),
  KEY `temp` (`temp`),
  KEY `Email` (`Email`),
  KEY `idlogin` (`idlogin`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci AUTO_INCREMENT=105766 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `felhasznalok_cimmod`
--

CREATE TABLE IF NOT EXISTS `felhasznalok_cimmod` (
  `id` int(11) NOT NULL,
  `idlogin` int(11) NOT NULL DEFAULT '0',
  `loginNev` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `Email` varchar(120) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `fb_user` varchar(255) CHARACTER SET ucs2 COLLATE ucs2_hungarian_ci NOT NULL,
  `Nev` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `UNev` varchar(200) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Varos` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Utca` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Iszam` varchar(20) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Hazszam` varchar(20) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Fax` varchar(50) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Telefon` varchar(50) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Kaputel` varchar(100) CHARACTER SET latin2 COLLATE latin2_hungarian_ci NOT NULL,
  `Szamnev` varchar(255) CHARACTER SET latin2 COLLATE latin2_hungarian_ci NOT NULL,
  `Szamvaros` varchar(255) CHARACTER SET latin2 COLLATE latin2_hungarian_ci NOT NULL,
  `Szamiszam` varchar(20) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Szamutca` varchar(200) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Szamhazszam` varchar(100) CHARACTER SET ucs2 COLLATE ucs2_hungarian_ci NOT NULL,
  `Megjegy` text CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Jarat` varchar(25) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `ujreg` tinyint(4) NOT NULL DEFAULT '1',
  `cimmod` enum('0','1') NOT NULL DEFAULT '0',
  `default` enum('0','1') NOT NULL DEFAULT '0',
  `name` varchar(220) CHARACTER SET latin2 COLLATE latin2_hungarian_ci NOT NULL,
  `Kedvezmeny` int(3) NOT NULL DEFAULT '0',
  `Newsletter` enum('1','0') NOT NULL DEFAULT '1',
  `regcode` varchar(200) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `temp` int(1) NOT NULL DEFAULT '0',
  `tlogin` varchar(255) DEFAULT '',
  `Szamadoszam` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  `Szamlaszam` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci DEFAULT NULL,
  KEY `id` (`id`),
  KEY `idlogin` (`idlogin`),
  KEY `loginNev` (`loginNev`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `fuggoben`
--

CREATE TABLE IF NOT EXISTS `fuggoben` (
  `ev` varchar(4) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '',
  `Het` int(2) NOT NULL DEFAULT '0',
  `lang` varchar(16) COLLATE utf8_hungarian_ci NOT NULL DEFAULT 'hu',
  UNIQUE KEY `evhet` (`ev`,`Het`,`lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `hetikedvezmeny`
--

CREATE TABLE IF NOT EXISTS `hetikedvezmeny` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Het` int(2) NOT NULL,
  `szazalek` int(2) NOT NULL,
  `nev` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `hetikedvezmeny_jar`
--

CREATE TABLE IF NOT EXISTS `hetikedvezmeny_jar` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idlogin` int(11) NOT NULL,
  `kedvezmenyid` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idlogin` (`idlogin`,`kedvezmenyid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `ikonok`
--

CREATE TABLE IF NOT EXISTS `ikonok` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filenev` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `title` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `lang` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `display` tinyint(4) NOT NULL DEFAULT '1',
  `aktiv` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `kategoria`
--

CREATE TABLE IF NOT EXISTS `kategoria` (
  `katid` int(3) NOT NULL AUTO_INCREMENT,
  `ssz` int(3) NOT NULL DEFAULT '0',
  `kat` varchar(4) COLLATE utf8_hungarian_ci NOT NULL,
  `kat2` varchar(200) COLLATE utf8_hungarian_ci NOT NULL,
  `descr` text COLLATE utf8_hungarian_ci NOT NULL,
  `szin` varchar(20) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '000000',
  `szin2` varchar(20) COLLATE utf8_hungarian_ci NOT NULL DEFAULT '000000',
  `szin3` varchar(20) COLLATE utf8_hungarian_ci NOT NULL DEFAULT 'FFFFFF',
  `szin4` varchar(20) COLLATE utf8_hungarian_ci NOT NULL DEFAULT 'FFFFFF',
  `aktiv` tinyint(1) NOT NULL DEFAULT '1',
  `lang` varchar(16) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT 'hu',
  PRIMARY KEY (`katid`),
  UNIQUE KEY `kategoria` (`kat`,`lang`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci AUTO_INCREMENT=257 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `lemondas`
--

CREATE TABLE IF NOT EXISTS `lemondas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rendelid` varchar(255) COLLATE utf8_hungarian_ci NOT NULL,
  `loginNev` varchar(255) COLLATE utf8_hungarian_ci NOT NULL,
  `napid` int(2) NOT NULL DEFAULT '0',
  `ev` varchar(4) COLLATE utf8_hungarian_ci NOT NULL,
  `het` int(2) NOT NULL DEFAULT '0',
  `db` int(5) NOT NULL DEFAULT '0',
  `type` tinyint(1) NOT NULL DEFAULT '0',
  `ido` varchar(30) COLLATE utf8_hungarian_ci NOT NULL,
  `kategoria` varchar(6) COLLATE utf8_hungarian_ci NOT NULL,
  `datum` date NOT NULL,
  `Ar` double NOT NULL,
  `Kedvezmeny` int(11) NOT NULL,
  `Kedvezmenytipus` tinyint(4) NOT NULL DEFAULT '0',
  `etel_id` varchar(20) COLLATE utf8_hungarian_ci NOT NULL,
  `idlogin` int(11) NOT NULL,
  `hetiKategoria` varchar(6) COLLATE utf8_hungarian_ci NOT NULL,
  `bank` varchar(32) COLLATE utf8_hungarian_ci DEFAULT NULL,
  `vegosszeg` double NOT NULL,
  `exportalva` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `loginNev` (`loginNev`),
  KEY `ido` (`ido`),
  KEY `rendelid` (`rendelid`),
  KEY `evhet` (`ev`,`het`),
  KEY `idlogin` (`idlogin`),
  KEY `datum` (`datum`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci AUTO_INCREMENT=9936 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `letoltes`
--

CREATE TABLE IF NOT EXISTS `letoltes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `loginNev` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Nev` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Cim` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `rendelid` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `ev` varchar(4) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `het` tinyint(4) NOT NULL,
  `azonositoval` tinyint(4) NOT NULL DEFAULT '1',
  `zarolas` tinyint(4) NOT NULL DEFAULT '0',
  `zarolva` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `letoltve` tinyint(4) NOT NULL DEFAULT '0',
  `filenev` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `file` varchar(20480) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `ido` timestamp NULL DEFAULT NULL,
  `type` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `ido` (`ido`),
  KEY `evHetRendelid` (`ev`,`het`,`rendelid`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=141660 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `rendelesek_kinek`
--

CREATE TABLE IF NOT EXISTS `rendelesek_kinek` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rendelid` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `etel_id` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `kollegaid` int(11) NOT NULL,
  `sorszam` tinyint(4) NOT NULL,
  `tipus` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `nev` (`kollegaid`),
  KEY `etel_id` (`etel_id`),
  KEY `rendeles_id` (`rendelid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=468 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `rendelesek_kinek_temp`
--

CREATE TABLE IF NOT EXISTS `rendelesek_kinek_temp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rendelid` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `etel_id` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `kollegaid` int(11) NOT NULL,
  `sorszam` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `nev` (`kollegaid`),
  KEY `etel_id` (`etel_id`),
  KEY `rendeles_id` (`rendelid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4647319 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `rendeles_heti`
--

CREATE TABLE IF NOT EXISTS `rendeles_heti` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rendelid` varchar(64) COLLATE utf8_bin NOT NULL,
  `loginNev` varchar(16) COLLATE utf8_bin NOT NULL,
  `osszeg` double NOT NULL,
  `ev` varchar(4) COLLATE utf8_bin NOT NULL,
  `het` tinyint(4) NOT NULL,
  `exportalva` tinyint(4) NOT NULL DEFAULT '0',
  `ido` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `rendelid` (`rendelid`),
  KEY `loginNev` (`loginNev`),
  KEY `evhet` (`ev`,`het`),
  KEY `rendelid_loginNev` (`rendelid`,`loginNev`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1261095 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `rendszer`
--

CREATE TABLE IF NOT EXISTS `rendszer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `csoport` varchar(64) COLLATE utf8_hungarian_ci NOT NULL,
  `nev` varchar(64) COLLATE utf8_hungarian_ci NOT NULL,
  `ertek` varchar(255) COLLATE utf8_hungarian_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `csoprt_nev` (`csoport`,`nev`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `szamla`
--

CREATE TABLE IF NOT EXISTS `szamla` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `loginNev` varchar(255) NOT NULL,
  `rendelid` varchar(255) NOT NULL,
  `result` varchar(64) NOT NULL,
  `invid` varchar(64) NOT NULL,
  `copynum` tinyint(4) NOT NULL,
  `invname` varchar(64) NOT NULL,
  `icode` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `type` tinyint(4) DEFAULT '1',
  `bank` varchar(16) DEFAULT NULL,
  `osszeg` double DEFAULT NULL,
  `exportalva` tinyint(4) NOT NULL DEFAULT '0',
  `idobelyeg` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `loginNev` (`loginNev`),
  KEY `rendelid` (`rendelid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=193720 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `szamlalog_out`
--

CREATE TABLE IF NOT EXISTS `szamlalog_out` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rendelid` varchar(255) NOT NULL,
  `loginNev` varchar(255) NOT NULL,
  `osszeg` double NOT NULL,
  `idobelyeg` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `tartalom` text CHARACTER SET utf8 COLLATE utf8_hungarian_ci,
  `ok` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=57566 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `szamlalok`
--

CREATE TABLE IF NOT EXISTS `szamlalok` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nev` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `ertek` int(11) NOT NULL DEFAULT '0',
  `kezdes` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=37 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `telepulesek`
--

CREATE TABLE IF NOT EXISTS `telepulesek` (
  `idtelep` int(3) NOT NULL AUTO_INCREMENT,
  `Telep` varchar(30) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `Varosid` int(3) NOT NULL DEFAULT '0',
  `Hide` int(3) NOT NULL DEFAULT '0',
  `Color` int(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`idtelep`),
  KEY `Telep` (`Telep`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=154 ;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `tiltotthet`
--

CREATE TABLE IF NOT EXISTS `tiltotthet` (
  `ev` varchar(4) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Het` int(2) NOT NULL DEFAULT '0',
  `lang` varchar(16) COLLATE utf8_bin NOT NULL DEFAULT 'hu'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- --------------------------------------------------------

--
-- Tábla szerkezet ehhez a táblához `zaszlok`
--

CREATE TABLE IF NOT EXISTS `zaszlok` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filenev` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `title` varchar(255) CHARACTER SET utf8 COLLATE utf8_hungarian_ci NOT NULL,
  `lang` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `display` tinyint(4) NOT NULL DEFAULT '1',
  `aktiv` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=19 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
