<?php
class cimmodositasBox extends baseclass
	{
	public $template;
	public $megvan=false;
	public $jelszo;
	public $email;
	public $userek=array();
	public $adatok=array();
    public $hibak=array();
    public $vanhiba=false;
	
	function __construct()
		{
         $van=false;
         if(AUTOLOGINNEV)
            {
             if(isset($_POST['nemtemp'])) 
                {
                 if($_POST['nemtemp']==1)
                    {
                    $conn=foodDB::Connect();
                    
                    $qyjelszo = "update felhasznalok_cimek set ujreg=0, temp=0 WHERE loginNev=?";
                    
                    $stjelszo=$conn->prepare($qyjelszo);
                    if(!$stjelszo)
                        {
                        exit(ADATBAZISHIBASZOVEG_FRONTEND);
                        }
                    else
                        {
                        $stjelszo->bind_param('s',$_POST['loginNev']);
                        $stjelszo->exec();
                        }
                    $this->getUsers();
                    $this->setTemplate("valasszon_ugyfelet");
                    }
                }
             else
                {
                if(isset($_POST['ujlogin']))
                    {
                    $this->getUserData($_POST['ujlogin']);
                    }
                else
                    {
                    $this->setTemplate("valasszon_ugyfelet");
                    }
            
            
                $this->getUsers();

                }
             
            
             $this->vanhiba= empty($this->hibak) ? false : true;
            } // !AUTOLOGINNEV
        else
            {
            $van=false;
            if(isset($_POST['ujlogin']))
                {
                $this->getUserData($_POST['ujlogin']);
                }
            if(isset($_POST['loginNev'])) 
                {
                 $van=$this->existsloginNev($_POST['loginNev']);
                 if($van && isset($_POST['ujfelhasznalo']))
                    {
                    $this->hibak[]="Már van ilyen azonosító!";
                    $this->getUserData($_POST['idcim']);
                    }
                 else
                    {
                    if(strlen(trim($_POST['loginNev']))==6)
                        {
                        $conn=foodDB::Connect();
                       
                        
                        //$qyjelszo = "update felhasznalok set loginNev=?, temp=0 WHERE idlogin=?";
                        
                        $qyjelszo2 = "update felhasznalok_cimek set loginNev=?, ujreg=0, temp=0 WHERE id=?";
                        
                        //$stjelszo=$conn->prepare($qyjelszo);
                        $stjelszo2=$conn->prepare($qyjelszo2);
                        if(!$stjelszo2) //!$stjelszo ||
                            {
                            exit(ADATBAZISHIBASZOVEG_FRONTEND);
                            }
                        else
                            {
                            //$stjelszo->bind_param('si',$_POST['loginNev'],$_POST['idlogin']);
                            //$stjelszo->exec();
                            
                            $stjelszo2->bind_param('si',$_POST['loginNev'],$_POST['idcim']);
                            
                            $stjelszo2->exec();

                            $this->email=$_POST['Email2'];
                            $this->adatok['loginNev']=$_POST['loginNev'];
                            $this->adatok['jelszo']=$_POST['jelszo2'];
                            
                            //require_once(TEMPLATEDIR."template_userazonositomail.php");
                            //$usermail= new template_userazonositomail($this);
                            
                            $usermail=foodFactory::simpleBox("mail/userazonositomail",$this);
                            
                            $this->sendUserMail($usermail);
                            
                            $this->megvan=true;
                            
                            //$this->sendUserMail();
                            }
                        //$this->template="ugyfelek";
                        }
                    else
                        {
                        $this->hibak[]="Az azonosítónak pontosan 6 számjegyből kell állnia";
                        $this->getUserData($_POST['idcim']);
                        }
                    }
                $this->vanhiba= empty($this->hibak) ? false : true;
                }
            else
                {
                $this->getUsers();
                 $this->setTemplate("valasszon_ugyfelet");
                }
            $this->getUsers();
            }
        }
        
	function sendUserMail($mail)
		{
		require_once(foodPath::fromRoot("class_foodMailer.php"));
        
         $hova=$this->checkAdminMail($_POST['Varos']);
        
         $admails=adminmails::getAdminMails();
        
         switch ($hova)
            {
            case 0: $admail=$admails[1];
                    break;
            case 1: $admail=$admails[1];
                    break;
            }
        
		$m=new foodMailer();
		$m->mailer->AddAddress($_POST['Email2']);
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, "Válaszcím"); // indicates ReplyTo headers
		$m->mailer->Subject = MAILNEVROVID." azonosító";
		if(AUTOLOGINNEV)
            {
            $m->mailer->IsHTML(true);
            }
         else
            {
            $m->mailer->IsHTML(false);
            }
		ob_start();
		$mail->Run();
		$m->mailer->Body = ob_get_clean();
		if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
		}
    
    
    function getUsers()
        {
        $conn=foodDB::Connect();
			
        $qyjelszo = "SELECT fc.id, fc.loginNev, fc.Nev, f.idlogin FROM felhasznalok_cimmod fc left outer join felhasznalok f on fc.idlogin=f.idlogin where f.idlogin is not null";
            
        $stjelszo=$conn->prepare($qyjelszo);
        if(!$stjelszo)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        else
            {
            $stjelszo->exec();
            $this->userek=array();
            while($sorjelszo=$stjelszo->fetch_assoc())
                {
                $this->userek[$sorjelszo['id']]=$sorjelszo;
                }
            }
        }

    function getUserData($id)
        {
        $conn=foodDB::Connect();
			
        $qyadatok="select fc.id, fc.idlogin, fc.loginNev, fc.Nev, fc.UNev, fc.Varos,fc.Iszam, fc.Utca,fc.Hazszam, fc.Kaputel,f.Email,fc.Telefon,fc.Fax,fc.Szamnev,fc.Szamiszam,fc.Szamvaros,fc.Szamutca,fc.Szamhazszam,fc.Megjegy,fc.Kedvezmeny, fc.Newsletter, f.jelszo from felhasznalok_cimek fc, felhasznalok f where fc.id=? and f.idlogin=fc.idlogin";
        $stadatok=$conn->prepare($qyadatok);
        if(!$stadatok)
                {
                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                }
        else
            {
            $stadatok->bind_param('s',$id);
            $stadatok->exec();
            $this->adatok=$stadatok->fetch_assoc();
            if(!empty($this->adatok))
                {
                foreach($this->adatok as $key => $val)
                    {
                    $_POST[$key]=$val;
                    }
                }
            $this->setTemplate("ugyfelek");
            }
        }
    	 
     
        function existsloginNev($loginNev)
            {
            $conn=foodDB::Connect();
            $qcheck="select idLogin from felhasznalok_cimek where loginNev=?";
            $stcheck=$conn->prepare($qcheck);
            if(!$stcheck)
                {
                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                }
            else
                {
                $stcheck->bind_param('s',$loginNev);
                $stcheck->exec();
                $van=$stcheck->fetch_assoc();
                return($van);
                }
            }
            
     function checkAdminMail($varos)
		{
		$conn=foodDB::Connect();
		$qyaemail = "SELECT Varosid FROM telepulesek WHERE Telep=?";
		$staemail=$conn->prepare($qyaemail);
		if(!$staemail)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND."02");
			}
		else
			{
			$staemail->bind_param('s',$varos);
			$staemail->exec();
			//ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
			if ($staemail->num_rows()!=0) 
				{
				$soraemail=$staemail->fetch_assoc();
				return($soraemail['Varosid']);
				}
			else
				{
				return(0);
				}
			}
		}
     
	}


?>