<?php 
require_once(foodPath::fromRoot("classes/class_etlapElem.php"));
class box_etlap extends basetemplate
    {
    public $kulonleges=false;
    
    function Show()
        {
        echo foodLanguage::getLang();
        ?>
        <div class="show-for-large week-chooser">
			<div class="row small-gap">
				<div class="medium-2 columns">
					<h3 class="title"><?php _e('Válasszon hetet','Interfood'); ?>:</h3>
				</div>
				
				<div class="medium-10 columns">
					<div class="row small-gap">
						<div class="medium-5 columns">
							<ul class="week-list">
                            <?php 
                            foreach($this->op->etlap->hetek as $num => $het)
                                {
                                ?>
                                <li><a class="button white <?php 
                                if($this->op->etlap->aktualis==$num)
                                    {
                                    ?>active<?php
                                    }
                                    ?>" href="<?php echo foodString::fullPage("etlap-es-rendeles"); ?>?het=<?php echo $num; ?>"><?php
                                $ezahet=$het['het'].'. hét';
                                echo foodString::regex($ezahet,foodConstants::$HETPATTERN); ?></a></li>
                                <?php
                                }
                                ?>
								
							</ul>
						</div>
						
						<div class="medium-3 columns">
							<div class="price">
								<p><?php _e('Összesen','Interfood'); ?>: <span id="vasarlasOsszegeFT"><?php echo $this->op->kosar->getAllSum(); ?></span> <span><?php echo CURR; ?></span></p>
							</div>
						</div>
						
						<div class="medium-4 columns">
							<div class="button-list">
								<div class="row small-gap">
									<div class="medium-6 columns">
										<a href="<?php echo get_the_permalink(icl_object_id(84,'post')) ?>?het=<?php echo $this->op->etlap->aktualis; ?>" class="button expanded white icon-right">
											<?php echo get_the_title(icl_object_id(84,'post')) ?> <i class="zmdi zmdi-shopping-cart"></i>
										</a>
									</div>
									
									<div class="medium-6 columns">
										<a href="<?php echo get_the_permalink(icl_object_id(88,'post')) ?>?het=<?php echo $this->op->etlap->aktualis; ?>" class="button expanded white icon-right multi-line text-small">
											<span class="text"><?php echo get_the_title(icl_object_id(88,'post')) ?></span>
											<i class="zmdi zmdi-file-text"></i>
										</a>
									</div>
								</div>
								
								<a href="" class="button square white icon">
									<i class="zmdi zmdi-print"></i>
								</a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- /.show-for-large.week-chooser -->
		
		<div class="hide-for-large week-chooser mobile">
			<h3 class="title"><?php _e('Válasszon hetet','Interfood'); ?>:</h3>
			
			<div class="form-group">
              <select class="custom-select" data-class="white" onchange="location = this.value;">
            <?php 
                            foreach($this->op->etlap->hetek as $num => $het)
                                {
                                ?>
                                <option value="<?php echo foodString::fullPage("etlap-es-rendeles"); ?>?het=<?php echo $num; ?>" <?php 
                                if($this->op->etlap->aktualis==$num)
                                    {
                                    ?>selected="selected"<?php
                                    }
                                    ?>><?php
                                $ezahet=$het['het'].'. hét';
                                echo foodString::regex($ezahet,foodConstants::$HETPATTERN); ?></option>
                                <?php
                                }
                                ?>

				</select>
			</div>
			
			<div class="row small-gap">
				<div class="small-6 columns">
					<a href="<?php echo get_the_permalink(icl_object_id(84,'post')) ?>?het=<?php echo $this->op->etlap->aktualis; ?>" class="button expanded white icon-right">
						<?php echo get_the_title(icl_object_id(84,'post')) ?> <i class="zmdi zmdi-shopping-cart"></i>
					</a>
				</div>
				
				<div class="small-6 columns">
					<a href="<?php echo get_the_permalink(icl_object_id(88,'post')) ?>?het=<?php echo $this->op->etlap->aktualis; ?>" class="button expanded white icon-right multi-line">
						<span class="text"><?php echo get_the_title(icl_object_id(88,'post')) ?></span>
						<i class="zmdi zmdi-file-text"></i>
					</a>
				</div>
			</div>
			
			<div class="price">
				<p><?php _e('Összesen','Interfood'); ?>: <span id="vasarlasOsszegeFT_small2"><?php echo $this->op->kosar->getAllSum(); ?></span> <span><?php echo CURR; ?></span></p>
			</div>
		</div>
		<!-- /.hide-for-large.week-chooser -->
		
		<div class="hide-for-large week-chooser mobile-scroll">
			<div class="row small-gap">
				<div class="medium-6 small-8 columns">
					<ul class="week-list">
						<li><a href="<?php echo foodString::fullPage("kosar"); ?>?het=<?php echo $this->op->etlap->aktualis; ?>" class="button square white icon"><i class="zmdi zmdi-shopping-cart"></i></a></li>
						<li><a href="" class="button square white icon"><i class="zmdi zmdi-file-text"></i></a></li>
						<li>
							<select class="custom-select" data-class="white" onchange="location = this.value;">
                            <?php
								foreach($this->op->etlap->hetek as $num => $het)
                                {
                                ?>
                                <option value="<?php echo foodString::fullPage("etlap-es-rendeles"); ?>?het=<?php echo $num; ?>" <?php 
                                if($this->op->etlap->aktualis==$num)
                                    {
                                    ?>selected="selected"<?php
                                    }
                                    ?>><?php
                                $ezahet=$het['het'].'. hét';
                                echo foodString::regex($ezahet,foodConstants::$HETPATTERN); ?></option>
                                <?php
                                }
                                ?>
							</select>
						</li>
					</ul>
				</div>
				
				<div class="medium-6 small-4 columns all-price">
					<p><?php _e('Összesen','Interfood'); ?>: <br /><span id="vasarlasOsszegeFT_small"><?php echo $this->op->kosar->getAllSum(); ?></span> <?php echo CURR; ?></p>
				</div>
			</div>
		</div>
		
		<section class="row">
			<nav class="large-2 medium-3 columns sidebar-menu-container">
				<div class="show-for-small-only form-group">
					<a href="#" class="button expanded border-red icon-right sidebar-menu-button">Teljes menü <i class="zmdi zmdi-caret-down"></i></a>
				</div>
				
				<ul class="sidebar-menu">
					<li data-link="levesek" class="food-scrollink red active"><a class="scrollclick" href="">Teljes menü</a></li>
					<li data-link="levesek" class="food-scrollink blue"><a class="scrollclick"  href="#levesek">Levesek</a></li>
					<li data-link="salata" class="food-scrollink green"><a class="scrollclick"  href="#salata">Saláta</a></li>
					<li data-link="fitness" class="food-scrollink purple"><a class="scrollclick"  href="#fitness">Fitness</a></li>
					<li data-link="rantott-etelek" class="food-scrollink orange"><a class="scrollclick"  href="#rantott-etelek">Rántott ételek</a></li>
					<li data-link="fozelek" class="food-scrollink green2"><a class="scrollclick"  href="#fozelek">Főzelék</a></li>
					<li data-link="vilagkonyha" class="food-scrollink green3"><a class="scrollclick"  href="#vilagkonyha">Világkonyha</a></li>
					<li data-link="foetel" class="food-scrollink red2"><a class="scrollclick"  href="#foetel">Főétel</a></li>
					<li data-link="menuk" class="food-scrollink blue2"><a class="scrollclick"  href="#menuk">Menük</a></li>
					<li data-link="hidegtal" class="food-scrollink purple2"><a class="scrollclick"  href="#hidegtal">Hidegtál</a></li>
					<li data-link="desszert" class="food-scrollink yellow"><a class="scrollclick"  href="#desszert">Desszert</a></li>
					<li data-link="paleo" class="food-scrollink green4"><a class="scrollclick"  href="#paleo">Paleo</a></li>
					<li data-link="dietas" class="food-scrollink green5"><a class="scrollclick"  href="#dietas">Diétás</a></li>
				</ul>
			</nav>
			<?php 
        if($this->op->etlap->vanetlap && !$this->op->etlap->hetek[$this->op->etlap->aktualis]['fuggoben'])
            {
        ?>    
			<div class="large-10 medium-9 columns">
			
				<form class="food-form">
					
					<div class="food-table top">
						<div class="fix-col">
							<div class="cell">
								<div class="top">
									<div class="middle-text"><?php
                $mostahet=$this->op->etlap->hetek[$this->op->etlap->aktualis]['het'].'. hét';
                echo foodString::regex($mostahet,foodConstants::$HETPATTERN); ?></div>
								</div>
								
								<div class="bottom">
									<?php _e('Összesen','Interfood'); ?>
								</div>
							</div>
						</div>
						
						<div class="scroll-cols">
							<a href="#" class="scroll-button left"><i class="zmdi zmdi-chevron-left"></i></a>
							<a href="#" class="scroll-button right"><i class="zmdi zmdi-chevron-right"></i></a>
							
							<div class="wrapper">
								<div class="inner">
                                <?php
                             $i=1;
                            foreach($this->op->etlap->fejlec as $datum => $nap)
                                {
                            ?>
									<div class="cell">
										<div class="top">
											<div class="middle-text"><?php echo $this->op->napok[$i]; ?><br /> <?php $datumscreen=strtr($datum,"-","."); echo $datumscreen; 
                                           if($nap['elozo']===true)
                                            {
                                            ?>
                                            <br />
											<span class="text-small"><?php
                                            echo $this->op->napok[$this->op->etlap->get_prevnap($i)];
                                            ?><?php echo foodString::out("i szállítással"); ?></span><?php
                                            }
                                            
                                            if($nap['Szun']===true)
                                            {
                                            ?>
                                            <br />
                                            <?php echo foodString::out("szünnap"); 
                                            }
                                            ?></div>
										</div>
										
										<div  class="bottom"><span id="sum_<?php echo $datum; ?>"><?php echo $this->op->kosar->getSum($datum); ?></span> <?php echo CURR; ?></div>
									</div>
								<?php
                                $i++;
                                if($i>$this->op->etlap->hetek[$this->op->etlap->aktualis]['napokszama']) break;
                                 }
                                ?>	
										
								</div>
							</div>
						</div>
					</div>
				<?php 
                foreach($this->op->etlap->etlapsorok as $kategoria => $etlapsor)
                    {
                    etlapElem::display_sor($this,$kategoria,$etlapsor,$admin);
                    }
                    ?>	
	
				</form>
					
			</div>
        <?php
            }
        else
            {
            ?>
            <div class="large-10 medium-9 columns food-center"><br /><br />
            <h1>Az étlap feltöltés alatt!</h1>
            </div>
            <?php
            }
        ?>
		</section>
        <?php
         }
    } 

?>    