<?php 
require_once(foodPath::fromRoot("classes/CLASSES_foodBasket.php"));
class kifizetetlen_rendelesekBox extends baseclass
    {
    public $napok=array();
    public $honapok=array();
    public $cimek;
    public $cimid=0;
    public $muvelet;
    public $kosarnev;
    public $kosarszoveg="";
    public $kosarak=array();
    public $rendelesek;
    
    function __construct($page)
        {
        $this->page=$page;
        $this->muvelet=$muvelet;
       
        $this->setTemplate("kifizetetlen_rendelesek");
        $this->cimek=foodUser::getuserAddresses();    
        $aktualiscim=foodUser::getaktualiscim();
        $this->cimid=$aktualiscim['id'];

        if(isset($_POST['cimid']))
            {
            if( array_key_exists($_POST['cimid'],$this->cimek ))
                {
                foodUser::setAktualisCim($_POST['cimid']);
                }
            $this->cimid=$_POST['cimid'];
            }        
        
        $elsodatum=foodEtlap::getKezdodatum();
        
        $conn=foodDB::Connect();
        $qy="select distinct r.loginNev, r.rendelid, r.ido, c.result from cardteszt_rendeles_new r left outer join card_out c on r.rendelid=c.rendelid where r.loginNev=? and r.datum>=? and r.type=1 order by r.ev, r.het desc";
        
        $st=$conn->prepare($qy);
        if(!$st)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
         $st->bind_param("ss",foodUser::getuserData("loginNev"),$elsodatum);
        $st->exec();
        $this->rendelesek=array();
        while($sor=$st->fetch_assoc())
            {
            if(!isset($this->rendelesek[$sor["loginNev"]][$sor["rendelid"]]))
                {
                $this->rendelesek[$sor["loginNev"]][$sor["rendelid"]]=$sor["result"]=='OK' ? 1 : 0;
                }
            else
                {
            $this->rendelesek[$sor["loginNev"]][$sor["rendelid"]]|= $sor["result"]=='OK' ? 1 : 0;
                }
            $adatok[$sor["loginNev"]][$sor["rendelid"]]=$sor;
            } 
        foreach($this->rendelesek as $loginNev => $rendelt)
            {
            foreach($rendelt as $rendelid => $rendeles)
                {
                if($rendeles==0)
                    {
                    $this->kosarak['fizetetlen_'.$rendelid]=new foodBasket("korabbi");
                    $this->kosarak['fizetetlen_'.$rendelid]->setAktualisCim(foodUser::getAddressByLoginNevAll($loginNev));
                    
                    $this->kosarak['fizetetlen_'.$rendelid]->initFromDBASE_Korabbi(1,$loginNev,$rendelid);
                    $this->kosarak['fizetetlen_'.$rendelid]->rendelesi_ido=$adatok[$loginNev][$rendelid]["ido"];
                    $this->kosarak['fizetetlen_'.$rendelid]->rendelidje=$rendelid;
                    //$this->kosarak['fizetetlen_'.$rendelid]->adatai=$rendeles;
                    }
                }
            }
         
         foreach($this->kosarak as $key => $kosar)
            {
            $kosar->rendez();
            }
        }
    
    }


?>