<?php
require_once(foodPath::fromRoot("classes/CLASS_telepulesek.php"));
class profilBox extends baseclass
	{
    public $data;
    public $cimek;
    public $page;
    public $vanhiba=false;
    public $hibak=array();
    public $postolva=false;
    public $emailpostolva=false;
    public $jelszopostolva=false;
    public $emailok=false;
    public $jelszook=false;
    public $ujloginNev;
    
    function __construct($page)
        {
        $this->data=array();
        $this->cimek=array();
        $this->page=$page;
		$this->getVarosok();
		//foodModule::ifmodule("emlekezteto_module")->process();
        
        
        $conn=foodDB::Connect();
        $qyfiz="SELECT r.rendelid as rendeles_azonosito, r.ev,r.het, r.osszeg,c.kartya_rovidnev, c.anum, c.idobelyeg FROM felhasznalok_cimek fc, card_out c, rendeles_heti r
where fc.idlogin=? and fc.loginNev=c.loginNev and c.rendelid=r.rendelid  and c.anum !=''
order by r.ev,r.het desc";
        $stfiz = $conn->prepare($qyfiz);
        if(!$stfiz)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        else
            {
            $stfiz->bind_param('i',foodUser::getuserData('idlogin'));
            $stfiz->exec();
             while($sor=$stfiz->fetch_assoc())
                {
                $this->fizetesek[]=$sor;
                }
            }

        
        
        if(isset($_POST['ujcimrogzitese']))
            {
            $this->ujpost=$_POST;
            $this->checkPOST();
            
            if(!$this->vanhiba)
				{
				$md5_nev=$this->storeUser();
                
                $subject="Regisztráció";
                
                if(AUTOLOGINNEV)
                    {
                    //$usermail=foodFactory::simpleBox("mail/userregmail",$this);
                    $adminmail= foodFactory::simpleBox("mail/adminregmail",$this);
                    }
                  else
                    {
                    //$usermail=foodFactory::simpleBox("mail/userregmail_temp",$this);
                    $adminmail= foodFactory::simpleBox("mail/adminregmail_temp",$this);
                    }
                

                $this->data=$_POST;
                $this->data["loginNev"]=$this->ujloginNev;
                $adsend=$this->sendAdminMail($subject,$adminmail);
                unset($_POST["ujcimrogzitese"]);
                foodUser::setAddresses();
				//$usend=$this->sendUserMail($md5_nev,foodString::out("Regisztráció"),$usermail);
                   if(AUTOLIGINNEV)
                     {
                   /* foodUser::Login($this->loginnev,$this->jelszo);*/
                     }
				//$this->setTemplate("noturl/regisztracio_sikeres");
				}
            }
        else
            {
            if(isset($_POST["loginNev"]))
                {
                $this->checkPOST();
                if(!$this->vanhiba)
                    {
                    $md5_nev=$this->storeUserMod();
                
                 $this->data=$_POST;
                 if(AUTOLOGINNEV)
                    {
                    //$usermail=foodFactory::simpleBox("mail/userregmail",$this);
                    $adminmail= foodFactory::simpleBox("mail/admincimmail",$this);
                    }
                  else
                    {
                    //$usermail=foodFactory::simpleBox("mail/userregmail_temp",$this);
                    $adminmail= foodFactory::simpleBox("mail/admincimmail_temp",$this);
                    }
                
				$adsend=$this->sendAdminMail("Címmódosítás",$adminmail);
			    foodUser::setAddresses();
                    }
                }
            }
        
        if(isset($_POST['emailesjelszo']))
            {
            if($_POST["Email"]!=foodUser::getuserData("Email"))
                {
                $this->postolva=true;
                $this->emailpostolva=true;
                $this->checkPOST_email();
                if ($this->vanhiba) 
                    {
                    // do nothing
                    }
                else
                    {
                    $conn=foodDB::Connect();
                     if(EMAILLOGIN) 
                        {
                        $qyvoltmaremail = "SELECT 1 FROM felhasznalok WHERE Email=? and idlogin!=?";
                        $stvoltmaremail=$conn->prepare($qyvoltmaremail);
                        if(!$stvoltmaremail)
                            {
                            exit(ADATBAZISHIBASZOVEG_FRONTEND);
                            }
                        else
                            {
                            $stvoltmaremail->bind_param('si',$_POST['Email'],foodUser::getuserData("idlogin"));
                            $stvoltmaremail->exec();
                            
                            if ($stvoltmaremail->num_rows()!=0) 
                                {
                                $this->hibak[]= " adjon meg más e-mail címet, ezzel az e-mail címmel már létezik regisztrált felhasználó";
                                $this->vanhiba = true;
                                
                                }    
                            }
                        }
                    if(!$this->vanhiba)  
                        {
                        $this->getPOSTData();

                        $qytempc = "UPDATE felhasznalok SET Email=? WHERE idlogin=?";
                        $sttempc = $conn->prepare($qytempc);
                        if(!$sttempc)
                            {
                            exit(ADATBAZISHIBASZOVEG_FRONTEND);
                            }
                        else
                            {
                            $sttempc->bind_param('si',$_POST['Email'],foodUser::getuserData('idlogin'));
                            $sttempc->exec();
                            foodUser::setUserData();
                            $this->emailok=true;
                            }
                        }
                            
              
                        
                    }
                }
                
             if($_POST['password']!=$_POST['password2'] && ($_POST['password']!="" || $_POST['password2']!=""))
                    {
                    $this->hibak[]= " adjon meg két egyező jelszót";
                    $this->vanhiba = true;
                    }
                    else
                        {
                        if($_POST['password']!="" || $_POST['password2']!="")
                            {
                            $this->getPOSTData();
                            $conn=foodDB::Connect();
                            $qytempc = "UPDATE felhasznalok SET jelszo=? WHERE idlogin=?";
                            $sttempc = $conn->prepare($qytempc);
                            if(!$sttempc)
                                {
                                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                                }
                            else
                                {
                                $sttempc->bind_param('si',$_POST['password'],foodUser::getuserData('idlogin'));
                                $sttempc->exec();
                                foodUser::setUserData();
                                }
                            }
                        }
                $conn=foodDB::Connect();
            $qynews = "UPDATE felhasznalok SET Newsletter=? WHERE idlogin=?";
            $stnews = $conn->prepare($qynews);
            if(!$stnews)
                {
                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                }
            else
                {
                $stnews->bind_param('ii',$_POST['Newsletter'],foodUser::getuserData('idlogin'));
                $stnews->exec();
                foodUser::setUserData();
                }
            }
        

         
        

       
        $this->data["Newsletter"]=foodUser::getuserData('Newsletter');
        $this->data["email"]=foodUser::getuserData('Email');
        //$this->cimek=foodUser::getuserAddresses();
        $this->getCimek();
        }
    
    function getPOSTData()
		{
		//$this->data=array();
		foreach($_POST as $k => $v)
			{
			$this->data[$k]=$v;
			}
		}
    function getCimek()
        {
        $this->cimek=array();
        $conn=foodDB::Connect();
        $qy="select *, 0 as modositva from felhasznalok_cimek where idlogin=? and cimmod=0
        union 
        select *, 1 as modositva from felhasznalok_cimmod where idlogin=? ";
        $st=$conn->prepare($qy);
        if(!$st)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        else
            {
            $st->bind_param('ii',foodUser::getuserData('idlogin'),foodUser::getuserData('idlogin'));
            $st->exec();
            while($sor=$st->fetch_assoc())
                {
                $this->cimek[$sor["id"]]=$sor;
                }
            }
        }
    function getVarosok()
		{
		$this->varosok=array();
         $this->telep=new telepulesek();
         $this->telepulesek=$this->telep->telepulesek;
		}
        
     
    function checkPOST_email()
        {
        if (!preg_match(foodConstants::$MAILPATTERN, $_POST['Email'])) 
			{
		    $this->hibak[]= foodString::out("ellenőrizze az e-mail címet, mert a formátuma nem megfelelő");
			$this->vanhiba = true;
			}
        }
        
    function checkPOST_password()        
        {
        // password check
        if (!empty($_POST['jelszo']) or !empty($_POST['jelszo2'])) 
			{
			if ($_POST['jelszo']!=$_POST['jelszo2']) 
				{
				//nem egyezik a ket jelszo
				$this->hibak[]= foodString::out("adjon meg két egyező jelszót");
				$this->vanhiba = true;
				}
              if (strlen($_POST['jelszo'])<6) 
				{
				//nem egyezik a ket jelszo
				$this->hibak[]= foodString::out("adjon meg legalább 6 karakterből álló jelszót");
				$this->vanhiba = true;
				}
			} 
        }
        
    function checkPOST()
		{
		$conn=foodDB::Connect();
         
        // ügyintéző check   
		if(empty($_POST['UNev']))
            {
            $this->hibak[]= foodString::out("adja meg az ügyintéző nevét");
			$this->vanhiba = true;
            }
            
              
    // név check
    if(empty($_POST['Nev']))
        {
        $this->hibak[]= foodString::out("adja meg a nevét");
        $this->vanhiba = true;
        }
        
    // település és ha nem lehet több cím, akkor megnézni, volt-e ilyen     
    if (($_POST['Varos']=="0") ) 
        {
        $this->hibak[]= foodString::out("válasszon települést");
        $this->vanhiba = true;
        }
    else 
        {
         if(!MULTIADDRESS)
            {
            $qyvoltmar = "SELECT 1 FROM felhasznalok_cimek WHERE  Nev=? and UNev=? and Email=?";
            $stvoltmar=$conn->prepare($qyvoltmar);
            if(!$stvoltmar)
                {
                exit(ADATBAZISHIBASZOVEG_FRONTEND."03");
                }
            else
                {
                $stvoltmar->bind_param('sss',$_POST['Nev'],$_POST['UNev'],$_POST['Email']);
                $stvoltmar->exec();
                //ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
                if ($stvoltmar->num_rows()!=0) 
                    {
                    $this->hibak[]= foodString::out("ellenőrizze az adatait, ezzekkel az adatokkal már létezik regisztrált felhasználó");
                    $this->vanhiba = true;
                    }
                }
            }
        }
        
    // zip check
    if(empty($_POST['Iszam']))
        {
        $this->hibak[]= foodString::out("adja meg az irányítószámot");
        $this->vanhiba = true;
        }
        
    // utca check
    if(empty($_POST['Utca']))
        {
        $this->hibak[]= foodString::out("adja meg az utcát (közterületet)");
        $this->vanhiba = true;
        }
        
    // házszám check
    if(empty($_POST['Hazszam']))
        {
        $this->hibak[]= foodString::out("adja meg a házszámot");
        $this->vanhiba = true;
        }
        
    // járatszám check 
    if(isset($_POST["ujcimrogzitese"]))
        {
    if ((($_POST['Jarat']<=1000) && ($_POST['Jarat']>0) && (trim($_POST['Jarat'])!='')) || ($_POST['Jarat2']=="1") ) 
        {
        if ($_POST['Jarat2']=="1") 
            {
            $_POST['Jarat']='0000'; 
            } 
        } 
        else 
            {
            $this->hibak[]= foodString::out("ellenőrizze a járatszámot");
            $this->vanhiba = true;
            }
         }   
      // telefonszám check
      if(trim($_POST['Telefon'])!="")
        {
        $digitdb=0;
        $unevlen=strlen($_POST['Telefon']);
        for($i=0; $i<$unevlen; $i++)
            {
            if( is_numeric( substr($_POST['Telefon'],$i,1) ) )
                {
                $digitdb++;
                }
            }
        if($digitdb<6)
            {
            $this->hibak[]= foodString::out("ellenőrizze a telefonszámot, mert a formátuma nem megfelelő");
            }
        }
      else
        {
        $this->hibak[]= foodString::out("adja meg a telefonszámot");
        }
     
       if($_POST["uazszallitasi"]!=1)
        {
        // különbözik a szamlazasi cím
        // név check
        if(empty($_POST['Szamnev']))
            {
            $this->hibak[]= foodString::out("adja meg a számlázási címhez tartozó nevet");
            $this->vanhiba = true;
            }
        
        // település check  
        if(empty($_POST['Szamvaros']))
            {
            $this->hibak[]= foodString::out("adja meg a számlázási címhez tartozó települést");
            $this->vanhiba = true;
            }
            
        // zip check
        if(empty($_POST['Szamiszam']))
            {
            $this->hibak[]= foodString::out("adja meg a számlázási címhez tartozó irányítószámot");
            $this->vanhiba = true;
            }
            
        // utca check
        if(empty($_POST['Szamutca']))
            {
            $this->hibak[]= foodString::out("adja meg a számlázási címhez tartozó utcát (közterületet)");
            $this->vanhiba = true;
            }
            
        // házszám check
        if(empty($_POST['Szamhazszam']))
            {
            $this->hibak[]= foodString::out("adja meg  a számlázási címhez tartozó házszámot");
            $this->vanhiba = true;
            }
        }
       else
            {
            $_POST['Szamnev']=$_POST['Nev'];
            $_POST['Szamvaros']=$_POST['Varos'];
            $_POST['Szamiszam']=$_POST['Iszam'];
            $_POST['Szamutca']=$_POST['Utca'];
            $_POST['Szamhazszam']=$_POST['Hazszam'];
            }
     
            
         if(EMAILLOGIN) 
            {
            $qyvoltmaremail = "SELECT idlogin FROM felhasznalok_cimek WHERE Email=? UNION SELECT idlogin FROM felhasznalok WHERE Email=?";
			$stvoltmaremail=$conn->prepare($qyvoltmaremail);
			if(!$stvoltmaremail)
				{
				exit(ADATBAZISHIBASZOVEG_FRONTEND."03");
				}
			else
				{
				$stvoltmaremail->bind_param('ss',$_POST['Email'],$_POST['Email']);
				$stvoltmaremail->exec();
				//ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
				if ($stvoltmaremail->num_rows()!=0) 
					{
					
                    $this->hibak[]= foodString::out("adjon neg másik e-mail címmet, ezzel a címmel létezik regisztrált felhasználó");
                    $this->vanhiba = true;
					
					}
				}
            }
		}
        
    function storeUser()
		{
		$conn=foodDB::Connect();
        $idlogin=foodUser::getuserData("idlogin");     
        $qytempc = "UPDATE felhasznalok_cimek SET loginNev=? WHERE id=?";
        $sttempc = $conn->prepare($qytempc);
        if(!$sttempc)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND."- 02");
            }

        $insert=$this->insertNewAddress($_POST,$idlogin);
        //echo "inserted-----";
        //print_r($insert);
        if(AUTOLOGINNEV)
            {
            $this->ujloginNev=foodFunctions::getNewLogin($insert["id"]);
            }
        else
            {
            $this->ujloginNev=$insert["uid"];
            }
            
        $sttempc->bind_param('si',$this->ujloginNev,$insert["id"]);
        $sttempc->exec();


        return($uid);

		}
        
    function insertNewAddress($data,$idlogin=null)
        {
        if(is_null($idlogin))
            {
            $idlogin=0;
            }
        if(trim($data["Jarat"])=="")
            {
            $data["Jarat"]="0000";
            }
        if(trim($data["Megjegy"])=="")
            {
            $data["Megjegy"]="";
            }
        $conn=foodDB::Connect();
        $qyuserc = "INSERT INTO felhasznalok_cimek (Nev, UNev, Varos,  Iszam ,Utca, Hazszam, Kaputel, Email, Telefon, Fax, Szamnev, Szamiszam, Szamvaros, Szamutca, Szamhazszam, Megjegy,Jarat,tlogin,temp,ujreg,idlogin) VALUES 
		(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?)";
        
        $stuserc = $conn->prepare($qyuserc);
        
        if(!$stuserc)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND);
			}
            
        $uid=uniqid($_POST["Email"].'-',true);
          $temp=1;
          if(AUTOLOGINNEV)
            {
            $temp=0;
            }
            //print_r($data);
            //echo "---".$_POST['UNev']."----".$_POST['Email'];
			$stuserc->bind_param('ssssssssssssssssssiii', $data['Nev'], $_POST['UNev'], $data['Varos'], $data['Iszam'], $data['Utca'], $data['Hazszam'], $data['Kaputel'], $_POST['Email'], $data['Telefon'], $data['Fax'], $data['Szamnev'], $data['Szamiszam'], $data['Szamvaros'], $data['Szamutca'],  $data['Szamhazszam'], $data['Megjegy'],$data['Jarat'],$uid,$temp,1,$idlogin);
			$stuserc->exec();
			$lastid_cim=$stuserc->insert_id();
            return( array( "id" => $lastid_cim, "uid" => $uid) );
        }
        
    function sendAdminMail($subject,$mail)
		{
		require_once(foodPath::fromRoot("class_foodMailer.php"));
		$hova=$this->checkAdminMail($_POST['Varos']);
        
         $admails=adminmails::getAdminMails();
        
		$m=new foodMailer();
        
         switch ($hova)
            {
            case 0: $admail=$admails[1];
                    break;
            case 1: $admail=$admails[1];
                    break;
            }
         $m->mailer->AddAddress($admail,MAILNEVHOSSZU);
         
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, "Válaszcím"); // indicates ReplyTo headers
		$m->mailer->Subject = $subject;
		$m->mailer->IsHTML(false);
		//$this->getPOSTData();
		$this->data['date']=date("Y-m-d H:i:s");
		ob_start();
		$mail->Run();
		$m->mailer->Body = ob_get_clean();
        //echo $admail."**".MAILNEVHOSSZU;
		if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
		}
	
	function sendUserMail($md5_nev,$subject,$mail)
		{
		require_once(foodPath::fromRoot("class_foodMailer.php"));
        
         $hova=$this->checkAdminMail($_POST['Varos']);
        
         $admails=adminmails::getAdminMails();
        
         switch ($hova)
            {
            case 0: $admail=$admails[1];
                    break;
            case 1: $admail=$admails[1];
                    break;
            }
        
		$m=new foodMailer();
		$m->mailer->AddAddress($_POST['Email']);
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, foodString::out("Válaszcím")); // indicates ReplyTo headers
		$m->mailer->Subject = $subject;
		if(AUTOLOGINNEV)
            {
            $m->mailer->IsHTML(true);
            }
         else
            {
            $m->mailer->IsHTML(false);
            }
		//$this->getPOSTData();
		$this->data['md5_nev']=$md5_nev;
		ob_start();
		$mail->Run();
		$m->mailer->Body = ob_get_clean();
       // echo $_POST['Email']."//".$_POST['Nev'];
		if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
		}
        
    function checkAdminMail($varos)
		{
		$conn=foodDB::Connect();
		$qyaemail = "SELECT Varosid FROM telepulesek WHERE Telep=?";
		$staemail=$conn->prepare($qyaemail);
		if(!$staemail)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND."02");
			}
		else
			{
			$staemail->bind_param('s',$varos);
			$staemail->exec();
			//ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
			if ($staemail->num_rows()!=0) 
				{
				$soraemail=$staemail->fetch_assoc();
				return($soraemail['Varosid']);
				}
			else
				{
				return(0);
				}
			}
		}
        
    function storeUserMod()
		{
		$conn=foodDB::Connect();
        
        
         $qytorol="delete from felhasznalok_cimmod where loginNev=?";
         
         $qyins="insert into felhasznalok_cimmod select * from felhasznalok_cimek where loginNev=?";
        
         $qyuserc = "update felhasznalok_cimmod set Nev=?, UNev=?, Varos=?,  Iszam=? ,Utca=?, Hazszam=?, Kaputel=?, Telefon=?, Fax=?, Szamnev=?, Szamiszam=?, Szamvaros=?, Szamutca=?, Szamhazszam=?, Megjegy=? 
         where loginNev=?";
         
         $qyup="update felhasznalok_cimek set cimmod=1 where loginNev=?";
         
         $sttorol = $conn->prepare($qytorol);
         $stins = $conn->prepare($qyins);
         $stuserc = $conn->prepare($qyuserc);
         $stup = $conn->prepare($qyup);
        
        if(!$sttorol || !$stins || !$stuserc || !$stup)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND);
			}
		else
			{
              $sttorol->bind_param("s",$_POST["loginNev"]);
              $sttorol->exec();
              
              $stins->bind_param("s",$_POST["loginNev"]);
              $stins->exec();
              
			$stuserc->bind_param('ssssssssssssssss',$_POST['Nev'],$_POST['UNev'], $_POST['Varos'], $_POST['Iszam'], $_POST['Utca'], $_POST['Hazszam'], $_POST['Kaputel'], $_POST['Telefon'], $_POST['Fax'], $_POST['Szamnev'], $_POST['Szamiszam'], $_POST['Szamvaros'], $_POST['Szamutca'],  $_POST['Szamhazszam'], $_POST['Megjegy'],$_POST["loginNev"]);
			$stuserc->exec();
            
              $stup->bind_param("s",$_POST["loginNev"]);
              $stup->exec();
              
              foodUser::setAddresses();
            }
		}
	
    }