<?php
require_once(DDIR.'iframe/CLASS_ujetelBox.php');
require_once('Uploader/class.upload.php');

class etelmodositasBox extends ujetelBox
	{
	public $idetel="";
	public $kepurl;
	
	function __construct()
		{
		$this->setTemplate('iframe/egyetel');
		$this->szurok=array( 'szurnev' => '%',  'szurid' => '%', 'szurkategoria' => '%','szurhet' => '%', 'vankep' => '0');
		$this->get_etelek();
		$this->get_kategoriak();
        
		$this->idetel=$_GET['idetel'];
		$this->init_etel();
         if(isset($_POST['egyetelsubmit']))
			{
			$this->set_etel();
			$this->check_POST();
			if(!$this->hiba)
				{
				$conn=foodDB::Connect();
				$qyetel= "update etelek set Nev=? , Kategoria=? where idetel=?";
				$stetel=$conn->prepare($qyetel);
				if(!$stetel)
					{
					exit(ADATBAZISHIBASZOVEG_FRONTEND);
					}
				else
					{
					$stetel->bind_param('ssi',$this->etel['Nev'],$this->etel['Kategoria'],$this->idetel);
					$stetel->exec();
					$file = new Upload($_FILES['etelkepfile']);
					if ($file->uploaded) 
						{
						$idetel=$this->idetel;
						$file->file_new_name_body=$idetel;
						$file->file_new_name_ext='jpg';
						$file->file_overwrite=true;
						$file->Process(IMGDIR.'etelek');
						$file->Clean();
                            $qyfileetel="update etelek set kep=1 where idetel=?";
                            $stfileetel=$conn->prepare($qyfileetel);
                            if(!$stfileetel)
                                {
                                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                                }
                            $stfileetel->bind_param('i',$idetel);
                            $stfileetel->exec();
						}
					$this->saved=true;
					}
				}
			}
		
         if(isset($_POST['keptorlessubmit']))
            {
            $keptorolni=IMGDIR.'etelek/'.$this->idetel.'.jpg';
            if(file_exists($keptorolni))
                {
                unlink($keptorolni);
                $this->kepurl="";
                $this->saved=true;
                $conn=foodDB::Connect();
                $qyfileetel="update etelek set kep=0 where idetel=?";
                $stfileetel=$conn->prepare($qyfileetel);
                if(!$stfileetel)
                    {
                    exit(ADATBAZISHIBASZOVEG_FRONTEND);
                    }
                $stfileetel->bind_param('i',$this->idetel);
                $stfileetel->exec();
                }
            }
		}
	
	function init_etel()
		{
		$conn=foodDB::Connect();
		$qyetel= "select idetel, Nev, Kategoria from etelek where idetel=?";
		$stetel=$conn->prepare($qyetel);
		if(!$stetel)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND);
			}
		else
			{
			$stetel->bind_param('i',$this->idetel);
			$stetel->exec();
			$soretel=$stetel->fetch_assoc();
			foreach($this->postdata as $key)
				{
				$this->etel[$key]=$soretel[$key];
				}
			}
		$this->kepurl=IMGDIR.'etelek/'.$this->idetel.'.jpg';
		if(file_exists($this->kepurl))
			{
			$this->kepurl=FOODSITE.$this->kepurl;
			}
		else
			{
			$this->kepurl="";
			}
		}
	
	function get_kategoriak()
		{
		$conn=foodDB::Connect();
		
		$qykategoriak="select kat from kategoria where lang=? order by kat";
		$stkategoriak=$conn->prepare($qykategoriak);
		if(!$stkategoriak)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND."fdgfddgf");
			}
		else
			{
               $stkategoriak->bind_param("s",foodLanguage::getLang());
			$stkategoriak->exec();
			while($sorkategoriak=$stkategoriak->fetch_assoc())
				{
				$this->kategoriak[]=$sorkategoriak['kat'];
				}
			}
		}
	
	function set_etel()
		{
		foreach($this->postdata as $key)
			{
			$this->etel[$key]=$_POST[$key];
			}
		}
	
	function check_POST()
		{
		foreach($this->postdata as $num => $key)
			{
			if($_POST[$key]=='')
				{
				$this->hiba=$this->posthiba[$num];
				}
			}
		}
		
	}

?>