<?php
require_once(foodPath::fromRoot('Uploader/class.upload.php'));

class etlapetelszerkesztBox extends baseclass
	{
	public $idetel="";
    public $etelid="";
	public $kepurl="";
    public $postdata=array( 1 => 'Nev', 2 => 'screenNev', 3 => 'Ar' );
	public $posthiba=array( 1 => 'Adja meg az etel nevét!', 2 => 'Adja meg az étel megjelenített nevét', 3 => 'Adja meg az étel árát!');
     public $etel=array();
	
	function __construct()
		{
		$this->setTemplate('iframe/etlapetelszerkeszt');
		
		$this->init_etel();
        
         if(isset($_POST['egyetelsubmit']))
			{
			$this->set_etel();
			$this->check_POST();
			if(!$this->hiba)
				{
				$conn=foodDB::Connect();
                  
                if($this->etel["Nev"]!="")
                  {  
                  $qyet="insert ignore into etelek(Nev,Kategoria,lastweek,lang) values(?,?,?,?)";
                  $stet=$conn->prepare($qyet);
                  if(!$stet)
                    {
                    exit(ADATBAZISHIBASZOVEG_FRONTEND."01");
                    }
                
                  $stet->bind_param("ssss",$this->etel["Nev"],$this->etel["Kategoria"],$this->etel["heteve"].fullzeroleft($this->etel["Het"],2),foodLanguage::getLang());
                  
                  $stet->exec();
                  
                  $qych="select idetel from etelek where Nev=? and Kategoria=? and lang=?";
                  $stch=$conn->prepare($qych);
                  if(!$stch)
                    {
                    exit(ADATBAZISHIBASZOVEG_FRONTEND."02");
                    }
                
                  $stch->bind_param("sss",$this->etel["Nev"],$this->etel["Kategoria"],foodLanguage::getLang());
                  $stch->exec();

                  $sorch=$stch->fetch_assoc();
                  if($this->etel["idetel"]!=$sorch["idetel"])
                    {
                    $this->etel["idetel"]=$sorch["idetel"];
                    $this->idetel=$this->etel["idetel"];
                    }
                    
                    
                  }  
                    
				$qyetel= "update etlap set Nev=?, screenNev=?, Info2=?, Ar=?, Info=?, ikon_id=?, zaszlo_id=? where datum=? and Kategoria=? and lang=?";
				$stetel=$conn->prepare($qyetel);
				if(!$stetel)
					{
					exit(ADATBAZISHIBASZOVEG_FRONTEND."03");
					}
				else
					{
					$stetel->bind_param('sssdsiisss',$this->etel['Nev'],$this->etel['screenNev'],$this->etel['Info2'],$this->etel['Ar'],$this->etel['Info'],$this->etel['ikon_id'],$this->etel['zaszloikon_id'],$this->etel['datum'],$this->etel['Kategoria'],foodLanguage::getLang());
					$stetel->exec();
					$file = new Upload($_FILES['etelkepfile']);
					if ($file->uploaded) 
						{
						$idetel=$this->idetel;
						$file->file_new_name_body=$idetel;
						$file->file_new_name_ext='jpg';
						$file->file_overwrite=true;
						$file->Process(IMGDIR.'etelek');
						$file->Clean();
                            $conn=foodDB::Connect();
                            $qyfileetel="update etelek set kep=1 where idetel=?";
                            $stfileetel=$conn->prepare($qyfileetel);
                            if(!$stfileetel)
                                {
                                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                                }
                            $stfileetel->bind_param('i',$idetel);
                            $stfileetel->exec();
						}
					$this->saved=true;
					}
				}
			}
		
         if(isset($_POST['keptorlessubmit']))
            {
            $keptorolni=IMGDIR.'etelek/'.$this->idetel.'.jpg';
            if(file_exists($keptorolni))
                {
                unlink($keptorolni);
                $this->kepurl="";
                $this->saved=true;
                $conn=foodDB::Connect();
                $qyfileetel="update etelek set kep=0 where idetel=?";
                $stfileetel=$conn->prepare($qyfileetel);
                if(!$stfileetel)
                    {
                    exit(ADATBAZISHIBASZOVEG_FRONTEND);
                    }
                $stfileetel->bind_param('i',$this->idetel);
                $stfileetel->exec();
                }
            $this->set_etel();
            }
		}
	
	function init_etel()
		{
         $conn=foodDB::Connect();
        
         $qy="select e.heteve,e.Het,e.Nev,e.screenNev, e.Ar, e.Info, e.Info2, e.datum,e.Kategoria, et.idetel, e.ikon_id, e.zaszlo_id, et.kep from etlap e left outer join etelek et on e.Nev=et.Nev and e.Kategoria=et.Kategoria and e.lang=et.lang  where e.datum=? and e.Kategoria=? and et.lang=?";
         $st=$conn->prepare($qy);
         
         $qyset="update etelek set kep=1 where idetel=?";
         $stset=$conn->prepare($qyset);
         if(!$st || !$stset)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND."04");
            }
         $st->bind_param("sss",$_GET["datum"],$_GET["kategoria"],foodLanguage::getLang());
         $st->exec();
         
         $this->etel=$st->fetch_assoc();
         $this->etel["zaszloikon_id"]=$this->etel["zaszlo_id"];
         $this->etelid=$_GET["kategoria"]."-".$_GET["datum"];
        
         if($this->etel["idetel"]!="")
            {
            $this->idetel=$this->etel["idetel"];
            $this->kepurl=IMGDIR.'etelek/'.$this->idetel.'.jpg';
            if(file_exists($this->kepurl))
                {
                $this->kepurl=FOODSITE.$this->kepurl;
                if($this->etel["kep"]==0)
                    {
                    $stset->bind_param("i",$this->etel["idetel"]);
                    $stset->exec();
                    }
                }
            else
                {
                $this->kepurl="";
                }
            }
		}
        
	function set_etel()
		{
		$this->etel["Nev"]=$_POST["Nev"];
         $this->etel["screenNev"]=$_POST["screenNev"];
         $this->etel["Ar"]=$_POST["Ar"];
         $this->etel["Info2"]=$_POST["Info2"];
          $this->etel["Info"]=$_POST["Info"];
          $this->etel["ikon_id"]=$_POST["ikon_id"];
          $this->etel["zaszloikon_id"]=$_POST["zaszloikon_id"];
         $this->etel["Kategoria"]=$_POST["Kategoria"];
         $this->etel["datum"]=$_POST["datum"];
         $this->etel["heteve"]=$_POST["heteve"];
         $this->etel["Het"]=$_POST["Het"];
		}
	
	function check_POST()
		{
		foreach($this->postdata as $num => $key)
			{
			if($_POST[$key]=='')
				{
				$this->hiba=$this->posthiba[$num];
				}
			}
		}
		
	}

?>