<?php
class cimmodositas_moduleBox extends foodModule
    {
    public $page;
    public $id=null;
    public $posted;
    public $adatok;
    public $post;
    public $action;
    public $vanhiba;
    public $check;
    
    public $hibak=array();
    
    function __construct($page,$id=null)
        {
        $this->page=$page;
        $this->action=foodString::fullPage(food::$page->name);
        $this->id=$id;
        }
     
    function getdata()
        {
        $this->adatok=$this->moduleparent->ujadatok;
        $this->check=$this->moduleparent->check;
        }
        
    function process()
        {
        $this->adatok=$this->moduleparent->ujadatok;
        $this->check=$this->moduleparent->check;
        if($this->page->posted)
            {
            foodFunctions::getPOST($this->adatok);
            if($_POST["jelszo"]=='')
                {
                $this->adatok["jelszo"]=$this->moduleparent->ujadatok["jelszo"];
                }
            $this->checkPOST();
            if(!$this->vanhiba)
                {
                $conn=foodDB::Connect();
                
                if($_POST['Newsletter'=='']) $_POST['Newsletter']=0;
                if($_POST['Kedvezmeny'=='']) $_POST['Kedvezmeny']=0;
                
                $qy = "update felhasznalok_cimek set Nev=?,  UNev=?, Varos=?, Iszam=?, Utca=?, Hazszam=?, Kaputel=?,  Telefon=?, Fax=?, Szamnev=?, Szamiszam=?, Szamvaros=?, Szamutca=?, Szamhazszam=?, Megjegy=?, Newsletter=?, Email=? , Kedvezmeny=?, cimmod=0 WHERE id=?";
                $qem="update felhasznalok set Email=?, Newsletter=?, Kedvezmeny=? where idlogin=?";
                
                $qdel="delete from felhasznalok_cimmod where id=?";

                $st=$conn->prepare($qy);
                $stem=$conn->prepare($qem);
                $stdel=$conn->prepare($qdel);
               
                
                if(!$st || !$stem || !$stdel )
                    {
                    exit(ADATBAZISHIBASZOVEG_FRONTEND);
                    }
                $st->bind_param('sssssssssssssssisis',$_POST['Nev'], $_POST['UNev'], $_POST['Varos'], $_POST['Iszam'], $_POST['Utca'], $_POST['Hazszam'], $_POST['Kaputel'], $_POST['Telefon'], $_POST['Fax'], $_POST['Szamnev'], $_POST['Szamiszam'], $_POST['Szamvaros'], $_POST['Szamutca'],  $_POST['Szamhazszam'], $_POST['Megjegy'], $_POST['Newsletter'],$_POST['Email'],$_POST['Kedvezmeny'],$_POST['id']);
                $st->exec();
                $stem->bind_param("siii",$_POST["Email"],$_POST['Newsletter'],$_POST['Kedvezmeny'],$_POST["idlogin"]);
                $stem->exec();
                
                $stdel->bind_param("i",$_POST['id']);
                $stdel->exec();
                
                if($_POST["jelszo"]!='')
                    {
                    $qyj="update felhasznalok set jelszo=? where idlogin=?";
                    $stj=$conn->prepare($qyj);
                    if(!$stj)
                        {
                        exit(ADATBAZISHIBASZOVEG_FRONTEND);
                        }
                    else
                        {
                        $stj->bind_param("si",$_POST["jelszo"],$_POST["idlogin"]);
                        $stj->exec();
                        }
                    } 
                $usermail=foodFactory::simpleBox("mail/usercimmodositasmail",$this);
                $this->sendUserMail($usermail);
                }
            
            }
        }
        
     function checkPOST()
		{
		$conn=foodDB::Connect();

        if (!preg_match(foodConstants::$MAILPATTERN, $_POST['Email'])) 
            {
            $this->hibak[]= "Érvénytelen email-cím!";
            $this->vanhiba = true;
            }
        if(empty($_POST["Email"]))
            {
            $this->hibak[]= "Nem adott meg email-címet!";
            $this->vanhiba = true;
            }
      
        if(!$this->vanhiba && EMAILLOGIN)
            {
            $qem="select 1 from felhasznalok where Email=? and idlogin!=?";
            $stem=$conn->prepare($qem);
            if(!$stem)
                {
                exit(ADATBAZISHIBASZOVEG_FRONTEND."03");
                }
            else
                {
                $stem->bind_param("si",$_POST["Email"],$_POST["idlogin"]);
                $stem->exec();
                $vane=$stem->fetch_assoc();
                if($vane && !EMAILMULTIUSER)
                    {
                    $this->hibak[]= "Más már regisztrált ezzel az e-mail címmel!";
                    $this->vanhiba = true;
                    }
                }
            }


		if ((empty($_POST['Nev'])) || ($_POST['Varos']=="0") || (empty($_POST['Iszam'])) || (empty($_POST['Utca'])) || (empty($_POST['Telefon'])) || (empty($_POST['Hazszam']))  || (empty($_POST['Email'])))
			{
			$this->hibak[]= "Nem adott meg minden kötelező adatot!";
			$this->vanhiba = true;
			}

		if (($_POST['Varos']=="0") && (empty($_POST['Varos2']))) 
			{
			$this->hibak[]= "Nem adott meg települést!";
			$this->vanhiba = true;
			}
		
        
        if(!MULTIADDRESS) 
			{
			$qyvoltmar = "SELECT 1 FROM felhasznalok_cimek fc, felhasznalok f WHERE fc.idlogin=f.idlogin and  fc.Nev=? and fc.UNev=? and f.Email=?";
			$stvoltmar=$conn->prepare($qyvoltmar);
			if(!$stvoltmar)
				{
				exit(ADATBAZISHIBASZOVEG_FRONTEND."03");
				}
			else
				{
				$stvoltmar->bind_param('sss',$_POST['Nev'],$_POST['UNev'],$_POST['Email']);
				$stvoltmar->exec();
				//ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
				if ($stvoltmar->num_rows()!=0) 
					{
					$this->hibak[]= "Ezekkel az adatokkal már létezik regisztrált felhasználó!";
					$this->vanhiba = true;
					}
				}
			}
            
		}    
     
     function sendUserMail($mail)
		{
		require_once(foodPath::fromRoot("class_foodMailer.php"));
        
         //$hova=$this->checkAdminMail($_POST['Varos']);
        
         $admails=adminmails::getAdminMails();
        
         switch ($hova)
            {
            case 0: $admail=$admails[1];
                    break;
            case 1: $admail=$admails[1];
                    break;
            }
        
		$m=new foodMailer();
		$m->mailer->AddAddress($this->adatok["Email"]);
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, "Válaszcím"); // indicates ReplyTo headers
		$m->mailer->Subject = MAILNEVROVID." azonosító";
		if(AUTOLOGINNEV)
            {
            $m->mailer->IsHTML(false);
            }
         else
            {
            $m->mailer->IsHTML(false);
            }
		ob_start();
		$mail->Run();
		$m->mailer->Body = ob_get_clean();
		
        if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
            
		}
        
     function checkAdminMail($varos)
        {
        $conn=foodDB::Connect();
        $qyaemail = "SELECT Varosid FROM telepulesek WHERE Telep=?";
        $staemail=$conn->prepare($qyaemail);
        if(!$staemail)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND."02");
            }
        else
            {
            $staemail->bind_param('s',$varos);
            $staemail->exec();
            if ($staemail->num_rows()!=0) 
                {
                $soraemail=$staemail->fetch_assoc();
                return($soraemail['Varosid']);
                }
            else
                {
                return(0);
                }
            }
        }
        
    }
?>