<?php
class ugyfelmuvelet_moduleBox extends foodModule
    {
    public $page;
    public $id;
    public $loginNev;
    public $status;
    public $validstatus=array("NONE" => null,"NOTSELECTED" => null,"REGULAR" => "modositas_module","EDITADDRESS" => "cimmodositas_module", "NEWUSER" => "azonositocheck_module","NEWID" => "azonositorogzites_module");
    public $check=array();
    public $adatok;
    public $ujadatok;
    public $userhandler;
    
    
    function __construct($page,$id=null)
        {
        $this->page=$page;
        $this->id=$id;
        
        if(is_null($id))
            {
            $this->status="NOTSELECTED";
            }
        else
            {
            $conn=foodDB::Connect();

            $qy="select loginNev from felhasznalok_cimek where id=?";
            $st=$conn->prepare($qy);
            if(!$st)
                {
                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                }
            $st->bind_param("i",$id);
            $st->exec();
            if(($sor=$st->fetch_assoc())===false)
                {
                $this->status="NONE";
                }
            else
                {
                $this->loginNev=$sor["loginNev"];
                }
                
            $this->getThisUser();
            }
        }
     
    function getThisUser()
        {
        $this->getUser("adatok");
        $this->status="REGULAR";	
        if($this->adatok===false)
            {
            $this->status="NONE";
            }
        else
            {
            if($this->adatok["temp"]==1)
                {
                $this->status="NEWID";
                }
            else
                {
                if($this->adatok["ujreg"]==1)
                    {
                    $this->status="NEWUSER";
                    }
                else
                    {
                    if($this->adatok["cimmod"]==1)
                        {
                        $this->status="EDITADDRESS";
                        $this->getUser("ujadatok");
                        $this->checkUser();
                        }
                    }
                }
            }
        }
    
    public function subModule($submodulename=null)
        {
        if($this->status!="NONE" && $this->status!="NOTSELECTED")
            {
            if(is_null($submodulename))
                {
                $submodulename=$this->validstatus[$this->status];
                }
            return($this->userhandler=$this->addModule(foodFactory::addModule($submodulename,$this->page,$this->id)));
            }
        return(null);
        }
    
    function getUser($from)
        {
        if($from=="adatok")
            {
            $tabla="felhasznalok_cimek";
            $tomb="adatok";
            }
        else
            {
            $tabla="felhasznalok_cimmod";
            $tomb="ujadatok";
            }
        
        $conn=foodDB::Connect();
        
        $qyadatok="select fc.id, fc.idlogin, fc.loginNev, fc.Nev, fc.UNev, fc.Varos, fc.Iszam, fc.Utca,fc.Hazszam, fc.Kaputel, fc.Telefon, fc.Fax, fc.Szamnev, fc.Szamiszam, fc.Szamvaros, fc.Szamutca, fc.Szamhazszam, fc.Megjegy, fc.Kedvezmeny, fc.Szamlaszam,f.Newsletter, f.jelszo, f.Email, fc.ujreg, fc.cimmod, fc.temp  from ".$tabla." fc  left outer join felhasznalok f on fc.idlogin=f.idlogin where fc.id=?";
        
        $stadatok=$conn->prepare($qyadatok);
        
        if(!$stadatok)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        else
            {
            $stadatok->bind_param('i',$this->id);
            $stadatok->exec();
            $this->$tomb=$stadatok->fetch_assoc();
            }
        }
        
    function checkUser()
        {
        $this->check=array();
        if(!empty($this->adatok) && !empty($this->ujadatok))
            {
            foreach($this->adatok as $key => $value)
                {
                if(trim($value) != trim($this->ujadatok[$key]))
                    {
                    $this->check[$key]=true;
                    }
                }
            }
        }
    }


?>