<?php
class box_ikon_module extends moduletemplate
    {
    public function Select($ikon_id)
        {
        ?>
        <link rel="stylesheet" href="//code.jquery.com/ui/1.11.2/themes/smoothness/jquery-ui.css">
  <script src="//code.jquery.com/jquery-1.10.2.js"></script>
  <script src="//code.jquery.com/ui/1.11.2/jquery-ui.js"></script>
  
   <script>
  $(function() {
    $.widget( "custom.iconselectmenu", $.ui.selectmenu, {
      _renderItem: function( ul, item ) {
        var li = $( "<li>", { text: item.label } );
 
        if ( item.disabled ) {
          li.addClass( "ui-state-disabled" );
        }
 
        $( "<span>", {
          style: item.element.attr( "data-style" ),
          "class": "ui-icon " + item.element.attr( "data-class" )
        })
          .appendTo( li );
 
        return li.appendTo( ul );
      }
    });
 
 
    $( "#ikon_id" )
      .iconselectmenu()
      .iconselectmenu( "menuWidget" )
        .addClass( "ui-menu-icons customicons" );
 
    
  });
  </script>
  
   <style>

    #ikonselect fieldset {
      border: 0;
    }
    #ikonselect label {
      display: block;
    }
    #ikonselect select {
      width: 200px;
    }
 
    /* select with custom icons */
    .ui-selectmenu-menu .ui-menu.customicons .ui-menu-item {
      padding: 0.5em 0 0.5em 3em;
    }
    .ui-selectmenu-menu .ui-menu.customicons .ui-menu-item .ui-icon {
      height: 24px;
      width: 24px;
      top: 0.1em;
    }
    <?php
    foreach($this->op->ikonok as $id => $ikon)
        {
        ?>
        .ui-icon.iconclass<?php echo $ikon["id"]; ?> {
      background: url("<?php echo foodString::fullUrl(SYSIMGDIR.$ikon["filenev"]); ?>") 0 0 no-repeat;
    }
        <?php
        }
    ?>    
  </style>
  <div id="ikonselect">
    <fieldset>
    <label for="filesB">Válasszon ikont:</label>
    <select name="ikon_id" id="ikon_id">
    <?php
    foreach($this->op->ikonok as $id => $ikon)
        {
        ?>
        <option value="<?php echo $ikon["id"]; ?>" data-class="iconclass<?php echo $ikon["id"]; ?>" <?php
        if($ikon_id==$id)
            {
            echo "selected";
            }
        ?>><?php echo $ikon["title"]; ?></option>
        <?php
        }
    ?>
    </select>
  </fieldset>
  </div>
        <?php
        }
    
    public function Display()
        {
        $etlap=foodEtlap::getEtlap();
        $ikon_id=$etlap[$this->op->etelid]["ikon_id"];
        if($this->op->ikonok[$ikon_id]["display"]==1)
            {
            ?>
            <img align="right" style="margin-bottom:5px;"  src="<?php echo foodString::file(SYSIMGDIR.$this->op->ikonok[$ikon_id]["filenev"]); ?>" title="<?php echo $this->op->ikonok[$ikon_id]["title"]; ?>">
            <?php
            }
        }
    }
?>