<?php
class emlekezteto_moduleBox extends foodModule
    {
    public $emlekezteto=0;
    public $link;
    public $szamlalo;
    
    public $hibak=array();
    
    function process()
        {
        if(!isset($_POST["submit_reminder"]))
            {
            $this->get();
            return;
            }
        $this->emlekezteto=$_POST["emlekezteto"];
        $conn=foodDB::Connect();
        $qy="update felhasznalok set emlekezteto=? where idlogin=?";
        $st=$conn->prepare($qy);
		if(!$st)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND);
			}
        
        $st->bind_param("ii",$this->emlekezteto,foodUser::getuserData("idlogin"));
        $st->exec();
        foodUser::setUserSessionData("emlekezteto",$this->emlekezteto);
        }
    
    function get()
        {
        $conn=foodDB::Connect();
        
        $qy = "select emlekezteto from felhasznalok where idlogin=?";
		$st=$conn->prepare($qy);
		if(!$st)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND);
			}
        
        $st->bind_param("i",foodUser::getuserData("idlogin"));
         $st->exec();
         $sor=$st->fetch_assoc();
         $this->emlekezteto=$sor["emlekezteto"];
        }
        
    function login()
        {
        if(isset($_GET["em"]))
            {
            $conn=foodDB::Connect();
        
            $qy = "select loginNev, jelszo from felhasznalok where emlekezteto>0 and emlekezteto_uid=? and emlekezteto_limit>=?";
            $st=$conn->prepare($qy);
            if(!$st)
                {
                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                }
            
                $st->bind_param("ss",$_GET["em"],date("Y-m-d H:i:s"));
                $st->exec();
                $sor=$st->fetch_assoc();
                if($sor)
                    {
                    foodUser::Login($sor['loginNev'],$sor['jelszo']);
                    }
                }
        }
    }


?>