<?php
class letoltes_moduleBox extends foodModule
    {
    private $data;    
    private $key="4725496834548354";
    public $maxdatetime;
    public $maxhet;
    public $mev;
    public $mhet;
    public $mostev;
    public $mosthet;
    public $nextev;
    public $nexthet;
    public $eheti;
    
    function __construct()
        {
        $this->mostev=date("Y");
        $this->mosthet=foodDatum::getHet();
        $conn=foodDB::Connect();
        $qy="select ertek from rendszer where csoport='letoltes' and nev='maxdatetime'";
        $st=$conn->prepare($qy);
        
        $qy1="select ertek from rendszer where csoport='letoltes' and nev='maxhet'";
        $st1=$conn->prepare($qy1);
        if($st && $st1)
            {
            $st->exec();
            $sor=$st->fetch_assoc();
            $this->maxdatetime=$sor["ertek"];
            $st1->exec();
            $sor1=$st1->fetch_assoc();
            $this->maxhet=$sor1["ertek"];
            $this->mev=substr($this->maxhet,0,4);
            $this->mhet=substr($this->maxhet,4,2);
            }
        
        if(date("N")<3) //  3
            {
            $this->eheti=true;
            }
        else
            {
            $this->eheti=false;
            $qyn1="select Het from etlap where ev=? and Het=?";
            $stn1=$conn->prepare($qyn1);
            $qyn2="select min(Het) as nexthet from etlap where ev=?";
            $stn2=$conn->prepare($qyn2);
            if($stn1 && $stn2)
                {
                $stn1->bind_param("si",$this->mostev,$this->mosthet+1);
                $stn1->exec();
                $sor=$stn1->fetch_assoc();
                if($sor)
                    {
                    $this->nextev=$this->mostev;
                    $this->nexthet=$this->mosthet+1;
                    }
                else
                    {
                    $stn2->bind_param("s",$this->mostev+1);
                    $stn2->exec();
                    $sor2=$stn2->fetch_assoc();
                    if($sor2)
                        {
                        if($sor2["nexthet"])
                            {
                            $this->nextev=$this->mostev+1;
                            $this->nexthet=$sor2["nexthet"];
                            }
                        else
                            {
                            $this->eheti=true;
                            }
                        }
                    else
                        {
                        $this->eheti=true;
                        }
                    }
                }
            }
        }
    
    function save($rendelid,$ev,$het,$azonositoval,$filenev,$file)
        {
        $conn=foodDB::Connect();
        $qy="insert into letoltes(loginNev,Nev,Cim,rendelid,ev,het,azonositoval,filenev,file,type) values(?,?,?,?,?,?,?,?,?,?)";
        $st=$conn->prepare($qy);
        $qyu="update letoltes set ido=zarolva where id=?";
        $stu=$conn->prepare($qyu);
        $qyd="delete from letoltes where rendelid=? and ev=? and het=?";
        $std=$conn->prepare($qyd);
        if(!$st || !$stu || !$std)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $ca=foodUser::getaktualiscim();
        $cim=$ca["Varos"]." ".$ca["Iszam"]." ".$ca["Utca"]." ".$ca["Hazszam"];
        
        $ez_rendeles=strpos($filenev,'r_');
        
        $type=1;
        if($ez_rendeles===false)
            {
            $type=0;
            }
        
        $std->bind_param("ssi",$rendelid,$ev,$het);
        $std->exec();
        
        $st->bind_param("sssssiissi",foodUser::getuserData("loginNev"),foodUser::getuserData("Nev"),$cim,$rendelid,$ev,$het,$azonositoval,$filenev,$file,$type);
        $st->exec();
        $id=$st->insert_id();
        $stu->bind_param("i",$id);
        $stu->exec();
        }
        
    function getnext()
        {
        $conn=foodDB::Connect();
        
        $qm="SELECT min(ido) as ido FROM letoltes WHERE letoltve=0 and ido>=?";
        $stm=$conn->prepare($qm);
        if(!$stm)
            {
            return("ERROR0");
            }
        $stm->bind_param("s",$this->maxdatetime);   
        $stm->exec();
        $sorm=$stm->fetch_assoc();
        if($sorm)
            {
            $minido=$sorm["ido"];
            }
        else
            {
            $minido=date("Y-m-d H:i:s");
            }
        
        $qkovid1="select id from letoltes where zarolas=0 and (ev=? and het=? and ido>=? or ev=? and het=? and ido>=?) and (ev=? and het>=? or ev>?) order by id";
        $stkovid1=$conn->prepare($qkovid1);        
        if(!$stkovid1)
            {
            return("ERROR1");
            }
 
        
        if($this->eheti)
            {
            $stkovid1->bind_param("sississis",$this->mostev,$this->mosthet,$this->maxdatetime,$this->mostev,$this->mosthet,$this->maxdatetime,$this->mev,$this->mhet,$this->mev);
            }
        else
            {
             $stkovid1->bind_param("sississis",$this->mostev,$this->mosthet,$this->maxdatetime,$this->nextev,$this->nexthet,"2016-01-01 00:00:00",$this->mev,$this->mhet,$this->mev);
            }
        
        $stkovid1->exec();
        $ids=array();        
        while($sorkovid1=$stkovid1->fetch_assoc())
            {
            $ids[]=$sorkovid1["id"];
            }
        
            
        if(!empty($ids))
            {
            
            $qgetrow="select id, loginNev, Nev, Cim, rendelid, ev, het, azonositoval, filenev, file from letoltes where id=?";
            $qsetrow="update letoltes set zarolas=1, zarolva=CURRENT_TIMESTAMP where id=? and zarolas=0";
            $stgetrow=$conn->prepare($qgetrow);  
            $stsetrow=$conn->prepare($qsetrow);
            
            if(!$stgetrow || !$stsetrow )
                { 
                return("ERROR2");
                }
               
            foreach($ids as $id)
                {
                
                $conn->autocommit(FALSE);
                $stsetrow->bind_param("i",$id);
                $stsetrow->exec();
                if(!isset($stsetrow->stmt_object))
                    {
                    return("ERROR5");
                    }
                if(!isset($stsetrow->stmt_object->affected_rows))
                    {
                    return("ERROR6");
                    }   
                    
                if($stsetrow->stmt_object->affected_rows>0)
                    {
                    $stgetrow->bind_param("i",$id);
                    $stgetrow->exec();
                    $sor=$stgetrow->fetch_assoc();
                    $this->data=$sor;
                    $this->data["meddig"]=$minido;
                    $conn->commit();
                    return($this->data);
                    }
                else
                    {
                    $conn->rollback();
                    }
                }
            }
        
        $qkovid2="select id from letoltes where letoltve=0 and date_sub(CURRENT_TIMESTAMP, INTERVAL 10 MINUTE) > zarolva and (ev=? and het=? and ido>=? or ev=? and het=? and ido>=?) and (ev=? and het>=? or ev>?) order by id";
        $stkovid2=$conn->prepare($qkovid2);        
        if(!$stkovid2)
            {
            return("ERROR3");
            }   
        
        if($this->eheti)
            {
            $stkovid2->bind_param("sississis",$this->mostev,$this->mosthet,$this->maxdatetime,$this->mostev,$this->mosthet,$this->maxdatetime,$this->mev,$this->mhet,$this->mev);
            }
        else
            {
             $stkovid2->bind_param("sississis",$this->mostev,$this->mosthet,$this->maxdatetime,$this->nextev,$this->nexthet,"2016-01-01 00:00:00",$this->mev,$this->mhet,$this->mev);
            }        
        
        
        $stkovid2->exec();
        $ids2=array();        
        while($sorkovid2=$stkovid2->fetch_assoc())
            {
            $ids2[]=$sorkovid2["id"];
            }
                 
        if(!empty($ids2))
            {
            $qgetrow2="select id, loginNev, Nev, Cim, rendelid, ev, het, azonositoval, filenev, file from letoltes where id=?";
            $qsetrow2="update letoltes set zarolas=1, zarolva=CURRENT_TIMESTAMP where id=? and date_sub(CURRENT_TIMESTAMP, INTERVAL 10 MINUTE) > zarolva";
            $stgetrow2=$conn->prepare($qgetrow2);  
            $stsetrow2=$conn->prepare($qsetrow2);
            if(!$stgetrow2 || !$stsetrow2 )
                {
                return("ERROR4");
                }
                
            foreach($ids2 as $id)
                {
                $conn->autocommit(FALSE);
                $stsetrow2->bind_param("i",$id);
                $stsetrow2->exec();
                if($stsetrow2->stmt_object->affected_rows>0)
                    {
                    $stgetrow2->bind_param("i",$id);
                    $stgetrow2->exec();
                    $sor=$stgetrow2->fetch_assoc();
                    $this->data=$sor;
                    $this->data["meddig"]=$minido;
                    $conn->commit();
                    return($this->data);
                    }
                else
                    {
                    $conn->rollback();
                    }
                }
            }
            
        return("END");
        
        }
      
    function getMaxDateTime()
        {
        $conn=foodDB::Connect();
        $qy="select nev, ertek from rendszer where csoport='letoltes'";
        $st=$conn->prepare($qy);
        if(!$st)
            {
            return("ERROR_getMaxDateTime");
            }
        $st->exec();
        $back=array();
        while($sor=$st->fetch_assoc())
            {
            $back[$sor["nev"]]=$sor["ertek"];
            }
        return($back["maxdatetime"].'*'.$back["maxhet"]);
        }
       
    function setMaxDateTime($ertek,$ertek2)
        {
        $conn=foodDB::Connect();
        $qy="update rendszer set ertek=? where csoport='letoltes' and nev='maxdatetime'";
        $st=$conn->prepare($qy);
        $qy2="update rendszer set ertek=? where csoport='letoltes' and nev='maxhet'";
        $st2=$conn->prepare($qy2);
        if(!$st || !$st2)
            {
            return("ERROR_setMaxDateTime");
            }
        $st->bind_param("s",$ertek);
        $st->exec();
        $st2->bind_param("s",$ertek2);
        $st2->exec();
        return("OK");
        }      
      
    function letoltve($id)
        {
        $conn=foodDB::Connect();
        $qy="update letoltes set letoltve=1 where id=?";
        $st=$conn->prepare($qy);
        if(!$st)
            {
            return("LETOLTERROR");
            }
        $st->bind_param("i",$id);
        $st->exec();
        return("OK");
        }    
    
    
    
	public function encrypt($input) 
        {
		$size = mcrypt_get_block_size(MCRYPT_RIJNDAEL_128, MCRYPT_MODE_ECB); 
		$input = $this->pkcs5_pad($input, $size); 
		$td = mcrypt_module_open(MCRYPT_RIJNDAEL_128, '', MCRYPT_MODE_ECB, ''); 
		$iv = mcrypt_create_iv (mcrypt_enc_get_iv_size($td), MCRYPT_RAND); 
		mcrypt_generic_init($td, $this->key, $iv); 
		$data = mcrypt_generic($td, $input); 
		mcrypt_generic_deinit($td); 
		mcrypt_module_close($td); 
		$data = base64_encode($data); 
		return $data; 
        } 
        
	private function pkcs5_pad ($text, $blocksize) 
        { 
		$pad = $blocksize - (strlen($text) % $blocksize); 
        if($pad == 0)
            {
			$pad = $blocksize;
            }
		return $text . str_repeat(chr($pad), $pad); 
        } 
        
	public function decrypt($sStr) 
        {
		$decrypted= mcrypt_decrypt(
			MCRYPT_RIJNDAEL_128,
			$this->key, 
			base64_decode($sStr), 
			MCRYPT_MODE_ECB
		);
		$dec_s = strlen($decrypted); 
		$padding = ord($decrypted[$dec_s-1]); 
		$decrypted = substr($decrypted, 0, -$padding);
		return $decrypted;
        }
    }
    

    
    
   	
  


?>