<?php 
class foodLang_actual extends foodLang
    { // DEUTSCH
    public function init()
        { 
        
        // Strings
        
        $this->addString("Aktuális","Aktuell");
        $this->addString(" egész hétre"," für die ganze Woche ");
        $this->addString("Ételrendelés","Speisebestellung");
        $this->addString("Válaszcím","Zurück Adresse");
        $this->addString(".hét)",".Woche)");
        $this->addString(" - Azonosító nélkül"," - Ohne ID");
        $this->addString("Rendelés","Bestellung");
        $this->addString("Lemondás","Ruckritt");
        $this->addString("lemondás","Ruckritt");
        $this->addString("rendelés","Bestellung");
        $this->addString("?het=","?woche=");
        $this->addString("egész hétre","für die ganze Woche ");
        $this->addString("adag","Portion");
        $this->addString("db","db");
        $this->addString("egységár","Stückpreis");
        $this->addString("Írjon nekünk!","Kontakt");
        
        $this->addString("elfelejtett jelszó","Vergessene Passwort");
        $this->addString("Jelszó kérése","Passwort anfordern");
        $this->addString("Sikeres kiküldés!","Erfolgreiche Bestellung!");
        $this->addString("Sikertelen kérés. Nincs ilyen azonosító vagy egyéb hiba.","Die Anforderung ist fehlgeschlagen. Es gibt keine solchen Kennzeichnung oder andere Fehler.");
        $this->addString("Azonosító","ID nummer");
        $this->addString("Kérem a jelszavam","Geben Sie mir das Passwort");
        
        $this->addString("Nyomtatható változat","Druckversion");
        $this->addString("hét","woche");
        $this->addString("szerkesztés alatt","Unter Bearbeiten");
        $this->addString("Étlap","Speisekarte");
        $this->addString("étlap","Speisekarte");
        $this->addString("i szállítással"," Versand am");
        $this->addString("szünnap","Geschlossen");
        $this->addString("Aktuális cím","Aktuelle Adresse");
        $this->addString("Név","Name");
        $this->addString("Cím","Adresse");
        $this->addString("Módosítás","Ändern");
        $this->addString("Az étlap feltöltés alatt áll!","Das Menü ist im Aufbau!");
        $this->addString("Profil","Profil");
        $this->addString("Főoldal","Home");
        $this->addString("Vitál konyha","Vital Küche");
        $this->addString("Lépjen be a rendeléshez","Melden Sie sich an und dann können Sie bestellen !");
        $this->addString("kosár","basket");
        $this->addString("Regisztráció","Registrieren");
        $this->addString("azonosító","Identifizierung");
        $this->addString("jelszó","Passwort");
        $this->addString("belépés","Eintrag");
        $this->addString("Üdv","Willkommen");
        $this->addString("Hibás felhasználónév vagy jelszó!","Benutzername oder Passwort ungültig oder falsch!");

        
        // Pages
        
   
        
        $this->addPage("fooldal","mainpage");
        $this->addPage("etlap","speisekarte");
        $this->addPage("regisztracio","registrieren");
        $this->addPage("lemondas","ruckritt");
        $this->addPage("rendeles","bestellung");
        $this->addPage("kosar","basket");
        $this->addPage("kosar_lemondas","basket_ruckritt");
        $this->addPage("elfelejtett_jelszo","passwort_vergessen");
        $this->addPage("irjon_nekunk","kontakt");
        $this->addPage("szemelyes","personlichen");
        $this->addPage("rendelesek_korabbi","vorherige_bestellung");
        $this->addPage("rendeleskuldes","bestellung_senden");
        $this->addPage("lemondaskuldes","ruckritt_senden");
        $this->addPage("lepjen_be_a_rendeleshez","entrag_bestellung");

        
        $this->addMisc("het","Woche");
        
        // RegexIterator::accept
        
        $this->addRegex(foodConstants::$HETPATTERN,"Woche $1");
        
        // misc
        
        //$this->add
        
        }
        
     public function setNapok()
        {
        hetnapjai::$napok['de']=array( "1" =>  "Montag", "2" =>  "Dienstag", "3" =>  "Mittwoch", "4" =>  "Donnerstag", "5" =>  "Freitag", "6" =>  "Samstag", "7" =>  "Sonntag" );
        }
        
     public function setHonapok()
        {
        evhonapjai::$honapok['de']=array("1" => "Januar", "2" => "Februar", "3" => "März", "4" => "April", "5" => "Mai", "6" => "Juni", "7"  => "Juli" , "8" => "August", "9" => "September", "10" => "Oktober", "11" => "November", "12" => "Dezember");
        }
      
     public function setABC()
        {
        $this->addOWString("abc","AÄBCDEFGHIJKLMNOÖPQRSßTUÜVWXYZ");
        }
      
     public function getTxtDatum_replace($matches)
        {
        $ev=$matches[1];
        $honap=evhonapjai::getHonapok((int)$matches[2]);
        $nap=hetnapjai::getNapok((int)$matches[3]);
        return($nap.". ".$honap." ".$ev);
        }      
        
    }


?>