<?php
require_once("../config.php");
    header("Content-type: text/css; charset: UTF-8");
?>
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, font, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td {
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	font-size: 100.01%;
	vertical-align: baseline;
	background: transparent;
}
body {
	line-height: 1;
	/*background:#e6e6e6;*/
	/*background: url(../images/body_background_swarowski.jpg) no-repeat center top;*/
	background:#e6e6e6;
	font-family:Arial, Helvetica, sans-serif;
	font-size:12px;
}

body.rama {
	background: url(<?php echo BASEURL.IMGDIR; ?>bg_rama.jpg) no-repeat center bottom #1B0C0F;
}

body.rama #lablec {
	margin-bottom: 500px !important;
}

.clear {
	clear:both;
}

a {
	text-decoration:none;
}

a:hover {
	text-decoration:none;
}

.sarga {
	display:block;
	color:#d7a000 !important;
}

ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}

:focus {
	outline: 0;
}


ins {
	text-decoration: none;
}
del {
	text-decoration: line-through;
}


table {
	border-collapse: collapse;
	border-spacing: 0;
}

blockquote, q
{
	quotes: none;
}

blockquote:before, blockquote:after, q:before, q:after
{
	content: "";
	content: none;
}

textarea { overflow: auto; font-family:Arial, Helvetica, sans-serif; font-size:12px; }
input { border: 0px solid white; margin: 0;  padding: 0; }


.sargaBetu {
	color:#d7a000 !important;
}

.feherBetu, .feherBetu a {
	color:#FFF !important;
}

#csomagolo {
	width:990px;
	margin:0 auto;
	z-index: 1;
}

#felsoResz {
	position:relative;
	float:left;
	width:990px;
	background:#FFF;
}

#fejlec {
	position:relative;
	background:url(<?php echo BASEURL.IMGDIR; ?>fejlec.png);
	width:980px;
	height:111px;
	top:1px;
	left:5px;
}

#fejlec2 {
	position:relative;
	background:url(<?php echo BASEURL.IMGDIR; ?>fejlec2.png);
	width:980px;
	height:413px;
	top:1px;
	left:5px;
}

#fejlec2.swarowski {
	background:url(<?php echo BASEURL.IMGDIR; ?>header_swarowski.jpg) !important;
}

#fejlec2.nonap {
	background:url(<?php echo BASEURL.IMGDIR; ?>header_nonap.jpg) no-repeat 0 0 !important;
}

#fejlec2.dove {
	background:url(<?php echo BASEURL.IMGDIR; ?>header_dove.jpg) no-repeat 0 0 !important;
}

#fejlec2.dropVine {
	background:url(<?php echo BASEURL.IMGDIR; ?>fejlecDropWine.jpg) no-repeat 0 0 !important;
}

#fejlec2.rauch {
	background:url(http://www.bonappetit.hu/img/2011_06_22-1.jpg) no-repeat 0 0 !important;     
}

#fejlec2.gasztrotura-ausztria {
	background:url(http://www.bonappetit.hu/img/BA-WEB-2012_032-WEB_CIMOLDAL_Fejlec_vegleges.jpg) no-repeat 0 0 !important;     
}




#loginKulso {
	position:absolute;
	background:url(<?php echo BASEURL.IMGDIR; ?>kiemeltHatter.png);
	width:230px;
	height:91px;
	top:18px;
	right:5px;
}

/*
#login2 {
	float:left;
	background:url(../images/loginHatterSwarowski.png);
	width:230px;
	height:139px;
	font-size:11px;
	color:#460211;
	position:relative;
}    */

#login2 {
    float:left;
    background:url(<?php echo BASEURL.IMGDIR; ?>loginHatter.png);
    width:230px;
    height:91px;
    font-size:11px;
    color:#460211;
}

#login2 label {
	float:left;
	padding-right:5px;
	text-align:right;
	width:88px;
	margin:6px 0 0 0;
	line-height:21px;
}

#login2 .input {
	float:left;
	width:122px;
	height:13px;
	font-size:10px;
	padding:4px;
	background:url(<?php echo BASEURL.IMGDIR; ?>loginMezo.png);
	margin:6px 0 0 0;
}

#login2 .gomb {
	float:right;
	margin:5px 10px 0 0;
	background:#5b000e;
	padding:3px;
	color:#FFF !important;
	font-size:11px !important;
	cursor:pointer;
}

#login2 span {
	float:left;
	margin:10px 0 0 70px;
}

#login2 a {
	color:#460211;
}

#login2 a.login-swarowski-link {
	width:230px;
	height:50px;
	display:block;
	position:absolute;
	left:0;
	bottom:0;
}

#login2 a.login-swarowski-link span{
	display: none;
}



#logo {
	position:absolute;
	width:250px;
	height:69px;
	left:18px;
	top:7px;
}

ul#negylepes {
	position:absolute;
	top:23px;
	left:315px;
}

ul#negylepes li {
	display:inline;
}

ul#negylepes li a{
	float:left;
	width:80px;
	height:30px;
	border-right:1px solid #be8f00;
	text-align:center;
	font-size:10px;
	background:center 13px no-repeat;
	color:#febf01;
	padding-top:45px;
}

ul#negylepes li a.lepes1{
	background-image:url(<?php echo BASEURL.IMGDIR; ?>lepes1.png);
}

ul#negylepes li a.lepes2{
	background-image:url(<?php echo BASEURL.IMGDIR; ?>lepes2.png);
}

ul#negylepes li a.lepes3{
	background-image:url(<?php echo BASEURL.IMGDIR; ?>lepes3.png);
}

ul#negylepes li a.lepes4{
	background-image:url(<?php echo BASEURL.IMGDIR; ?>lepes4.png);
}

ul#negylepes li a.lepes5{
	background-image:url(<?php echo BASEURL.IMGDIR; ?>lepes5.png);
}

ul#negylepes li a.kerdojel{
	background-image:url(<?php echo BASEURL.IMGDIR; ?>kerdojel.png);
	border-right:0;
}

#login {
	position:absolute;
	width:230px;
	height:91px;
	font-size:11px;
	color:#460211;
	top:18px;
	right:5px;
	color:#FFF;
}

#login label {
	float:left;
	clear:left;
	padding-right:5px;
	text-align:right;
	width:88px;
	margin:6px 0 0 0;
	line-height:21px;
}

#login .input {
	float:left;
	width:122px;
	height:13px;
	padding:3px;
	background:#FFF;
	margin:6px 0 0 0;
	font-size:10px;
}

#login .gomb {
	float:right;
	background:#5b000e;
	padding:3px;
	color:#FFF !important;
	font-size:11px !important;
	cursor:pointer;
	margin:-15px 10px 0 -0;
}

#login span {
	float:left;
	width:100%;
	margin:10px 0 0 70px;
}

#login a {
	color:#FFF;
}

#hibauzenet {
	position:absolute;
	right:5px;
	top:115px;
	padding:5px;
	background:#fef0cb;
	border:2px solid #cfa64e;
	-moz-border-radius:10px;
	-webkit-border-radius:10px;
	z-index:99;
	font-weight:bold;
}
	

#kiemeltSzoveg {
	float:left;
	width:190px;
	padding:5px;
}

#kiemeltSzoveg .nagy {
	float:left;
	width:190px;
	font-size:40px;
	letter-spacing:-1px;
	font-weight:bold;
	color:#660118;
	border-bottom:1px solid #660118;
	line-height:40px;
	padding-bottom:5px;
	margin-bottom:5px;
}

#kiemeltSzoveg .szoveg {
	color:#343434;
	font-size:11px;
	line-height:12px;
}

#kiemeltSzoveg .piros {
	color:#660118;
	display:block;
	font-weight:bold;
}

#kiemeltSzoveg a#game-points {
	background: url(<?php echo BASEURL.IMGDIR; ?>game-points.jpg);
	display:block;
	width:210px;
	height:216px;
	padding: 24px 5px 0 5px;
	font-family: "Arial Black", Gadget, sans-serif;
	font-size: 20px;
	color:#fff;
}

ul#menu {
	position:relative;
	float:left;
	width:990px;
	height:23px;
	background:url(<?php echo BASEURL.IMGDIR; ?>fejlecArnyek.png) no-repeat bottom #FFF;;
	top:12px;
}

ul#menu li{
	display:inline;
}

ul#menu li a {
	float:left;
	height:14px;
	border-right:1px solid #92374c;
	padding:0 10px 0 10px;
	color:#febf01;
	font-size:13px;
	font-weight:bold;
	font-family: "Arial Black",Gadget,sans-serif;
	letter-spacing:-0.3px;
	/*padding-top:4px;*/
}

ul#menu li a.kiemelt {
	color:#660118;
	font-size:16px;
	letter-spacing:-0.5px;
}

#tartalom {
	position:relative;
	top:12px;
	width:990px;
	float:left;
	background:#FFF;
}

#bal {
	float:left;
	width:505px;
	min-height:680px;
	}
	
#bal .szoveg {
	color:#6a6a6a;
	line-height:15px;
	padding:15px;
	float:left; /* ! */
	width: 95%; /* ! */
}



#bal .cim {
	font-size:22px;
	color:#9c1f1f;
	line-height:40px;
}

#kozep {
	float:left;
	position:relative;
	width:220px;
	padding-right:25px;
	min-height:680px;
	background:url(<?php echo BASEURL.IMGDIR; ?>kozepHatter.png) top right no-repeat;
	}

#jobb {
	float:left;
	width:240px;
	min-height:680px;
	}
	
.oszlopFejlecBal {
	float:left;
	width:490px;
	height:33px;
	border-bottom:1px solid #7b0c26;
	margin:15px 0 0 15px;
}


.kosarFejlec {
	float:left;
	width:490px;
	height:33px;
	border-bottom:1px solid #7b0c26;
	margin:15px 0 0 15px;
}

.kosarFejlec  h1{
font-family: "Arial Black",Gadget,sans-serif;
    font-size: 30px;
    letter-spacing: -0.06em;
    margin: 0;
    padding: 0;
	color: #9C1F1F;
	font-weight: bold;
}

.kosarFejlec  h1 span.rendeles{
    font-family: Arial, Helvetica, sans-serif;
	font-weight: normal;
	color: #00BB00;
}

.kosarFejlec  h1 span.lemondas{
    font-family: Arial, Helvetica, sans-serif;
	font-weight: normal;
	color: #BB0000;
}

.oszlopFejlecBal h1, .oszlopFejlecKozep h1, 
.oszlopFejlecBal h2, .oszlopFejlecKozep h2, 
.oszlopFejlecBal span.heading, .oszlopFejlecKozep span.heading {
	font-family: "Arial Black",Gadget,sans-serif;
    font-size: 30px;
    letter-spacing: -0.06em;
    margin: 0;
    padding: 0;
	color: #9C1F1F;
	font-weight: bold;
}

h1.yellow {
	color: #febf01 !important;
}

h1.inline {
	display: inline;
}

.oszlopFejlecBal h1 span, .oszlopFejlecKozep h1 span, 
.oszlopFejlecBal h2 span, .oszlopFejlecKozep h2 span, 
.oszlopFejlecBal span.heading span, .oszlopFejlecKozep span.heading span {


	font-family: Arial, Helvetica, sans-serif;
	font-weight: normal;
	color: #febf01;
}

.oszlopFejlecKozep {
	float:left;
	width:100%;
	height:37px;
	border-bottom:1px solid #7b0c26;
	margin:16px 0 0 0px;
}

.oszlopFejlecBal, .oszlopFejlecKozep img {
	padding-bottom:5px;
}

.oszlopTartalom {
	float:left;
	width:100%;
	border-bottom:1px solid #953d51;
}

.lista {
	float:left;
	margin:10px 0 10px 0;
	color:#9c1f1f;
	width:100%;
	font-size:11px;
}

.lista a {

	font-weight:bold;
	color:#9c1f1f;
}

.lista span {
	display:block;
	color:#6a6a6a;
}

a.tovabbi {
	float:left;
	display:block;
	font-size:14px;
	font-weight:bold;
	color:#9c1f1f;
	padding-top:5px;
}

.oszlopFejlecJobb {
	float:left;
	font-size:24px;
	text-transform:uppercase;
	color:#660118;
	border-bottom:1px solid #a36774;
	margin-top:5px;
	margin-left:5px;
	margin-right:5px;
}

ul.infok {
	float:left;
	width:90%;
	margin-left:5px;
	color:#660118;
	font-size:11px;
	line-height:15px;
	margin-top:5px;
}

ul.infok a{
	color:#660118;
}

.doboz {
	float:left;
	width:210px;
	background:#d8a200;
	padding:15px;
	color:#FFF;
	font-size:11px;
	margin-top:15px;
}
.doboz .fejlec {
	float:left;
	border-bottom:2px solid #e8c766;
	width:210px;
	font-size:25px;
	margin:0 0 8px 0;
}

.doboz .jobbGomb {
	float:left;
	background:url(<?php echo BASEURL.IMGDIR; ?>jobbGomb.png);
	width:205px;
	height:34px;
	text-indent:15px;
	font-weight:bold;
	line-height:34px;
	color:#a30327;
	margin-top:8px;
}

.kiemeltAjanlat {
	float:left;
	width:100%;
	margin:15px 0 15px 0;
}

.kiemeltAjanlat img {
	float:left;
	margin:0 10px 0 0;
}

.kiemeltAjanlat h1, .kiemeltAjanlat h2, .kiemeltAjanlat h3 {
	font-weight: normal;
}

.kiemeltAjanlat .kcim {
	color:#660118;
	display:block;
	font-size:18px;
	line-height:20px;
	margin:2px 0 10px 0;
}

.kiemeltAjanlat .bevezeto {
	font-size:11px;
}

.kiemeltAjanlat .bevezeto-fix-height{
	display: block;
    font-size: 11px;
    height: 60px;
    overflow: hidden;
}

.kiemeltAjanlat a {
	display:block;
	color:#fdc101;
	font-size:14px;
	font-weight:bold;
	padding-top:3px;
}

.kiemeltAjanlat a.small-item-header {
	padding-top: 0;
}

.kiemeltAjanlat a.small-item-header span {
	margin-top:0;
	line-height:0.8em;
}

.kiemeltAjanlat div.news-float-left-image{
	min-height:90px;
}

.egyHir {
	float:left;
	width:200px;
	height:244px;
	margin:10px 35px 0 0;
}

.egyHir .hircim {
	float:left;
	width:100%;
	color:#660118;
	border-bottom:1px solid #660118;
	font-size:16px;
	letter-spacing:0.01px;
	font-family:"Arial Black",Gadget,sans-serif;
	line-height:18px;
	padding:5px 0 5px 0;
	letter-spacing:-0.5px;
}

.egyHir .bevezeto {
	float:left;
	font-size:11px;
	padding:5px 0 5px 0;
	height:95px;
	overflow:hidden;
	line-height:13px;
}

#lablec {
	position:relative;
	float:left;
	top:12px;
	width:990px;
	background:url(<?php echo BASEURL.IMGDIR; ?>lablec.png);
	height:74px;
	margin-bottom:50px;
}

#lablec ul {
	text-align:center;
	padding-top:32px;
}

#lablec ul li{
	display:inline;
}

#lablec ul li a {
	font-size:9px;
	color:#863548;
	text-transform:uppercase;
	font-weight:bold;
	padding:0 15px 0 0;
}


.felirat {
	float:right;
}

.mRecept {
	position:absolute;
	top:474px;
	width:90%;
	left:0;
}



.megjegyzes {
	font-style:italic;
	color: green;
}



table.artabla {
	float:left;
	width:100%;
}

table.artabla td {
	padding:5px;
}

table.artabla thead {
	border-bottom:1px solid #7B0C26;
	font-weight:bold;
}

table.artabla thead td {
}


ul.pager {
	float:left;
	width:100%;
	margin-top:10px;
}

ul.pager li {
	display:inline;
	float:left;
	padding:5px;
	border:1px solid #CCC;
	background:#f7f7f7;
	margin-right:10px;
	font-weight:bold;
	color:#640118;
}

ul.pager li:hover {
	background:#ccc;
}

ul.pager li a {
	color:#6A6A6A;
}

ul.pager li a:hover {
	text-decoration:none;
}


#etelAdatbazis{
    margin-top: 60px;
}

#etelAdatbazis .etelCim , .szoveg .etelCim a{
    color:#69031b;
    font-weight:bold; 
    float:left;    
}

#etelAdatbazis .etelPiros{
    color:#69031b;
    font-weight:bold;   
}


#etelAdatbazis .ertekeles{
    float:right;  
    font-size:40px;
    font-weight:bold;
    color:#69031b;  
}

#etelAdatbazis .etelCim .etelAr, .szoveg .etelAr{
    color:#e2b737;
    font-weight:bold;
       
}

#etelAdatbazis table.mikor{
    margin-top: 5px;
    font-weight:bold;
    color:#69031b;      
}

.etelInfo{
    float:right;
    color:#69031b;  
    font-weight:bold;
}
.etelInfo span{
    padding-right: 15px;
    font-size: 14px;

}

.etelInfo a{
    color:#69031b;  
    font-weight:bold;    
}

#kedvencKep{
    margin-right: 5px;
    cursor: pointer;
}

.ertekelesTitle{
    margin-top: 20px;
    font-weight:bold;
    color:#69031b;
    font-size: 20px;  
    float:left;  
}

.ertekeloCsillag{
    margin-top: 20px;
    float:right;
    cursor: pointer;
}

.ertekeloForm{
    margin-top: 10px;
}

.ertekeloForm textarea{
    width: 100%;
    height: 60px;
}

.ertekelesekLista{
    margin: 10px;
    background-color: #f3f3f3;
}
.ertekelesDoboz{
    padding: 5px;  
}

.ertekelesDoboz span{
    font-weight:bold;
    color:#69031b;
    padding-right: 10px;
}
.paros {
    background-color: #fefefe;
}

#bal .szoveg table.memberList{
	width:100%;
	margin: 10px 0;
}

#bal .szoveg table.memberList td{
	padding:4px 0;
}

#bal .szoveg table.memberList tr:nth-child(2n) td{
	background-color:#fafafa;
}

#bal .szoveg table.memberList a{
	color:#9C1F1F;
	font-weight:bold;
}

#bal .szoveg table.memberList td.deleteMember{
	text-align:right;
}

#bal .szoveg p a{
	color:#9C1F1F;
	font-weight:bold;
}

/* kerdoiv */

div.kerdoiv{
	margin:15px;
}

div.kerdoiv div.kerdoiv-content{
	color: #6A6A6A;
    line-height: 15px;
}

div.kerdoiv-content div{
	width:100%;
	clear:both;
	float:left;
	margin:6px 0;
}

div.kerdoiv label{
	font-weight:bold;
	color:#000;
	float:left;
	display:block;
	width:180px;
	text-align:right;
	margin-right:10px;
}

div.kerdoiv label.left{
	text-align:left;
	margin: 4px 0;
	width:100%;
}

div.kerdoiv-content legend{
	color: #9C1F1F;
    font-size: 13px;
    font-weight: bold;
    padding-bottom: 12px;
	padding-top:24px;
	text-align:left;
}

div.kerdoiv-content input.text{
	background: url("<?php echo BASEURL.IMGDIR; ?>loginMezo.png") repeat scroll 0 0 transparent;
    float: left;
	display:block;
    font-size: 11px;
    height: 13px;
    margin: -3px 0 5px;
    padding: 4px;
    width: 122px;
}

div.kerdoiv-content select{
	float:left;
	border: solid 1px #dbdfe6;
	width:130px;
}

div.kerdoiv-content input.button{
	background: none repeat scroll 0 0 #5B000E;
    color: #FFFFFF !important;
    cursor: pointer;
    font-size: 11px !important;
    padding: 3px;
}

div.kerdoiv-content textarea{
	width:100%;
	height:80px;
	border: solid 1px #dbdfe6;
}


/* SWAROWSKI */

#bal .point-table {
	color: #6A6A6A;
    float: left;
    line-height: 15px;
    padding: 15px;
    width: 95%;
}

#bal .point-table table {
	width:100%;
	font-size: 1.1em;
}

#bal .point-table table td {
	padding: 4px 6px;
}

#bal .point-table table td.date {
	color:#7f7f7f;
	width:20%;
	text-align:left;
}

#bal .point-table table td.status {
	color:#720421;
	font-style: italic;
	text-align:left;
	width:55%;
}

#bal .point-table table td.points {
	color:#720421;
	width:25%;
	text-align: right;
}

#bal .point-table table tr.grey td {
	color: #c3c3c3 !important;
}

#bal .point-table table tr.gold td {
	color:#d8a201 !important;
}


#bal .point-table table tr.total td {
	color:#67051e;
	text-align:left;
	border-top:1px solid #7B0C26;
	padding-top: 6px;
}

#bal .point-table table tr.total td.sum-total {
	font-weight: bold;
	text-align:right;
}

#bal div.gift-choose {
	color: #6A6A6A;
    float: left;
    line-height: 15px;
    padding: 15px;
    width: 95%;	
}


div.gift-wrapper {
	width:154px;
	float:left;
	height:235px;
	position:relative;
	margin: 5px 5px 5px 0;
}

div.gift-wrapper span {
	width:100%;
	display:block;
	text-align:center;
	font-weight:bold;
	margin: 4px 0;
	float:left;
	clear:both;
}

div.gift-wrapper img {
	float:left;
	clear:both;
	width: 154px;
	height:132px;
}

div.gift-wrapper div.desc {
	float:left;
	color:#575757;
	font-size: 1em;
	line-height: 1.3em;
	clear:both;
	margin: 4px 0;
}

div.gift-wrapper a.megveszem-button {
	background:url(<?php echo BASEURL.IMGDIR; ?>buy_button.png);
	display:block;
	width:152px;
	height:29px;
	float:left;
	clear:both;
	position:absolute;
	left: 0;
	bottom:0;
}


#MB_overlay {
    position: absolute;
    margin: auto;
	padding: 0;
    top: 0;    left: 0;
    width: 100%; height: 100%;
    z-index: 9000;
    border: 0;
    background-color: #000!important;
}
#MB_overlay[id] { position: fixed; }

#MB_windowwrapper {
    position:absolute;
    top:0;
    width:100%;
	z-index: 9100;
}

#MB_window {
    position:relative;
    margin-left:auto;
    margin-right:auto;
    top:0;
    left:0;
    border: 0 solid;
    text-align: left;
    z-index: 9500;
}
#MB_window[id] { position: relative; }

#MB_frame {
    position: relative;
    background-color: #EFEFEF;
    height: 100%;
	z-index: 9500;
}

#MB_header {
    margin: 0;
    padding: 0;
}

#MB_content {
    position: relative;
    padding: 6px .75em;
    overflow: auto;
	z-index: 9501;
}

#MB_caption {
    font: bold 100% "Lucida Grande", Arial, sans-serif;
    text-shadow: #FFF 0 1px 0;
    padding: .5em 2em .5em .75em;
    margin: 0;
    text-align: left;
}

#MB_close {
    display: block;
    position: absolute;
    right: 5px; top: 4px;
    padding: 2px 3px;
    font-weight: bold;
    text-decoration: none;
    font-size: 13px;
}
#MB_close:hover {
    background: transparent;
}

#MB_loading {
    padding: 1.5em;
    text-indent: -10000px;
    background: transparent url(spinner.gif) 50% 0 no-repeat;
}

/* Color scheme */
#MB_window {
    background-color: #EFEFEF;
    color: #000;
    
    -webkit-box-shadow: 0 0 64px #000; 
    -moz-box-shadow: #000 0 0 64px; 
    box-shadow: 0 0 64px #000;
}
    #MB_frame {
        padding-bottom: 4px;
        
        -webkit-border-bottom-left-radius: 4px;
        -webkit-border-bottom-right-radius: 4px;

        -moz-border-radius-bottomleft: 4px;
        -moz-border-radius-bottomright: 4px;

        border-bottom-left-radius: 4px;
        border-bottom-right-radius: 4px;
    }
    
    #MB_content { border-top: 1px solid #F9F9F9; }

    #MB_header {
      background-color: #DDD;
      border-bottom: 1px solid #CCC;
    }
        #MB_caption { color: #000 }
        #MB_close { color: #777 }
        #MB_close:hover { color: #000 }


/* Alert message */
.MB_alert {
    margin: 10px 0;
    text-align: center;
}

/* --- POPUP --- */

div#popup-wrapper{
	position:absolute;
	width:100%;
	height:100%;
	background: url(<?php echo BASEURL.IMGDIR; ?>transparent_black_50.png) repeat 0 0;
	z-index:9000;
	top:0px;
	left:0px;
}

div.popup-box {
	position:absolute;
	width:522px;
	z-index:9001;
}

div.popup-box div.popup-header {
	background:url(<?php echo BASEURL.IMGDIR; ?>popup_box_top.png) no-repeat 0 0;
	width:522px;
	height:25px;
	float:left;
	clear:both;
}

div.popup-box div.popup-footer {
	background: url(<?php echo BASEURL.IMGDIR; ?>popup_box_bottom.png) no-repeat 0 0;
	width: 522px;
	height:18px;
	float:left;
	clear:both;
}

div.popup-box div.popup-body {
	background: url(<?php echo BASEURL.IMGDIR; ?>popup_box_body.png);
	width:522px;
	float:left;
	clear:both;
}

div.popup-box div.popup-body-inner {
	background:url(<?php echo BASEURL.IMGDIR; ?>popup_box_body-inner.png) repeat-x left bottom #fff;
	width:460px;
	min-height:150px;
	padding: 0 30px 15px 30px;
	margin: 0 1px;
}

div.popup-box div.popupFejlec {
	float:left;
	width:100%;
	height:33px;
	border-bottom:1px solid #7b0c26;
	margin:0;
}

div.popup-box div.popup-image {
	padding: 20px 10px 10px 0;
	float:left;
	width:154px;
}

div.popup-box div.popup-image span {
	color:#660118;
	margin: 4px;
	width:100%;
	text-align:center;
	display:block;
	font-size: 1.2em;
	font-weight:bold;
}

div.popup-box div.popup-text {
	padding: 20px 10px 10px 0;
	float:right;
	width:286px;
}

div.popup-box div.popup-text p {
	font-size:11px;
	color:#660118;
	line-height: 1.3em;
}

div.popup-box div.popup-text a {
	color:#660118;
}

div.popup-text select.popup-select {
	border: none;
	background-color: #f2f2f2;
	width:152px;
	height: 17px;
	text-align:right;
	margin: 10px 0 4px 0;
}

div.popup-text select.popup-select option {
	padding: 0  3px;
}

div.popup-text input.popup-submit {
	margin: 4px 0;
	border:none;
	background: none;
}

div.popup-text a.popup-close {
	display: block;
	width:152px;
	height: 29px;
	background:url(<?php echo BASEURL.IMGDIR; ?>btn_nem_valasztok_mast.png) no-repeat 0 0;
	margin: 4px 0;
}

/* --- PARTENERPROGRAM --- */

.partnerprogram-nav {
	float:left;
	width: 100%;
	clear:both;
	margin-bottom: 20px;
}

.partnerprogram-nav a {
	background: url(<?php echo BASEURL.IMGDIR; ?>pratnerProgram_menu_sprite.png) no-repeat 0 0;
	float:left;
	margin-right: 8px;
}

.partnerprogram-nav a span {
	display:none;
}

.partnerprogram-nav a.a-program-leirasa {
	display:block;
	width: 140px;
	height: 35px;
	background-position: 0 0;
}

.partnerprogram-nav a.a-program-leirasa:hover,
.partnerprogram-nav a.a-program-leirasa.selected {
	background-position: 0 -47px;
}

.partnerprogram-nav a.valassz-bannert {
	display:block;
	width: 129px;
	height: 35px;
	background-position: -148px 0;
}

.partnerprogram-nav a.valassz-bannert:hover,
.partnerprogram-nav a.valassz-bannert.selected {
	background-position: -148px -47px;
}

.partnerprogram-nav a.napi-forgalom {
	display:block;
	width: 118px;
	height: 35px;
	background-position: -284px 0;
}

.partnerprogram-nav a.napi-forgalom:hover,
.partnerprogram-nav a.napi-forgalom.selected {
	background-position: -284px -47px;
}

.bannerlist {
	margin: 0 auto;
	width: 500px;
}

.banner-wrapper {
	border-radius: 3px 3px 3px 3px;
	-moz-border-radius: 3px 3px 3px 3px;
	-webkit-border-radius: 3px 3px 3px 3px;
	border: solid 1px #d3b8bf;
	text-align:center;
}

.banner-wrapper .bannerinfo {
	font-weight:bold;
	font-size: 14px;
	color:#68021a;
	margin: 10px 0;
	font-family: "Arial Black", Gadget, sans-serif;
}

.banner-wrapper .bannerpreview {
	margin: 10px 0;
}

.banner-wrapper .bannerpreview a {
	text-decoration: none;
}

.banner-wrapper .bannerpreview img {
	border: none !important;
}

.banner-wrapper .bannercode {
	margin: 10px 0;
}

.banner-wrapper .bannercode textarea {
	border: solid 1px #d3b8bf;
	color:#7f7f7f;
	font-size: 12px;
	font-family: Arial, Helvetica, sans-serif;
	padding: 10px;
}

.banner-wrapper .bannercopy {
	margin: 10px;
	text-align:right;
}

.banner-wrapper .bannercopy a {
	margin: 0 12px 8px 0;
}

.szuro {
	text-align:left;
	margin-bottom: 20px;
}

.szuro span {
	font-weight:bold;
	color: #680017;
	font-size: 14px;
}

.szuro input.szuro_text {
	border: solid 1px #d3b8bf;
	padding: 1px 1px;
	width: 20px;
	color: #680017;
}

.szuro select {
	border: solid 1px #d3b8bf;
	color: #680017;
	padding: 0;
}

.partnerprogram-forgalom {
	float:left;
	clear:both;
	width: 100%;
}

.partnerprogram-forgalom th {
	color:#fff;
	font-size: 1.2em;
	background-color:#720421;
	border: solid 1px #720421;
}

.partnerprogram-forgalom .subheader th {
	background-color: #c0504d;
	font-size: 1em;
}

.partnerprogram-forgalom td {
	border-left: solid 1px #720421;
	border-right: solid 1px #720421;
}

.partnerprogram-forgalom .odd td {
	background-color:#fff;
}

.partnerprogram-forgalom .even td {
	background-color: #efd3d2;
}

.partnerprogram-forgalom .tablefooter td {
	background-color: #c0504d;
	color:#fff;
	font-weight:bold;
	padding: 5px;
	border-bottom: solid 1px #720421;
}

/* AJANLO */

.partnerProgram {
	padding: 10px;
}

.kcim {
	text-align: left;
}

/* POPUP STYLING */

#MB_content table {
	margin-left: 10px;
}

#MB_content a.choose-week {
	color: #640118;
	font-weight: bold;
	font-size: 1.35em;
	text-decoration: underline;
}

#etlap-linkek {
	position:relative;
	width:240px;
	height:330px;
	background:url(<?php echo BASEURL.IMGDIR; ?>BA-hetek-05-08.jpg);
}

#etlap-linkek a {
	position:absolute;
	display:block;
	width:210px;
	height:45px;
	left:17px;
}

#etlap-linkek a.link-1 {
	top:20px;
}

#etlap-linkek a.link-2 {
    top:80px;
}

#etlap-linkek a.link-2b {
	top:102px;
}

#etlap-linkek a.link-3 {
	top:140px;
}

#etlap-linkek a.link-3b {
    top:180px;
}

#etlap-linkek a.link-4 {
    top:200px;
}
#etlap-linkek a.link-4b {
	top:255px;height:40px;
}

/* CIM ADATOK */

.cimblokk {
	margin: 14px 0;
	float:left;
	width: 100%;
}

.cimblokk_table {
	font-size: 11px;
}

.cimblokk_table td {
	padding: 3px 8px;
    text-align: left;
    vertical-align: top;
}

.cimblokk_table .td_bold {
	font-weight: bold;
    text-align: right;
    width: 180px;
}

.cimblokk_table a {
	background: none repeat scroll 0 0 #5B000E;
    color: #FFFFFF !important;
    cursor: pointer;
    font-size: 11px !important;
    padding: 3px;
}

a.green-btn {
	background-color: #035e11 !important;
	padding: 5px;
	font-size: 13px !important;
	font-weight: bold;
}
/* KOSAR */


/* /// SZEPKARTYA */

.szepkartya {
	float: left;
	clear: both;
	vertical-align: bottom;
	margin: 10px 0;
}

.szepkartya td {
	vertical-align: bottom;
}

.szepkartya img {
	float: none;
	margin: 6px 0 0 0;
}

/* /// FIZETESEIM */

table.fizeteseim {
	width:100%;
	font-size: 1.1em;
}

table.fizeteseim th {
	background-color:#67051e;
	color: #fff;
	text-align:left;
	border-bottom:1px solid #7B0C26;
	padding-top: 6px;
	text-align: center;
}

table.fizeteseim td {
	padding: 4px 6px;
	border-bottom: solid 1px #e1e1e1;
	font-size: 11px;
}

table.fizeteseim td.center {
	text-align: center;
}

table.fizeteseim tr.table-footer td {
	font-weight: bold;
	text-align:right;
}

/* /// FILTER  */

.filter-wrapper {
	padding: 5px 0 10px 0;
}

.filter-wrapper .filter-label {
	font-weight: bold;
	padding-right: 4px;
}

.filter-wrapper .filter-input {
	border: solid 1px #e1e1e1;
	padding: 1px 2px;
	margin-right: 10px;
}

.filter-wrapper .filter-submit {
	border: solid 1px #660118;
	background-color: #660118;
	color: #fff;
	font-weight: bold;
	padding: 0 4px;
	cursor: pointer;
}


