<?php 
class etlap
    {
	public $hetek;
	public $aktualis;
	public $fuggoben;
	public $vanetlap=true;
	public $etlapsorok=array();
	public $alaplink;
	public $muvelet;
	public $etelek;
	public $fejlec=array();
    public $tiltotthet=array();
    public $hetirendelesek=array();
    public $kategoria=array();
    public $conf=array();
    
    public $elsohet=array();
    
    function __construct($aktualishet,$alaplink)
		{
         $this->aktualis=$aktualishet;
         $this->alaplink=$alaplink;
         $this->etelek=array();
         $this->hetek=array();
		$this->link=array();
		$this->fuggoben=array();
        
        $this->get_tiltotthetek();
        
		$this->get_etlapok();
		$this->get_etelek();
         if($this->vanetlap)
			{
			$this->get_etlap();
			}
         }
    
    function get_tiltotthetek()
        {
        $conn=foodDB::Connect();

        $qy="select distinct ev, Het from tiltotthet";
        $st=$conn->prepare($qy);
        
        if(!$st)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND." 07");
            }
         else
            {
            $st->exec();
            while($sor=$st->fetch_assoc())
                {
                $this->tiltotthet[$sor['ev']][$sor['Het']]=true;
                }
            }
        }
    
    function get_prevnap($i)
		{ // kivon 1-et, ha i>1, kulönben 7
		if($i!=1)
			{
			return($i-1);
			}
		else
			{
			return(7);
			}
		}
        
    function get_etelek()
		{ // // it feltölt egy tömböt etelek[etel_neve][etel_kategoriaja]['kepfile']=relativ link az etel kepehez
		$conn=foodDB::Connect();
	
		$qyetelek="select idetel, Nev, Kategoria from etelek where kep=1 and lang=?";
		$stetelek=$conn->prepare($qyetelek);
		if(!$stetelek)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND." 01");
			}
		else
			{
              $stetelek->bind_param("s",foodLanguage::getLang());
			$stetelek->exec();
              $this->conf["kepek"]=array();
			while($soretelek=$stetelek->fetch_assoc())
				{
				$this->etelek[$soretelek['Nev']][$soretelek['Kategoria']]['kepfile']=IMGDIR.'etelek/'.$soretelek['idetel'].'.jpg';
                   if(isset($this->conf["kepek"][$soretelek['Kategoria']]))
                        {
                        $this->conf["kepek"][$soretelek['Kategoria']]++;
                        }
                   else
                        {
                        $this->conf["kepek"][$soretelek['Kategoria']]=1;
                        }
				}
			}
		}
        

    function get_elsohet_es_fuggoben()
        { // // it feltölt ket tömböt elsohet[hetekmin],elsohet[hetekminev],elsohet[hetekminhet] az elso megjelenítendő hét adatai, fuggoben[evhet] létezik, ha az adott hét "függőben", annak lett jelölve (szerkesztés alatt van...)
        
        $this->fuggoben=array();
        
        $conn=foodDB::Connect();
	
        $qyhetek="select distinct heteve, Het from etlap
            where aktiv=1 and lang=?
            order by heteve,Het";
        $sthetek=$conn->prepare($qyhetek);
        
        $qyfuggoben="select distinct ev, Het from fuggoben where lang=? order by ev,Het";
        $stfuggoben=$conn->prepare($qyfuggoben);
        
        if($sthetek && $stfuggoben)
			{
             $sthetek->bind_param("s",foodLanguage::getLang());
			$sthetek->exec();
             $stfuggoben->bind_param("s",foodLanguage::getLang());
			$stfuggoben->exec();
			
			if($conn->anyerror)
				{
				exit(ADATBAZISHIBASZOVEG_FRONTEND." 02");
				}
			else
				{
				$hetekszama=$sthetek->num_rows();
                  }
			}
		else
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND." 03");
			}
            
		if($hetekszama==0)
			{
			$this->vanetlap=false;
			}
		else
			{
			while($sorfuggoben=$stfuggoben->fetch_assoc())
				{
				$this->fuggoben[$sorfuggoben['ev'].foodDatum::getHet($sorfuggoben['Het'])]=$sorfuggoben['ev'].foodDatum::getHet($sorfuggoben['Het']);
				}
             $sorhet=$sthetek->fetch_assoc(); 
             $this->elsohet["hetekminev"]=$sorhet["heteve"];
             $this->elsohet["hetekminhet"]=foodDatum::getHet($sorhet['Het']);
             $this->elsohet["hetekmin"]=$sorhet['heteve'].foodDatum::getHet($sorhet['Het']);
             }
        }
     
    function get_etlapok()
		{ // elkezdi az első megjelenítendő héttől és beolvas annyi hetet, amennyi be van állítva
		
        $this->get_elsohet_es_fuggoben();
        
        if($this->vanetlap)
            {
              $hetekakt=$this->elsohet["hetekmin"];
              $hetekaktev=$this->elsohet["hetekminev"];
              $hetekakthet=$this->elsohet["hetekminhet"];
              
              $akttime=time();
              for($i=1; $i<=HETEKSZAMA; $i++)
                {
                $this->get_het($hetekaktev,$hetekakthet,$akttime,$hetekakt);
                $akttime = strtotime(date("Y-m-d", strtotime($this->hetek[$hetekakt]['elsonapdatum']))." +1 week");
              $akttime=$this->get_correct_next_het($akttime);
                $hetekaktev=date("o",$akttime);
                $hetekakthet=foodDatum::getHet(date("W",$akttime));
                $hetekakt=$hetekaktev.$hetekakthet;
                }
				
              if( !array_key_exists($this->aktualis,$this->hetek ))
                {
				//$this->elsohet["hetekmin"] = '201601'; // Ez a sor a 02 hét péntekjén kikerül vagy mégsem?
                $this->aktualis=$this->elsohet["hetekmin"]+1; 
				//$this->aktualis=$this->elsohet["hetekmin"];
                }
              $this->hetek[$this->aktualis]['aktualis']=true;
              if(foodUser::IsLogged() && foodUser::getuserData('Statusz')=='a')
                {
                $this->hetek[$this->aktualis]["napokszama"]=7;
                }
              etlapConf::config($this->hetek[$this->aktualis]["napokszama"]);
              ksort($this->hetek);  
            }
        }
    function get_het($ev, $het, $time, $num)
		{ // feltölti a hetek tömböt adatokkal
         $elsonap=array();
         $elsorendelesinap=array();
         $nemszunnapokszama=0;
         $utolsodatum="";
         $utolsorendelhetodatum="";
		
         $conn=foodDB::Connect();

		$qyhetelsonap="select distinct ev, Honap, Nap, datum,Szun,elozonap from etlap where Het=? and heteve=? and lang=? order by ev, Honap, Nap";
		$sthetelsonap=$conn->prepare($qyhetelsonap);
        
		
		if(!$sthetelsonap)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND." 04");
			}
		else
			{
			$sthetelsonap->bind_param('iis',(int)$het,$ev,foodLanguage::getLang());
			$sthetelsonap->exec();

			while($sorhetelsonap=$sthetelsonap->fetch_assoc())
                {
                if(empty($elsonap))
                    {
                    $elsonap=$sorhetelsonap;
                    }
                if(empty($elsorendelesinap) && $sorhetelsonap["Szun"]!='i')
                    {
                    $elsorendelesinap=$sorhetelsonap;
                    }
                if( $sorhetelsonap["Szun"]!='i')
                    {
                    $utolsodatum=$sorhetelsonap["datum"];
                    }
                if( $sorhetelsonap["Szun"]!='i' &&  $sorhetelsonap["elozonap"]!=1)
                    {
                    $utolsorendelhetodatum=$sorhetelsonap["datum"];
                    }
                }
	
             $this->hetek[$num]['link']=$this->alaplink."?".foodString::qstring_out("het")."=".$num;
             $this->hetek[$num]['linkhet']=$num;
             $this->hetek[$num]['ev']=$ev;
             $this->hetek[$num]['het']=foodDatum::getHet($het);
			
			if(!empty($elsonap))
				{
				$this->hetek[$num]['elsohonap']=fullzeroleft($elsonap['Honap'],2);
				$this->hetek[$num]['elsonap']=fullzeroleft($elsonap['Nap'],2);
				$this->hetek[$num]['elsonapdatum']=$elsonap['ev'].'-'.$this->hetek[$num]['elsohonap'].'-'.$this->hetek[$num]['elsonap'];
                  $this->hetek[$num]['elsorendelesinapdatum']=$elsorendelesinap['ev'].'-'.$elsorendelesinap['Honap'].'-'.$elsorendelesinap['Nap'];
				$this->hetek[$num]['utolsonapdatum']=$utolsodatum;
                 $this->hetek[$num]['utolsorendelhetodatum']=$utolsorendelhetodatum;
				$unap=gregoriantojd(substr($this->hetek[$num]['utolsonapdatum'],5,2),substr($this->hetek[$num]['utolsonapdatum'],8,2),substr($this->hetek[$num]['utolsonapdatum'],0,4));
				$enap=gregoriantojd($this->hetek[$num]['elsohonap'],$this->hetek[$num]['elsonap'],$elsonap['ev']);
				$this->hetek[$num]['napokszama']=$unap-$enap+1;
				$this->hetek[$num]['napokszama']= $this->hetek[$num]['napokszama']>5 ? $this->hetek[$num]['napokszama'] : 5;
				$this->hetek[$num]['fuggoben']=false;
				if(isset($this->fuggoben[$this->hetek[$num]['ev'].foodDatum::getHet($this->hetek[$num]['het'])]))
					{
					$this->hetek[$num]['fuggoben']=true;
					}
				}
			else
				{
				$this->hetek[$num]['elsohonap']=date('m',$time);
				$this->hetek[$num]['elsonap']=date('d',$time);
				$this->hetek[$num]['elsonapdatum']=date('Y-m-d',$time);
				$this->hetek[$num]['utolsonapdatum']=date('Y-m-d',$time);
				$this->hetek[$num]['napokszama']=0;
				$this->hetek[$num]['fuggoben']=true;
                  $this->hetek[$num]['nincsfeltoltve']=true;
				}
			}
		}
    
    
    
    function get_correct_next_het($time)
        {
        while($this->tiltotthet[date("o",$time)][(int)date("W",$time)])
            {
            $time=strtotime(date("Y-m-d",$time)." +1 week");
            }
        return($time);
        }
    
    function get_etlap()
		{
		$conn=foodDB::Connect();
        
        $qyaktualisetlap="select e.id, e.Het, e.Honap, e.Nap, e.Szun, e.Kategoria, e.Nev, e.Ar, e.ev, e.Info, e.Gomba, e.Hot, e.New, e.Info2, e.elozonap, e.datum, e.ssz, e.heteve, e.screenNev, e.hetirendeles,e.hetiAr,e.hetiKategoria, e.aktiv, k.katid, k.kat, k.kat2, k.descr, k.szin, k.szin2, k.szin3, k.szin4  from etlap e, kategoria k where e.Kategoria=k.kat and e.heteve=? and e.Het=? and e.lang=? order by e.heteve, e.Het, e.ssz, e.ev, e.Honap, e.Nap";
        $staktualisetlap=$conn->prepare($qyaktualisetlap);

        if(!$staktualisetlap)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND." 05");
            }
        else
            {
            $ev=$this->hetek[$this->aktualis]['ev'];
            $het=$this->hetek[$this->aktualis]['het'];
			
            $staktualisetlap->bind_param('sis',$ev,$het,foodLanguage::getLang());
            
            $staktualisetlap->exec();
            while($soretlap=$staktualisetlap->fetch_assoc())
                { 
                if($this->fejlec[$soretlap['datum']]['elozo']!==true)
                    {
                    if($soretlap['elozonap']!=0)
                        {
                        $this->fejlec[$soretlap['datum']]['elozo']=true;
                        }
                    else
                        {
                        $this->fejlec[$soretlap['datum']]['elozo']=false;
                        }
                    }
                
                if($this->fejlec[$soretlap['datum']]['Szun']!==true)
                    {
                    if($soretlap['Szun']!="")
                        {
                        $this->fejlec[$soretlap['datum']]['Szun']=true;
                        }
                    else
                        {
                        $this->fejlec[$soretlap['datum']]['Szun']=false;
                        }
                    }

                  $this->etlapsorok[$soretlap['Kategoria']][$soretlap['datum']]=$soretlap;
                  
                  if(trim($soretlap['Info2'])!="")
                    {
                    if(isset($this->conf["osszetevok"][$soretlap['Kategoria']]))
                        {
                        $this->conf["osszetevok"][$soretlap['Kategoria']]++;
                        }
                    else
                        {
                        $this->conf["osszetevok"][$soretlap['Kategoria']]=1;
                        }
                    }
                    
                   if(trim($soretlap['Info'])!="")
                    {
                    if(isset($this->conf["info"][$soretlap['Kategoria']]))
                        {
                        $this->conf["info"][$soretlap['Kategoria']]++;
                        }
                    else
                        {
                        $this->conf["info"][$soretlap['Kategoria']]=1;
                        }
                    } 
                    

                  $this->copyelements($soretlap,$this->kategoria[$soretlap['Kategoria']],array('kat2','descr','szin','szin2','szin3','szin4'));
                
                  if($soretlap['hetirendeles']==1)
                    {
                    if(isset($this->hetirendelesek[$soretlap['Kategoria']]))
                        {
                        if($this->hetirendelesek[$soretlap['Kategoria']]['hetiAr']==0 || empty($this->hetirendelesek[$soretlap['Kategoria']]['hetiAr']) || $this->hetirendelesek[$soretlap['Kategoria']]['hetiKategoria']=='')
                            {
                            $this->hetirendelesek[$soretlap['Kategoria']]['hetiAr']=$soretlap['hetiAr'];
                            $this->hetirendelesek[$soretlap['Kategoria']]['hetiKategoria']=$soretlap['hetiKategoria'];
                            $this->hetirendelesek[$soretlap['Kategoria']]['hetirendeles']=$soretlap['hetirendeles'];
                            }
                        }
                    else
                        {
                        $this->hetirendelesek[$soretlap['Kategoria']]['hetiAr']=$soretlap['hetiAr'];
                        $this->hetirendelesek[$soretlap['Kategoria']]['hetiKategoria']=$soretlap['hetiKategoria'];
                        $this->hetirendelesek[$soretlap['Kategoria']]['hetirendeles']=$soretlap['hetirendeles'];
                        }
                    }

                }
              ksort($this->fejlec);  
                
              foreach($this->hetirendelesek as $Kategoria => &$hetirendeles)
                {
                foreach($this->etlapsorok[$Kategoria] as $napietel)
                    {
                    if($napietel['Ar']!=0 && $napietel['Szun']!='i')
                        {
                        $hetirendeles['etelek'][$napietel['datum']]=$napietel;
                        }
                    }
                }
              unset($hetirendeles);
                  }
		}
        
     function copyelements(&$from, &$to, $keys)
        {
        foreach($keys as $key)
            {
            $to[$key]=$from[$key];
            }
        }
    
    }


?>