<?php 
class etlapElem_base
    {
    public static $tabla;
    public static $sorszam;
    public static $kategoria;
    public static $etlapsor;
    public static $kat2=array();
    
    static function reset()
        {
        self::$kat2=array();
        }
    
    
    static function display_sor($tabla,$kategoria,$etlapsor,$admin,$nosor=false)
        {
        self::$tabla=$tabla; 
        self::$etlapsor=$etlapsor;
        self::$kategoria=$kategoria;
        self::$kat2[]=$tabla->op->etlap->kategoria[$kategoria]["kat2"];
        
        $ev=$tabla->op->etlap->hetek[$tabla->op->etlap->aktualis]['ev']; 
        $het=$tabla->op->etlap->hetek[$tabla->op->etlap->aktualis]['het']; 
        
        if(isset($tabla->op->modosito) && !isset($tabla->op->lemondhato_sorok[$ev][$het][$kategoria]))
            {
            return;
            }
        
        $conf=array("etlap" => self::$tabla->op->etlap ,"kategoria" => $kategoria, "numnotnull" => array( "kep" => self::$tabla->op->etlap->conf["kepek"][$kategoria] , "osszetevok" => self::$tabla->op->etlap->conf["osszetevok"][$kategoria] , "info" => self::$tabla->op->etlap->conf["info"][$kategoria] ));    
        etlapConf::reset($conf);
        
        if(!$nosor)
            {
            foreach(etlapConf::$aktualissorok as $nev)
                {
                $func="displaysor_".$nev;
               
                if(method_exists("etlapElem",$func))
                    {
                    etlapElem::$func();
                    }
                }
            }
            
        while($elem=etlapConf::getNextElem())
            {
            list($elemnev,$par)=each($elem);
            ?>
            <tr <?php 
                if($admin || true)
                    {
                ?>id="etlapsor_<?php echo $kategoria; ?>_<?php echo $elemnev; ?>" class="etlapsorclass_<?php echo $kategoria; ?>"<?php 
                    } ?>>
            <?php 
            self::display($elemnev,etlapConf::$cursor);
            ?>
            </tr>
    <?php    }
        }
    
    static function display($elemnev,$sorszam)
        {
        if(array_key_exists($elemnev,etlapConf::$elemek))
            {
            $func="display_".$elemnev;
            if(method_exists(__CLASS__,$func))
                {
                self::$sorszam=$sorszam; 
                etlapElem::display_bal();
                
                $i=1;
                foreach(self::$etlapsor as $etlapetel)
                    {
                    etlapElem::$func($etlapetel,$i);
                    $i++;
                    if($i>self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['napokszama']) break;
                    }   
                    
                etlapElem::display_jobb();
                }
            }
        }
     /* 
     static function displayone($tabla,$elemnev,$sorszam,$kategoria,$etlapetel)
        {
        if(array_key_exists($elemnev,etlapConf::$elemek))
            {
            $func="display_".$elemnev;
            if(method_exists(__CLASS__,$func))
                {
                self::$tabla=$tabla;
                self::$sorszam=$sorszam;
                self::$kategoria=$kategoria;
                
                self::$func($etlapetel,0);
                
                }
            }
        }   

      */
     static function display_etel($etlapetel,$i)
        {
        $admin=false;
        if(foodUser::IsLogged() && foodUser::getuserData('Statusz')=='a')
            {
            $admin=true;
            }
        ?>     
        <td valign="top" class="etlapCim <?php if(self::$sorszam==1) echo "felso"; else echo "kozepso"; ?>" style="background:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin3']; ?>; color:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin2'] ;?>;">
        <?php 
        if($etlapetel['Ar']!=0 && $etlapetel['Szun']!='i' || $admin ) 
            {
            if($etlapetel['screenNev']!="")
                {
        
            $screenNev=$etlapetel['screenNev'];
            $cspos= iconv_strrpos($screenNev,"*","UTF-8");
            if($cspos!==false)
               {   
                $len= iconv_strlen($screenNev,"UTF-8");
                if($cspos==$len-1)
                    {
                    $screenNev=iconv_substr($screenNev,0,$len-1,"UTF-8")." <span style='color:green'><b>V</b></span>";
                    }
                }
            
            if($admin)
                {
                ?><a rel="etlapetelszerkeszt" style="color:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin2'] ;?>;" id="etlapetelszerkeszt_<?php echo $etlapetel["Kategoria"].'-'.$etlapetel["datum"]; ?>" href="etlapetelszerkeszt?datum=<?php echo $etlapetel["datum"]; ?>&kategoria=<?php echo $etlapetel["Kategoria"]; ?>"><?php  
                }
            echo $screenNev;
            if($etlapetel['Gomba']==1)
                {
                ?>
                <img src="<?php echo foodString::file(IMGDIR."gomba.png"); ?>" border="0" alt="Gomba" title="Gomba">
                <?php
                }
                if($admin)
                    {
                    ?></a><?php  
                    }
              
                  }
              else
                {
                if($admin)
                    {
                    ?>
                    <div align="center" style="color:green;"><br><?php 
                    if($admin)
                        {
                        ?><a rel="etlapetelszerkeszt"  style="color:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin2'] ;?>;"  id="etlapetelszerkeszt_<?php echo $etlapetel["Kategoria"].'-'.$etlapetel["datum"]; ?>" href="etlapetelszerkeszt?datum=<?php echo $etlapetel["datum"]; ?>&kategoria=<?php echo $etlapetel["Kategoria"]; ?>"><?php  
                        } ?>(ÜRES)<?php if($admin)
                                {
                                ?></a><?php  
                                }?></div>
                    <?php 
                    }
                }
                        
                    }
                ?>
              </td>      
             <?php 
            
        }
     
     static function display_osszetevok($etlapetel,$i)
        {
      ?>
                       
      <!-- <td  class="<?php //if(self::$sorszam==1) echo "felso"; else echo "kozepso"; ?>"  valign="top" style="   background:#<?php //echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin3']; ?>; ">
                <?php 
             //   if($etlapetel['Ar']!=0  && $etlapetel['Szun']!='i' || foodUser::IsLogged() && foodUser::getuserData('Statusz')=='a') 
               //     {
               //     if($etlapetel['Info2']!='')
               //        { 
                ?>                      
                <a href="#" class="trigger-tooltip text-tooltip">
                    <img src="<?php //echo foodString::file(SYSIMGDIR.OSSZETEVOK); ?>" alt="<?php //echo foodString::out("Összetevők"); ?>" border="0"/>
                    <div class="tooltip-content" style="display: none;">
                        <span class="tooltip-text-content"><?php //echo $etlapetel['Info2']; ?></span>
                    </div>
                </a><?php 
                   //   }
                 //  }
                ?>
                </td>   -->
        <?php 
        }
    
     static function display_kep($etlapetel,$i)
        {
        ?>
        <td  class="<?php if(self::$sorszam==1) echo "felso"; else echo "kozepso"; ?>"  valign="top" align="center" style="
        <?php if ($etlapetel['Het']==07) {echo 'padding-bottom: 1px;';} ?>
        
           background:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin3']; ?>; ">
        <div align="center" style="margin:0 auto; display:flex; padding-right:15px;">
         <!--Karácsonyi promo-->
                <?php
						$etlapetel["datum"];
                         if (in_array(self::$kategoria,array("L1","L1K","C","CK","K","Z","X")) && $etlapetel['Het']==51 && $etlapetel["datum"]=='2014-12-19'  or $etlapetel['Het']==51 && $etlapetel["datum"]=='2014-12-20' && in_array(self::$kategoria,array("I","X")))
                        {
                        ?>
                       <div align="center" style="height:50px; margin-top:35px;"><img style="cursor:pointer; position:absolute; margin-left:34px;" src="<?php
					   echo foodString::fullUrl("images/karacsony_asztali_disz.png");
					   ?>" border="0" height="50px" title="Békés, Boldog Karácsonyt Kívánunk!"></div>  
                        <?php
                        }
                        if ($etlapetel['Het']==51 && $etlapetel["datum"]=='2014-12-20' && in_array(self::$kategoria,array("I","X")) )
                         
                        {
                        ?>
                       <div align="center" style="height:50px; margin-top:35px;"><img style="cursor:pointer; position:absolute; margin-left:34px;" src="<?php
					   echo foodString::fullUrl("images/karacsony_asztali_disz.png");
					   ?>" border="0" height="50px" title="Békés, Boldog Karácsonyt Kívánunk!"></div>  
                        <?php
                        }
                        ?>
                <!--Karácsony vége-->
        
                <?php 
                if($etlapetel['Ar']!=0  && $etlapetel['Szun']!='i' || foodUser::IsLogged() && foodUser::getuserData('Statusz')=='a') 
                    {
						                           
                      //<!-- 28. Heti Promó -->
						
                        if ($etlapetel['datum']=='' && in_array(self::$kategoria,array("S1","S2","T")))
                        {
                        ?>
                        <!--div align="center" style="" ><img style="padding-top: 30px; cursor:pointer; margin-right:-150px;" src="<?php echo foodString::fullUrl("images/tcibo_logo_small.jpg"); ?>" border="0" height="20px" title="AKCIÓ"></div-->  
                        
                        <?php
                        }
                        //<!-- Promo END -->
						
				if($etlapetel['Info2']!='') /*Ide illesztve az sszetevők*/
                       {
						   ?> 
                        
                          <div align="center">
                           <a name="" class="trigger-tooltip text-tooltip" style=" cursor:pointer;">
                    <img src="<?php echo foodString::file(SYSIMGDIR.OSSZETEVOK); ?>" alt="<?php echo foodString::out("Összetevők"); ?>" border="0"/>
                    <div class="tooltip-content" style="display: none;">
                        <span class="tooltip-text-content"><?php echo foodFunctions::markup_osszetevok($etlapetel['Info2']);?></span>
                    </div>
                </a>  </div>
               
                <!--- ZÁSZLÓZÁS-->
                        
                        <?php
                        $heti=self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['het'];
            $evi=self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['ev'];
            foodModule::ifmodule("zaszloikon_module")->set($evi,$heti,self::$kategoria,$etlapetel["datum"]);
            foodModule::ifmodule("zaszloikon_module")->Display();
                        ?>
                         <!--- ZÁSZLÓZÁS  VÉGE-->
                        
                        
                
                <?php
				}
                    if (isset(self::$tabla->op->etlap->etelek[$etlapetel['Nev']][self::$kategoria]['kepfile']))
                       { 
                       $kepname=self::$tabla->op->etlap->etelek[$etlapetel['Nev']][self::$kategoria]['kepfile'];
                       list($width, $height, $type, $attr) = getimagesize($kepname);
                       if ($width>400) 
                        {
                        $height=($height*400/$width)+5;  $width=400; 
                        }
                      ?>
                           <div align="center" style="margin:0 auto;">
                      <a title="<?php echo $etlapetel['Nev']; ?>" href="<?php echo $kepname; ?>" rel="etelkep" style="padding-top: 8px;  display: table; 
                      <?php if($etlapetel['Info2']=='') /*Innen középre igazít a kép ha nincs összetevők*/
                       {
						   ?>
                      float:right; padding-right: 0px;
					  <?php } ?> " class="trigger-image-tooltip"><img src="<?php echo foodString::file(SYSIMGDIR.KEP); ?>" border="0" style="
                      <?php
                      if(in_array(self::$kategoria,array("U","UK")))
                        { 
                        echo "margin-left:-20px;"; }
                         ?>">
                      <div class="tooltip-image-content" style="display: none;"><?php echo $kepname; ?></div>
                      </a> 
                      </div>
                      </div>  
 <?php 
                        
					   }
                    }
                ?></td>
        <?php 
        }
    
     static function display_ar($etlapetel,$i)
        {
        ?>
        <td  class="<?php if(self::$sorszam==1) echo "felso"; else echo "kozepso"; ?>"  valign="top"   align="center"  style="   background:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin3']; ?>; ">
        <?php 
         if($etlapetel['Ar']!=0  && $etlapetel['Szun']!='i' || foodUser::IsLogged() && foodUser::getuserData('Statusz')=='a') 
             {
              ?>
              <div  align="center" class="etlapAr" <?php 
              if(self::$tabla->op->etlap->kategoria[self::$kategoria]['szin2']!='') 
                {
                ?>style="color:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin2'] ?>;"<?php 
                }
              ?>><?php echo $etlapetel['Ar']; ?> <?php echo CURR; ?></div> 
                <?php 
               }
                ?>
         </td>
        <?php 
        }

     static function display_info($etlapetel,$i)
        {
        ?>
        <td  class="<?php if(self::$sorszam==1) echo "felso"; else echo "kozepso"; ?>"  valign="top" style="   background:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin3']; ?>; ">
        <?php 
         if($etlapetel['Ar']!=0  && $etlapetel['Szun']!='i' || foodUser::IsLogged() && foodUser::getuserData('Statusz')=='a') 
             {
              ?>
              <div  align="center" class="etlapAr" style="color:#008800; font-style: italic;"><?php echo $etlapetel['Info']; ?></div> 
                <?php 
               }
                ?>
         </td>
        <?php 
        }   
        
     static function display_db($etlapetel,$i)
        {
        ?>
        <td  class="<?php if(self::$sorszam==1) echo "felso"; else echo "kozepso"; ?>"  valign="top" style="   background:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin3']; ?>; ">
        <?php 
        $j=$i-1;
        if($etlapetel['elozonap'])
            {
            $j-=1;
            }
        $naptime=strtotime(date("Y-m-d", strtotime(self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['elsonapdatum']))." +".$j." day");
         
        
		$eztime=strtotime(date("Y-m-d H:i:s", $naptime)."- ".(24-ELOZONAPORA)." hour");

        if($etlapetel['Ar']!=0 && $eztime>time()   && $etlapetel['Szun']!='i' && foodUser::IsLogged() && foodUser::getuserData('Statusz')=='u') 
            {
        ?>
            <div class="mennyiseg" style="margin:0 auto; padding-left:5px;" align="center">
            <?php 
            if(!TXTINPUT)
                {
                ?>
            <img src="<?php echo foodString::file(SYSIMGDIR."mennyiseg.png"); ?>" alt="<?php echo foodString::out("Mennyiség"); ?>" title="<?php echo foodString::out("Mennyiség"); ?>" class="felirat" style="padding-right:5px;"  />  
            <?php 
                }
            if(!TXTINPUT)
                {
            ?>
            <button type="button" id="minusz_<?php echo $etlapetel['Kategoria'].'-'.$etlapetel['datum']; ?>" class="minusz"  onclick="this.setAttribute('disabled', 'disabled'); kosarmuvelet(this, 'minusz', '<?php echo self::$tabla->op->kosar->nev; ?>', 1,'<?php echo $etlapetel['Kategoria'].'-'.$etlapetel['datum']; ?>','<?php echo $etlapetel['Ar']; ?>','<?php echo $etlapetel['datum']; ?>');">-</button> 
            <?php 
                }
            
            $heticlass="";
            if($etlapetel['hetirendeles'])
                {
                $heticlass="heti_".$etlapetel['hetiKategoria'];
                }

            $ezadb=self::$tabla->op->kosar->getDB($etlapetel['datum'],$etlapetel['Kategoria']);

            if(!TXTINPUT)
                {
            ?>
            
            <input class="<?php echo $heticlass; ?>" type="hidden" name="rendeles[<?php echo $etlapetel['Kategoria'].'-'.$etlapetel['datum']; ?>][db]" id="rendeles_<?php echo $etlapetel['Kategoria'].'-'.$etlapetel['datum']; ?>" value="<?php echo $ezadb; ?>" />
            
            <div class="darab<?php if($ezadb>0) echo " food-bona-sargahatter"; ?>" id="darab_<?php echo $etlapetel['Kategoria'].'-'.$etlapetel['datum']; ?>"><?php echo $ezadb; ?></div>
            
            <button type="button" class="plusz" id="plusz_<?php echo $etlapetel['Kategoria'].'-'.$etlapetel['datum']; ?>" onclick="this.setAttribute('disabled', 'disabled'); kosarmuvelet(this, 'plusz', '<?php echo self::$tabla->op->kosar->nev; ?>', 1, '<?php echo $etlapetel['Kategoria'].'-'.$etlapetel['datum']; ?>','<?php echo $etlapetel['Ar']; ?>','<?php echo $etlapetel['datum']; ?>');">-</button>
                <?php 
                }

            if(TXTINPUT)
                {
                if($ezadb==0)
                    {
                    $ezadb="";
                    }
                ?>
                <input style="float:none;" class="txtinput <?php echo $heticlass; ?>" type="text" size="4" maxlength="4" name="rendeles[<?php echo $etlapetel['Kategoria'].'-'.$etlapetel['datum']; ?>][db]" id="rendeles_<?php echo $etlapetel['Kategoria'].'-'.$etlapetel['datum']; ?>" value="<?php echo $ezadb; ?>" /> <span class="huszmagas"> <?php echo foodString::out("db"); ?></span>
                <?php 
                }
                ?>
            </div>
                <?php 
                    }
                ?>
            </td>
        <?php 
        }

        
     static function display_aktualis($etlapetel,$i)
        {
        ?>
         <td  class="<?php if(self::$sorszam==1) echo "felso"; else echo "kozepso"; ?>"  valign="top" style="   background:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin3']; ?>; ">
        <?php 
        $j=$i-1;
        if($etlapetel['elozonap'])
            {
            $j-=1;
            }
        $naptime=strtotime(date("Y-m-d", strtotime(self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['elsonapdatum']))." +".$j." day");
         
          
		$eztime=strtotime(date("Y-m-d H:i:s", $naptime)."- ".(24-ELOZONAPORA)." hour");
         if($etlapetel['Ar']!=0 && $eztime>time()  && $etlapetel['Szun']!='i' && foodUser::IsLogged() && foodUser::getuserData('Statusz')=='u') 
            {
        ?><div <?php 
        if(self::$tabla->op->etlap->kategoria[self::$kategoria]['szin2']!='') 
            {
            ?>style="color:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin2'] ?>;";
            <?php 
            }
            ?>>
           <b class=""><?php echo foodString::out("Aktuális"); ?>: </b> <span class="" id="aktualis_<?php echo $etlapetel['Kategoria'].'-'.$etlapetel['datum']; ?>"><?php echo self::$tabla->op->kosar->getSum($etlapetel['datum'],$etlapetel['Kategoria']); ?></span> <?php echo CURR; ?>. </div>
                <?php 
                }
                ?>
          </td>
        <?php 
        }
        
    
     static function display_bal()
        {
        $admin=false;
        if(foodUser::IsLogged() && foodUser::getuserData('Statusz')=='a')
            {
            $admin=true;
            }
        if(self::$sorszam==1)
            {
            ?>
            <td rowspan="<?php echo etlapConf::$elemszam; ?>"  class="elsoSor elsooszlop felso" valign="middle" style="vertical-align:middle !important; background:#<?php 
            if(self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['elsorendelesinapdatum']=="2016-10-17" && in_array(self::$kategoria,array("L1","L1K")) )
                {
                ?>FF0000<?php
                }
            else
                {
            echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin']; 
                }
            ?>; color:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin4']; ?>;"  >         
          <?php
          if($admin)
            {
            ?><a name="sor<?php echo self::$kategoria;  ?>"></a><?php 
            }
          ?>
           <?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['kat2']; ?><?php
            if(isset(self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetirendeles']))
                {
                if(self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetirendeles'])
                 {
                ?> <?php echo foodString::out("egész hétre"); ?><br><span id="hetiAr_<?php echo self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiKategoria']; ?>"><?php echo self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiAr']; ?></span> <?php echo CURR; 
                if(self::$tabla->op->muvelet=="rendeles" || self::$tabla->op->muvelet=="lemondas")
                    {
                    $naptime=strtotime(self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['elsorendelesinapdatum']);
                    $eztime=strtotime(date("Y-m-d H:i:s", $naptime)."- ".(24-ELOZONAPORA)." hour");
                    if($eztime>time())
                        {
                        ?>
                                                    
                        <div class="mennyiseg" style="margin:5px 0px 0px 10px;">
             
              <?php 
            if(!TXTINPUT)
                {
            ?>             
            <button type="button" class="minusz" id="hetiminuszgomb_<?php echo self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiKategoria']; ?>" style="margin-right:0" onclick="this.setAttribute('disabled', 'disabled'); kosarmuvelet_heti(this,'minusz','<?php echo self::$tabla->op->kosar->nev; ?>',1,'<?php echo self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiKategoria']; ?>','<?php echo self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiAr']; ?>');">-</button> 
            
            <?php 
                }
            $heticlass="";
            if(self::$tabla->etlapetel['hetirendeles'])
                {
                $heticlass="heti_".self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiKategoria'];
                }
            $hetidarab=self::$tabla->op->kosar->gethetirendelesDB(self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['ev'],self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['het'],self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiKategoria']);
            
            if(!TXTINPUT)
                {
            ?>   
            
            <input type="hidden" name="hetirendeles[<?php echo self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiKategoria']; ?>][db]<?php
            foreach(self::$etlapsor as $napietel)
                {
                if($napietel['Ar']!=0  && $napietel['Szun']!='i')
                    {
                    echo '['.$napietel["Kategoria"].'-'.$napietel['datum'].']';
                    }
                }

            ?>" id="hetirendeles_<?php echo self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiKategoria']; ?>" value="<?php echo $hetidarab; ?>" />
            
            <div class="darab <?php if($hetidarab>0) echo " food-bona-sargahatter"; else echo " food-bona-feherhatter"; ?>" style="padding-top: 0px; height:15px; font-size:12px;  color:black; margin-left:0" id="hetidarab_<?php echo self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiKategoria']; ?>"><?php echo $hetidarab; ?></div>
            
            
             <button type="button" class="plusz" id="hetipluszgomb_<?php echo self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiKategoria']; ?>" style="margin-left:0" onclick="this.setAttribute('disabled', 'disabled'); kosarmuvelet_heti(this,'plusz','<?php echo self::$tabla->op->kosar->nev; ?>',1,'<?php echo self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiKategoria']; ?>','<?php echo self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiAr']; ?>');">-</button> 
                <?php 
                    }
              if(TXTINPUT)
                {
                if($hetidarab==0)
                    {
                    $hetidarab="";
                    }
                ?> 
                 <input style="float:none;" class="txtinput" type="text"  size="4" maxlength="4"  name="hetirendeles[<?php echo self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiKategoria']; ?>][db]<?php
            foreach(self::$etlapsor as $napietel)
                {
                if($napietel['Ar']!=0  && $napietel['Szun']!='i')
                    {
                    echo '['.$napietel["Kategoria"].'-'.$napietel['datum'].']';
                    }
                }

            ?>" id="hetirendeles_<?php echo self::$tabla->op->etlap->hetirendelesek[self::$kategoria]['hetiKategoria']; ?>" value="<?php echo $hetidarab; ?>" /> <?php echo foodString::out("db"); ?>
                <?php 
                }
                ?>    
            </div>
             <?php                                        
                         }      
                       }
                      }
                     }  
                         ?>   
                        </td> 
        <td rowspan="<?php echo etlapConf::$elemszam; ?>"  class="elsoSor felso" valign="middle" style="vertical-align:middle !important; background:#<?php 
            if(self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['elsorendelesinapdatum']=="2016-10-17" && in_array(self::$kategoria,array("L1","L1K")) )
                {
                ?>FF0000<?php
                }
            else
                {
            echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin']; 
                }
             ?>; color:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin4']; ?>;"  ><?php
        if($admin)
            {
            ?>
            <a title="FEL" href="etlapok?het=<?php echo self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['linkhet']; ?>&fel=<?php echo self::$kategoria; ?>"><img src="<?php echo SYSIMGDIR; ?>fel.png" width="16" height="16" border="0"></a><br /><br />
            <a title="Kategória tulajdonságainak szerkesztése"  href="etlapkategoriaszerkeszt?kategoria=<?php echo self::$kategoria; ?>&datum=<?php echo self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['elsorendelesinapdatum']; ?>" rel="etlapkategoriaszerkeszt"  id="etlapkategoriaszerkeszt_<?php echo self::$kategoria; ?>"  style="color:#<?php echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin4']; ?>;"><?php 
            }

            echo self::$kategoria; 
        
            if($admin)
            {
            ?></a><br /><br />
            
            <img title="TÖRLÉS AZ ÉTLAPRÓL" src="<?php echo SYSIMGDIR; ?>torol.png" width="16" height="16" border="0" onclick="egykategoriatorlese('<?php echo self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['linkhet']; ?>','<?php echo self::$kategoria; ?>');" style="cursor:pointer;"><br /><br />
            
            <a title="LE"  href="etlapok?het=<?php echo self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['linkhet']; ?>&le=<?php echo self::$kategoria; ?>"><img src="<?php echo SYSIMGDIR; ?>le.png" width="16" height="16" border="0"></a>
            <?php 
            }
        
        ?><a name="<?php echo self::$kategoria; ?>menu"></a></td>
            <?php 
            }
        }
        
     static function display_jobb()
        {
        if(self::$sorszam==1)
            {
            ?>
            <td rowspan="<?php echo etlapConf::$elemszam; ?>"  class="elsoSor felso utolso" valign="middle" style="vertical-align:middle !important; background:#<?php  
            if(self::$tabla->op->etlap->hetek[self::$tabla->op->etlap->aktualis]['elsorendelesinapdatum']=="2016-10-17" && in_array(self::$kategoria,array("L1","L1K")) )
                {
                ?>FF0000<?php
                }
            else
                {
            echo self::$tabla->op->etlap->kategoria[self::$kategoria]['szin']; 
                }
              ?>; "  ><?php echo self::$kategoria; ?></td>
            <?php 
            }
        }
       
    }

?>