<?php
class ugyfelmuvelet extends baseclass
	{
	public $megvan=false;
	public $jelszo;
	public $email;
	public $adatok=array();
	public $betuk;
	public $hibak=array();
	public $vanhiba=false;
	public $sessiondata=array();
    public $fouser=false;
     public $muvelet;
     public $miszerint;
     public $utolsomiszerint="";
     public $utolsoertek="";
	
    public $userhandler=null;
    public $selected=false;
    public $posted=false;
    public $userek=array();
	
	function __construct()
		{
         $this->muvelet=get_class($this);
		}
	
     function getUsers()
        {
        $st=null;
        if(isset($_REQUEST["miszerint"]))
            {
            $fv="getSt_".$_REQUEST["miszerint"];
            $stuser=$this->$fv($_REQUEST[$_REQUEST["miszerint"]]);
            }
        else
            {
            if(isset($_REQUEST['betu']) && trim($_REQUEST['betu'])!="")
                { 
                $stuser=$this->getSt_betu($_REQUEST['betu']);
                }
            else
                {
                if(isset($_SESSION["miszerint"][$this->muvelet]["utolsomiszerint"]))
                    {
                    $fv="getSt_".$_SESSION["miszerint"][$this->muvelet]["utolsomiszerint"];
                    $stuser=$this->$fv($_SESSION["miszerint"][$this->muvelet]["utolsoertek"]);
                    $_REQUEST[$this->utolsomiszerint]=$_SESSION["miszerint"][$this->muvelet]["utolsoertek"];
                    }
                else
                    {
                    $betu=iconv_substr(foodString::owstr("abc"),0,1,"UTF-8");
                    $stuser=$this->getSt_betu($betu);
                    $this->utolsomiszerint="betu";
                    $_REQUEST[$this->utolsomiszerint]=$betu;
                    }
                }
            }
        $this->utolsoertek= $_REQUEST[$this->utolsomiszerint];
        $_SESSION["miszerint"][$this->muvelet]["utolsomiszerint"]=$this->utolsomiszerint;
        $_SESSION["miszerint"][$this->muvelet]["utolsoertek"]=$this->utolsoertek;
        $stuser->exec();
        $this->userek=array();
        while($soruser=$stuser->fetch_assoc())
            {
            $this->userek[$soruser['id']]=$soruser;
            }
        }
    
     function getSt_cimszerint($cim)
        {
        $conn=foodDB::Connect();
        $qyuser = "SELECT fc.loginNev, fc.id, fc.Nev,fc.Iszam,fc.Varos,fc.Utca,fc.Hazszam,  f.Email, f.idlogin FROM felhasznalok_cimek fc, felhasznalok f WHERE fc.idlogin=f.idlogin and fc.idlogin=? and fc.ujreg=0  order by fc.Nev";
        if(!isset($_REQUEST['neve']))
            {
            $_REQUEST['neve']=$_SESSION['admin'.$this->muvelet.'Box']['last_neve'];
            }
        else
            {
            $_SESSION['admin'.$this->muvelet.'Box']['last_neve']=$_REQUEST['neve'];
            }
        $_SESSION['admin'.$this->muvelet.'Box']['last_cimszerint']=$_REQUEST['neve'];
        $_SESSION["ugyfelmuvelet-miszerint"][$this->muvelet]=" címek: ".$_SESSION['admin'.$this->muvelet.'Box']['last_cimszerint'];
        $this->utolsomiszerint="cimszerint";
        $stuser=$conn->prepare($qyuser);
        if(!$stuser)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $stuser->bind_param("i",$cim);
        return($stuser);
        }
    
     function getSt_emailszerint($email)
        {
        $conn=foodDB::Connect();
        $qyuser = "SELECT fc.loginNev, fc.id, fc.Nev,fc.Iszam,fc.Varos,fc.Utca,fc.Hazszam,  f.Email, f.idlogin FROM felhasznalok_cimek fc, felhasznalok f WHERE fc.idlogin=f.idlogin and f.Email is not null and f.Email!='' and f.Email like ? and fc.ujreg=0  order by f.Email";
        $_SESSION['admin'.$this->muvelet.'Box']['last_emailszerint']=$email;
        $_SESSION["ugyfelmuvelet-miszerint"][$this->muvelet]=" e-mail: ".$_SESSION['admin'.$this->muvelet.'Box']['last_emailszerint']." ...";
        $this->utolsomiszerint="emailszerint";
        $stuser=$conn->prepare($qyuser);
        if(!$stuser)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $stuser->bind_param("s",$email."%");
        return($stuser);
        }
    
     function getSt_azonositoszerint($azonosito)
        {
        $conn=foodDB::Connect();
        $qyuser = "SELECT fc.loginNev, fc.id, fc.Nev,fc.Iszam,fc.Varos,fc.Utca,fc.Hazszam,  f.Email, f.idlogin FROM felhasznalok_cimek fc, felhasznalok f WHERE fc.idlogin=f.idlogin and fc.loginNev=? and fc.ujreg=0  order by fc.Nev";
        $_SESSION['admin'.$this->muvelet.'Box']['last_azonositoszerint']=$azonosito;
        $_SESSION["ugyfelmuvelet-miszerint"][$this->muvelet]=" azonosító: ".$_SESSION['admin'.$this->muvelet.'Box']['last_azonositoszerint'];
        $this->utolsomiszerint="azonositoszerint";
        $stuser=$conn->prepare($qyuser);
        if(!$stuser)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $stuser->bind_param("s",$azonosito);
        return($stuser);
        }
    
     function getSt_nevszerint($nev)
        {
        $conn=foodDB::Connect();
        $qyuser = "SELECT fc.loginNev, fc.id, fc.Nev,fc.Iszam,fc.Varos,fc.Utca,fc.Hazszam,  f.Email, f.idlogin FROM felhasznalok_cimek fc, felhasznalok f WHERE  fc.idlogin=f.idlogin and  UPPER(fc.Nev) collate utf8_bin like UPPER(?) and fc.ujreg=0 order by fc.Nev";
        $_SESSION['admin'.$this->muvelet.'Box']['last_nevszerint']=$nev;
        $_SESSION["ugyfelmuvelet-miszerint"][$this->muvelet]=" név: ".$_SESSION['admin'.$this->muvelet.'Box']['last_nevszerint']." ...";
        $this->utolsomiszerint="nevszerint";
        $stuser=$conn->prepare($qyuser);
        if(!$stuser)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $stuser->bind_param("s",$nev."%");
        return($stuser);
        }
    
     function getSt_betu($betu)
        {
        $conn=foodDB::Connect();
        $qyuser = "SELECT fc.loginNev, fc.id, fc.Nev,fc.Iszam,fc.Varos,fc.Utca,fc.Hazszam,  f.Email, f.idlogin FROM felhasznalok_cimek fc, felhasznalok f WHERE fc.idlogin=f.idlogin and UPPER(fc.Nev) collate utf8_bin like UPPER(?) and fc.ujreg=0 order by fc.Nev";
        $_SESSION["ugyfelmuvelet-miszerint"][$this->muvelet]=" betű: ".$betu;
        $this->utolsomiszerint="betu";
        $stuser=$conn->prepare($qyuser);
        if(!$stuser)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $stuser->bind_param("s",$betu."%");
        return($stuser);
        }
	}


?>