<?php 
require_once("classes/CLASS_etlap.php");
class etlapokBox extends baseclass
	{
     public $etlap;
     public $tipus;
	public $muvelet;
    public $page;
    
    public $napok=array();
	public $honapok=array();
    
    function __construct($page)
        {
        $this->napok=hetnapjai::getNapok();
        $this->honapok=evhonapjai::getHonapok();
        $this->page=$page;
        $this->setTemplate("etlap");
        
        if( (isset($_GET["fel"]) || isset($_GET["le"])) && isset($_GET["het"]) )
            {
            $heteve=substr($_GET["het"],0,4);
            $het=substr($_GET["het"],4,2);
            
            $qyssz="select distinct ssz from etlap where Kategoria=? and heteve=? and Het=? and lang=?";
            $qykat="SELECT distinct Kategoria FROM etlap where ssz=? and heteve=? and Het=? and lang=?";
            $qyset="update etlap set ssz=? where Kategoria=? and heteve=? and Het=? and lang=?";
            
            if(isset($_GET["fel"]))
                {
                $kategoria=$_GET["fel"];
                $qymax="SELECT  max(ssz) as mssz FROM etlap where ssz<? and heteve=? and Het=?  and lang=?";
                }
            else
                {
                $kategoria=$_GET["le"];
                $qymax="SELECT  min(ssz) as mssz FROM etlap where ssz>? and heteve=? and Het=? and lang=?";
                }
                
            $conn=foodDB::Connect();
            
            $stssz=$conn->prepare($qyssz);
            $stmax=$conn->prepare($qymax);
            $stkat=$conn->prepare($qykat);
            $stset=$conn->prepare($qyset);
            
            if(!$stssz || !$stmax || !$stkat || !$stset)
                {
                exit(ADATBAZISHIBASZOVEG_FORNTEND." - tlap01");
                }
            $stssz->bind_param("ssis",$kategoria,$heteve,$het,foodLanguage::getLang());
            $stssz->exec(); // annak a sorszma, amit mozgatunk
            
            $sorssz=$stssz->fetch_assoc();
                
            if($sorssz)
                {
                $sorszam=$sorssz["ssz"];
                $stmax->bind_param("isis",$sorszam,$heteve,$het,foodLanguage::getLang());
                $stmax->exec(); // amelyik eltte/mgtte van
                $sormax=$stmax->fetch_assoc();
                if($sormax)
                    { // ha van eltte / mgtte
                    if(is_numeric($sormax["mssz"]))
                        { // akkor a kett sorszmt megcserljk
                        $max=$sormax["mssz"];
                        $stkat->bind_param("isis",$max,$heteve,$het,foodLanguage::getLang());
                        $stkat->exec();
                        $sorkat=$stkat->fetch_assoc();
                        $ekat=$sorkat["Kategoria"]; // annak a kategrija, amelyik eltte/ mgtte van, s utna sorszmcsere:
                        $stset->bind_param("issis",$max,$kategoria,$heteve,$het,foodLanguage::getLang());
                        $stset->exec();
                        $stset->bind_param("issis",$sorszam,$ekat,$heteve,$het,foodLanguage::getLang());
                        $stset->exec();
                        }
                    }
                }
            }
        
        if(isset($_GET["het"]) && isset($_GET["torol"]))
            {
            $heteve=substr($_GET["het"],0,4);
            $het=substr($_GET["het"],4,2);
            $kategoria=$_GET["torol"];
            
            $conn=foodDB::Connect();
            $qydel="delete from etlap where heteve=? and Het=? and Kategoria=? and lang=?";
            $stdel=$conn->prepare($qydel);
            if(!$stdel)
                {
                exit(ADATBAZISHIBASZOVEG_FORNTEND." - tlap02");
                }
            $stdel->bind_param("siss",$heteve,$het,$kategoria,foodLanguage::getLang());
            $stdel->exec();
            }
        
        $this->etlap=new etlap($_GET['het'],"etlap");
        $this->tipus="etlapok";
        $this->muvelet="etlapok";
        
        }
    }
?>