<?php
require_once("classes/CLASS_telepulesek.php");
class regisztracioBox extends baseclass
	{
	public $template;
	public $vanhiba=false;
	public $hibak=array();
	public $varosok;
	public $data;
	public $idlogin;
	public $page;
     public $telep;
     public $loginnev;
     public $jelszo;
	
	function __construct()
		{
		$this->varosok=array();
         $this->data=array();
        if(isset($_POST['ujfelhasznalo']))
			{
			$this->checkPOST();
			if(!$this->vanhiba)
				{
				$md5_nev=$this->storeUser();
                
                 $this->getPOSTData();
                
                 
                 $subject="Regisztráció";
                 if(foodModule::is_module("regisztracio_akcio_module"))
                    {
                    if(isset($_SESSION[foodModule::getmodule("regisztracio_akcio_module")->getSessionkey()]))
                        {
                        $subject="Lavina - ".$subject;
                        }
                    }
                
                 if(AUTOLOGINNEV)
                    {
                    $usermail=foodFactory::simpleBox("mail/userregmail",$this);
                    $adminmail= foodFactory::simpleBox("mail/adminregmail",$this);
                    }
                  else
                    {
                    $usermail=foodFactory::simpleBox("mail/userregmail_temp",$this);
                    $adminmail= foodFactory::simpleBox("mail/adminregmail_temp",$this);
                    }
                
                   
				$adsend=$this->sendAdminMail($subject,$adminmail);
				$usend=$this->sendUserMail($md5_nev,foodString::out("Regisztráció"),$usermail);
                   if(AUTOLIGINNEV)
                     {
                   /* foodUser::Login($this->loginnev,$this->jelszo);*/
                     }
				$this->setTemplate("noturl/regisztracio_sikeres");
				}
			}
		$this->getVarosok();
		}
	
	function getVarosok()
		{
		$this->varosok=array();
         $this->telep=new telepulesek();
         $this->telepulesek=$this->telep->telepulesek;
		}
	
	function getPOSTData()
		{
		//$this->data=array();
		foreach($_POST as $k => $v)
			{
			$this->data[$k]=$v;
			}
		}
	
	function checkAdminMail($varos)
		{
		$conn=foodDB::Connect();
		$qyaemail = "SELECT Varosid FROM telepulesek WHERE Telep=?";
		$staemail=$conn->prepare($qyaemail);
		if(!$staemail)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND."02");
			}
		else
			{
			$staemail->bind_param('s',$varos);
			$staemail->exec();
			//ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
			if ($staemail->num_rows()!=0) 
				{
				$soraemail=$staemail->fetch_assoc();
				return($soraemail['Varosid']);
				}
			else
				{
				return(0);
				}
			}
		}
	
	function checkPOST()
		{
		$conn=foodDB::Connect();
		
		if (!preg_match(foodConstants::$MAILPATTERN, $_POST['Email'])) 
			{
		    $this->hibak[]= foodString::out("Érvénytelen email-cím!");
			$this->vanhiba = true;
			}
            
            
         if(EMAILLOGIN) 
            {
            $qyvoltmaremail = "SELECT idlogin FROM felhasznalok_cimek WHERE Email=? UNION SELECT idlogin FROM felhasznalok WHERE Email=?";
			$stvoltmaremail=$conn->prepare($qyvoltmaremail);
			if(!$stvoltmaremail)
				{
				exit(ADATBAZISHIBASZOVEG_FRONTEND."03");
				}
			else
				{
				$stvoltmaremail->bind_param('ss',$_POST['Email'],$_POST['Email']);
				$stvoltmaremail->exec();
				//ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
				if ($stvoltmaremail->num_rows()!=0) 
					{
					
                    $this->hibak[]= foodString::out("Ezzel az e-mail címmel már létezik regisztrált felhasználó!");
                    $this->vanhiba = true;
					
					}
				}
            }
            
            
		if ((($_POST['Jarat']<=1000) && ($_POST['Jarat']>0) && (trim($_POST['Jarat'])!='')) || ($_POST['Jarat2']=="1") ) 
			{
			if ($_POST['Jarat2']=="1") 
				{
				$_POST['Jarat']='0000'; 
				} 
			} 
		else 
			{
		    $this->hibak[]= foodString::out("Érvénytelen járatszám!");
			$this->vanhiba = true;
			}
		
        if(trim($_POST['Telefon'])!="")
            {
            $digitdb=0;
            $unevlen=strlen($_POST['Telefon']);
            for($i=0; $i<$unevlen; $i++)
                {
                if( is_numeric( substr($_POST['Telefon'],$i,1) ) )
                    {
                    $digitdb++;
                    }
                }
            if($digitdb<6)
                {
                $this->hibak[]= foodString::out("A telefonszám formátuma nem megfelelő!");
                }
            }
		
		if (!empty($_POST['jelszo']) or !empty($_POST['jelszo2'])) 
			{
			if ($_POST['jelszo']!=$_POST['jelszo2']) 
				{
				//nem egyezik a ket jelszo
				$this->hibak[]= foodString::out("Nem egyezik a két jelszó!");
				$this->vanhiba = true;
				}
              if (strlen($_POST['jelszo'])<6) 
				{
				//nem egyezik a ket jelszo
				$this->hibak[]= foodString::out("Túl rövid a jelszó! (legalább 6 karakterből kell állnia )");
				$this->vanhiba = true;
				}
			} 
		else 
			{
			$this->hibak[]= foodString::out("Nem adott meg jelszót!");
			$this->vanhiba = true;		
			}
		
        
		
		if ((empty($_POST['Nev'])) || (empty($_POST['UNev']))  || ($_POST['Varos']=="0") || (empty($_POST['Iszam'])) || (empty($_POST['Utca'])) || (empty($_POST['Telefon'])) || (empty($_POST['Hazszam'])) || (empty($_POST['Jarat'])) || (empty($_POST['Email']))) 
			{
			$this->hibak[]= foodString::out("Nem adott meg minden kötelező adatot!");
			$this->vanhiba = true;
			}

		if (($_POST['Varos']=="0") ) 
			{
			$this->hibak[]= foodString::out("Nem adott meg települést!");
			$this->vanhiba = true;
			}
		else 
			{
             if(!MULTIADDRESS)
                {
                $qyvoltmar = "SELECT 1 FROM felhasznalok_cimek WHERE  Nev=? and UNev=? and Email=?";
                $stvoltmar=$conn->prepare($qyvoltmar);
                if(!$stvoltmar)
                    {
                    exit(ADATBAZISHIBASZOVEG_FRONTEND."03");
                    }
                else
                    {
                    $stvoltmar->bind_param('sss',$_POST['Nev'],$_POST['UNev'],$_POST['Email']);
                    $stvoltmar->exec();
                    //ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
                    if ($stvoltmar->num_rows()!=0) 
                        {
                        $this->hibak[]= foodString::out("Ezekkel az adatokkal már létezik regisztrált felhasználó!");
                        $this->vanhiba = true;
                        }
                    }
                }
            }
		}
	
	function sendAdminMail($subject,$mail)
		{
		require_once("class_foodMailer.php");
		$hova=$this->checkAdminMail($_POST['Varos']);
        
         $admails=adminmails::getAdminMails();
        
		$m=new foodMailer();
        
         switch ($hova)
            {
            case 0: $admail=$admails[1];
                    break;
            case 1: $admail=$admails[1];
                    break;
            }
         $m->mailer->AddAddress($admail,MAILNEVHOSSZU);
         
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, "Válaszcím"); // indicates ReplyTo headers
		$m->mailer->Subject = $subject;
		$m->mailer->IsHTML(false);
		$this->getPOSTData();
		$this->data['date']=date("Y-m-d H:i:s");
		ob_start();
		$mail->Run();
		$m->mailer->Body = ob_get_clean();
        //echo $admail."**".MAILNEVHOSSZU;
		if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
		}
	
	function sendUserMail($md5_nev,$subject,$mail)
		{
		require_once("class_foodMailer.php");
        
         $hova=$this->checkAdminMail($_POST['Varos']);
        
         $admails=adminmails::getAdminMails();
        
         switch ($hova)
            {
            case 0: $admail=$admails[1];
                    break;
            case 1: $admail=$admails[1];
                    break;
            }
        
		$m=new foodMailer();
		$m->mailer->AddAddress($_POST['Email'],$_POST['Nev']);
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, foodString::out("Válaszcím")); // indicates ReplyTo headers
		$m->mailer->Subject = $subject;
		if(AUTOLOGINNEV)
            {
            $m->mailer->IsHTML(true);
            }
         else
            {
            $m->mailer->IsHTML(false);
            }
		$this->getPOSTData();
		$this->data['md5_nev']=$md5_nev;
		ob_start();
		$mail->Run();
		$m->mailer->Body = ob_get_clean();
       // echo $_POST['Email']."//".$_POST['Nev'];
		if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
		}
	
	function storeUser()
		{
		$conn=foodDB::Connect();
        
         $qyuserc = "INSERT INTO felhasznalok_cimek (Nev, UNev, Varos,  Iszam ,Utca, Hazszam, Kaputel, Email, Telefon, Fax, Szamnev, Szamiszam, Szamvaros, Szamutca, Szamhazszam, Megjegy,Jarat,tlogin,temp,ujreg) VALUES 
		(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
        
        $stuserc = $conn->prepare($qyuserc);
        
        if(!$stuserc)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND);
			}
		else
			{
              $uid=uniqid($_POST["Email"].'-',true);
              $temp=1;
              if(AUTOLOGINNEV)
                {
                $temp=0;
                }
			$stuserc->bind_param('ssssssssssssssssssii', $_POST['Nev'], $_POST['UNev'], $_POST['Varos'], $_POST['Iszam'], $_POST['Utca'], $_POST['Hazszam'], $_POST['Kaputel'], $_POST['Email'], $_POST['Telefon'], $_POST['Fax'], $_POST['Szamnev'], $_POST['Szamiszam'], $_POST['Szamvaros'], $_POST['Szamutca'],  $_POST['Szamhazszam'], $_POST['Megjegy'],$_POST['Jarat'],$uid,$temp,1);
			$stuserc->exec();
			$lastid_cim=$stuserc->insert_id();
			//$this->idlogin=$lastid;
			//$md5_nev=md5($lastid);
			
            
            
              $qyuser = "INSERT INTO felhasznalok (loginNev, jelszo, Nev, UNev, Varos,  Iszam ,Utca, Hazszam, Kaputel, Email, Telefon, Fax, Szamnev, Szamiszam, Szamvaros, Szamutca, Szamhazszam, Megjegy, Statusz, Newsletter, lang,  temp, Jarat,tlogin) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
            $stuser = $conn->prepare($qyuser);
            if(!$stuser)
                {
                exit(ADATBAZISHIBASZOVEG_FRONTEND."- 01");
                }
            else
                {
                if(AUTOLOGINNEV)
                    {
                    $this->data['loginNev']=foodFunctions::getNewLogin($lastid_cim);
                    }
                else
                    {
                    $this->data['loginNev']=$uid;
                    }
                $loginnev=$this->data['loginNev'];
                $stuser->bind_param('sssssssssssssssssssiiiss',$loginnev,$_POST['jelszo'], $_POST['Nev'], $_POST['UNev'], $_POST['Varos'], $_POST['Iszam'], $_POST['Utca'], $_POST['Hazszam'], $_POST['Kaputel'], $_POST['Email'], $_POST['Telefon'], $_POST['Fax'], $_POST['Szamnev'], $_POST['Szamiszam'], $_POST['Szamvaros'], $_POST['Szamutca'],  $_POST['Szamhazszam'], $_POST['Megjegy'], 'u','1','0',$temp, $_POST['Jarat'],$uid);
                //print_r($_POST);
                //echo $loginnev." NNN ".$temp." NNN ".$uid;
                $stuser->exec();
                $lastid=$stuser->insert_id();
                $this->idlogin=$lastid;
                
                $qytempc = "UPDATE felhasznalok_cimek SET idlogin=?, loginNev=? WHERE id=?";
			$sttempc = $conn->prepare($qytempc);
			if(!$sttempc)
				{
				exit(ADATBAZISHIBASZOVEG_FRONTEND."- 02");
				}
			else
				{
                  $sttempc->bind_param('isi',$lastid,$loginnev,$lastid_cim);
				$sttempc->exec();
                  $this->loginnev=$loginnev;
                  $this->jelszo=$_POST['jelszo'];
                  
                   if(foodModule::is_module("regisztracio_akcio_module"))
                    {
                    if(isset($_SESSION[foodModule::getmodule("regisztracio_akcio_module")->getSessionkey()]))
                        {
                        foodModule::ifmodule("regisztracio_akcio_module")->regisztracio($lastid);
                        }
                    if($_POST['Varos']=="Szekszárd")
                        {
                        foodModule::ifmodule("regisztracio_akcio_module")->regisztracio($lastid);
                        }
                    }
				return($uid);
				}
                }
            
            
			}
        
		
		}
	
	
	}
?>