<?php
require_once("classes/CLASS_telepulesek.php");
class ujcimBox extends baseclass
	{
	public $template;
	public $vanhiba=false;
	public $hibak=array();
	public $varosok;
	public $data;
	public $page;
     public $telep;
     public $postolva=false;
	
	function __construct($page)
		{
		$this->varosok=array();
         $this->data=array();
		$this->page=$page;
        if(isset($_POST['ujfelhasznalo']))
			{
             $this->postolva=true;
             $this->getPOSTData();
			$this->checkPOST();
			if(!$this->vanhiba)
				{
				$md5_nev=$this->storeUser();
                
                 //require_once(TEMPLATEDIR."template_userregmail.php");
                 //$usermail= new template_userregmail($this);
                 if(AUTOLOGINNEV)
                    {
                    $usermail=foodFactory::simpleBox("mail/usercimregmail",$this);
                    $adminmail= foodFactory::simpleBox("mail/adminregmail",$this);
                    }
                  else
                    {
                    $usermail=foodFactory::simpleBox("mail/userregmail_temp",$this);
                    $adminmail= foodFactory::simpleBox("mail/adminregmail_temp",$this);
                    }
                
                
                
                 //require_once(TEMPLATEDIR."template_adminregmail.php");
                 //$adminmail= new template_adminregmail($this);
                
                
				$adsend=$this->sendAdminMail("Regisztráció - létező felhasználóhoz",$adminmail);
                
                  //$adsend=$this->sendAdminMail("Regisztráció - létező felhasználóhoz",$adminmail,"melo.janous@gmail.com");
                //$usend=$this->sendUserMail($md5_nev,foodString::out("Regisztráció"),$usermail);
			    foodUser::setAddresses();	//$usend=$this->sendUserMail($md5_nev,"Regisztráció",$usermail);
				//$this->template="noturl/regisztracio_sikeres";
                   $this->redirectopage="szemelyes";
                   $this->setTemplate("noturl/redirectopage");
				}
			}
		$this->getVarosok();
		}
	
	function getVarosok()
		{
		$this->varosok=array();
         $this->telep=new telepulesek();
         $this->telepulesek=$this->telep->telepulesek;
		}
	
	function getPOSTData()
		{
		//$this->data=array();
		foreach($_POST as $k => $v)
			{
			$this->data[$k]=$v;
			}
		}
	

	
	function checkAdminMail($varos)
		{
		$conn=foodDB::Connect();
		$qyaemail = "SELECT Varosid FROM telepulesek WHERE Telep=?";
		$staemail=$conn->prepare($qyaemail);
		if(!$staemail)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND."02");
			}
		else
			{
			$staemail->bind_param('s',$varos);
			$staemail->exec();
			//ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
			if ($staemail->num_rows()!=0) 
				{
				$soraemail=$staemail->fetch_assoc();
				return($soraemail['Varosid']);
				}
			else
				{
				return(0);
				}
			}
		}
	
	function checkPOST()
		{
		$conn=foodDB::Connect();
    
		if ((($_POST['Jarat']<=1000) && ($_POST['Jarat']>0) && (trim($_POST['Jarat'])!='')) || ($_POST['Jarat2']=="1") ) 
			{
			if ($_POST['Jarat2']=="1") 
				{
				$_POST['Jarat']='0000'; 
				} 
			} 
		else 
			{
		    $this->hibak[]= "Érvénytelen járatszám!";
			$this->vanhiba = true;
			}
		
		
		if ((empty($_POST['Nev'])) || (empty($_POST['UNev'])) ||($_POST['Varos']=="0") || (empty($_POST['Iszam'])) || (empty($_POST['Utca'])) || (empty($_POST['Telefon'])) || (empty($_POST['Hazszam'])) || (empty($_POST['Jarat'])) ) 
			{
			$this->hibak[]= "Nem adott meg minden kötelező adatot!";
			$this->vanhiba = true;
			}

		if (($_POST['Varos']=="0") && (empty($_POST['Varos2']))) 
			{
			$this->hibak[]= "Nem adott meg települést!";
			$this->vanhiba = true;
			}
		else 
			{
             /*
			$qyvoltmar = "SELECT CONCAT(Varos,Iszam,Utca, 	Hazszam) as cim FROM felhasznalok_cimek WHERE and Nev=? and UNev=? and Email=? and idlogin=?";
			$stvoltmar=$conn->prepare($qyvoltmar);
			if(!$stvoltmar)
				{
				exit(ADATBAZISHIBASZOVEG_FRONTEND."03");
				}
			else
				{
				$stvoltmar->bind_param('ssssi',$_POST['jelszo'],$_POST['Nev'],$_POST['UNev'],$_POST['Email'],$_SESSION['foodUser']->userData['idlogin']);
				$stvoltmar->exec();
				//ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
				if ($stvoltmar->num_rows()!=0) 
					{
					$letezo=$stvoltmar->fetch_assoc();
					$letezocim=$letezo['cim'];
					$ujcim=$_POST['Varos'].$_POST['Iszam'].$_POST['Utca'].$_POST['Hazszam'];
					$letezocim=str_replace(' ','',$letezocim);
					$ujcim=str_replace(' ','',$ujcim);
					if($ujcim==$letezocim)
						{
						$this->hibak[]= "Ezekkel az adatokkal már létezik regisztrált felhasználó!";
						$this->vanhiba = true;
						}
					}
				}
			*/
            }
            
		}
	
	function sendAdminMail($subject,$mail,$cim=null)
		{
		require_once("class_foodMailer.php");
		$hova=$this->checkAdminMail($_POST['Varos']);
        
         $admails=adminmails::getAdminMails();
        
		$m=new foodMailer();
        
         switch ($hova)
            {
            case 0: $admail=$admails[1];
                    break;
            case 1: $admail=$admails[1];
                    break;
            }
            
         if(!is_null($cim))
            {
            $admail=$cim;
            }
            
         $m->mailer->AddAddress($admail,MAILNEVHOSSZU);
         
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, foodString::out("Válaszcím")); // indicates ReplyTo headers
		$m->mailer->Subject = $subject;
		$m->mailer->IsHTML(false);
		$this->getPOSTData();
		$this->data['date']=date("Y-m-d H:i:s");
         $this->data['Email']=foodUser::getuserData('Email');
		ob_start();
		$mail->Run();
		$m->mailer->Body = ob_get_clean();
		if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
		}
	
	function sendUserMail($md5_nev,$subject,$mail)
		{
		require_once("class_foodMailer.php");
        
         $hova=$this->checkAdminMail($_POST['Varos']);
        
         $admails=adminmails::getAdminMails();
        
         switch ($hova)
            {
            case 0: $admail=$admails[1];
                    break;
            case 1: $admail=$admails[1];
                    break;
            }
        
		$m=new foodMailer();
		$m->mailer->AddAddress(foodUser::getuserData('Email'),$_POST['Nev']);
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, foodString::out("Válaszcím")); // indicates ReplyTo headers
		$m->mailer->Subject = $subject;
		$m->mailer->IsHTML(true);
		$this->getPOSTData();
		$this->data['md5_nev']=$md5_nev;
		ob_start();
		$mail->Run();
		$m->mailer->Body = ob_get_clean();
		if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
		}
	
	function storeUser()
		{
		$conn=foodDB::Connect();
        
         $qyuserc = "INSERT INTO felhasznalok_cimek (idlogin,Nev, UNev, Varos,  Iszam ,Utca, Hazszam, Kaputel, Email, Telefon, Fax, Szamnev, Szamiszam, Szamvaros, Szamutca, Szamhazszam, Megjegy,   Jarat,tlogin,temp) VALUES 
		(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?)";
        
        $stuserc = $conn->prepare($qyuserc);
 
        if(!$stuserc)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND."04");
			}
		else
			{
              $uid=uniqid(foodUser::getuserData('Email').'-',true);
              $temp=1;
              if(AUTOLOGINNEV)
                {
                $temp=0;
                }
              //print_r($_POST);
              //echo foodUser::getuserData('Email');
              $stuserc->bind_param('issssssssssssssssssi',foodUser::getuserData('idlogin'), $_POST['Nev'], $_POST['UNev'], $_POST['Varos'], $_POST['Iszam'], $_POST['Utca'], $_POST['Hazszam'], $_POST['Kaputel'], foodUser::getuserData('Email'), $_POST['Telefon'], $_POST['Fax'], $_POST['Szamnev'], $_POST['Szamiszam'], $_POST['Szamvaros'], $_POST['Szamutca'],  $_POST['Szamhazszam'], $_POST['Megjegy'],$_POST['Jarat'],$uid,$temp);
                
			$stuserc->exec();
			$lastid_cim=$stuserc->insert_id();
			//$this->idlogin=$lastid;
			//$md5_nev=md5($lastid);
			
            if(AUTOLOGINNEV)
                {
                $this->data['loginNev']=foodFunctions::getNewLogin($lastid_cim);
                }
            else
                {
                $this->data['loginNev']=$uid;
                }

            $loginnev=$this->data['loginNev'];
                
                $qytempc = "UPDATE felhasznalok_cimek SET  loginNev=? WHERE id=?";
			$sttempc = $conn->prepare($qytempc);
			if(!$sttempc)
				{
				exit(ADATBAZISHIBASZOVEG_FRONTEND."05");
				}
			else
				{
                $sttempc->bind_param('si',$loginnev,$lastid_cim);
				$sttempc->exec();
				return("");
				}
			}
		}
	
	
	}
?>