<?php
class etlapkategoriaszerkesztBox extends baseclass
	{
	public $kategoria;
    public $datum;
    public $postdata=array( 1 => 'kat2', 2 => 'szin', 3 => 'szin2', 4 => 'szin3', 5 => 'szin4' );
	public $posthiba=array( 1 => 'Adja meg a kategória nevét!', 2 => 'Adja meg a kategória háttérszínét', 3 => 'Adja meg az ételek betűszínét!', 4 => 'Adja meg az ételek háttérszínét!', 5 => 'Adja meg a kategória betűszínét!');

	
	function __construct()
		{
		$this->setTemplate('iframe/etlapkategoriaszerkeszt');
		
		$this->init_kategoria();
        
         if(isset($_POST['egykategoriasubmit']))
			{
			$this->set_kategoria();
			$this->check_POST();
			if(!$this->hiba)
				{
				$conn=foodDB::Connect();
  
				$qykat= "update kategoria set kat2=?, descr=?, szin=?, szin2=?, szin3=?, szin4=? where kat=? and lang=?";
				$stkat=$conn->prepare($qykat);
				if(!$stkat)
					{
					exit(ADATBAZISHIBASZOVEG_FRONTEND);
					}
				else
					{
					$stkat->bind_param('ssssssss',$this->kategoria['kat2'],$this->kategoria['descr'],$this->kategoria['szin'],$this->kategoria['szin2'],$this->kategoria['szin3'],$this->kategoria['szin4'],$this->kategoria['kat'],foodLanguage::getLang());
					$stkat->exec();
					$this->saved=true;
					}
				}
			}
		}
	
	function init_kategoria()
		{
         $conn=foodDB::Connect();
        
         $qy="select kat,kat2,descr,szin,szin2,szin3,szin4 from kategoria  where kat=? and lang=?";
         $st=$conn->prepare($qy);
         if(!$st)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
         $st->bind_param("ss",$_GET["kategoria"],foodLanguage::getLang());
         $st->exec();
         
         $this->kategoria=$st->fetch_assoc();
         $this->kategoria["datum"]=$_GET["datum"];
		}
        
	function set_kategoria()
		{
		$this->kategoria["kat2"]=$_POST["kat2"];
         $this->kategoria["descr"]=$_POST["descr"];
         $this->kategoria["szin"]=$_POST["szin"];
         $this->kategoria["szin2"]=$_POST["szin2"];
          $this->kategoria["szin3"]=$_POST["szin3"];
         $this->kategoria["szin4"]=$_POST["szin4"];
         $this->kategoria["kat"]=$_POST["kat"];
         $this->kategoria["datum"]=$_POST["datum"];
         }
	
	function check_POST()
		{
		foreach($this->postdata as $num => $key)
			{
			if($_POST[$key]=='')
				{
				$this->hiba=$this->posthiba[$num];
				}
			}
		}
		
	}

?>