<?php
require_once(DDIR.'CLASS_admintelepulesekBox.php');

class ujtelepulesBox extends admintelepulesekBox
	{
	public $telepules=array();
	public $hiba=false;
	public $saved=false;
	public $idtelep="uj";
	public $postdata=array( 1 => 'Telep', 2 => 'Varosid', 3 => 'Hide', 4 => 'Color');
	public $posthiba=array( 1 => 'Adja meg a települést!', 2 => 'Budapest vagy vidék?', 3 => 'Rejtett vagy sem?', 4 => 'Adja meg a színt!');
	
	function __construct()
		{
		$this->setTemplate('iframe/egytelepules');
		$this->szurok=array( 1 => '%', 2 => '%',3 => '%',4 => '%');
		$this->get_telepulesek();
        
        if(isset($_POST['egytelepsubmit']))
			{
			$this->set_telepules();
			$this->check_POST();
			if(!$this->hiba)
				{
				$conn=foodDB::Connect();
				$qytelepules= "insert into telepulesek(Telep,Varosid,Hide,Color) values(?,?,?,?)";
				$sttelepules=$conn->prepare($qytelepules);
				if(!$sttelepules)
					{
					exit(ADATBAZISHIBASZOVEG_FRONTEND);
					}
				else
					{
					$sttelepules->bind_param('siii',$this->telepules['Telep'],$this->telepules['Varosid'],$this->telepules['Hide'],$this->telepules['Color']);
					$sttelepules->exec();
					$this->saved=true;
					}
				}
			}
		}
	
	function set_telepules()
		{
		foreach($this->postdata as $key)
			{
			$this->telepules[$key]=$_POST[$key];
			}
		}
	
	function check_POST()
		{
		foreach($this->postdata as $num => $key)
			{
			if($_POST[$key]=='')
				{
				$this->hiba=$this->posthiba[$num];
				}
			}
		
		
			
		if(!$this->hiba)
			{
			$telepek=array();
			foreach($this->telepulesek as $k => $v)
				{
				$telepek[]=$v['Telep'];
				}
			if(in_array(trim($_POST['Telep']),$telepek))
				{
				$this->hiba="Már van ilyen!";
				}
			}
		}
	
	}

?>