<?php
class szamla_vasarnapi_moduleBox extends foodModule
    {
    public $userdata;
    public $szamlaszoveg="";
    public $type=1;
    public $bank;
    public $osszeg;
    public $rendelid;
    public $loginNev;
    public $outid;
    
  function process()
    {
    $conn=foodDB::Connect();
    $q="SELECT id, rendelid, loginNev, osszeg, tartalom FROM `szamlalog_out` WHERE `idobelyeg` like '2016-08-28%' and `idobelyeg` > '2016-08-28 02:35:51' and ok=0 order by `idobelyeg` limit 0,1";
    $st=$conn->prepare($q);
    if($st)
        {
        $st->exec();
        $sor=$st->fetch_assoc();
        if($sor)
            {
            $this->osszeg=$sor["osszeg"];
            $this->rendelid=$sor["rendelid"];
            $this->loginNev=$sor["loginNev"];  
            $this->outid=$sor["id"];
            $jsondata=$sor["tartalom"];
            
            

            //$jsondata=str_replace('"ibook_id":168','"ibook_id":169',$jsondata);
            
            $tomb=json_decode($jsondata,true);
            
            $this->getBank($tomb["header"]["pmode"]);
            $ts=print_r($tomb,true);
            //mail("melo.janous@gmail.com","szamla01",$jsondata." --------------- ".($this->osszeg)." --------------- ".($this->rendelid)." --------------- ".($this->loginNev)." --------------- ".($this->bank)." --------------- ".$ts);
            $this->call_szamla($jsondata);
            }
        }
    }
     
  function call_szamla($jsondata)
    {
    $ysl123api_url=foodSZAMLA::$SZAMLA_URL;
// $jsonarr tömbben vannak az adatok

   //
   
   $yslcall ="jsondata=".$jsondata; // Call YSL123API, YSL = "Yes!SzámlázóLite" terméknév nagybetűiből ered
   //
        // CURL CHannel (ch) nyitás POST-hoz
        //
        $ch = curl_init( $ysl123api_url ); // YSL123API_URL
        //
        $useragent="Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1";
        //
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS,  $yslcall); // CALL
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        //
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        //
        curl_setopt($ch, CURLOPT_USERAGENT, $useragent);
        //
   //
   //$tartalom= print_r($jsondata,true);
   //$this->log_out($tartalom);
	if( ($yslres=curl_exec($ch)) === false) // ysl.response
	{
	     //
		 $curlerrtxt=curl_error($ch);
		 //
		 $form_error_msg='ERROR: Call of invoicer sub-system failed. (CURL) '.$curlerrtxt.'';
         return(false);
         //
		 //die('</body></html>');
	}
    else{
         //
         $arr1 = json_decode( $yslres,true );
         if($arr1["result"]=="OK")
            {
            $this->store_szamla($arr1);
            }
         return($arr1);
         $invid=(int)$arr1['invid']; // ha hiba lenne esetleg, akkor nincs más tömb index, csak result és invid!
		 //
		 if( $invid > 0 ){
		  //
		  $icode   = $arr1['icode'];
		  $invname = $arr1['invname'];
		  $invurl  = $arr1['url'];
		  //
		 }
		 else{
		  //
		  $form_error_msg='ERROR: Cannot reach invoice URL. '.$arr1['result'].'';
		  //	
		  var_dump( $yslres );
		  //		  
		  die('</body></html>');
		 }
    }
  }
  
  function store_szamla($arr)
    {
    $conn=foodDB::Connect();
    $q="insert into szamla(loginNev,rendelid,result,invid,copynum,invname,icode,url,type,bank,osszeg) values(?,?,?,?,?,?,?,?,?,?,?)";
    $st=$conn->prepare($q);
    $osszeg=$this->osszeg;
    if(get_class($this)=="szamla_minusz_moduleBox")
        {
        $osszeg=(-1)*$osszeg;
        }
    if($st)
        {
        $st->bind_param("ssssisssisd",$this->loginNev,$this->rendelid,$arr["result"],$arr["invid"],$arr["copynum"],$arr["invname"],$arr["icode"],$arr["url"],$this->type,$this->bank,$osszeg);
        $st->exec();
        $q2="update szamlalog_out set ok=1 where id=?";
        $st2=$conn->prepare($q2);
        $st2->bind_param("i",$this->outid);
        $st2->exec();
        }
    }
    

     

    function getBank($pmode)
        {
        switch($pmode)
            {
            case "CC": $this->bank="CIB";
                        return;
            case "MS": $this->bank="MKB";
                        return;
            case "OS": $this->bank="OTP";
                        return;
            case "KS": $this->bank="KH";
                        return;
            }
        }
         
    }
?>