<?php
class szamlautolag_moduleBox extends foodModule
    {
    public $userdata;
    public $szamlaszoveg="";
    public $type=1;
    public $bank;
    public $osszeg;
    public $rendelid;
    public $loginNev;
    
        
  function call_szamla($ysl123api_url,$jsonarr)
    {
// $jsonarr tömbben vannak az adatok

   //
   $jsondata = json_encode( $jsonarr );
   $jsondata = str_replace( '&', urlencode('&'), $jsondata ); // ! CURL megeszi az & karaktert ha az JSON stringben van -> ezert elkodoljuk!
   //
   //echo
   $yslcall ="jsondata=".$jsondata; // Call YSL123API, YSL = "Yes!SzámlázóLite" terméknév nagybetűiből ered
   //
        // CURL CHannel (ch) nyitás POST-hoz
        //
        $ch = curl_init( $ysl123api_url ); // YSL123API_URL
        //
        $useragent="Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1";
        //
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS,  $yslcall); // CALL
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        //
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        //
        curl_setopt($ch, CURLOPT_USERAGENT, $useragent);
        //
   //
	if( ($yslres=curl_exec($ch)) === false) // ysl.response
	{
	     //
		 $curlerrtxt=curl_error($ch);
		 //
		 $form_error_msg='ERROR: Call of invoicer sub-system failed. (CURL) '.$curlerrtxt.'';
         return(false);
         //
		 //die('</body></html>');
	}
    else{
         //
         $arr1 = json_decode( $yslres,true );
         if($arr1["result"]=="OK")
            {
            $this->store_szamla($arr1);
            }
         return($arr1);
         $invid=(int)$arr1['invid']; // ha hiba lenne esetleg, akkor nincs más tömb index, csak result és invid!
		 //
		 if( $invid > 0 ){
		  //
		  $icode   = $arr1['icode'];
		  $invname = $arr1['invname'];
		  $invurl  = $arr1['url'];
		  //
		 }
		 else{
		  //
		  $form_error_msg='ERROR: Cannot reach invoice URL. '.$arr1['result'].'';
		  //	
		  var_dump( $yslres );
		  //		  
		  die('</body></html>');
		 }
    }
  }
  
  function store_szamla($arr)
    {
    $conn=foodDB::Connect();
    $q="insert into szamla(loginNev,rendelid,result,invid,copynum,invname,icode,url,type,bank,osszeg) values(?,?,?,?,?,?,?,?,?,?,?)";
    $st=$conn->prepare($q);
    $osszeg=$this->osszeg;
    if(get_class($this)=="szamla_minuszutolag_moduleBox")
        {
        $osszeg=(-1)*$osszeg;
        }
    if($st)
        {
        $st->bind_param("ssssisssisd",$this->loginNev,$this->rendelid,$arr["result"],$arr["invid"],$arr["copynum"],$arr["invname"],$arr["icode"],$arr["url"],$this->type,$this->bank,$osszeg);
        $st->exec();
        }
    }
    
   
        
    function getBank($pmode)
        {
        switch($pmode)
            {
            case "CC": $this->bank="CIB";
                        return;
            case "MS": $this->bank="MKB";
                        return;
            case "OS": $this->bank="OTP";
                        return;
            case "KS": $this->bank="KH";
                        return;
            }
        }
         
    }
?>