<?php
class foodEtlap
    {
    public static $etlapsorokById=array();
    public static $hetisorok=array();
    public static $kezdodatum="";
    
    public static function getKezdodatum()
        {
        $conn=foodDB::Connect();
            
        $qydatumok="select distinct datum from etlap where aktiv=1 and lang=? order by datum";
        $stdatumok=$conn->prepare($qydatumok);
        if(!$stdatumok)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
            
        $stdatumok->bind_param("s",foodLanguage::getLang());
        $stdatumok->exec();
        $sordatumok=$stdatumok->fetch_assoc();
        if(!$sordatumok) return(false);
        self::$kezdodatum=$sordatumok["datum"];
        if(KORABBIPLUSZHET>0)
            {
            self::$kezdodatum=date("Y-m-d",strtotime(self::$kezdodatum." - ".KORABBIPLUSZHET." week"));
            }
        return(self::$kezdodatum);
        }
    
    public static function init()
        {
        self::$etlapsorokById=array();
        $conn=foodDB::Connect();
        
        $qyaktualisetlap="select e.id, e.Het, e.Honap, e.Nap, e.Szun, e.Kategoria, e.Nev, e.Ar, e.ev, e.Info, e.Gomba, e.Hot, e.New, e.Info2, e.elozonap, e.datum, e.ssz, e.heteve, e.screenNev, e.hetirendeles,e.hetiAr,e.hetiKategoria, e.aktiv, e.ikon_id, e.zaszlo_id, k.katid, k.kat, k.kat2, k.descr, k.szin, k.szin2, k.szin3  from etlap e, kategoria k where e.Kategoria=k.kat and e.lang=k.lang and e.datum>=? and e.lang=? order by e.heteve, e.Het, e.ssz, e.ev, e.Honap, e.Nap";
        $staktualisetlap=$conn->prepare($qyaktualisetlap);

        if(!$staktualisetlap)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        else
            {
            $staktualisetlap->bind_param("ss",self::getKezdodatum(),foodLanguage::getLang());
            $staktualisetlap->exec();
            while($soretlap=$staktualisetlap->fetch_assoc())
                {
                self::$etlapsorokById[foodFunctions::getEtelId($soretlap['Kategoria'],$soretlap['datum'])]=$soretlap;
                
                if(trim($soretlap["hetiKategoria"])!="")
                    {
                    if(!isset(self::$hetisorok[$soretlap["hetiKategoria"]]))
                        {
                        self::$hetisorok[$soretlap["hetiKategoria"]]=$soretlap;
                        }
                    }
                
                }
            }
        }
    
    public static function getHetiEtlap()
        {
        if(empty(self::$etlapsorokById))
            {
            self::init();
            }
        return(self::$hetisorok);
        }
    
    public static function getEtlap()
        {
        if(empty(self::$etlapsorokById))
            {
            self::init();
            }
        return(self::$etlapsorokById);
        }
    }
?>