<?php
class foodModule extends moduleclass
    {
    public static $modules=array();
    public $submodules=array();
    public $moduleparent=null;
    public $name="";
    
    public function addModule($module)
        {
        if(is_null($module))
            {
            trigger_error("foodModule::addModule no product given", E_WARNING);
            }
        else
            {
            if(!($module instanceof foodModule))
                {
                trigger_error("foodModule->addModule given parameter is not an instance of foodModule", E_WARNING);
                }
            else
                {
                $this->submodules[$module->name]=self::$modules[$module->name];
                $this->submodules[$module->name]->moduleparent=$this;
                
                return($this->submodules[$module->name]);
                }
            }
        }
        
    public static function is_module($product)
        {
        if(isset(self::$modules[$product]))
            {
            return(true);
            }
        return(false);
        }
        
    public function is_submodule($product)
        {
        if(isset($this->submodules[$product]))
            {
            return(true);
            }
        return(false);
        }
        
    public static function ifmodule($product)
        {
        if(self::is_module($product))
            {
            return(self::$modules[$product]);
            }
        else
            {
            return(new foodblank);
            }
        }
      
     public static function getmodule($product)
        {
        return(self::$modules[$product]);
        }
      
     public function ifhasmodule($product)
        {
        if($this->is_submodule($product))
            {
            return($this->submodules[$product]);
            }
        else
            {
            return(new foodblank);
            }
        }
        
     public function getsubmodule($product)
        {
        return($this->submodules[$product]);
        }
    }

?>