<?php 
class template_header_admin extends basetemplate
    {
     function Show()
        {
?>
<head>
<base href="<?php echo BASEURL; ?>" />
<link rel="shortcut icon" type="image/png" href="favicon.png" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="robots" content="all" />
<title><?php echo $this->op->contents['title']; ?> <?php echo SITEROVIDNEV; ?></title>
<meta name="description" content="<?php echo foodString::owstr("meta_description"); ?>" />   
<meta name="keywords" content="<?php echo foodString::owstr("meta_keywords"); ?>" />   
<link href="<?php echo foodString::fullUrl(STYLESDIR."Site_admin.css.php?v=3");  ?>" type="text/css" rel="stylesheet" />
<link href="<?php echo STYLESDIR; ?>Site_etlap.css.php?p=<?php echo etlapConf::getPadding(); ?>&b=<?php echo etlapConf::getBorder(); ?>" type="text/css" rel="stylesheet" />
<link href="<?php echo foodString::fullUrl(STYLESDIR."Foodbonastyles.css"); ?>" type="text/css" rel="stylesheet" />
<link href="<?php echo  foodString::fullUrl(STYLESDIR."Foodstyle.css.php?v=1"); ?>" type="text/css" rel="stylesheet" />
<link href="<?php echo  foodString::fullUrl(STYLESDIR."interfood-extra.css"); ?>" type="text/css" rel="stylesheet" />
<!--[if IE 7]> <link rel="stylesheet" type="text/css" href="<?php echo  foodString::fullUrl(STYLESDIR."Ie7.css"); ?>" /><![endif]-->
<!--[if lte IE 6]>
	<script type="text/javascript" src="<?php echo  foodString::fullUrl("js/supersleight-min.js"); ?>"></script>
<![endif]-->
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>

<script src="<?php echo  foodString::fullUrl("colorbox/jquery.colorbox.js"); ?>"  type="text/javascript"></script>
<script src="<?php echo  foodString::fullUrl("foodscripts/admin-scripts.js"); ?>"  type="text/javascript"></script>

<link media="screen" rel="stylesheet" href="<?php echo  foodString::fullUrl("colorbox.css"); ?>" />

<script> 
$(document).ready(function(){
 

    if(document.getElementById('otpbox0'))
        {    
        $("#otpbox0").colorbox({innerWidth:990, innerHeight:584, iframe:true, scrolling:false, opacity:0.75, title:"Fizetés OTP SZÉP kártyával"});
        }

    if(document.getElementById('mkbbox0'))
        {    
        $("#mkbbox0").colorbox({innerWidth:990, innerHeight:584, iframe:true, scrolling:false, opacity:0.75, title:"Fizetés MKB SZÉP kártyával"});
        }

    if(document.getElementById('cimkell'))
        {
        if( $("#cimkell").attr("value")=="1" )
            {
            $.colorbox({innerWidth:400, innerHeight:100, iframe:true, scrolling:false, opacity:0.75, title:"Válasszon címet!", href:"cimvalasztas"});
            }
        }
    
    if(document.getElementById('user-etlap-cimvalasztas'))
        {
        $('#user-etlap-cimvalasztas').colorbox({innerWidth:400, innerHeight:100, iframe:true, scrolling:false, opacity:0.75, title:"Válasszon címet!", href:"cimvalasztas"});
        }
     
    if(document.getElementById('elfelejtett-jelszo'))
        {
        $("#elfelejtett-jelszo").colorbox({innerWidth:360, innerHeight:200, iframe:true, scrolling:false, opacity:0.75, title:"Elfelejtett jelszĂł"});  
        }
        
    if(document.getElementById('sikeres-regisztracio'))
        {    
        $("#sikeres-regisztracio").colorbox({innerWidth:500, innerHeight:300, iframe:true, scrolling:false, opacity:0.75, title:"RegisztrĂˇciĂł"});  
        }
        
    if(document.getElementById('internetesrendelesei'))
        {
        $("#internetesrendelesei").colorbox({innerWidth:500, innerHeight:500, iframe:true, scrolling:true, opacity:0.75, title:"Internetes rendelései"}); 
        }

    if(document.getElementById('ujtelepules'))
        {
        $("#ujtelepules").colorbox({innerWidth:400, innerHeight:150, iframe:true, scrolling:true, opacity:0.75, title:"Új település felvétele"}); 
        }

    if($("a[rel='telepmodositas']").length > 0)
        {
        $("a[rel='telepmodositas']").colorbox({innerWidth:400, innerHeight:150, iframe:true, scrolling:true, opacity:0.75, title:"Település módosítása"});  
        }
    
    if($("a[rel='teleptorles']").length > 0)
        {
        $("a[rel='teleptorles']").colorbox({innerWidth:400, innerHeight:100, iframe:true, scrolling:true, opacity:0.75, title:"Település törlése"});  
        }
    if($("a[rel='etelkep']").length > 0)
        {    
        $("a[rel='etelkep']").colorbox({ maxHeight:800, maxWidth:980, opacity:0.75});   
        }

    if(document.getElementById('ujetel'))
        {
        $("#ujetel").colorbox({innerWidth:400, innerHeight:150, iframe:true, scrolling:true, opacity:0.75, title:"Új étel"}); 
        }

    if(document.getElementById('etlapfeltoltes'))
        {
        $("#etlapfeltoltes").colorbox({innerWidth:400, innerHeight:200, iframe:true, scrolling:true, opacity:0.75, title:"Új etlap", onClosed:close_colorbox_lastload}); 
        }    
     
    if(document.getElementById('etlapcsere'))
        {
        $("#etlapcsere").colorbox({innerWidth:400, innerHeight:200, iframe:true, scrolling:true, opacity:0.75, title:"Étlap cseréje", onClosed:close_colorbox_lastload}); 
        }
    
    if($("a[rel='etelmodositas']").length > 0)
        {     
        $("a[rel='etelmodositas']").colorbox({innerWidth:400, innerHeight:185, iframe:true, scrolling:true, opacity:0.75, title:"Étel módosítása"});  
        }
     
    if($("a[rel='eteltorles']").length > 0)
        {     
        $("a[rel='eteltorles']").colorbox({innerWidth:400, innerHeight:100, iframe:true, scrolling:true, opacity:0.75, title:"Étel törlése"}); 
        }
            
    if($("a[rel='etlapetelszerkeszt']").length > 0)
        { 
        $("a[rel='etlapetelszerkeszt']").colorbox({innerWidth:500, innerHeight:600, iframe:true, scrolling:true, opacity:0.75, title:"Módosítás"});
        }
    
    if($("a[rel='etlapetelszerkeszt']").length > 0)
        {     
        $("a[rel='etlapkategoriaszerkeszt']").colorbox({innerWidth:600, innerHeight:400, iframe:true, scrolling:true, opacity:0.75, title:"Módosítás"});
        }
        
    if ($.isFunction(window.setFixedMenu))
        {
        $(window).scroll(function () {
        setFixedMenu();
            });
        }
  
 
    }); 
</script>  
    
<?php echo foodModule::ifmodule("analytics_module")->Display(); ?>

</head>


       <?php 
         }
    }