<?php
/*
Plugin Name: foodPlugin
Description: food web plugin
Version: 1.0
Author: Janous
Version: 1.0
Author URI: http://www.interfood.hu
*/
function foodPlugin_styles()
    {
    wp_register_style( 'food-style', plugins_url( '/assets/css/food-style.css', __FILE__ ), array(), '201610', 'all' );
    wp_register_style( 'tooltipster-style', plugins_url( '/assets/tooltipster/dist/css/tooltipster.bundle.min.css', __FILE__ ), array(), '201610', 'all' );
    wp_register_style( 'tooltipster-light', plugins_url( '/assets/tooltipster/dist/css/plugins/tooltipster/sideTip/themes/tooltipster-sideTip-light.min.css', __FILE__ ), array(), '201610', 'all' );
    wp_register_style( 'colorbox-style', plugins_url( '/assets/colorbox/colorbox.css', __FILE__ ), array(), '201610', 'all' );
    wp_enqueue_style( 'food-style' );
    wp_enqueue_style( 'tooltipster-style' );
    wp_enqueue_style( 'tooltipster-light' );
    wp_enqueue_style( 'colorbox-style' );
    }
    
function foodPlugin_scripts()
    {
    wp_register_script( 'food-script', plugins_url( '/assets/js/food-scripts.js', __FILE__ ) );
    wp_register_script( 'admin-scripts', plugins_url( '/assets/js/admin-scripts.js', __FILE__ ) );
    wp_register_script( 'user-scripts', plugins_url( '/assets/js/user-scripts.js', __FILE__ ) );
    wp_register_script( 'user-nontxtinput-scripts', plugins_url( '/assets/js/user-nontxtinput-scripts.js', __FILE__ ) );
    wp_register_script( 'tooltipster-script', plugins_url( '/assets/tooltipster/dist/js/tooltipster.bundle.min.js', __FILE__ ) );
    wp_register_script( 'jquery-loading-overlay-script', plugins_url( '/assets/jquery-loading-overlay-1.5.1/src/loadingoverlay.min.js', __FILE__ ) );
    wp_register_script( 'colorbox-script', plugins_url( '/assets/colorbox/jquery.colorbox-min.js', __FILE__ ) );
    wp_enqueue_script( 'food-script' );
    wp_enqueue_script( 'admin-scripts' );
    wp_enqueue_script( 'user-scripts' );
    wp_enqueue_script( 'user-nontxtinput-scripts' );
    wp_enqueue_script( 'tooltipster-script' );
    wp_enqueue_script( 'jquery-loading-overlay-script' );
    wp_enqueue_script( 'colorbox-script' );
    }    
    
add_action( 'wp_enqueue_scripts', 'foodPlugin_styles' );
add_action( 'wp_enqueue_scripts', 'foodPlugin_scripts' );

function kosarmuvelet_callback()
    {
    foodFactory::box("ajax/kosarmuvelet",null,$_POST)->Run();
    exit();
    echo "123";
    die();
    foodFactory::ifPage("kosarmuvelet")->Run();
    die();
    }
add_action('wp_ajax_nopriv_kosarmuvelet', 'kosarmuvelet_callback');
add_action('wp_ajax_kosarmuvelet', 'kosarmuvelet_callback');


?>