<?php //$logged_in = ( ! isset( $logged_in ) || $logged_in == true ) ? true : false; ?>

<!doctype html>
<html class="no-js" lang="<?php echo ICL_LANGUAGE_CODE; ?>">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="x-ua-compatible" content="ie=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<meta name="theme-color" content="#e52d2d">
		
		<title><?php wp_title( '|', true, 'right' ); ?></title>
		
		<link rel="shortcut icon" type="image/png" href="<?php bloginfo('template_directory'); ?>/img/favicon.png"/>
		<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/foundation.css" />
		<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/material-design-iconic-font.min.css" /> 
		<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/slick.css" />
        <link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/animate.css" />
		<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/app.css" />
		<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/app-mod.css" />
		<?php wp_head(); ?>
	</head>
	
	<body id="site" class="page-<?php echo get_post_field( 'post_name', get_post() ); ?>">
		<header class="header no-fixed">
			<div class="row">
				<div class="hide-for-large small-3 columns">
					<a href="#" class="button square icon red" data-menu-open="mobile-main-menu"><i class="zmdi zmdi-menu"></i></a>
				</div>
				
				<div class="large-3 small-6 columns">
					<a href="<?php echo home_url(); ?>" class="logo"><?php bloginfo('name'); ?></a>
				</div>
				
				<div class="hide-for-large small-3 columns text-right">
					<a href="#" class="button square icon green" data-menu-open="mobile-login-menu"><i class="zmdi zmdi-key"></i></a>
				</div>
				
				<div class="show-for-large medium-9 columns">
					<div class="row">
						<div class="medium-5 columns">
							<ul class="share">
								<?php if ( get_field( 'facebook','option') ) { ?>
								<li><a href="<?php the_field('facebook','option'); ?>" target="_blank" class="button square icon facebook"><i class="zmdi zmdi-facebook"></i></a></li>
								<?php } ?>
								<?php if ( get_field('google_plus','option') ) { ?>
								<li><a href="<?php the_field('google_plus','option'); ?>" target="_blank" class="button square icon google"><i class="zmdi zmdi-google-plus"></i></a></li>
								<?php } ?>
								<?php if ( get_field('twitter','option') ) { ?>
								<li><a href="<?php the_field('twitter','option'); ?>" target="_blank" class="button square icon twitter"><i class="zmdi zmdi-twitter"></i></a></li>
								<?php } ?>
								<?php if ( get_field('youtube','option') ) { ?>
								<li><a href="<?php the_field('youtube','option'); ?>" target="_blank" class="button square icon youtube"><i class="zmdi zmdi-youtube-play"></i></a></li>
								<?php } ?>
								<?php if ( get_field('email','option') ) { ?>
								<li><a href="mailto:<?php the_field('email','option'); ?>" class="button square icon green"><i class="zmdi zmdi-email"></i></a></li>
								<?php } ?>
							</ul>
						</div>
						
					<?php foodFactory::box('noturl/login')->Run();  ?>	
					</div>
					
					<ul class="header-menu">
						<?php
						wp_nav_menu( array( 'container' => '', 'menu' => 'Fejléc menü', 'items_wrap' => '%3$s' ) );
						icl_post_languages();
						?>
					</ul>
				</div>
			</div>
		</header>
		
		<nav class="show-for-large mainmenu">
			<div class="row">
				<ul>
					<?php wp_nav_menu( array( 'container' => '', 'menu' => 'Főmenü', 'items_wrap' => '%3$s' ) ); ?>
				</ul>
			</div>
		</nav>
		
		<div id="mobile-main-menu" class="mobile-menu">
			<a href="" class="button square icon gray menu-close"><i class="zmdi zmdi-arrow-left"></i></a>
			<ul>
				<?php
				icl_post_languages_mobile();
				wp_nav_menu( array( 'container' => '', 'menu' => 'Mobil főmenü', 'items_wrap' => '%3$s' ) );
				?>
			</ul>
		</div>
		<?php foodFactory::box('noturl/login_mobil')->Run();  ?>
		