$(document).foundation();

(function($) {
    
    var sticky_navigation = function(){
        var scroll_top = $(window).scrollTop();
        console.log(scroll_top);
        
        if (scroll_top > 122) { 
            $('.mainmenu').addClass('fixed');
        } else {
            $('.mainmenu').removeClass('fixed');
        }
    };
    
    sticky_navigation();
    
    $(window).scroll(function() {
         sticky_navigation();
    });
    
    var appDesktop = function() {        
        $('#sidebar').hcSticky({
            top: 75,
            wrapperClassName: 'sidebar-sticky'
        });
        
        $('.week-chooser').hcSticky({
            top: 0,
            bottomEnd: 350,
            wrapperClassName: 'sidebar-sticky'
        });
        
        $('.food-table.top').hcSticky({
            top: 54,
            bottomEnd: 0,
            wrapperClassName: 'sidebar-sticky'
        });
        
        $('.sidebar-menu-container').hcSticky({
            top: 64,
            wrapperClassName: 'sidebar-sticky'
        });        
    };
    
    ssm.addState({
        id: 'mobile',
        query: '(min-width: 1024px)',
        onEnter: function(){
			appDesktop();
        }
    });
    
	// Mobile menu
	
	$('[data-menu-open]').on( 'click', function(event) {
		event.preventDefault();
		
		var id = $(this).data('menu-open');
		
		$('#' + id).addClass('active');
	});
	
	$('.mobile-menu .menu-close').on( 'click', function(event) {
		event.preventDefault();
		
		$(this).closest('.mobile-menu').removeClass('active');
	});
	
	// Form clone
	
	$('[data-clone-add]').on( 'click', function(event) {
		event.preventDefault();
		
		var $cloneClass		= $(this).data('clone-add');
		var $cloneObject	= $('.' + $cloneClass).last();
		
		$cloneObject.clone(true).insertAfter( $cloneObject );
		$('.' + $cloneClass).last().find('input[type=text]').val('');
	});
        	
	// Form clone remove
	
	$('[data-clone-remove]').on( 'click', function(event) {
		event.preventDefault();
		
		$(this).closest('[data-clone]').remove();
	});
	
    // chboxtohidden
    
    $(".food-chboxtohidden").on("click.chboxtohidden",function(){
	$this=$(this);
	$this.prev("input[type=hidden]").val($this.is(":checked") ? "1" : "0");	
		}); 
    
	// Shipping form toggle
	$('.toggle-shipping').each(function(){
    $this=$(this);  
    var checked	= $this.prop('checked');
	var block	= $this.closest('.shipping-section').find('.shipping-form');
	
	if( checked ) {
		block.slideUp( 300 );
	} else {
		block.slideDown( 300 );
	}
    });
    
    
	
	
	$('.toggle-shipping').change(function() {
		var checked	= $(this).prop('checked');
		var block	= $(this).closest('.shipping-section').find('.shipping-form');
        
        $this=$(this);
        
		if( checked ) {
			block.slideUp( 300 );
            $this.prev("input[type=hidden]").val(1);	
            block.find('input[type=text]').removeAttr("required");
		} else {
			block.slideDown( 300 );
            $this.prev("input[type=hidden]").val(0);
            block.find('input[type=text]').attr("required","");
		}
	});
	
	// Sidebar
	
	$('.sidebar-toggle-button').on( 'click', function(event) {
		event.preventDefault();
		
		$(this).toggleClass('active');
		$('.sidebar-toggle').toggleClass('active');
	});
	
	// Sidebar menu
	
	$('.sidebar-menu-button').on( 'click', function(event) {
		event.preventDefault();
		
		$('.sidebar-menu').toggleClass('active');
	});
	
	// Custom select
	
	$('.custom-select').fancySelect();
	
    $("#cimvalto").fancySelect().on('change.fs', function () {
      var cimid=$(this).val();
      //alert(cimid);
      $("#name-cimid").val(cimid);
      $("#food-cimvaltas-form").submit();
});
    
    $("#ujcim").on("click",function(event){
    event.preventDefault();
        var lathato=$("#ujcimblokk").css("display");
        if(lathato!="none")
            {
            $("#ujcimblokk").css("display","none");
            }
        else
            {
            $("#ujcimblokk").css("display","block");
            }
    });
    // balmenu
    
    $('.scrollclick').on( 'click', function(event) {
		event.preventDefault();
		$this=$(this);
        var csid=$this.parent().attr("data-link");
        gotoid(csid);
		
	});
    
    function gotoid(csid)
        {
        window.scrollTo(0, $("#"+csid).offset().top-$(".main").find(".columns").find(".sidebar-sticky").outerHeight()-$(".main").find(".fix-col").outerHeight());
        }
    
    
    
	// Number input
	
	$('.number-field input').after('<a class="icon-button minus" href="#"><i class="zmdi zmdi-minus-circle-outline"></i></a>' + 
								   '<a class="icon-button plus" href="#"><i class="zmdi zmdi-plus-circle-o"></i></a>');
	
	$('.cell .number-field input').each( function() {
		if( $(this).val() > 0) {
			$(this).closest('.cell').addClass('active');
		}
	});
							  
	$('.number-field .icon-button').on( 'click', function(event) {
		event.preventDefault();
		
		var $button		= $(this);
		var oldValue	= $button.parent().find('input[type=text]').val();
        
        if ($button.attr('class') == 'icon-button plus') {
			var foodPar     = $button.parent().find('input[type=hidden].plusz');
		} else {
			var foodPar     = $button.parent().find('input[type=hidden].minusz');
		}        
        
        var op=foodPar.attr("data-op");
        var kosar=foodPar.attr("data-kosar");
        var db=foodPar.attr("data-db");
        var etelid=foodPar.attr("data-etelid");
        var Ar=foodPar.attr("data-Ar");
        var datum=foodPar.attr("data-datum");
        var url=foodPar.attr("data-url");
        
        //alert(url+" --- "+op+" --- "+kosar+" --- "+db+" --- "+etelid+" --- "+Ar+" --- "+datum);        
        
        kosarmuvelet(url,op,kosar,db,etelid,Ar,datum);        
        
        //alert($(foodPar).attr("data-op"));
        /*
		var newVal		= 0;

		if ($button.attr('class') == 'icon-button plus') {
			newVal = parseFloat(oldValue) + 1;
		} else {
			if (oldValue > 0) {
				newVal = parseFloat(oldValue) - 1;
			}
		}
		
		if(newVal > 0) {
			$button.closest('.cell').addClass('active');
		} else {
			$button.closest('.cell').removeClass('active');
		}

		$button.parent().find('input[type=text]').val(newVal);
        */
	});
	

    $('.bigminus').on( 'click', function(event) {
		event.preventDefault();
		
		var $button		= $(this);
		var foodPar     = $button.parent().parent().find('input[type=hidden].minusz');
 
        var op=foodPar.attr("data-op");
        var kosar=foodPar.attr("data-kosar");
        var db=999999;
        var etelid=foodPar.attr("data-etelid");
        var Ar=foodPar.attr("data-Ar");
        var datum=foodPar.attr("data-datum");
        var url=foodPar.attr("data-url");
        
        //alert(url+" --- "+op+" --- "+kosar+" --- "+db+" --- "+etelid+" --- "+Ar+" --- "+datum);        
        
        kosarmuvelet(url,op,kosar,db,etelid,Ar,datum);        
          
	});
	
     
    // Rendeles modositas 
   
     
   
    $('.modositok').on( 'click', function(event) {
		event.preventDefault();
        jQueryWP(this).tooltipster("enable");
		jQueryWP(this).tooltipster('content','Küldés');
		var $button		= $(this);
        var $kartya=$("#name-kartya");
        if($kartya.length)
            {
            var $fizblokk=$("#form-fizetes-blokk");
            var fizeteskell=$fizblokk.css("display");
                {
                if(fizeteskell!="none" && $kartya.val()=="")
                    {
                    //jQueryWP(this).tooltipster('close');
                    jQueryWP(this).tooltipster('content', 'Kérem válasszon fizetési módot!');
                    jQueryWP(this).tooltipster('open');
                    }
                else
                    {
                    $("#food-rendeleskuldes-form").submit();
                    }
                }
            }
        /*
        var kartya =$("#kartya").val();
        $("#name-kartya").val(kartya);
        
        var d=new Date();
        var fizetesok=true;
        var most=Math.round(d.getTime() / 1000);
        //alert("Most: "+most);
        var atipusa=$("#name-a-rendeles-tipusa").val();
        if(atipusa=="modositas")
            {
            $(".kosarsor").each(function(){
             $this=$(this);
             //alert($this.attr("id"));
             var meddig=$this.attr("data-meddig");
             if(meddig<most || true)
                {
                var delta=$this.find(".food-delta").html();
                if(delta!="")
                    {
                    $this.css("color","red");
                    fizetesok=false;
                    }
                }
            });
            
            if(!fizetesok)
                {
                //jQueryWP(this).tooltipster({});
                jQueryWP(this).tooltipster('content', 'A pirossal jelölt sorokra a leadás határideje lejárt, kérjük ezeket javítsa, utána újra elküldheti!');
                jQueryWP(this).tooltipster('open');
                }
            }
        //
        */
  
	});
    
    // Rendeles modositas vege
    
    $('.fizetesmod').on( 'click', function(event) {
		event.preventDefault();
		jQueryWP(this).tooltipster('content','Küldés');
		var $button		= $(this);
        var kartya =$button.attr("data-kartya");
        $("#name-kartya").val(kartya);
        
        var d=new Date();
        var fizetesok=true;
        var most=Math.round(d.getTime() / 1000);
        //alert("Most: "+most);
        var atipusa=$("#name-a-rendeles-tipusa").val();
        if(atipusa=="rendeles")
            {
            $(".kosarsor").each(function(){
             $this=$(this);
             //alert($this.attr("id"));
             var meddig=$this.attr("data-meddig");
             if(meddig<most)
                {
                var delta=$this.find(".food-delta").html();
                if(delta!="")
                    {
                    $this.css("color","red");
                    fizetesok=false;
                    }
                }
            });
            
            if(!fizetesok)
                {
                //jQueryWP(this).tooltipster({});
                jQueryWP(this).tooltipster('content', 'A pirossal jelölt sorokra a leadás határideje lejárt, kérjük ezeket javítsa, utána újra elküldheti!');
                jQueryWP(this).tooltipster('open');
                }
            else
                {
                $("#food-rendeleskuldes-form").submit();
                }
            }
        //$("#food-rendeleskuldes-form").submit();
  
	});
    
    
        $('.fizetem').on( 'click', function(event) {
		event.preventDefault();
        jQueryWP(this).tooltipster('content','Küldés');
		var $button		= $(this);
        var kosarnev=$button.attr("data-kosarnev");

        var $kartya=$("#name-kartya-"+kosarnev);
        if($kartya.length)
            {
            if($kartya.val()=="")
                {
                //jQueryWP(this).tooltipster('close');
                jQueryWP(this).tooltipster('content', 'Kérem válasszon fizetési módot!');
                jQueryWP(this).tooltipster('open');
                }
            else
                {
                //alert($kartya.val());
                $("#food-fizetes-utolag-"+kosarnev).submit();
                }
            }

	});
    
    $('#small-rendeleskuldes').on( 'click', function(event) {
		event.preventDefault();
		jQueryWP(this).tooltipster('content','Küldés');
        var kartya =$("#name-small-kartya").val();
        $("#name-kartya").val(kartya);
        var d=new Date();
        var fizetesok=true;
        var most=Math.round(d.getTime() / 1000);
        //alert("Most: "+most);
        
        var atipusa=$("#name-a-rendeles-tipusa").val();
        if(atipusa=="modositas")
            {
            $(".kosarsor").each(function(){
             $this=$(this);
             //alert($this.attr("id"));
             var meddig=$this.attr("data-meddig");
             if(meddig<most || true)
                {
                var delta=$this.find(".food-delta").html();
                if(delta!="")
                    {
                    $this.css("color","red");
                    fizetesok=false;
                    }
                }
            });
            
            if(!fizetesok)
                {
                //jQueryWP(this).tooltipster({});
                jQueryWP(this).tooltipster('content', 'A pirossal jelölt sorokra a leadás határideje lejárt, kérjük ezeket javítsa, utána újra elküldheti!');
                jQueryWP(this).tooltipster('open');
                }
            }        

        //$("#food-rendeleskuldes-form").submit();
  
	});
    
    $('.rendeles-torlese').on( 'click', function(event) {
		event.preventDefault();
        /*$("#name-kartya").val("torles");*/
        $("#name-a-rendeles-tipusa").val("torles");
        $this=$(this);
        var ev=$this.attr("data-ev");
        var het=$this.attr("data-het");
        $("#name-a-torles-eve").val(ev);
        $("#name-a-torles-hete").val(het);
        $("#food-rendeleskuldes-form").submit();
        });     

    
	// Food table
	var screenWidth	= $(window).width();
	
	$(window).on( 'resize', function() {
		if( $(this).width() != screenWidth ) {
			$('.scroll-cols .wrapper > .inner').css('left', 0);
		}
		
		$('.food-table').each( function() {
			var $scrollSection		= $(this).find('.scroll-cols');
			var $sectionWidth		= $scrollSection.width();
			var $currentColCount	= $scrollSection.find('.cell').length;
			var newColCount			= 6;
			
			if( $sectionWidth > 697 && $sectionWidth < 845 ) {
				
				newColCount = 4;
				
			} else if( $sectionWidth > 358 && $sectionWidth < 699 ) {
				
				newColCount = 2;
				
			} else if( $sectionWidth < 360 ) {
				
				newColCount = 1;
				
			}
			
			$scrollSection.find('.cell').css( { 'width': ($scrollSection.width() - 60) / newColCount + 'px' } );
			$scrollSection.find('.wrapper > .inner').css( { 'width': ( ($scrollSection.width() - 60) / newColCount ) * $currentColCount + 'px' } );
			
			if( $sectionWidth < 845 ) {
				$scrollSection.find('.wrapper').css( { 'margin': '0 30px' } );
				$scrollSection.find('.scroll-button').addClass( 'active' );
			} else {
				$scrollSection.find('.scroll-button').removeClass( 'active' );
				$scrollSection.find('.cell').attr( 'style', '' );
				$scrollSection.find('.wrapper').attr( 'style', '' );
				$scrollSection.find('.wrapper > .inner').attr( 'style', '' );
			}
		});
	}).resize();
	
	$('.food-table .scroll-button').on( 'click', function(event) {
		event.preventDefault();
		
		var btn				= $(this);
		var parentSection	= btn.closest('.scroll-cols');
		var maxWidth		= parentSection.find('.wrapper').width();
		var stepWidth		= parentSection.find('.cell').outerWidth();
		var allCount		= parentSection.find('.cell').length;
		var maxStep			= ( allCount - Math.round( maxWidth / stepWidth ) ) * stepWidth;
		var currentPos		= parseInt( parentSection.find('.wrapper > .inner').css('left') );
		
		if( btn.attr('class') == 'scroll-button right active' ) {
			$('.scroll-cols .wrapper > .inner').css('left', currentPos - stepWidth + 'px');
		} else {
			$('.scroll-cols .wrapper > .inner').css('left', currentPos + stepWidth + 'px');
		}
		
		if( Math.abs( currentPos - stepWidth ) >= maxStep ) {
			$('.scroll-button.right').css('display', 'none');
		}
		
		if( btn.attr('class') == 'scroll-button left active' ) {
			$('.scroll-button.right').css('display', 'block');
		}
		
		if( currentPos >= -parseInt(stepWidth) ) {
			$('.scroll-button.left').css('display', 'none');
		}
		
		if( btn.attr('class') == 'scroll-button right active' ) {
			$('.scroll-button.left').css('display', 'block');
		}
	});
	
	if( $('.food-table.top').length ) {
		var foodTopPos	= $('.food-table.top').offset();
		
		$(window).on( 'scroll', function() {
			var scrollPx	= $(this).scrollTop();
			var foodFormPos	= $('.food-form').offset();
			
			if( scrollPx > foodTopPos.top ) {
				$('.food-form').addClass('scrolled');
			} else {
				$('.food-form').removeClass('scrolled');
			}
			
			if( scrollPx > ( $('.food-form').height() + foodFormPos.top - 50 ) ) {
				$('.food-form').removeClass('scrolled');
			}
		});
	}
	
	if( $('.week-chooser.mobile-scroll').length ) {
		var chooser		= $('.week-chooser.mobile');
		var chooserPos	= chooser.offset();
		
		$(window).on( 'scroll', function() {
			var topPos		= parseInt( $('.food-table.top').css( 'top' ) );
			var scrollPx	= $(this).scrollTop();
			var foodFormPos	= $('.food-form').offset();
			
			if( scrollPx > ( chooser.height() + chooserPos.top ) ) {
				$('.week-chooser.mobile-scroll').addClass('active');
			} else {
				$('.week-chooser.mobile-scroll').removeClass('active');
			}
		});
	}
	
	// Slideshow, slider
    
	$('.slideshow .sliders').slick({
		dots: true,
		arrows: false,
		infinite: true,
		pauseOnHover: false,
		speed: 750,
		slidesToShow: 1,
		slidesToScroll: 1,
		autoplay: true,
		autoplaySpeed: 5000,
	});
    $('.slideshow .sliders').show();
    
	
	
    $('.food-slider').on('init', function(event, slick) {
        $('.food-slider .slick-active .slide-name').removeClass('hidden');
        //applyHiddenClass();
    })
    
    $('.food-slider').slick({
        arrows: true,
		infinite: true,
        swipe: false,
        touchMove: false,
		speed: 500,
		slidesToShow: 3,
		slidesToScroll: 1,
		autoplay: true,
        autoplaySpeed: 3000,
        responsive: [
			{
				breakpoint: 1024,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1,
				}
			},
			{
				breakpoint: 640,
				settings: {
                    swipe: true,
                    touchMove: true,
					slidesToShow: 1,
					slidesToScroll: 1
				}
			}
		]
    });
    
    var currSlide = 0;
    var nextSlide = 0;
    
    function applyHiddenClass() {
      $.each($('.food-slider .slick-slide'), function() {
        if ($(this).attr('aria-hidden') == 'true') {
          $(this).find('.slide-name').addClass('hidden');
        } else {
          $(this).find('.slide-name').removeClass('hidden');
        }
      });
    }
    
    $('.food-slider').on('afterChange', function(event, slick, currentSlide) {
      nextSlide = currentSlide;
      if (nextSlide !== currSlide) {
        $($('.slick-active .slide-name')[$('.slick-active .slide-name').length-1]).removeClass('animated zoomIn');
        $($('.slick-active .slide-name')[$('.slick-active .slide-name').length-1]).addClass('hidden');
      }
    });
    
    $('.food-slider').on('setPosition', function(event, slick, currentSlide) {
      if (nextSlide !== currSlide) {
        $($('.slick-active .slide-name')[$('.slick-active .slide-name').length-1]).removeClass('hidden');
        $($('.slick-active .slide-name')[$('.slick-active .slide-name').length-1]).addClass('animated zoomIn');
      }
      applyHiddenClass();
    });
    
    $('.food-slider').on('beforeChange', function(event, slick, currentSlide) {
      currSlide = currentSlide;
    });

    
    
    
	
	$('.payment-slider').slick({
		dots: true,
		arrows: true,
		infinite: true,
		speed: 500,
		slidesToShow: 1,
		slidesToScroll: 1,
		autoplay: false,
		autoplaySpeed: 3000,
		appendDots: $('.payment-slider-nav > .row'),
		customPaging: function(slider, i) { 
			var dotInfo = $(slider.$slides[i]).find('.slider-dot');
			var htmlData =
				'<figure><img src="' + dotInfo.data('image') + '" alt="" /></figure>' + 
				'<p class="name"><strong>' + dotInfo.data('name') + '</strong></p>';
			
			if( dotInfo.data('text').length ) {
				htmlData += '<p>' + dotInfo.data('text') + '</p>';
			}
			
			return htmlData;
		},
	});
    $('.payment-slider').show();
    
    //$( ".headline span:before" ).css("width", "0");
    
    $("#site").addClass("ready");
	
})(jQuery);