<?php
	// Template name: Regisztráció
	get_header();
?>
<main class="row main">
	<section class="large-9 columns entry">
		<h1 class="maintitle"><?php the_title(); ?></h1>
		
		<?php if ( has_post_thumbnail() ) : ?>
		<figure>
			<?php the_post_thumbnail(); ?>
		</figure>
		<?php endif; ?>
		
		<div class="text-highlighted">
			<?php if ( have_posts() ) : while ( have_posts() ) : the_post();
            the_content();
			endwhile; endif; ?>
		</div>
		
		<?php $foodcontent = new foodPage(get_query_var('pagename'));
            $foodcontent->Run(); ?>
	</section>
	
	<aside class="show-for-large large-3 columns">
		<?php get_sidebar(); ?>
	</aside>
</main>
<?php get_footer(); ?>