<?php
	// Template name: Tálalási súlyok
	get_header();
?>
<main class="row main">
	<section class="large-9 columns entry">
		<h1 class="maintitle"><?php the_title(); ?></h1>
		
		<?php if ( has_post_thumbnail() ) : ?>
		<figure>
			<?php the_post_thumbnail(); ?>
		</figure>
		<?php endif; ?>
		
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post();
            the_content();
        endwhile; endif; ?>
		
		<?php if ( have_rows('table') ) : ?>
		<div class="row">
			<?php while ( have_rows('table') ) : the_row(); ?>
			<div class="medium-6 columns">
				<table>
					<caption class="red large"><span><?php the_sub_field('title'); ?></span></caption>
					<?php while ( have_rows('foods') ) : the_row(); ?>
					<tr>
						<td><?php the_sub_field('name'); ?></td>
						<td><?php the_sub_field('weight'); ?></td>
					</tr>
					<?php endwhile;	?>
				</table>
			</div>
			<?php endwhile;	?>
		</div>
		<?php endif; ?>
		
	</section>
	
	<aside class="large-3 columns">
		<?php get_sidebar(); ?>
	</aside>
</main>
<?php get_template_part( 'inc/payment-desktop' ); ?>
<?php get_footer(); ?>