<?php
require_once("class_foodMailer.php");
class adatkuldo
    {
    public $mail;
    public $adatok;
    public $emailek;
    
    function __construct($idlogin)
        {
        $conn=foodDB::Connect();
				
        $qyadatok="select fc.idlogin, fc.loginNev, fc.Nev, fc.UNev, fc.Varos, fc.Iszam, fc.Utca,fc.Hazszam, fc.Kaputel, fc.Telefon, fc.Fax, fc.Szamnev, fc.Szamiszam, fc.Szamvaros, fc.Szamutca, fc.Szamhazszam, fc.Megjegy, fc. Kedvezmeny, fc.Newsletter, f.jelszo, f.Email from felhasznalok_cimek fc inner join felhasznalok f on fc.idlogin=f.idlogin where fc.idlogin=?";
        $stadatok=$conn->prepare($qyadatok);
        if(!$stadatok)
                {
                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                }
        else
            {
            $stadatok->bind_param('i',$idlogin);
            $stadatok->exec();
           $this->emailek=array();
           while($soradatok=$stadatok->fetch_assoc())
                {
                if($soradatok["Email"]!="" && preg_match(foodConstants::$MAILPATTERN, $soradatok["Email"]))
                    {
                    if(empty($this->emailek))
                        {
                        $this->emailek[]=array("Email" => $soradatok["Email"], "Nev" => $soradatok["Nev"]);
                        }
                    }
                $this->adatok[]=$soradatok;
                }
            }
        }
        
     function send()
		{
		require_once("class_foodMailer.php");
		
         $mail=foodFactory::simpleBox("mail/adminadatkuldesmail",$this);
         
         $admails=adminmails::getAdminMails();
		$admail=$admails[1];
        
         $m=new foodMailer();
         foreach($this->emailek as $egyemail)
            {
            $m->mailer->AddAddress($egyemail['Email'],$egyemail['Nev']);
            }
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, "Válaszcím"); // indicates ReplyTo headers
		$m->mailer->Subject = "Az Ön adatai - ".MAILNEVROVID;
		$m->mailer->IsHTML(false);
		ob_start();
         $mail->Run();
		$m->mailer->Body = ob_get_clean();
		
        if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			} 
		}
        
    }
?>