<?php

class jmysqli extends mysqli
	{
	public $stmt=array();
	public $jstmt=array();
      
     public $stmt_counter=0; 
     public $jstmt_counter=0;
     public $results_counter=0;
     
     public $anyerror=false;
     public $results=array();
	 
	
	function __construct()
		{
		parent::__construct(DBHOST, DBUSER, DBPASS, DBNAME);
          $this->query("SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
		}
	
     function query($query)
        {
        $this->results[$this->results_counter++]=parent::query($query);
		if($this->results[$this->results_counter-1]!==false)
			{
			return($this->results[$this->results_counter-1]);
			}
		else
			{
			$this->anyerror='query';
			return(false);
			}
        }
		

    
	function prepare($query)
		{
		$this->stmt[$this->stmt_counter++]=parent::prepare($query);
		if($this->stmt[$this->stmt_counter-1]!==false)
			{
			$this->jstmt[$this->jstmt_counter++]= new jMySQLi_STMT($this,$this->stmt[$this->stmt_counter-1]);
			return($this->jstmt[$this->jstmt_counter-1]);
			}
		else
			{
			$this->anyerror='prepare';
			return(false);
			}
		}
	
	function clear_anyerror()
		{
		$this->anyerror=false;
		}
	
	}

	
class jMySQLi_STMT 
	{
	public $Newargs=array();
	public $Params=array();
    public $fetched=array();
	public $jmysqli_object;
    public $stmt_object;
     
	public function __construct($link, $stmt) 
		{
		$this->jmysqli_object=$link;
		$this->stmt_object=$stmt;
		}
	
	function num_rows()
		{
		if(is_object($this->stmt_object))
			{
			return($this->stmt_object->num_rows);
			}
		else
			{
			return(false);
			}
		}
	
	function insert_id()
		{
		if(is_object($this->stmt_object))
			{
			return($this->stmt_object->insert_id);
			}
		else
			{
			return(false);
			}
		}
	
     public function exec()
		{
		$this->execute();
          if($this->result_metadata()) $this->store_result();
          return $this->bind_assoc();
		}
	
	public function execute()
		{
		$ok=$this->stmt_object->execute();
		if($ok===false)
			{
			$this->jmysqli_object->anyerror='execute';
			}
		return($ok);
		}
	public function bind_param()
		{
        $arr=debug_backtrace();
		$ok=call_user_func_array(array($this->stmt_object, 'bind_param'), $arr[0]['args']);
        //echo "ccc".$ok."ccc";
		if($ok===false)
			{
			$this->jmysqli_object->anyerror='bind_param';
			}
		return($ok);
		}
	
	/*
	public function bind_arrayparam($types,$params)
		{
		if(!is_array($params))
			{
			$this->jmysqli_object->anyerror='bind_arrayparam';
			return(false);
			}
		else
			{
			$this->Params=array();
			$i=0; $this->Params[$i]=$types;
			foreach($params as $param)
				{
				$this->Params[++$i]=$param;
				}
			$ok=call_user_func_array(array($this, 'bind_param'), $this->Params);
			if($ok===false)
				{
				$this->jmysqli_object->anyerror='bind_arrayparam';
				}
			return($ok);
			}
		}
	*/
	
	public function bind_arrayparam($types,$params)
		{
		$numargs = func_num_args();
		if($numargs<2)
			{
			$this->jmysqli_object->anyerror='bind_arrayparam';
			return(false);
			}
		else
			{
			$types=func_get_arg(0);
			$this->Params=array();
			$i=0; $this->Params[$i]=$types;
			for($argnum=1; $argnum<$numargs; $argnum++)
				{
				if(!is_array(($params=func_get_arg($argnum))))
					{
					$this->Params[++$i]=$params;
					}
				else
					{
					foreach($params as $param)
						{
						$this->Params[++$i]=$param;
						}
					}
				}
			$ok=call_user_func_array(array($this, 'bind_param'), $this->Params);
			if($ok===false)
				{
				$this->jmysqli_object->anyerror='bind_arrayparam';
				}
			return($ok);	
			}
		
		/*
		if(!is_array($params))
			{
			$this->jmysqli_object->anyerror='bind_arrayparam';
			return(false);
			}
		else
			{
			$this->Params=array();
			$i=0; $this->Params[$i]=$types;
			foreach($params as $param)
				{
				$this->Params[++$i]=$param;
				}
			$ok=call_user_func_array(array($this, 'bind_param'), $this->Params);
			if($ok===false)
				{
				$this->jmysqli_object->anyerror='bind_arrayparam';
				}
			return($ok);
			}
		*/
		}
	
	
	
     public function store_result()
		{
		$ok=$this->stmt_object->store_result();
		if($ok===false)
			{
			$this->jmysqli_object->anyerror='store_result';
			}
		return($ok);
		}
     
     public function bind_result()
		{
		$arr=debug_backtrace();
		$ok=call_user_func_array(array($this->stmt_object, 'bind_result'), $arr[0]['args']);
		if(!$ok)
			{
			$this->jmysqli_object->anyerror='bind_result';
			}
		return($ok);
		}
     public function fetch()
		{
		$ok=$this->stmt_object->fetch();
		if($ok===false)
			{
			$this->jmysqli_object->anyerror='fetch';
			}
		return($ok);
		}
     
     public function fetch_assoc()
		{
		$ok=$this->stmt_object->fetch();
		if($ok===false)
			{
			$this->jmysqli_object->anyerror='fetch';
			}
          else
            {
            if($ok===true)
                {
                $ok=array();
                foreach($this->Newargs as $key => $value)
                    {
                    $ok[$key]=$value;
                    }
                }
             }
		return($ok);
		}
     
     public function result_metadata()
		{
		$ok=$this->stmt_object->result_metadata();
		if($ok===false)
			{
               if($this->stmt_object->errno)
                    {
                    $this->jmysqli_object->anyerror='result_metadata';
                    }
              }
		return($ok);
		}
	/*
	public function bind_assoc($arr)
		{
		if(is_array($arr))
			{
			$result=$this->result_metadata();
			$this->Newargs=array();
			while($field=$result->fetch_field())
				{
				$this->Newargs[$field->name]=&$arr[$field->name];;
				}
			return call_user_func_array(array($this->stmt_object, 'bind_result'), $this->Newargs);
			}
		}
        */
	
    public function bind_assoc()
		{
           $result=$this->result_metadata();
           if($result)
                {
                $this->Newargs=array();
                $this->fetched=array();
                while($field=$result->fetch_field())
                    {
                    $this->Newargs[$field->name]=&$this->fetched[$field->name];
                    }
                return call_user_func_array(array($this->stmt_object, 'bind_result'), $this->Newargs);
                }
           else 
                {
                if($this->stmt_object->errno)
                    {
                    return(false);
                    }
                else
                    {
                    return(true);
                    }
                }
		}
    
    public function close()
        {
        $ok=$this->stmt_object->close();
        }
	
	
	}
	



?>