<?php
/*
A foodString obbjektum file függvénye, ha az argumentumban alkönyvtár is van, akkor nem lehet az argumentumban ékezets betű, stb..
*/
//date_default_timezone_set('Europe/Budapest');
define("FOODTIMEZONE",'Europe/Budapest');

define("DBHOST","");
define("DBNAME","");
define("DBUSER","");
define("DBPASS","");
define("DBCOLLATION","utf8_hungarian_ci");
define("SZEPWEB",true); // EZT MAJD MODULKÉNT...


// Ezek határozzák meg a működés "módját" alapvetően 
define("AUTOLOGINNEV",true);
define("EMAILMULTIUSER",false);
if(EMAILMULTIUSER)
    {
    define("EMAILLOGIN",false); 
    }
else
    {
    define("EMAILLOGIN",true); 
    }
    
define("EDITADDRESS",false);    
define("MULTIADDRESS",true);
define("TXTINPUT",false);  // etlapConf -ban az aktualis sorszam=false kell, ha ez true
define("COLLEAGUES",false);

define("LANGUAGEPOLICY","SHOWMAIN"); 
/* 
SHOWMAIN = ha x nyelv-re átkapcsoláskor nincs az aktuális oldalnak megfelelő x nyelvű oldal, akkor az x nyelvű főoldalra menjen (különben az oldal x nyelvű változatára)
SHOWDEFAULT = ha x nyelv-re átkapcsoláskor nincs az aktuális oldalnak megfelelő x nyelvű oldal, akkor az adott oldal alapértelmezett nyelvű megfelelőjére menjen (különben az oldal x nyelvű változatára)
ALWAYSMAIN = x nyelv-re átkapcsoláskor mindig az x nyelvű főoldalra menjen
*/

define("SHOWNULL",false);

define("HETEKSZAMA",4);
define("KORABBIPLUSZHET",2);



define("CIMKULCSSZAVAK"," - ételrendelés, diétás ételek, diétás étrend");
define("ADATBAZISHIBASZOVEG_FRONTEND","Adatbázis hiba történt, kérem próbálja újra később!");
//define("FIXFOLDER","ebed-hazhozszallitas/");

define("TEST",true);
define("TESTADMINMAIL01","melo.janous@gmail.com");
define("TESTADMINMAIL02","melo.janous@gmail.com"); //vitalkonyha@gmail.com"
define("TESTUSERMAIL","melo.janous@gmail.com");
define("ADMINMAIL01","melo.janous@gmail.com"); //info@vitalkonyha.hu // marketing@cityfood.hu
define("ADMINMAIL02","melo.janous@gmail.com"); //videk@vitalkonyha.hu // marketing@cityfood.hu


define("ELOZONAPORA",14);

//define("UJHETMULVA",4);

define("STYLESDIR","styles/");
define("IMGDIR","images/");
define("SYSIMGDIR","foodimages/");
define("CONTENTIMGDIR","images-content/");
define("LANGDIR","foodlang/"); 

define("TEMPLATEDIR","template/");
define("SDIR","sbox/");
define("DDIR","dbox/");
define("RDIR","required/");
define("XMLDIR","etlapxml/");
define("MODULEDIR","modul/");



define("TXTDIR","txt/");
define("TXTLINE","--------------------------------------------------------------");

define("HETIPREFIX",'H');

//define("IDDIFF",194528);

define("TXTFILE_KATEGORIAHOSSZ",4);

define ("MAILNEVROVID","Interfood");
define ("MAILNEVHOSSZU","Interfood Ügyfélszolgálat");
define ("SITEROVIDNEV","interfood.hu");

define("CURR","FT");

define("KEP","kep.png");
define("OSSZETEVOK","btn_osszetevok_95_26.png");

define("pageSTATIC",1);
define("pageDYNAMIC",2);
define("pageTEMPLATE",4);
define("pageFORCELANG",8);



class foodConstants
    {
    public static $SHOWINFO=true;
    public static $REPAYALL=true;
    public static $MAILPATTERN="#^([0-9a-z]([-_.]?[0-9a-z])*@[0-9a-z]([-.]?[0-9a-z])*\\.[a-wyz][a-z](fo|g|l|m|mes|o|op|pa|ro|seum|t|u|v|z)?)$#i";
    
    public static $DATUMPATTERN="#([0-9]{4})-([0-9]{2})-([0-9]{2})#";
    
    public static $HETPATTERN="#0*([1-9]+)\.\s*hét#u";
    public static $HETIETLAPPATTERN="#0*([1-9]+)\.\s*heti\s*étlap#u";
    public static $SZAMLAPATTERN='#^[0-9]{8}-[0-9]{8}(-[0-9]{8})?$#';
    
    public static $productdirs=array( "class" => DDIR, "CLASS" => DDIR, "box" => SDIR, "BOX" => SDIR, "template" => TEMPLATEDIR, "TEMPLATE" => TEMPLATEDIR, "required" => RDIR, "REQUIRED" => RDIR  );
    
    public static $productprepost=array(
                                "class" => array(
                                                 "file" => array("prefix" => "class_", "postfix" => "Box.php"),
                                                 "classname" => array("prefix" => "", "postfix" => "Box")
                                                 ),
                                "box" => array(
                                                 "file" => array("prefix" => "box_", "postfix" => ".php"),
                                                 "classname" => array("prefix" => "box_", "postfix" => "")
                                                 ),
                                "template" => array(
                                                 "file" => array("prefix" => "template_", "postfix" => ".php"),
                                                 "classname" => array("prefix" => "template_", "postfix" => "")
                                                 ),
                                "CLASS" => array(
                                                 "file" => array("prefix" => "CLASS_", "postfix" => "Box.php"),
                                                 "classname" => array("prefix" => "", "postfix" => "Box")
                                                 ),
                                "BOX" => array(
                                                 "file" => array("prefix" => "BOX_", "postfix" => ".php"),
                                                 "classname" => array("prefix" => "box_", "postfix" => "")
                                                 ),
                                "TEMPLATE" => array(
                                                 "file" => array("prefix" => "TEMPLATE_", "postfix" => ".php"),
                                                 "classname" => array("prefix" => "template_", "postfix" => "")
                                                 ),
                                "required" => array(
                                                 "file" => array("prefix" => "class_", "postfix" => ".php"),
                                                 "classname" => array("prefix" => "", "postfix" => "")
                                                 ),
                                "REQUIRED" => array(
                                                 "file" => array("prefix" => "class_", "postfix" => ".php"),
                                                 "classname" => array("prefix" => "", "postfix" => "")
                                                 )
                                                 
                                );
    }
    
class foodLanguage
    {
    public static $languages=array( "hu" => array( "lang" => "magyar", "fixfolder" => ""), "en" => array( "lang" => "English", "fixfolder" => ""), "de" => array( "lang" => "Deutsch", "fixfolder" => ""));
    public static $lang="-";
    public static $deflang="hu";
    public static $ISDEFAULT=true;
    
    static function getLang()
        {
        self::init();
        /*if(self::$lang=="-")
            {
            self::init();
            }*/
        return(self::$lang);
        }
     
    static function getLangDir()
        {
        $lang=self::getLang();
        if($lang==self::$deflang)
            {
            return('');
            }
        else
            {
            return(self::$lang.'/');
            }
        }
        
    static function getFullDir($path=null)
        {
        if(is_null($path))
            {
            return(self::getLangDir().self::$languages[self::getLang()]["fixfolder"]);
            }
        return(self::getLangDir().self::$languages[self::getLang()]["fixfolder"].$path);
        }
        
    static function getFullUrl()
        {
        return("http://".$_SERVER['foodSite'].foodLanguage::getFullDir());
        }
        
    static function getLanguage()
        {
        return(self::$languages[self::getLang()]["lang"]);
        }
        
    static function init()
        {
        self::$lang=self::$deflang;
        if(isset($_GET['lang']))
            {
            if(array_key_exists($_GET['lang'],self::$languages))
                {
                self::$lang=$_GET['lang'];
                }
            }
        if(defined("ICL_LANGUAGE_CODE"))
            {
            if(array_key_exists(ICL_LANGUAGE_CODE,self::$languages))
                {
                self::$lang=ICL_LANGUAGE_CODE;
                $_GET['lang']=ICL_LANGUAGE_CODE;
                }
            }
            
        if(self::$lang!=self::$deflang)
            {
            self::$ISDEFAULT=false;
            }
        }
    
    }
    
foodLanguage::init();

define("FOODSITE","http://".$_SERVER['foodSite']);
define("BASEURL","http://".$_SERVER['foodSite'].foodLanguage::getLangDir());
define("ABSOLUTE", "http://".$_SERVER['foodSite'].foodLanguage::getLangDir());
define("FULLURL", "http://".$_SERVER['foodSite'].foodLanguage::getFullDir());

define("FOODROOT", dirname(__FILE__).'/');

class foodPath
    {
    public static function fromRoot($file)
        {
        return(FOODROOT.$file);
        }
    }

class adminmails
    {
    public static $admails=array();
    
    static function getAdminMails()
        {
        if(empty(self::$admails))
            {
            self::$admails=array( "1" => "melo.janous@gmail.com"); // "info@interfood.hu"
            }
        return(self::$admails);
        }
    
    }

class hetnapjai
    {
    public static $napok=array();
    
    static function getNapok($sorszam=null)
        {
        if(empty(self::$napok))
            {
            self::init();
            }
        if(is_null($sorszam))
            {
            if(array_key_exists(foodLanguage::$lang,self::$napok))
                {
                return(self::$napok[foodLanguage::$lang]);
                }
            return(self::$napok[foodLanguage::$deflang]);
            }
            
        else
            {
            if(array_key_exists(foodLanguage::$lang,self::$napok))
                {
                return(self::$napok[foodLanguage::$lang][$sorszam]);
                }
            return(self::$napok[foodLanguage::$deflang][$sorszam]);
            }
        return(null);
        }
        
    static function init()
        {
        self::$napok[foodLanguage::$deflang]=array( "1" =>  "hétfő", "2" =>  "kedd", "3" =>  "szerda", "4" =>  "csütörtök", "5" =>  "péntek", "6" =>  "szombat", "7" =>  "vasárnap" );
        }
    }
hetnapjai::init();

class evhonapjai
    {
    public static $honapok=array();
    
    static function getHonapok($sorszam=null)
        {
        if(empty(self::$honapok))
            {
            self::init();
            }
        if(is_null($sorszam))
            {
            if(array_key_exists(foodLanguage::$lang,self::$honapok))
                {
                return(self::$honapok[foodLanguage::$lang]);
                }
            return(self::$honapok[foodLanguage::$deflang]);
            }
            
        else
            {
            if(array_key_exists(foodLanguage::$lang,self::$honapok))
                {
                return(self::$honapok[foodLanguage::$lang][$sorszam]);
                }
            return(self::$honapok[foodLanguage::$deflang][$sorszam]);
            }
        return(null);

        }
        
    static function init()
        {
        self::$honapok[foodLanguage::$deflang]=array("1" => "január", "2" => "február", "3" => "március", "4" => "április", "5" => "május", "6" => "június", "7"  => "július" , "8" => "augusztus", "9" => "szeptember", "10" => "október", "11" => "november", "12" => "december");
        }
    }
evhonapjai::init();

class foodDatum
    {
    public static $eng=array("","st","nd","rd","th","th","th","th","th","th","th","th","th","th","th","th","th","th","th","th","th","st","nd","rd","th","th","th","th","th","th","th","st");
    
    public static function check($datum)
        {
        if(trim($datum)=="")
            {
            $datum=date("Y-m-d");
            }
        $parts=explode('-',$datum);
        if(!is_numeric($parts[0]) || !is_numeric($parts[1]) || !is_numeric($parts[2]))
            {
            return(false);
            }
        if(checkdate($parts[1],$parts[2],$parts[0]))
            {
            return($datum);
            }
        return(false);
        }
    
    public static function getEv($datum="")
        {
        if(self::check($datum))
            {
            return(date("o",strtotime($datum)));
            }
        return(false);
        }
        
    public static function getHet($datum="")
        {
        if($d=self::check($datum))
            {
            return(str_pad(date("W",strtotime($d)),2,"0",STR_PAD_LEFT));
            }
        $het=trim($datum); 
        if(is_numeric($het))
            {
            $het=(int)$het;
            if($het>0 && $het<100)
                {
                return(str_pad($het,2,"0",STR_PAD_LEFT));
                }
            }
        return(false);
        }   
     
    public static function getHonap($datum)
        {
         if(self::check($datum))
            {
            return(date("m",strtotime($datum)));
            }
        return(false);
        }  
     
      public static function getNap($datum)
        {
         if(self::check($datum))
            {
            return(date("d",strtotime($datum)));
            }
         return(false);
        } 
     
     public static function getNapsorszam($datum)
        {
        if(self::check($datum))
            {
            return(date("N",strtotime($datum)));
            }
         return(false);
        }
        
     public static function getNapsorszamElozonapi($datum)
        {
        if(self::check($datum))
            {
            $i=self::getNapsorszam($datum);
            if($i>1)
                {
                return($i-1);
                }
             else
                {
                return(7);
                }
            }
        return(false);
        }
        
     public static function getElozonap($datum)
        {
        if(self::check($datum))
            {
            return (hetnapjai::getNapok(self::getNapsorszamElozonapi($datum)));
            }
        return(false);
        }
        
     public static function getHetelsonapja($ev,$het)
        {
        return(date("Y-m-d",strtotime($ev."W".fullzeroleft($het,2))));
        }
        
    public static function getHetNapja($ev,$het,$i)
        {
        $elsonap=date("Y-m-d",strtotime($ev."W".fullzeroleft($het,2)));
        $i--;
        return(date("Y-m-d",strtotime($elsonap." +".$i." days")));
        }
    }


spl_autoload_register(function ($class) {

$file=foodPath::fromRoot(foodConstants::$productdirs["required"].foodConstants::$productprepost["required"]["file"]["prefix"].$class.foodConstants::$productprepost["required"]["file"]["postfix"]);

if(is_file($file))
    {
    require_once($file);
    }


});





class foodSession
    {
    public static function setname()
        {
        if(session_name()!="interfood__teszt04_PHPSESSION")
            {
            session_name("interfood__teszt04_PHPSESSION");
            }
        }
    
    public static function set()
        {
        if(!(foodUser::IsLogged() && foodUser::getuserData("Statusz")=='a'))
            {
            if(!isset($_SESSION["kosar"]["aktualiscim"]))
                {
                $_SESSION["kosar"]["aktualiscim"]=array();
                } 
            
            // vasarlasOsszege     
            
            if(!isset($_SESSION["kosar"]["rendeles_vasarlasOsszegeFT"]))
                {
                $_SESSION["kosar"]["rendeles_vasarlasOsszegeFT"]=0;
                }
            
            if(!isset($_SESSION["kosar"]["lemondas_vasarlasOsszegeFT"]))
                {
                $_SESSION["kosar"]["lemondas_vasarlasOsszegeFT"]=0;
                }
                
                
            if(!isset($_SESSION["kosar"]["modrendeles_vasarlasOsszegeFT"]))
                {
                $_SESSION["kosar"]["modrendeles_vasarlasOsszegeFT"]=0;
                }
            
            if(!isset($_SESSION["kosar"]["modlemondas_vasarlasOsszegeFT"]))
                {
                $_SESSION["kosar"]["modlemondas_vasarlasOsszegeFT"]=0;
                }
                
                
            if(!isset($_SESSION["kosar"]["modosito_vasarlasOsszegeFT"]))
                {
                $_SESSION["kosar"]["modosito_vasarlasOsszegeFT"]=0;
                }
             
            // datumok    
             
             
            if(!isset($_SESSION["kosar"]["rendeles_datumok"]))
                {
                $_SESSION["kosar"]["rendeles_datumok"]=array();
                }
             
            if(!isset($_SESSION["kosar"]["lemondas_datumok"]))
                {
                $_SESSION["kosar"]["lemondas_datumok"]=array();
                }
                
            if(!isset($_SESSION["kosar"]["modrendeles_datumok"]))
                {
                $_SESSION["kosar"]["modrendeles_datumok"]=array();
                }
             
            if(!isset($_SESSION["kosar"]["modlemondas_datumok"]))
                {
                $_SESSION["kosar"]["modlemondas_datumok"]=array();
                }    
                
            if(!isset($_SESSION["kosar"]["modosito_datumok"]))
                {
                $_SESSION["kosar"]["modosito_datumok"]=array();
                }
             
            // ételek             
             
             
            if(!isset($_SESSION["kosar"]["rendeles"]))
                {
                $_SESSION["kosar"]["rendeles"]=array();
                } 
            if(!isset($_SESSION["kosar"]["lemondas"]))
                {
                $_SESSION["kosar"]["lemondas"]=array();
                } 
            if(!isset($_SESSION["kosar"]["modrendeles"]))
                {
                $_SESSION["kosar"]["modrendeles"]=array();
                } 
            if(!isset($_SESSION["kosar"]["modlemondas"]))
                {
                $_SESSION["kosar"]["modlemondas"]=array();
                }     
            if(!isset($_SESSION["kosar"]["modosito"]))
                {
                $_SESSION["kosar"]["modosito"]=array();
                }    
              
            // kollégák    
              
             if(!isset($_SESSION["kosar"]["kollegak"]["rendeles"]))
                {
                $_SESSION["kosar"]["kollegak"]["rendeles"]=array();
                }           
            }
        }
    
    public static function destroy()
        {
        $_SESSION = array();
        if (isset($_COOKIE[session_name()])) 
            {
            setcookie(session_name(), '', time()-42000, '/');
            }
        session_destroy();
         if($_GET['foodpage']=='foodlogout')	header("Location: ".BASEURL);
        exit();
        }
    
    public static function isEmpty($muvelet=false)
        {
        $kosarak=array();
        if($muvelet=="rendeles" || $muvelet===false)
            {
            $kosarak[]="rendeles";
            }
            
         if($muvelet=="lemondas" || $muvelet===false)
            {
            $kosarak[]="lemondas";
            } 
         if($muvelet=="modosito" || $muvelet===false)
            {
            $kosarak[]="modosito";
            }
            
         if($muvelet=="modrendeles" || $muvelet===false)
            {
            $kosarak[]="modrendeles";
            }
            
         if($muvelet=="modlemondas" || $muvelet===false)
            {
            $kosarak[]="modlemondas";
            }   
        foreach($kosarak as $kosarnev)   
            {
            if(!empty($_SESSION["kosar"][$kosarnev]))
                {
                return(false);
                }
            }
        return(true);
        }
    
    public static function clearSESSION($muvelet=false)
        {
        $kosarak=array();
        if($muvelet=="rendeles" || $muvelet===false)
            {
            $kosarak[]="rendeles";
            unset($_SESSION["kosar"]["kollegak"]["rendeles"]); 
            }
            
         if($muvelet=="lemondas" || $muvelet===false)
            {
            $kosarak[]="lemondas";
            }
         if($muvelet=="modosito" || $muvelet===false)
            {
            $kosarak[]="modosito";
            }
         if($muvelet=="modrendeles" || $muvelet===false)
            {
            $kosarak[]="modrendeles";
            }
            
         if($muvelet=="modlemondas" || $muvelet===false)
            {
            $kosarak[]="modlemondas";
            }    
         foreach($kosarak as $kosarnev)
            {
             unset($_SESSION["kosar"][$kosarnev]); 
             unset($_SESSION["kosar"][$kosarnev."_vasarlasOsszegeFT"]); 
             unset($_SESSION["kosar"][$kosarnev."_datumok"]);    
            }
        } 
        
    public static function checkLogin()
        {
        if(isset($_POST['foodpass']))
            {
            //header("Location: ".foodString::fullUrl("index.html"));
            foodUser::Login($_POST['fooduser'],$_POST['foodpass']);
            if(foodUser::IsLogged() && foodUser::getuserData('Statusz')=='a')
                {
                header("Location: ".foodString::fullPage("ugyfelek"));
                exit();
                }
            }
	
        if(isset($_GET['act']))
            {
            foodUser::Login($_GET['act'],'');
            }
        }
    }
    
ini_set("error_reporting",E_ALL & ~E_NOTICE & ~E_WARNING);
/*
ini_set('display_errors', 1); 
ini_set("error_reporting","E_ALL");
*/
//error_reporting(E_ALL ); //^ E_NOTICE
//error_reporting(-1); // show all
//ini_set('session.gc_maxlifetime', '10800');
//ini_set('display_errors', 1);
ini_set('session.use_trans_sid', 0);
ini_set('session.use_only_cookies', 1);   
?>