<?php
class admintelepulesekBox extends baseclass
	{
	public $template;
	public $telepulesek=array();
    public $szurok;
		
	function __construct($template)
		{
		$this->setTemplate($template);
		$this->szurok=array( 1 => '%', 2 => '%',3 => '%',4 => '%');
		if(isset($_GET['szuro1']))
			{
			for($i=1; $i<=4; $i++)
				{
				if($_GET['szuro'.$i]=='-') $_GET['szuro'.$i]='';
				$this->szurok[$i]=trim($_GET['szuro'.$i]).'%';
				$this->szuroertek[$i]=trim($_GET['szuro'.$i]);
				$_SESSION['telepszures']['szuro'.$i]=trim($_GET['szuro'.$i]).'%';
				$_SESSION['telepszures']['szuroertek'.$i]=trim($_GET['szuro'.$i]);
				}
			}
		else
			{
			if(isset($_SESSION['telepszures']))
				{
				for($i=1; $i<=4; $i++)
					{
					$this->szurok[$i]=$_SESSION['telepszures']['szuro'.$i];
					$this->szuroertek[$i]=$_SESSION['telepszures']['szuroertek'.$i];
					}
				}
			}
		$this->get_telepulesek();
		}
	
	function get_telepulesek()
		{
		$conn=foodDB::Connect();
		
		$qytelepulesek="select idtelep, Telep, Varosid, Hide, Color from telepulesek where UPPER(Telep) collate utf8_bin like UPPER(?) and Varosid like ? and Hide like ? and Color like ? order by Telep";
		$sttelepulesek=$conn->prepare($qytelepulesek);
		if(!$sttelepulesek)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND);
			}
		else
			{
			$sttelepulesek->bind_param('ssss',$this->szurok[1],$this->szurok[2],$this->szurok[3],$this->szurok[4]);
			$sttelepulesek->exec();
			while($sortelepulesek=$sttelepulesek->fetch_assoc())
				{
				$this->telepulesek[$sortelepulesek['idtelep']]=$sortelepulesek;
				}
			}
		}
	
	
	}


?>