<?php 
class box_kosar extends basetemplate
    {
    function Show()
        {
        ?>
        <aside class="large-3 large-push-9 columns">
		<article class="sb-block row">
			<div class="large-12 medium-6 columns form-group">
				<a href="<?php echo get_the_permalink(icl_object_id(91,'post')) ?>?het=<?php echo $_GET["het"]; ?>" class="button expanded border-red icon-right"><?php _e('Vissza az étlaphoz','Interfood'); ?> <i class="zmdi zmdi-long-arrow-left"></i></a>
			</div>
			
			<div class="large-12 medium-6 columns">
				<a href="<?php echo get_the_permalink(icl_object_id(88,'post')) ?>" class="button expanded red icon-right"><?php echo get_the_title(icl_object_id(88,'post')) ?> <i class="zmdi zmdi-file-text"></i></a>
			</div>
		</article>
	</aside>
        <section class="large-9 large-pull-3 columns entry">
        <?php
        //print_r($_SESSION["kosar"]);
        ?>
		<h1 class="maintitle"><?php the_title(); ?></h1>
		
		<?php if ( has_post_thumbnail() ) : ?>
		<figure>
			<?php the_post_thumbnail(); ?>
		</figure>
		<?php endif; ?>
		
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post();
            the_content();
        endwhile; endif; ?>
		
		<p class="text-highlighted"><strong><?php _e('A kosárba a következő ételeket tette','Interfood'); ?>:</strong></p>
		<form id="food-cimvaltas-form" action="<?php echo foodString::fullPage("kosar"); ?>" method="post">
        <input type="hidden" id="name-cimid" name="cimid" value="<?php echo $this->op->cimid; ?>"/>
        </form>
		<form id="food-rendeleskuldes-form" action="<?php echo foodString::fullPage("rendeleskuldes"); ?>" method="post">
        <input type="hidden" id="name-kartya" name="kartya" value="futar"/>
        <input type="hidden" name="fizetes" value="0"/>
        <input type="hidden" id="name-a-rendeles-tipusa" name="a-rendeles-tipusa" value="rendeles"/>
            <?php 
     $kosarszam=0;
     foreach($this->op->kosarak as $kosarnev => $kosar)
        {
        if(!$kosar->isEmpty())
          { 
          $kosarszam++;
        foreach($kosar->rendeles as $evneve => $ev)
            {
            foreach($ev as $hetneve => $het)
                {
        ?>
			<div class="table">
				<div class="caption red"><?php echo foodString::regex($hetneve.". hét",foodConstants::$HETPATTERN); ?> <?php echo foodDatum::getHetelsonapja($evneve,$hetneve); ?> - <?php echo foodDatum::getHetNapja($evneve,$hetneve,6); ?></div>
				<div class="hide-for-small-only thead">
					<div class="line">
						<div class="col col-lg-10 col-md-15"><?php _e('Nap','Interfood'); ?></div>
						<div class="col col-lg-50 col-md-45"><?php _e('Étel neve','Interfood'); ?></div>
						<div class="col col-lg-10"><?php _e('Ár','Interfood'); ?></div>
						<div class="col col-lg-10"><?php _e('DB','Interfood'); ?></div>
						<div class="col col-lg-20"><?php _e('Összesen','Interfood'); ?></div>
					</div>
				</div>
				<div class="tbody">
                <?php
                if($this->op->muvelet=="rendeles" && !COLLEAGUES)
                    {
                     $kosar->display("RENDELES_SINGLE","FLUSH", $evneve, $hetneve);
                    }
                ?>
				</div>
				<div class="line">
					<div class="col col-lg-100 text-strong-small"><?php echo foodString::regex($hetneve.". hét",foodConstants::$HETPATTERN); ?> összesítése:</div>
				</div>
				<div class="line">
					<div class="col col-lg-20 col-md-30 col-sm-100">Összes rendelés:</div>
					<div class="col col-lg-60 col-md-50 col-sm-70">(<span  id="hetidarab_<?php echo $hetneve; ?>"><?php echo $kosar->getFullDB($evneve,$hetneve); ?></span> adag étel)</div>
					<div class="col col-lg-20 col-sm-30"><span  id="hetivasarlasOsszegeFT_<?php echo $hetneve; ?>"><?php echo $kosar->getAllSum($evneve,$hetneve);?></span> <?php  echo CURR;?></div>
				</div>
				<!--div class="line">
					<div class="col col-lg-20 col-md-30 col-sm-100">Összes lemodás:</div>
					<div class="col col-lg-60 col-md-50 col-sm-70">(0 adag étel)</div>
					<div class="col col-lg-20 col-sm-30">0 <?php  echo CURR;?></div>
				</div-->
                    <?php
                    }
                    ?>
			</div>
			<?php
                }
            ?>
            <div class="table">
            <div class="line">
					<div class="col col-lg-80 col-sm-70"><strong>Összesen:</strong></div>
					<div class="col col-lg-20 col-sm-30"><strong><span id="vasarlasOsszegeFT"><?php echo $kosar->getAllSum();?></span> <?php  echo CURR;?></strong></div>
				</div>
                <?php 
                if($kosar->getAllSumKedvezmenyes()<$kosar->getAllSum())
                    {
                    ?>
                    <div class="line">
					<div class="col col-lg-80 col-sm-70"><strong>Kedvezménnyel csökkentett összeg:</strong></div>
					<div class="col col-lg-20 col-sm-30"><strong><?php echo $kosar->getAllSumKedvezmenyes();?> <?php  echo CURR;?></strong></div>
				</div>
                <?php
                }
                ?>
            </div>
            <?php
            
          } 
        }
        if($kosarszam>0)
            {
            ?>
			<div class="row small-gap">
				<div class="medium-3 small-6 columns form-group">
					<br class="hide-for-small-only" />
					<a href="<?php echo foodString::fullPage("kosar"); ?>?del=1" class="button expanded gray icon-right multi-line">
						<span class="text"><?php _e('Rendelés törlése','Interfood'); ?></span> <i class="zmdi zmdi-delete"></i>
					</a>
				</div>
				<div class="medium-3 small-6 columns form-group">
					<br class="hide-for-small-only" />
					<a href="<?php echo get_the_permalink(icl_object_id(91,'post')) ?>?het=<?php echo $_GET["het"]; ?>" class="button expanded border-red icon-right multi-line">
						<span class="text"><?php _e('Vissza az étlapra','Interfood'); ?></span> <i class="zmdi zmdi-long-arrow-left"></i>
					</a>
				</div>
                <?php
                if(MULTIADDRESS && count($this->op->cimek)>1)
                    {
                ?>
                
				<div class="medium-6 columns">
                
					<strong><?php _e('Válasszon szállítási címet','Interfood'); ?>:</strong>
					
					<div class="form-group">
						<select id="cimvalto" class="custom-select" data-class="green" data-action="<?php echo foodString::fullPage("kosar"); ?>">
                        <?php 
                            foreach($this->op->cimek as $id => $cim)
                                {
                            ?>
							<option value="<?php echo $id; ?>" <?php 
                            if($this->op->cimid==$id)
                                {
                                ?> selected="selected"<?php 
                                }
                            ?>><?php echo $cim['loginNev'].', '.$cim['Nev'].', '.$cim['Varos'].', '.$cim['Utca'].' '.$cim['Hazszam']; ?></</option>
                            <?php
                                }
                            ?>
							
						</select>
					</div>
                    
				</div>
                
                <?php
                    }
                ?>
				<div class="show-for-small-only small-12 columns">
					<strong><?php _e('Válasszon fizetési módot','Interfood'); ?>:</strong>
					
					<div class="form-group">
						<select name="small-kartya" id="name-small-kartya" class="custom-select" data-class="green">
							<option value="futar"><?php _e('Készpénzzel a szállítónál','Interfood'); ?></option>
                            <?php
                            foodModule::ifmodule("kartya_module")->Display_option();
                            ?>
						</select>
					</div>
				</div>
				<div class="show-for-small-only small-12 columns form-group">
					<a id="small-rendeleskuldes" class="button expanded green icon-right">
						<?php _e('Megrendelés','Interfood'); ?> <i class="zmdi zmdi-check"></i>
					</a>
				</div>
			</div>
			
			<div class="hide-for-small-only">
				<div class="row form-group">
					<div class="large-5 medium-offset-6 large-offset-7 medium-6 columns end">
						<a class="button expanded green icon-right multi-line fizetesmod" data-kartya="futar" data-fiztype="click">
							<span class="text"><?php _e('Megrendelés és fizetés készpénzzel a szállítónál','Interfood'); ?></span> <i class="zmdi zmdi-money-box"></i>
						</a>
					</div>
				</div>
				
			<?php
            foodModule::ifmodule("kartya_module")->Display();
            ?>		
			</div>
            <?php
            }
        else
            {
            ?>
            <h1>A kosár üres!</h1>
            <?php
            }
            ?>
		</form>
		<p><?php _e('SZÉP kártyával való fizetéskor kérjük vegyék figyelembe, hogy tényleges fizetés csak abban az esetben történik, ha a teljes fizetendő összeg rendelkezésre áll kártyáján. Kérjük várja meg, míg visszatér a fizetés után az Interfood weboldalra (ez eltarthat akár 1 percig is).'); ?></p>
	</section>
        <?php  
        }
  }  
?>