<?php
require_once(foodPath::fromRoot("classes/CLASS_telepulesek.php"));
class regisztracioBox extends baseclass
	{
	public $template;
	public $vanhiba=false;
	public $hibak=array();
	public $varosok;
	public $data;
	public $idlogin;
	public $page;
     public $telep;
     public $loginnev;
     public $jelszo;
     
     public $regdata=array();
     public $frcpost=array();
	
	function __construct()
		{
		$this->varosok=array();
         $this->data=array();
         $this->getVarosok();
        if(isset($_POST['ujfelhasznalo']))
			{
            $this->checkPOST();
            //return;
			
			if(!$this->vanhiba)
				{
				$md5_nev=$this->storeUser();
                
                 //$this->getPOSTData();
                
                 
                 $subject="Regisztráció";
                 /*
                 if(foodModule::is_module("regisztracio_akcio_module"))
                    {
                    if(isset($_SESSION[foodModule::getmodule("regisztracio_akcio_module")->getSessionkey()]))
                        {
                        $subject="Lavina - ".$subject;
                        }
                    }
                */
                 if(AUTOLOGINNEV)
                    {
                    $usermail=foodFactory::simpleBox("mail/userregmail",$this);
                    $adminmail= foodFactory::simpleBox("mail/adminregmail",$this);
                    }
                  else
                    {
                    $usermail=foodFactory::simpleBox("mail/userregmail_temp",$this);
                    $adminmail= foodFactory::simpleBox("mail/adminregmail_temp",$this);
                    }
                
                foreach($this->frcpost as $rdata)
                    {
                    $this->data=$rdata;
                    $adsend=$this->sendAdminMail($subject,$adminmail);
                    }
				$usend=$this->sendUserMail($md5_nev,foodString::out("Regisztráció"),$usermail);
                   if(AUTOLIGINNEV)
                     {
                   /* foodUser::Login($this->loginnev,$this->jelszo);*/
                     }
				$this->setTemplate("noturl/regisztracio_sikeres");
				}
			}
		}
	
	function getVarosok()
		{
		$this->varosok=array();
         $this->telep=new telepulesek();
         $this->telepulesek=$this->telep->telepulesek;
		}
	
	function getPOSTData()
		{
		//$this->data=array();
		foreach($_POST as $k => $v)
			{
			$this->data[$k]=$v;
			}
		}
	
	function checkAdminMail($varos)
		{
		$conn=foodDB::Connect();
		$qyaemail = "SELECT Varosid FROM telepulesek WHERE Telep=?";
		$staemail=$conn->prepare($qyaemail);
		if(!$staemail)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND."02");
			}
		else
			{
			$staemail->bind_param('s',$varos);
			$staemail->exec();
			//ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
			if ($staemail->num_rows()!=0) 
				{
				$soraemail=$staemail->fetch_assoc();
				return($soraemail['Varosid']);
				}
			else
				{
				return(0);
				}
			}
		}
	
	function checkPOST()
		{
		$conn=foodDB::Connect();
        
        // e-mail check
        if (!preg_match(foodConstants::$MAILPATTERN, $_POST['Email'])) 
			{
		    $this->hibak[]= foodString::out("ellenőrizze az e-mail címet, mert a formátuma nem megfelelő");
			$this->vanhiba = true;
			}
                
        // password check
        if (!empty($_POST['jelszo']) or !empty($_POST['jelszo2'])) 
			{
			if ($_POST['jelszo']!=$_POST['jelszo2']) 
				{
				//nem egyezik a ket jelszo
				$this->hibak[]= foodString::out("adjon meg két egyező jelszót");
				$this->vanhiba = true;
				}
              if (strlen($_POST['jelszo'])<6) 
				{
				//nem egyezik a ket jelszo
				$this->hibak[]= foodString::out("adjon meg legalább 6 karakterből álló jelszót");
				$this->vanhiba = true;
				}
			} 
		else 
			{
			$this->hibak[]= foodString::out("adja meg a jelszót kétszer");
			$this->vanhiba = true;		
			}
           
        // ügyintéző check   
		if(empty($_POST['UNev']))
            {
            $this->hibak[]= foodString::out("adja meg az ügyintéző nevét");
			$this->vanhiba = true;
            }
            
        // címek check
        
        $this->frcpost=array();
        $i=0;
        foreach($_POST["frc"] as $key1 => $cimdata)
            {
            foreach($cimdata as $key2 => $value)
                {
                $this->frcpost[$key2][$key1]=$value;
                }
            }
        
        $i=0; 
        foreach($this->frcpost as &$cim)
            {
            if($i==0)
                {
                $this->regdata["Nev"]=$cim["Nev"];
                $this->regdata["Varos"]=$cim["Varos"];
                $this->regdata["Iszam"]=$cim["Iszam"];
                $this->regdata["Utca"]=$cim["Utca"];
                $this->regdata["Hazszam"]=$cim["Hazszam"];
                $this->regdata["Kaputel"]=$cim["Kaputel"];
                $this->regdata["Jarat"]=$cim["Jarat"];
                $this->regdata["Telefon"]=$cim["Telefon"];
                $this->regdata["Fax"]=$cim["Fax"];
                $this->regdata["Szamnev"]=$cim["Szamnev"];
                $this->regdata["Szamvaros"]=$cim["Szamvaros"];
                $this->regdata["Szamiszam"]=$cim["Szamiszam"];
                $this->regdata["Szamutca"]=$cim["Szamutca"];
                $this->regdata["Szamhazszam"]=$cim["Szamhazszam"];
                }
            // név check
            if(empty($cim['Nev']))
                {
                $this->hibak[]= foodString::out("adja meg a nevét");
                $this->vanhiba = true;
                }
                
            // település és ha nem lehet több cím, akkor megnézni, volt-e ilyen     
            if (($cim['Varos']=="0") ) 
                {
                $this->hibak[]= foodString::out("válasszon települést");
                $this->vanhiba = true;
                }
            else 
                {
                 if(!MULTIADDRESS)
                    {
                    $qyvoltmar = "SELECT 1 FROM felhasznalok_cimek WHERE  Nev=? and UNev=? and Email=?";
                    $stvoltmar=$conn->prepare($qyvoltmar);
                    if(!$stvoltmar)
                        {
                        exit(ADATBAZISHIBASZOVEG_FRONTEND."03");
                        }
                    else
                        {
                        $stvoltmar->bind_param('sss',$cim['Nev'],$_POST['UNev'],$_POST['Email']);
                        $stvoltmar->exec();
                        //ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
                        if ($stvoltmar->num_rows()!=0) 
                            {
                            $this->hibak[]= foodString::out("ellenőrizze az adatait, ezzekkel az adatokkal már létezik regisztrált felhasználó");
                            $this->vanhiba = true;
                            }
                        }
                    }
                }
                
            // zip check
            if(empty($cim['Iszam']))
                {
                $this->hibak[]= foodString::out("adja meg az irányítószámot");
                $this->vanhiba = true;
                }
                
            // utca check
            if(empty($cim['Utca']))
                {
                $this->hibak[]= foodString::out("adja meg az utcát (közterületet)");
                $this->vanhiba = true;
                }
                
            // házszám check
            if(empty($cim['Hazszam']))
                {
                $this->hibak[]= foodString::out("adja meg a házszámot");
                $this->vanhiba = true;
                }
                
            // járatszám check 
            if ((($cim['Jarat']<=1000) && ($cim['Jarat']>0) && (trim($cim['Jarat'])!='')) || ($cim['Jarat2']=="1") ) 
                {
                if ($cim['Jarat2']=="1") 
                    {
                    $cim['Jarat']='0000'; 
                    } 
                } 
                else 
                    {
                    $this->hibak[]= foodString::out("ellenőrizze a járatszámot");
                    $this->vanhiba = true;
                    }
                    
              // telefonszám check
              if(trim($cim['Telefon'])!="")
                {
                $digitdb=0;
                $unevlen=strlen($cim['Telefon']);
                for($i=0; $i<$unevlen; $i++)
                    {
                    if( is_numeric( substr($cim['Telefon'],$i,1) ) )
                        {
                        $digitdb++;
                        }
                    }
                if($digitdb<6)
                    {
                    $this->hibak[]= foodString::out("ellenőrizze a telefonszámot, mert a formátuma nem megfelelő");
                    }
                }
              else
                {
                $this->hibak[]= foodString::out("adja meg a telefonszámot");
                }
             
               if($cim["uazszallitasi"]!=1)
                {
                // különbözik a szamlazasi cím
                // név check
                if(empty($cim['Szamnev']))
                    {
                    $this->hibak[]= foodString::out("adja meg a számlázási címhez tartozó nevet");
                    $this->vanhiba = true;
                    }
                
                // település check  
                if(empty($cim['Szamvaros']))
                    {
                    $this->hibak[]= foodString::out("adja meg a számlázási címhez tartozó települést");
                    $this->vanhiba = true;
                    }
                    
                // zip check
                if(empty($cim['Szamiszam']))
                    {
                    $this->hibak[]= foodString::out("adja meg a számlázási címhez tartozó irányítószámot");
                    $this->vanhiba = true;
                    }
                    
                // utca check
                if(empty($cim['Szamutca']))
                    {
                    $this->hibak[]= foodString::out("adja meg a számlázási címhez tartozó utcát (közterületet)");
                    $this->vanhiba = true;
                    }
                    
                // házszám check
                if(empty($cim['Szamhazszam']))
                    {
                    $this->hibak[]= foodString::out("adja meg  a számlázási címhez tartozó házszámot");
                    $this->vanhiba = true;
                    }
                }
            $i++;
            }
            
        unset($cim);    
        
		
            
            
         if(EMAILLOGIN) 
            {
            $qyvoltmaremail = "SELECT idlogin FROM felhasznalok_cimek WHERE Email=? UNION SELECT idlogin FROM felhasznalok WHERE Email=?";
			$stvoltmaremail=$conn->prepare($qyvoltmaremail);
			if(!$stvoltmaremail)
				{
				exit(ADATBAZISHIBASZOVEG_FRONTEND."03");
				}
			else
				{
				$stvoltmaremail->bind_param('ss',$_POST['Email'],$_POST['Email']);
				$stvoltmaremail->exec();
				//ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
				if ($stvoltmaremail->num_rows()!=0) 
					{
					
                    $this->hibak[]= foodString::out("adjon neg másik e-mail címmet, ezzel a címmel létezik regisztrált felhasználó");
                    $this->vanhiba = true;
					
					}
				}
            }
		}
	
	function sendAdminMail($subject,$mail)
		{
		require_once(foodPath::fromRoot("class_foodMailer.php"));
		$hova=$this->checkAdminMail($_POST['Varos']);
        
         $admails=adminmails::getAdminMails();
        
		$m=new foodMailer();
        
         switch ($hova)
            {
            case 0: $admail=$admails[1];
                    break;
            case 1: $admail=$admails[1];
                    break;
            }
         $m->mailer->AddAddress($admail,MAILNEVHOSSZU);
         
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, "Válaszcím"); // indicates ReplyTo headers
		$m->mailer->Subject = $subject;
		$m->mailer->IsHTML(false);
		//$this->getPOSTData();
		$this->data['date']=date("Y-m-d H:i:s");
		ob_start();
		$mail->Run();
		$m->mailer->Body = ob_get_clean();
        //echo $admail."**".MAILNEVHOSSZU;
		if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
		}
	
	function sendUserMail($md5_nev,$subject,$mail)
		{
		require_once(foodPath::fromRoot("class_foodMailer.php"));
        
         $hova=$this->checkAdminMail($_POST['Varos']);
        
         $admails=adminmails::getAdminMails();
        
         switch ($hova)
            {
            case 0: $admail=$admails[1];
                    break;
            case 1: $admail=$admails[1];
                    break;
            }
        
		$m=new foodMailer();
		$m->mailer->AddAddress($_POST['Email']);
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, foodString::out("Válaszcím")); // indicates ReplyTo headers
		$m->mailer->Subject = $subject;
		if(AUTOLOGINNEV)
            {
            $m->mailer->IsHTML(true);
            }
         else
            {
            $m->mailer->IsHTML(false);
            }
		//$this->getPOSTData();
		$this->data['md5_nev']=$md5_nev;
		ob_start();
		$mail->Run();
		$m->mailer->Body = ob_get_clean();
       // echo $_POST['Email']."//".$_POST['Nev'];
		if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
		}
	
	function storeUser()
		{
		$conn=foodDB::Connect();
        
        $newinsert=$this->insertNewAddress($this->regdata);
        //echo "inserted-----";
        //print_r($newinsert);
        $lastid_cim=$newinsert["id"];
        $uid=$newinsert["uid"];
        $qyuser = "INSERT INTO felhasznalok (loginNev, jelszo, Nev, UNev, Varos,  Iszam ,Utca, Hazszam, Kaputel, Email, Telefon, Fax, Szamnev, Szamiszam, Szamvaros, Szamutca, Szamhazszam, Megjegy, Statusz, Newsletter, lang,  temp, Jarat,tlogin) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
        $stuser = $conn->prepare($qyuser);
        if(!$stuser)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND."- 01");
            }

        if(AUTOLOGINNEV)
            {
            $this->data['loginNev']=foodFunctions::getNewLogin($lastid_cim);
            }
        else
            {
            $this->data['loginNev']=$uid;
            }
        $loginnev=$this->data['loginNev'];
        $stuser->bind_param('sssssssssssssssssssiiiss',$loginnev,$_POST['jelszo'], $this->regdata['Nev'], $_POST['UNev'], $this->regdata['Varos'], $this->regdata['Iszam'], $this->regdata['Utca'], $this->regdata['Hazszam'], $this->regdata['Kaputel'], $_POST['Email'], $this->regdata['Telefon'], $this->regdata['Fax'], $this->regdata['Szamnev'], $this->regdata['Szamiszam'], $this->regdata['Szamvaros'], $this->regdata['Szamutca'],  $this->regdata['Szamhazszam'], $this->regdata['Megjegy'], 'u','1','0',$temp, $this->regdata['Jarat'],$uid);
        //print_r($_POST);
        //echo $loginnev." NNN ".$temp." NNN ".$uid;
        $stuser->exec();
        $lastid=$stuser->insert_id();
        $this->idlogin=$lastid;
        
        $qytempc = "UPDATE felhasznalok_cimek SET idlogin=?, loginNev=? WHERE id=?";
        $sttempc = $conn->prepare($qytempc);
        if(!$sttempc)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND."- 02");
            }

              $sttempc->bind_param('isi',$lastid,$loginnev,$lastid_cim);
              $sttempc->exec();
              $this->loginnev=$loginnev;
              $this->jelszo=$_POST['jelszo'];
              
            if(count($this->frcpost)>1)
                {
                reset($this->frcpost);
                list($regdatakey, $regdata)=each($this->frcpost);
                $this->frcpost[$regdatakey]["loginNev"]=$this->loginnev;
                $this->frcpost[$regdatakey]["UNev"]=$_POST["UNev"];
                $this->frcpost[$regdatakey]["Email"]=$_POST["Email"];
                while(list($regdatakey, $regdata)=each($this->frcpost))
                    {
                    $insert=$this->insertNewAddress($regdata,$this->idlogin);
                    //echo "inserted-----";
                    //print_r($insert);
                    if(AUTOLOGINNEV)
                        {
                        $loginnev=foodFunctions::getNewLogin($insert["id"]);
                        }
                    else
                        {
                        $loginnev=$insert["uid"];
                        }
                    $this->frcpost[$regdatakey]["loginNev"]=$loginnev;
                    $this->frcpost[$regdatakey]["UNev"]=$_POST["UNev"];
                    $this->frcpost[$regdatakey]["Email"]=$_POST["Email"];
                    $sttempc->bind_param('isi',$this->idlogin,$loginnev,$insert["id"]);
                    $sttempc->exec();
                    }
                }
            return($uid);

		}
        
    function insertNewAddress($data,$idlogin=null)
        {
        if(is_null($idlogin))
            {
            $idlogin=0;
            }
        if(trim($data["Jarat"])=="")
            {
            $data["Jarat"]="0000";
            }
        if(trim($data["Megjegy"])=="")
            {
            $data["Megjegy"]="";
            }
        $conn=foodDB::Connect();
        $qyuserc = "INSERT INTO felhasznalok_cimek (Nev, UNev, Varos,  Iszam ,Utca, Hazszam, Kaputel, Email, Telefon, Fax, Szamnev, Szamiszam, Szamvaros, Szamutca, Szamhazszam, Megjegy,Jarat,tlogin,temp,ujreg,idlogin) VALUES 
		(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?)";
        
        $stuserc = $conn->prepare($qyuserc);
        
        if(!$stuserc)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND);
			}
            
        $uid=uniqid($_POST["Email"].'-',true);
          $temp=1;
          if(AUTOLOGINNEV)
            {
            $temp=0;
            }
            //print_r($data);
            //echo "---".$_POST['UNev']."----".$_POST['Email'];
			$stuserc->bind_param('ssssssssssssssssssiii', $data['Nev'], $_POST['UNev'], $data['Varos'], $data['Iszam'], $data['Utca'], $data['Hazszam'], $data['Kaputel'], $_POST['Email'], $data['Telefon'], $data['Fax'], $data['Szamnev'], $data['Szamiszam'], $data['Szamvaros'], $data['Szamutca'],  $data['Szamhazszam'], $data['Megjegy'],$data['Jarat'],$uid,$temp,1,$idlogin);
			$stuserc->exec();
			$lastid_cim=$stuserc->insert_id();
            return( array( "id" => $lastid_cim, "uid" => $uid) );
        }
	
	
	}
?>