<?php
require_once(DDIR.'iframe/CLASS_etelmodositasBox.php');

class torlesreetelekBox extends etelmodositasBox
	{
	public $idarray=array();
	public $etelektorolni=array();
	
	function __construct()
		{
		$this->setTemplate('iframe/torlesreetelek');
		$this->szurok=array( 'szurnev' => '%',  'szurid' => '%', 'szurkategoria' => '%','szurhet' => '%', 'vankep' => '0');
		if(!empty($_SESSION['torlendoetelek']))
			{
			foreach($_SESSION['torlendoetelek'] as $id => $torolni)
				{
				if($torolni=='torolni')
					{
					$this->idarray[$id]=$id;
					}
				}
			unset($_SESSION['torlendoetelek']);
			}
		$this->init_etel();
        
        if(isset($_POST['torlessubmit']))
			{
			if(!empty($_POST['toroli']))
				{
				$conn=foodDB::Connect();
				$qyetel= "delete from etelek where idetel=?";
				$stetel=$conn->prepare($qyetel);
				if(!$stetel)
					{
					exit(ADATBAZISHIBASZOVEG_FRONTEND);
					}
				else
					{
					foreach($_POST['toroli'] as $key => $id)
						{
						$stetel->bind_param('i',$id);
						$stetel->exec();
						}
					}
				}
			$this->saved=true;
			}
		}
	
	function init_etel()
		{
		$conn=foodDB::Connect();
		$qyetel= "select idetel, Nev, Kategoria from etelek where idetel=?";
		$stetel=$conn->prepare($qyetel);
		if(!$stetel)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND);
			}
		else
			{
			if(!empty($this->idarray))
				{
				foreach($this->idarray as $id)
					{
					$stetel->bind_param('i',$id);
					$stetel->exec();
					$soretel=$stetel->fetch_assoc();
					$this->etelektorolni[$id]=$soretel;
					}
				}
			}
		}

	}

?>