<?php
class azonositorogzites_moduleBox extends foodModule
    {
    public $page;
    public $id=null;
    public $posted;
    public $adatok;
    public $action;
    public $vanhiba;
    
    public $hibak=array();
    
    function __construct($page,$id=null)
        {
        $this->page=$page;
        $this->action=foodString::fullPage(food::$page->name);
        $this->id=$id;
        }
     
     function getdata()
        {
        $this->adatok=$this->moduleparent->adatok;
        }
     
     function process()
        {
        $this->adatok=$this->moduleparent->adatok;
        if($this->page->posted)
            {
            $torlesre=false;
            if(isset($_POST["ujloginNevTorlese"]))
                {
                if($_POST["ujloginNevTorlese"]==1)
                    {
                    $torlesre=true;
                    }
                }
                
            foodFunctions::getPOST($this->adatok);
            
            $van=false;

             $van=$this->existsloginNev($_POST['loginNev']);
             if($van)
                {
                $this->hibak[]="Már van ilyen azonosító!";
                }
             else
                {
                if(!$torlesre)
                    {
                    if( preg_match("#[0-9]{6}#",$_POST['loginNev'])  )
                        {
                        $conn=foodDB::Connect();
                       
                        $qy = "update felhasznalok_cimek set loginNev=?, ujreg=0, temp=0 WHERE id=?";
                        $qy2 = "update felhasznalok set loginNev=?, temp=0 WHERE idlogin=?";
                        
                        $st=$conn->prepare($qy);
                        $st2=$conn->prepare($qy2);
                        if(!$st || !$st2)
                            {
                            exit(ADATBAZISHIBASZOVEG_FRONTEND);
                            }
                        else
                            {
                            $st->bind_param('si',$_POST['loginNev'],$_POST['id']);
                            $st->exec();
                            $st2->bind_param('si',$_POST['loginNev'],$_POST['idlogin']);
                            $st2->exec();
                            $this->adatok["loginNev"]=$_POST['loginNev'];
                            $usermail=foodFactory::simpleBox("mail/userazonositomail",$this);
                            $this->sendUserMail($usermail);
                            }
                        }
                    else
                        {
                        $this->hibak[]="Az azonosítónak pontosan 6 számjegyből kell állnia!";
                        }
                    }
                else
                    {
                    $conn=foodDB::Connect();
                   
                    $qy = "delete from felhasznalok_cimek WHERE idlogin=?";
                    $qy2 = "delete from felhasznalok WHERE idlogin=?";
                    
                    $st=$conn->prepare($qy);
                    $st2=$conn->prepare($qy2);
                    if(!$st || !$st2)
                        {
                        exit(ADATBAZISHIBASZOVEG_FRONTEND);
                        }
                    else
                        {
                        $st->bind_param('i',$_POST['idlogin']);
                        $st->exec();
                        $st2->bind_param('i',$_POST['idlogin']);
                        $st2->exec();
                        $this->adatok["torolve"]=true;
                        }
                    }
                }
            $this->vanhiba= empty($this->hibak) ? false : true;
            }
        }
     
     function existsloginNev($loginNev)
        {
        $conn=foodDB::Connect();
        $qcheck="select idlogin from felhasznalok_cimek where loginNev=?";
        $stcheck=$conn->prepare($qcheck);
        if(!$stcheck)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        else
            {
            $stcheck->bind_param('s',$loginNev);
            $stcheck->exec();
            $van=$stcheck->fetch_assoc();
            return($van);
            }
        }
        
     function sendUserMail($mail)
		{
		require_once(foodPath::fromRoot("class_foodMailer.php"));
        
         //$hova=$this->checkAdminMail($_POST['Varos']);
        
         $admails=adminmails::getAdminMails();
        
         switch ($hova)
            {
            case 0: $admail=$admails[1];
                    break;
            case 1: $admail=$admails[1];
                    break;
            }
        
		$m=new foodMailer();
		$m->mailer->AddAddress($this->adatok["Email"]);
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, "Válaszcím"); // indicates ReplyTo headers
		$m->mailer->Subject = MAILNEVROVID." azonosító";
		if(AUTOLOGINNEV)
            {
            $m->mailer->IsHTML(false);
            }
         else
            {
            $m->mailer->IsHTML(false);
            }
		ob_start();
		$mail->Run();
		$m->mailer->Body = ob_get_clean();
		if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
		}
        
     function checkAdminMail($varos)
        {
        $conn=foodDB::Connect();
        $qyaemail = "SELECT Varosid FROM telepulesek WHERE Telep=?";
        $staemail=$conn->prepare($qyaemail);
        if(!$staemail)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND."02");
            }
        else
            {
            $staemail->bind_param('s',$varos);
            $staemail->exec();
            if ($staemail->num_rows()!=0) 
                {
                $soraemail=$staemail->fetch_assoc();
                return($soraemail['Varosid']);
                }
            else
                {
                return(0);
                }
            }
        }
        
    }


?>