<?php
class ikon_moduleBox extends foodModule
    {
    public $ev;
    public $het;
    public $kat2;
    public $kategoria;
    public $datum;
    public $ikonok=array();
    public $etelid;
    
    public function __construct()
        {
        $conn=foodDB::Connect();
        $qy="select id, filenev, title, lang, display from ikonok where lang=? and aktiv=1 order by id";
        $st=$conn->prepare($qy);
        if(!$st)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $st->bind_param("s",foodLanguage::getLang());
        $st->exec();
        while($sor=$st->fetch_assoc())
            {
            $this->ikonok[$sor["id"]]=$sor;
            }
        }
    
    public function set($ev,$het,$kategoria,$datum)
        {
        $this->ev=$ev;
        $this->het=$het;
        $this->kategoria=$kategoria;
        $this->datum=$datum;
        $this->etelid=foodFunctions::getEtelId($kategoria,$datum);
        }
    }


?>