<?php
require_once(foodPath::fromRoot("dbox/modul/class_szamlautolag_moduleBox.php"));
class szamla_minuszutolag_moduleBox extends szamlautolag_moduleBox
    {
    public $type=0;
    public $kartyak=array( 1 => "CIB", 2 => "OTP", 3 => "MKB", 4 => "KH");
    public $kartyalemondas=array();
    public $popup=false;
    public $getuserData=array();
    public $datum;
    public $ev;
    
    function calc($rendelid)
        {
        $ex=explode('_',$rendelid);
        $loginNev=$ex[1];
        $ev=substr($ex[0],0,4); $honap=substr($ex[0],4,2); $nap=substr($ex[0],6,2);
        $this->ev=$ev;
        $this->datum=$ev.'-'.$honap.'-'.$nap;
        $this->rendelid=$rendelid;
        $this->loginNev=$loginNev;
        $conn=foodDB::Connect();

        $qy0="select f.Email, f.Kedvezmeny, fc.Szamnev, fc.Szamiszam, fc.Szamutca, fc.Szamhazszam, fc.Szamvaros, fc.Nev, fc.Utca, fc.Hazszam, fc.Varos, fc.Iszam, fc.loginNev from felhasznalok f, felhasznalok_cimek fc where f.idlogin=fc.idlogin and f.loginNev=?";
        $st0=$conn->prepare($qy0);
        
        $qy="SELECT id, rendelid, loginNev, napid, ev, het, db, type, ido, kategoria, datum, Ar, Kedvezmeny, Kedvezmenytipus, etel_id, idlogin, hetiKategoria  
        FROM cardteszt_rendeles_new
        where rendelid=?";
        $st=$conn->prepare($qy);
        if(!$st || !$st0)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $st->bind_param('s',$this->rendelid);
        $st->exec();

        while($sor=$st->fetch_assoc())
            {
            $lemondott["rendeles"][$sor["etel_id"]]["db"]=$sor["db"];
            $lemondott["rendeles"][$sor["etel_id"]]["etel"]=$sor;
            }
            
        $st0->bind_param('s',$this->loginNev);
        $st0->exec(); 
        
        $this->getuserData=$st0->fetch_assoc();
            
        $qybank="SELECT id, rendelid, loginNev, napid, ev, het, db, type, ido, kategoria, datum, Ar, Kedvezmeny, Kedvezmenytipus, etel_id, idlogin, hetiKategoria, bank  
        FROM lemondas
        where datum>=? and loginNev=?";
        $stbank=$conn->prepare($qybank);
        if(!$stbank)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $stbank->bind_param('ss',$this->datum,$this->loginNev);
        $stbank->exec();
        while($sor=$stbank->fetch_assoc())
            {
            $lemondott_bank["rendeles"][$sor["etel_id"]][$sor["bank"]]["db"]+=$sor["db"];
            }  
            
        $qyfizetett="select r.etel_id, r.kategoria, r.datum, r.db, c.kartya_rovidnev as bank 
        from cardteszt_rendeles_new r left outer join card_out c on r.rendelid=c.rendelid and c.result='OK' 
        where r.loginNev=? and r.datum>=? and r.type=1";
        $stfizetett=$conn->prepare($qyfizetett);
        if(!$stfizetett)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $stfizetett->bind_param('ss',$this->loginNev,$this->datum);
        $stfizetett->exec();
        while($sor=$stfizetett->fetch_assoc())
            {
            $fizetett["rendeles"][$sor["etel_id"]][$sor["bank"]]["db"]+=$sor["db"];
            }
        
        
        foreach($fizetett["rendeles"] as $etel_id => $etelek )
            {
            foreach($etelek as $bank => $etel)
                {
                if(isset($lemondott_bank["rendeles"][$etel_id][$bank]))
                    {
                    $fizetett["rendeles"][$etel_id][$bank]["db"]-=$lemondott_bank["rendeles"][$etel_id][$bank]["db"];
                    }
                }
            }

        foreach($lemondott["rendeles"] as $etel_id => $etelek)
            {
            for($i=1; $i<=4; $i++)
                {
                $kartya=$this->kartyak[$i];
                do  {
                    if(isset($fizetett["rendeles"][$etel_id][$kartya]))
                        {
                        if($fizetett["rendeles"][$etel_id][$kartya]>0)
                            {
                            if($fizetett["rendeles"][$etel_id][$kartya]["db"]>=$lemondott["rendeles"][$etel_id]["db"])
                                {
                                $this->kartyalemondas[$kartya][$etel_id]=$lemondott["rendeles"][$etel_id]["db"];
                                break 2;
                                }
                           else
                                {
                                $this->kartyalemondas[$kartya][$etel_id]=$fizetett["rendeles"][$etel_id][$kartya]["db"];
                                $lemondott["rendeles"][$etel_id]["db"]-=$this->kartyalemondas[$kartya][$etel_id];
                                }
                            }
                        }
                    } while(false);
                }
            }
            
        if(isset($this->kartyalemondas["CIB"]))
            {
            $this->osszeg=0;
            foreach($this->kartyalemondas["CIB"] as $etel_id => $db)
                {
                if($db>0)
                    {
                    $etel=$lemondott["rendeles"][$etel_id]["etel"];
                    $ar=$etel["Ar"];
                    $vegoszeg=$this->vegosszeg($ar,$db,$etel["Kedvezmenytipus"],$etel["Kedvezmeny"]);
                    $this->osszeg+=$vegoszeg;
                    }
                }
                
            if($this->osszeg>0)
                {
                $this->process_minusz($this->datum,"CC");
                }
            }
            
        $qyment="insert into lemondas(rendelid, loginNev, napid, ev, het, db, type, ido, kategoria, datum, Ar, Kedvezmeny, Kedvezmenytipus, etel_id, idlogin, hetiKategoria, bank, vegosszeg) values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
        $stment=$conn->prepare($qyment);
            
        foreach($lemondott["rendeles"] as $etel_id => $etel)
            {
            $egyetel=$etel["etel"];
            for($i=1; $i<=4; $i++)
                {
                $bank=$this->kartyak[$i];
                if(isset($this->kartyalemondas[$bank][$etel_id]))
                    {
                    if($this->kartyalemondas[$bank][$etel_id]>0)
                        {
                        $egyetel["db"]=$this->kartyalemondas[$bank][$etel_id];
                        $egyetel["bank"]=$bank;
                        $stment->bind_param("ssisiiisssdiisissd",$egyetel["rendelid"], $egyetel["loginNev"], $egyetel["napid"], $egyetel["ev"], $egyetel["het"], $egyetel["db"], $egyetel["type"], $egyetel["ido"], $egyetel["kategoria"], $egyetel["datum"], $egyetel["Ar"], $egyetel["Kedvezmeny"], $egyetel["Kedvezmenytipus"], $egyetel["etel_id"], $egyetel["idlogin"], $egyetel["hetiKategoria"], $egyetel["bank"],$this->vegosszeg($egyetel["Ar"],$egyetel["db"],$egyetel["Kedvezmenytipus"],$egyetel["Kedvezmeny"]));
                        $stment->exec();
                        $this->popup=true;
                        }
                    }
                }   
            }
        }
    
    function process_minusz($datum,$pmode)
        {
        $this->getBank($pmode);
        $this->szamlaszoveg="Részletezés: ".$this->getRendelt($this->bank)."<br><br>Kedves Ügyfelünk! Köszönjük, hogy nálunk vásárolt!";
        $ysl123api_url=SZAMLA_URL;
        $jsonarr = array();
        $jsonarr["api_user"]=SZAMLA_API_USER;
        $jsonarr["api_pass"]=SZAMLA_API_PASS;//'Y123K2094D8FFA090D69896005F9645D2E3B2A'; // az ő jelszava
        $jsonarr['cmd']='NEW'; 
        $jsonarr['ibook_id']=foodSZAMLA::$SZAMLA_IBOOK_ID[$this->ev];//129;



$ihdr = array(); 

$ihdr['date_fulf']=$datum;// teljesítés
$ihdr['date_due']=$datum; // lejárat

$ihdr['pmode']=$pmode; //'B'; // értékek: B: banki átutalás, C: cash avagy készpénz, CC: credit-card, UV: Utánvétes (*2015-től)

$ihdr['itype']='I'; // értékek: I: számla, P: proforma, B: befizetési igazolás

// $ihdr['recurr']='Y'; // ha a számla folyamatos teljesítésű: Y vagy I: yes (igen), illetve N mint no (nem), és a 'nem-folyamatos' a default

$ihdr['paid']='N'; // értékek: Y vagy I: yes (igen), illetve N mint no (nem), a 'nem-fizetve' a default

$ihdr['title']="Online lemondás. Lemondás száma: ".$this->rendelid; //'Online fizetés'; // figyelem! UTF-8 karakterkészletben kell küldeni!

$jsonarr['header']=$ihdr; // betesszük a tömböt a 'header' paraméterbe




$p = array(); 

$szamlacim=(trim($this->getuserData("Szamnev")) == "" || trim($this->getuserData("Szamiszam")) == ""  || trim($this->getuserData("Szamutca")) == "" || trim($this->getuserData("Szamhazszam")) == "" || trim($this->getuserData("Szamvaros")) == "") ? false : true;

$nev= $szamlacim ? $this->getuserData("Szamnev") : $this->getuserData("Nev");
$addr1=$szamlacim ? $this->getuserData("Szamutca").' '.$this->getuserData("Szamhazszam") : $this->getuserData("Utca").' '.$this->getuserData("Hazszam");
$addr2= $szamlacim ? $this->getuserData("Szamvaros") : $this->getuserData("Varos");

$addr3="";
$zip = $szamlacim ?  $this->getuserData("Szamiszam") : $this->getuserData("Iszam");

$p['name']=$nev; // kötelező adat
$p['addr1']=$addr1; // address1: kötelező adat
$p["p_code"]=$this->getuserData("loginNev");
$p['addr2']=$addr2;
$p['addr3']=$addr3;
$p['zip']=$zip;
$p['ctry']='Magyarország'; // Country avagy ország neve (külföldi számláknál fontos)
//$p['cono']='01-09-999999'; // cégjegyzékszám lehetősége (külföldi számláknál fontos)
//$p['addr1']='14488999-2-41'; // adószám



$jsonarr['partner']=$p; // tároljuk be a hívásba a partner adatokat


$jsonarr['notes']=$this->szamlaszoveg; //'Kedves Ügyfelünk! Köszönjük, hogy nálunk vásárolt!';

$t=null;
$t = array();

$t['itemname']=SZAMLA_ITEMNAME;//'Meleg étel'; // számlatétel megnevezés rovata
$t['quantity']=-1; // mennyiség
$t['unit']=''; //csomag mennyiségi egység
$t['gross']=round($this->osszeg); // 9 ezer Ft
$t['vat']=SZAMLA_AFA; // 18% ÁFA

$items=array(0=>$t);

$jsonarr['items']=$items;



$retarr=$this->call_szamla($ysl123api_url,$jsonarr);
//$retarr["url"]="Itt lesz az url";
//print_r($jsonarr);
$this->sendUserMail($retarr["url"]);

return($retarr);
        }

    
   function getRendelt($bank)
        {    
        $kosar=array();
        
        foreach($this->kartyalemondas[$bank] as $etel_id => $db)
            {
            $kosar[foodFunctions::getDatum($etel_id)][foodFunctions::getKategoria($etel_id)]+=$db;
            }
            
        ksort($kosar);
        
        foreach($kosar as $datum => &$etelek)
            {
            ksort($etelek);
            }
        unset($etelek);
        
        $rendelt="";
        
        
        foreach($kosar as $datum => $etelek)
            {
            $i=0;
            $rendelt.="<br>";
            $rendelt.=$datum." (".hetnapjai::getNapok(foodDatum::getNapsorszam($datum)).") ";
            foreach($etelek as $kategoria => $db)
                {
                if($i>0)
                    {
                    $rendelt.=", ";
                    }
                $rendelt.=$kategoria.': '.$db.' db';
                $i++;
                }
            
            }
        return($rendelt);
        }
        
    function sendUserMail($link)
		{
        //return;
		require_once(foodPath::fromRoot("class_foodMailer.php"));
        
         $link= str_replace('http://szamlazo.vallalatiszolgaltatasok.hu' , 'http://interfood.szamlazolite.hu' , $link);
        
         $admails=adminmails::getAdminMails();
         $admail=$admails[1];
        
		$m=new foodMailer();
		$m->mailer->AddAddress($this->getuserData("Email"));
        $m->mailer->AddAddress("melo.janous@gmail.com");
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, foodString::out("Válaszcím")); // indicates ReplyTo headers
		$m->mailer->Subject = "Bankkártya - lemondás";

         $m->mailer->IsHTML(false);

		ob_start();
		echo "Tisztelt Megrendelőnk!
        
Az alábbiakban megküldjük számláját az Ön által korábban lemondott megrendelésről. Rendszerünk hibája miatt erről a számláról korábban nem kapott értesítést, amiért elnézését kérjük.

Kérjük vegye fel ügyfélszolgálatunkkal a kapcsolatot, és adja meg számlaszámát, ahová az összeget utalhatjuk.

Telefon: 06(1) 700 4470
E-mail: info@interfood.hu

Módosító számla letöltése:

".$link."

".MAILNEVROVID."
Ügyfélszolgálat";
		$m->mailer->Body = ob_get_clean();
        //echo $m->mailer->Body;
         //$m->mailer->Body.=" *** ".$Email." *** ";
       // echo $_POST['Email']."//".$_POST['Nev'];
       
		if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
            
		}
        
    function vegosszeg($ar,$db,$kedvezmenytipus,$kedvezmeny)
        {
        if($kedvezmenytipus>0)
            {
            do  {
                if($kedvezmenytipus==1)
                    {
                    $ar=((100-$kedvezmeny)*$ar)/100;
                    break;
                    }
                    
                if($kedvezmenytipus==2)
                    {
                    $ar=$ar-$kedvezmeny;
                    break;
                    }
                } while(false);
            }
        return($ar*$db);
        }
    
    function getuserData($key)
        {
        return($this->getuserData[$key]);
        }
    }
?>