<?php
function to2len($val)
    {
    if(strlen($val)==1)
        {
        return('0'.$val);
        }
     else
        {
        return($val);
        }
    }
function fullcharleft($val, $len, $char)
	{
     $hossz=strlen($val);
	if($hossz<$len)
		{
		for($i=1; $i<=$len-$hossz; $i++)
			{
			$val=$char.$val;
			}
		}
	return($val);
	}

function fullcharright($val, $len, $char)
	{
     $hossz=strlen($val);
	if($hossz<$len)
		{
		for($i=1; $i<=$len-$hossz; $i++)
			{
			$val=$val.$char;
			}
		}
	return($val);
	}
	
function fullzeroleft($val, $len)
	{
	return(fullcharleft($val,$len,'0'));
	}
	
function fullzeroright($val, $len)
	{
	return(fullcharright($val,$len,'0'));
	}

function stripfirstslash($s)
    {
    $s1=$s;
    if( strpos($s,'/') ===0 )
        {
        $len=strlen($s);
        $s1=substr($s,1,$len-1);
        }
    return($s1);
    }
    
function convplus($str)
    {
    $vege="";
    while(($vege=substr($str,strlen($str)-3,3))=="[+]")
        {
        $str=substr($str,0,strlen($str)-3);
        }
    $str=str_replace("[+][+][+]"," - ",$str);
    $str=str_replace("[+][+]"," - ",$str);
    $str=str_replace("[+]"," - ",$str);
    
    while(($vege=substr($str,strlen($str)-1,1))=="-")
        {
        $str=substr($str,0,strlen($str)-1);
        }

    return($str);
    }
    
class foodFunctions
    {
    
    public static function getEvHet($kosar=null)
        {
        if(is_null($kosar))
            {
            return(date("oW"));
            }
        else
            {
            if(get_class($kosar)=="foodBasket")
                {
                $kosar->rendez();
                $evneve1=$evneve2="9999";
                $hetneve1=$hetneve2="99";
                if(is_array($kosar->rendeles) && !empty($kosar->rendeles))
                    {
                    list($evneve1,$ev1)=each($kosar->rendeles);
                    list($hetneve1,$het1)=each($ev1);
                    }
                if(is_array($kosar->hetirendeles) && !empty($kosar->hetirendeles))
                    {
                    list($evneve2,$ev2)=each($kosar->hetirendeles);
                    list($hetneve2,$het2)=each($ev2);
                    }
                $evhet1=$evneve1.$hetneve1;
                $evhet2=$evneve2.$hetneve2;
                if($evhet1<$evhet2)
                    {
                    return($evhet1);
                    }
                return($evhet2);
                }
            else
                {
                return(date("oW"));
                }
            }
        }    
    
    public static function getEtelId($kategoria,$datum)
        {
        return($kategoria.'-'.$datum);
        }
    
    public static function getDatum($etelid)
        {
        $parts=explode('-',$etelid);
        return($parts[1].'-'.$parts[2].'-'.$parts[3]);
        }
    
    public static function getKategoria($etelid)
        {
        $parts=explode('-',$etelid);
        return($parts[0]);
        }

    
    public static function getNewLogin($lastid_cim)
        {
        if(is_null($lastid_cim) || trim($lastid_cim)=='' || !is_numeric($lastid_cim) )
            {
            trigger_error("Adatbazis hiba! Forduljon az ugyfelszolgalathoz!", E_USER_ERROR);
            }
            
        if($lastid_cim<=0)
            {
            trigger_error("Adatbazis hiba! Forduljon az ugyfelszolgalathoz!", E_USER_ERROR);
            }
        
        $conn=foodDB::Connect();
        $qy="select ertek from rendszer where csoport='user' and nev='iddiff'";
        $st=$conn->prepare($qy);
        if(!$st)    
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $st->exec();
        $sor=$st->fetch_assoc();
        $iddiff=$sor["ertek"];
        $loginNev=$lastid_cim+(int)$iddiff;
        $qyinc="update rendszer set ertek= CAST((CAST(ertek as unsigned integer)+1) as CHAR CHARACTER SET utf8) where csoport='user' and nev='iddiff'";
        $stinc=$conn->prepare($qyinc);
        $qycheck="select 1 from felhasznalok_cimek where loginNev=?";
        $stcheck=$conn->prepare($qycheck);
        if(!$stcheck || !$stinc)    
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $stcheck->bind_param("s",$loginNev);
        $stcheck->exec();
        $sorcheck=$stcheck->fetch_assoc();
        while($sorcheck)
            {
            $stinc->exec();
            $loginNev++;
            $stcheck->bind_param("s",$loginNev);
            $stcheck->exec();
            $sorcheck=$stcheck->fetch_assoc();
            }
        return($loginNev);
        }
    
    public static function getGET($dest)
        {
        self::getREQUEST($dest,"GET");
        }
        
    public static function getPOST($dest)
        {
        self::getREQUEST($dest,"POST");
        }    
    
    public static function getREQUEST(&$dest,$type=null)
        {
        if(!is_null($type))
            {
            if($type=="GET")
                {
                $source=$_GET;
                }
                
            if($type=="POST")
                {
                $source=$_POST;
                }
            }
        else
            {
            $source=$_REQUEST;
            }
   
        foreach($source as $key => $value)
            {
            $dest[$key]=$value;
            }
        }
        
    public static function getUUID($prefix)
        {
        $len=30;
        $cut=8;
        $s1=str_replace('.','',uniqid("",true));
        $s1=substr($s1,$cut,strlen($s1)-$cut);
        $randlen=$len-strlen($prefix)-strlen($s1);
        $min=pow(10,$randlen-1);
        $max=pow(10,$randlen)-1;
        return($prefix.$s1.mt_rand($min,$max));
        }
      
    public static function getAr($ar,$kedvezmeny)
        {
        return(round($ar*((100-$kedvezmeny)/100)));
        }
        
    public static function getRealRendelid($rendelid)
        {
        $p=explode('_',$rendelid);
        return($p[0].'_'.$p[1]);
        }       
      
    public static function markup_osszetevok($s)
        {
        return(preg_replace ( '/#([^#]*)#/u' , '<b>$1</b>' , $s ));
        }
        
    public static function rendelheto($datum)
        {
        $naptime=strtotime($datum);
        $eztime=strtotime(date("Y-m-d H:i:s", $naptime)."- ".(24-ELOZONAPORA)." hour");
        if($eztime>time())
            {
            return(true);
            }
        return(false);
        }
        
    public static function meddig_rendelheto($datum)
        {
        $naptime=strtotime($datum);
        $eztime=strtotime(date("Y-m-d H:i:s", $naptime)."- ".(24-ELOZONAPORA)." hour");
        return($eztime);
        }
    }
?>