<?php
class alarendelBox extends baseclass
	{
    public $data;
    public $cimek;
    public $page;
    public $vanhiba=false;
    public $hibak=array();
    public $kollegak;
    
    function __construct($page)
        {
        $this->data=array();
        $this->cimek=array();
        $this->kollegak=array();
        $this->page=$page;
 
        if(isset($_POST['submit_altagok']))
            {
            if (!preg_match(foodConstants::$MAILPATTERN, $_POST['email']) && !empty($_POST['email'])) 
			{
		    $this->hibak[]= "Érvénytelen email-cím!";
			$this->vanhiba = true;
             $this->getPOSTData();
			}
            else
                {
                $conn=foodDB::Connect();
                $qyk = "insert into felhasznalok_al(Nev,idlogin,hozzaadva,del,Email,loginNev) values(?,?,?,?,?,?)";
                $stk = $conn->prepare($qyk);
                if(!$stk)
                    {
                    exit(ADATBAZISHIBASZOVEG_FRONTEND);
                    }
                else
                    {
                    $most=date("Y-m-d H:i:s");
                    $stk->bind_param('sisiss',$_POST['nev'],foodUser::getuserData('idlogin'),$most,0,$_POST['email'],$_POST['azon']);
                    $stk->exec();
                    }
                }
            }
        
        if(isset($_GET['del']))
            {
            $conn=foodDB::Connect();
            $qychdel = "select 1 from felhasznalok_al where idlogin=? and id=?";
            $stchdel = $conn->prepare($qychdel);
            if(!$stchdel)
                {
                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                }
            else
                {
                $stchdel->bind_param('ii',foodUser::getuserData('idlogin'),$_GET['del']);
                $stchdel->exec();
                $num=$stchdel->num_rows();
                if($num>0)
                    {
                    $qydel="delete from felhasznalok_al where id=?";
                    $stdel = $conn->prepare($qydel);
                    $stdel->bind_param('i',$_GET['del']);
                    $stdel->exec();
                    }
                }
            }
        
       foodUser::setAddresses();
        $this->cimek=foodUser::getuserAddresses();
        $conn=foodDB::Connect();
        $qykoll = "SELECT  fa.id, fa.Nev as KollegaNev, fc.Nev, fc.Iszam, fc.Varos, fc.Utca, fc.Hazszam  FROM felhasznalok_al fa, felhasznalok_cimek fc
where fa.idlogin=fc.idlogin and fa.loginNev=fc.loginNev  and fa.idlogin=?
order by fc.Iszam, fc.Varos, fc.Utca, fc.Hazszam, fa.Nev";
        $stkoll = $conn->prepare($qykoll);
        if(!$stkoll)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        else
            {
            $stkoll->bind_param('i',foodUser::getuserData('idlogin'));
            $stkoll->exec();
            while($sorkoll=$stkoll->fetch_assoc())
                {
                $this->kollegak[$sorkoll['id']]=$sorkoll;
                $this->kollegak[$sorkoll['id']]['Cim']=$sorkoll['Nev'].' '.$sorkoll['Iszam'].' '.$sorkoll['Varos'].' '.$sorkoll['Utca'].' '.$sorkoll['Hazszam'];
                }
            }
        }
    
    function getPOSTData()
		{
		//$this->data=array();
		foreach($_POST as $k => $v)
			{
			$this->data[$k]=$v;
			}
		} 
    }
?>