<?php
require_once("classes/CLASS_telepulesek.php");
class cimszerkesztesBox extends baseclass
    {
    public $template;
    public $vanhiba=false;
    public $hibak=array();
    public $varosok;
    public $data;
    public $page;
    public $telep;
    public $postolva=false;
    public $id;
    public $okid;
    public $check=array(); //array("Nev","Varos","Iszam","Utca","Hazszam","Telefon","Szamnev","Szamvaros","Szamiszam","Szamutca","Szamhazszam","Megjegy");
    public $tocheck=array();
     
	
	function __construct($page)
		{
		$this->varosok=array();
         $this->data=array();
		$this->page=$page;
         $this->id=$_GET['id'];
         
         $this->okid=foodUser::getAddressById($this->id);
         
         if($this->okid)
            {
         
         foreach($this->check as $col)
            {
            $this->tocheck[$col]=true;
            }
        
        if(!isset($_POST['ujfelhasznalo']))
            {
            $this->setPOSTData();
            }
        else
			{
            $this->postolva=true;
             $this->getPOSTData();
			$this->checkPOST();
			if(!$this->vanhiba)
				{
				$md5_nev=$this->storeUser();
                
                 //require_once(TEMPLATEDIR."template_userregmail.php");
                 //$usermail= new template_userregmail($this);
                
                 //require_once(TEMPLATEDIR."template_admincimmail.php");
                 //$adminmail= new template_admincimmail($this);
                 if(AUTOLOGINNEV)
                    {
                    //$usermail=foodFactory::simpleBox("mail/userregmail",$this);
                    $adminmail= foodFactory::simpleBox("mail/admincimmail",$this);
                    }
                  else
                    {
                    //$usermail=foodFactory::simpleBox("mail/userregmail_temp",$this);
                    $adminmail= foodFactory::simpleBox("mail/admincimmail_temp",$this);
                    }
                
				$adsend=$this->sendAdminMail("Címmódosítás",$adminmail);
			    foodUser::setAddresses();//$usend=$this->sendUserMail($md5_nev,"Regisztráció",$usermail);
				//$this->template="noturl/regisztracio_sikeres";
                
				}
			}
            $this->getVarosok();
            }
         else
            {
            $this->redirectopage="szemelyes";
            $this->setTemplate("noturl/redirectopage");
            }
		}
	
	function getVarosok()
		{
		$this->varosok=array();
         $this->telep=new telepulesek();
         $this->telepulesek=$this->telep->telepulesek;
		}
	
	function getPOSTData()
		{
		//$this->data=array();
		foreach($_POST as $k => $v)
			{
			$this->data[$k]=$v;
			}
		}
	
    function setPOSTData()
		{
		$addresses=foodUser::getuserAddresses();
        
		foreach($addresses[$this->id] as $k => $v)
			{
			$this->data[$k]=$v;
			}
		}

	
	function checkAdminMail($varos)
		{
		$conn=foodDB::Connect();
		$qyaemail = "SELECT Varosid FROM telepulesek WHERE Telep=?";
		$staemail=$conn->prepare($qyaemail);
		if(!$staemail)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND."02");
			}
		else
			{
			$staemail->bind_param('s',$varos);
			$staemail->exec();
			//ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
			if ($staemail->num_rows()!=0) 
				{
				$soraemail=$staemail->fetch_assoc();
				return($soraemail['Varosid']);
				}
			else
				{
				return(0);
				}
			}
		}
	
	function checkPOST()
		{
		$conn=foodDB::Connect();
		
		 
		
		if ((empty($_POST['Nev'])) || ($_POST['Varos']=="0") || (empty($_POST['Iszam'])) || (empty($_POST['Utca'])) || (empty($_POST['Telefon'])) || (empty($_POST['Hazszam']))  ) 
			{
			$this->hibak[]= "Nem adott meg minden kötelező adatot!";
			$this->vanhiba = true;
			}

		if (($_POST['Varos']=="0") && (empty($_POST['Varos2']))) 
			{
			$this->hibak[]= "Nem adott meg települést!";
			$this->vanhiba = true;
			}
		else 
			{
             /*
			$qyvoltmar = "SELECT CONCAT(Varos,Iszam,Utca, 	Hazszam) as cim FROM felhasznalok_cimek WHERE and Nev=? and UNev=? and Email=? and idlogin=?";
			$stvoltmar=$conn->prepare($qyvoltmar);
			if(!$stvoltmar)
				{
				exit(ADATBAZISHIBASZOVEG_FRONTEND."03");
				}
			else
				{
				$stvoltmar->bind_param('ssssi',$_POST['jelszo'],$_POST['Nev'],$_POST['UNev'],$_POST['Email'],$_SESSION['foodUser']->userData['idlogin']);
				$stvoltmar->exec();
				//ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
				if ($stvoltmar->num_rows()!=0) 
					{
					$letezo=$stvoltmar->fetch_assoc();
					$letezocim=$letezo['cim'];
					$ujcim=$_POST['Varos'].$_POST['Iszam'].$_POST['Utca'].$_POST['Hazszam'];
					$letezocim=str_replace(' ','',$letezocim);
					$ujcim=str_replace(' ','',$ujcim);
					if($ujcim==$letezocim)
						{
						$this->hibak[]= "Ezekkel az adatokkal már létezik regisztrált felhasználó!";
						$this->vanhiba = true;
						}
					}
				}
			*/
            }
            
		}
	
	function sendAdminMail($subject,$mail)
		{
		require_once("class_foodMailer.php");
		$hova=$this->checkAdminMail($_POST['Varos']);
        
         $admails=adminmails::getAdminMails();
        
		$m=new foodMailer();
        
         switch ($hova)
            {
            case 0: $admail=$admails[1];
                    break;
            case 1: $admail=$admails[1];
                    break;
            }
         $m->mailer->AddAddress($admail,MAILNEVHOSSZU);
         
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, foodString::out("Válaszcím")); // indicates ReplyTo headers
		$m->mailer->Subject = $subject;
		$m->mailer->IsHTML(false);
		$this->getPOSTData();
		$this->data['date']=date("Y-m-d H:i:s");
		ob_start();
		$mail->Run();
		$m->mailer->Body = ob_get_clean();
		if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
		}
	
	function sendUserMail($md5_nev,$subject,$mail)
		{
		require_once("class_foodMailer.php");
        
         $hova=$this->checkAdminMail($_POST['Varos']);
        
         $admails=adminmails::getAdminMails();
        
         switch ($hova)
            {
            case 0: $admail=$admails[1];
                    break;
            case 1: $admail=$admails[1];
                    break;
            }
        
		$m=new foodMailer();
		$m->mailer->AddAddress($_POST['Email'],$_POST['Nev']);
		$m->mailer->From=$admail;
		$m->mailer->FromName=MAILNEVROVID;
		$m->mailer->Sender=$admail; // indicates ReturnPath header
		$m->mailer->AddReplyTo($admail, foodString::out("Válaszcím")); // indicates ReplyTo headers
		$m->mailer->Subject = $subject;
		$m->mailer->IsHTML(true);
		$this->getPOSTData();
		$this->data['md5_nev']=$md5_nev;
		ob_start();
		$mail->Run();
		$m->mailer->Body = ob_get_clean();
		if(!$m->mailer->Send())
			{
			return(false);
			}
		else
			{
			return(true);
			}
		}
	
	function storeUser()
		{
		$conn=foodDB::Connect();
        
         $qytorol="delete from felhasznalok_cimmod where id=?";
         
         $qyins="insert into felhasznalok_cimmod select * from felhasznalok_cimek where id=?";
        
         $qyuserc = "update felhasznalok_cimmod set Nev=?, UNev=?, Varos=?,  Iszam=? ,Utca=?, Hazszam=?, Kaputel=?, Telefon=?, Fax=?, Szamnev=?, Szamiszam=?, Szamvaros=?, Szamutca=?, Szamhazszam=?, Megjegy=? 
         where id=?";
         
         $qyup="update felhasznalok_cimek set cimmod=1 where id=?";
         
         $sttorol = $conn->prepare($qytorol);
         $stins = $conn->prepare($qyins);
         $stuserc = $conn->prepare($qyuserc);
         $stup = $conn->prepare($qyup);
        
        if(!$sttorol || !$stins || !$stuserc || !$stup)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND);
			}
		else
			{
              $sttorol->bind_param("i",$this->id);
              $sttorol->exec();
              
              $stins->bind_param("i",$this->id);
              $stins->exec();
              
			$stuserc->bind_param('sssssssssssssssi',$_POST['Nev'],$_POST['UNev'], $_POST['Varos'], $_POST['Iszam'], $_POST['Utca'], $_POST['Hazszam'], $_POST['Kaputel'], $_POST['Telefon'], $_POST['Fax'], $_POST['Szamnev'], $_POST['Szamiszam'], $_POST['Szamvaros'], $_POST['Szamutca'],  $_POST['Szamhazszam'], $_POST['Megjegy'],$this->id);
			$stuserc->exec();
            
              $stup->bind_param("i",$this->id);
              $stup->exec();
              
              foodUser::setAddresses();
            }
		}
	
	
	}
?>