<?php
class elfelejtett_jelszoBox extends baseclass
    {
    public $template;
    public $megvan=false;
    public $postolva=false;
    public $data=array();
    public $tipus;
	
	function __construct()
		{
        $this->tipus="loginNev";
        if(isset($_POST['Email']))
            {
            if(trim($_POST['Email'])!='')
                {
                $this->tipus="Email";
                }
            }
         /*
         if(EMAILLOGIN)
            {
            $this->tipus="Email";
            }
         else
            {
            $this->tipus="loginNev";
            }  
          */  
         $this->data=array();
         if(isset($_POST['Email']) && $this->tipus=="Email")
			{
              $this->postolva=true;
			if(trim($_POST['Email'])!='')
				{
				$conn=foodDB::Connect();
				
				$qyjelszo = "SELECT Nev,loginNev, jelszo, Email FROM felhasznalok WHERE Email=?";
				
				$stjelszo=$conn->prepare($qyjelszo);
				if(!$stjelszo)
					{
					exit(ADATBAZISHIBASZOVEG_FRONTEND."02");
					}
				else
					{
					$stjelszo->bind_param('s',trim($_POST['Email']));
					$stjelszo->exec();
					if ($stjelszo->num_rows()!=0) 
						{
                         $i=0;
                            while($sorjelszo=$stjelszo->fetch_assoc())
                                {
                           $this->data[$i]['Nev']=$sorjelszo['Nev'];
                           $this->data[$i]['loginNev']=$sorjelszo['loginNev'];
                           $this->data[$i]['jelszo']=$sorjelszo['jelszo'];
                           $this->data[$i]['Email']=$sorjelszo['Email'];
                           $i++;
                                }
						$this->megvan=true;
                        $usermail=foodFactory::simpleBox("mail/userjelszomail",$this);
                        
						$this->sendUserMail($usermail);
						}
					else
						{
						$this->megvan=false;
						}
					}
				}
			}
        
         if(isset($_POST['loginNev']))
			{
              $this->postolva=true;
			if(trim($_POST['loginNev'])!='')
				{
				$conn=foodDB::Connect();
				
				$qyjelszo = "SELECT fc.Nev, f.jelszo, f.Email, fc.loginNev FROM felhasznalok_cimek fc, felhasznalok f  WHERE fc.idlogin=f.idlogin and fc.loginNev=?";
				
				$stjelszo=$conn->prepare($qyjelszo);
				if(!$stjelszo)
					{
					exit(ADATBAZISHIBASZOVEG_FRONTEND."02");
					}
				else
					{
					$stjelszo->bind_param('s',trim($_POST['loginNev']));
					$stjelszo->exec();
					if ($stjelszo->num_rows()!=0) 
						{
                         $i=0;
                            while($sorjelszo=$stjelszo->fetch_assoc())
                                {
                           $this->data[$i]['Nev']=$sorjelszo['Nev'];
                           $this->data[$i]['loginNev']=$sorjelszo['loginNev'];
                           $this->data[$i]['jelszo']=$sorjelszo['jelszo'];
                           $this->data[$i]['Email']=$sorjelszo['Email'];
                           $i++;
                                }
						$this->megvan=true;
                        
                        $usermail=foodFactory::simpleBox("mail/userjelszomail",$this);
                        
						$this->sendUserMail($usermail);
						}
					else
						{
						$this->megvan=false;
						}
					}
				}
			}
        
		}
	
	function sendUserMail($mail)
			{
			require_once("class_foodMailer.php");
            
             $admails=adminmails::getAdminMails();
             $admail=$admails[1];
             
			$m=new foodMailer();
			$m->mailer->AddAddress($this->data[0]['Email']);
			$m->mailer->From=$admail;
			$m->mailer->FromName=MAILNEVROVID;
			$m->mailer->Sender=$admail; // indicates ReturnPath header
			$m->mailer->AddReplyTo($admail, MAILNEVROVID); // indicates ReplyTo headers
			
			$m->mailer->Subject = "Jelszóemlékeztető";
			$m->mailer->IsHTML(true);
			ob_start();
             $mail->Run();
             $m->mailer->Body = ob_get_clean();
             
			if(!$m->mailer->Send())
				{
				return(false);
				}
			else
				{
				return(true);
				}
                
			}
	
	}


?>