<?php 
require_once("classes/CLASSES_foodBasket.php");
class korabbi_rendelesekBox extends baseclass
    {
    public $napok=array();
    public $honapok=array();
    public $cimek;
    public $cimid=0;
    public $muvelet;
    public $kosarnev;
    public $kosarszoveg="";
    public $kosarak=array();
    
    function __construct($page,$muvelet)
        {
        $this->page=$page;
        $this->muvelet=$muvelet;
       
        $this->setTemplate("kosar_rendelesenkent");
        
        $elsodatum=foodEtlap::getKezdodatum();
        
        $conn=foodDB::Connect();
        $qy="select distinct r.rendelid, r.loginNev, r.type, r.ido, c.kartya_rovidnev from cardteszt_rendeles_new r left outer join card_out c on r.rendelid=c.rendelid and c.result='OK' where r.idlogin=? and r.datum>=? and r.type=1";
        
        $st=$conn->prepare($qy);
        if(!$st)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
         $st->bind_param("is",foodUser::getuserData("idlogin"),$elsodatum);
        $st->exec();
        $rendelesek=array();
        while($sor=$st->fetch_assoc())
            {
            $rendelesek[$sor["loginNev"]][$sor["rendelid"]][$sor["type"]]=$sor["type"];
            $adatok[$sor["loginNev"]][$sor["rendelid"]][$sor["type"]]=$sor;
            } 
        foreach($rendelesek as $loginNev => $rendelt)
            {
            foreach($rendelt as $rendelid => $tipusok)
                {
                foreach($tipusok as $type => $bool)
                    {
                    $this->kosarak[$loginNev.'_'.$rendelid.'_'.$type]=new foodBasket("korabbi");
                    $this->kosarak[$loginNev.'_'.$rendelid.'_'.$type]->setAktualisCim(foodUser::getAddressByLoginNevAll($loginNev));
                    if($type==1)
                        {
                        $this->kosarak[$loginNev.'_'.$rendelid.'_'.$type]->kosarszoveg="korábbi rendelés";
                        }
                    else
                        {
                         $this->kosarak[$loginNev.'_'.$rendelid.'_'.$type]->kosarszoveg="korábbi lemondás";
                        }
                    $this->kosarak[$loginNev.'_'.$rendelid.'_'.$type]->initFromDBASE_Korabbi($type,$loginNev,$rendelid);
                    $this->kosarak[$loginNev.'_'.$rendelid.'_'.$type]->rendelesi_ido=$adatok[$loginNev][$rendelid][$type]["ido"];
                    $this->kosarak[$loginNev.'_'.$rendelid.'_'.$type]->adatai=$adatok[$loginNev][$rendelid][$type];
                    }
                }
            }
         
         foreach($this->kosarak as $key => $kosar)
            {
            $kosar->rendez();
            }
        }
    
    }


?>