<?php 
require_once("class_etlapBox.php");
require_once("classes/CLASSES_foodBasket.php");
class lemondas_modositoBox extends etlapBox
	{
    public $cimkell;
    public $azonosito;
    public $nev;
    public $cim;
    public $kosar;
    public $modosito=true;
    public $lemondhato;
    public $lemondhato_sorok=array();
    
    function __construct($page)
        {
        parent::__construct($page); 
        $this->setTemplate("etlap");
        $this->tipus="lemondas";
        $this->muvelet="lemondas";
        $this->kosar=new foodBasket("lemondas");
        $this->kosar->initFromSession();
        
        $cim=foodUser::getaktualiscim();
        
        if(!empty($cim))
            {
            $this->azonosito=$cim['loginNev'];
            $this->nev=$cim['Nev'];
            $this->cim=$cim['Varos'].', '.$cim['Utca'].', '.$cim['Hazszam'];
            $this->cimkell=0;
            }
           else
            {
            $cimek=foodUser::getuserAddresses();
            list($id,$elso)=each($cimek);
            $this->azonosito=$elso['loginNev'];
            $this->nev=$elso['Nev'];
            $this->cim=$elso['Varos'].', '.$elso['Utca'].', '.$elso['Hazszam'];
            $this->cimkell=1;
            foodUser::setAktualisCim($id);
            }
        $this->kosar->setAktualisCim(foodUser::getaktualiscim());
        
        $this->lemondhato=array();
        $conn=foodDB::Connect();
        $qy="SELECT sum(db*(type*2-1)) as db, etel_id, hetiKategoria
            FROM cardteszt_rendeles_new
            where datum>=CURDATE() and loginNev=?
            group by etel_id, hetiKategoria";
            $st=$conn->prepare($qy);
        if(!$st)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $st->bind_param('s',foodUser::getuserData('loginNev'));
        $st->exec();
        while($sor=$st->fetch_assoc())
            {
            $this->lemondhato["rendeles"][$sor["etel_id"]]["db"]=$sor["db"];
            if($sor["db"]>0)
                {
                $kategoria=foodFunctions::getKategoria($sor["etel_id"]);
                $datum=foodFunctions::getDatum($sor["etel_id"]);
                $het=foodDatum::getHet($datum);
                $ev=foodDatum::getEv($datum);
                $this->lemondhato_sorok[$ev][$het][$kategoria]=true;
                }
            }
        }
    }
?>