<?php
class szemelyesBox extends baseclass
	{
    public $data;
    public $cimek;
    public $page;
    public $vanhiba=false;
    public $hibak=array();
    public $postolva=false;
    public $emailpostolva=false;
    public $jelszopostolva=false;
    public $emailok=false;
    public $jelszook=false;
    
    function __construct($page)
        {
        $this->data=array();
        $this->cimek=array();
        $this->page=$page;
		
		foodModule::ifmodule("emlekezteto_module")->process();
        
        if(isset($_POST['submit_profil']))
            {
            $this->postolva=true;
            $this->emailpostolva=true;
            if (!preg_match(foodConstants::$MAILPATTERN, $_POST['email']) || empty($_POST['email'])) 
			{
		    $this->hibak[]= "Érvénytelen email-cím!";
			$this->vanhiba = true;
			}
            else
                {
                $conn=foodDB::Connect();
                 if(EMAILLOGIN) 
                    {
                    $qyvoltmaremail = "SELECT 1 FROM felhasznalok WHERE Email=? and idlogin!=?";
                    $stvoltmaremail=$conn->prepare($qyvoltmaremail);
                    if(!$stvoltmaremail)
                        {
                        exit(ADATBAZISHIBASZOVEG_FRONTEND);
                        }
                    else
                        {
                        $stvoltmaremail->bind_param('si',$_POST['email'],foodUser::getuserData("idlogin"));
                        $stvoltmaremail->exec();
                        //ha találtunk ilyen nevu felhasznalot az adatbazisban hibauzenetet adunk
                        if ($stvoltmaremail->num_rows()!=0) 
                            {
                            $this->hibak[]= "Ezzel az e-mail címmel már létezik regisztrált felhasználó!";
                            $this->vanhiba = true;
                            
                            }    
                        }
                    }
                if(!$this->vanhiba)  
                    {
                    $this->getPOSTData();

                    $qytempc = "UPDATE felhasznalok SET Email=? WHERE idlogin=?";
                    $sttempc = $conn->prepare($qytempc);
                    if(!$sttempc)
                        {
                        exit(ADATBAZISHIBASZOVEG_FRONTEND);
                        }
                    else
                        {
                        $sttempc->bind_param('si',$_POST['email'],foodUser::getuserData('idlogin'));
                        $sttempc->exec();
                        foodUser::setUserData();
                        $this->emailok=true;
                        }
                    }
                }
            }
        
        if(isset($_POST['submit_jelszo']))
            {
            $this->postolva=true;
            $this->jelszopostolva=true;
            if($_POST['password']!=$_POST['password2'] || $_POST['password']=="")
			{
            if($_POST['password']=="")
                {
                $this->hibak[]= "Nem adott meg jelszót!";
                $this->vanhiba = true;
                }
             else
                {
                $this->hibak[]= "Nem egyezik a két jelszó!";
                $this->vanhiba = true;
                }
			}
            else
                {
                $this->getPOSTData();
                $conn=foodDB::Connect();
                $qytempc = "UPDATE felhasznalok SET jelszo=? WHERE idlogin=?";
                $sttempc = $conn->prepare($qytempc);
                if(!$sttempc)
                    {
                    exit(ADATBAZISHIBASZOVEG_FRONTEND);
                    }
                else
                    {
                    $sttempc->bind_param('si',$_POST['password'],foodUser::getuserData('idlogin'));
                    $sttempc->exec();
                    foodUser::setUserData();
                    $this->jelszook=true;
                    }
                }
            }
        
        
        if(isset($_POST['submit_newsletter']))
            {
            $this->postolva=true;
            
            $this->getPOSTData();
            $conn=foodDB::Connect();
            $qynews = "UPDATE felhasznalok SET Newsletter=? WHERE idlogin=?";
            $stnews = $conn->prepare($qynews);
            if(!$stnews)
                {
                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                }
            else
                {
                $stnews->bind_param('ii',$_POST['Newsletter'],foodUser::getuserData('idlogin'));
                $stnews->exec();
                foodUser::setUserData();
                }

            }
        
        
        $this->data["Newsletter"]=foodUser::getuserData('Newsletter');
        $this->data["email"]=foodUser::getuserData('Email');
        //$this->cimek=foodUser::getuserAddresses();
        $this->getCimek();
        }
    
    function getPOSTData()
		{
		//$this->data=array();
		foreach($_POST as $k => $v)
			{
			$this->data[$k]=$v;
			}
		}
    function getCimek()
        {
        $this->cimek=array();
        $conn=foodDB::Connect();
        $qy="select *, 0 as modositva from felhasznalok_cimek where idlogin=? and cimmod=0
        union 
        select *, 1 as modositva from felhasznalok_cimmod where idlogin=? ";
        $st=$conn->prepare($qy);
        if(!$st)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        else
            {
            $st->bind_param('ii',foodUser::getuserData('idlogin'),foodUser::getuserData('idlogin'));
            $st->exec();
            while($sor=$st->fetch_assoc())
                {
                $this->cimek[$sor["id"]]=$sor;
                }
            }
        }
    }