<?php 
require_once('Uploader/class.upload.php');
require_once('classes/admin/CLASS_foodXMLElement.php');
class etlapfeltoltesBox extends baseclass
    {
    public $hibak=array();
    public $vanhiba=false;
    public $kategoriak=array();
    public $hetisorok=array();
    public $datumok=array();
    public $elozok=array();
    public $sorszamok=array();
    public $muvelet;
    public $data=array();
    public $tiltotthet=array();
    public $etlaphibak=array("hiba" => array(), "figyelmeztetes" => array());
    
    function __construct($page,$muvelet)
        {
        $this->setTemplate("iframe/etlapfeltoltes");
        $this->page=$page;
        $this->muvelet=$muvelet;
        
        
         if (isset($_POST['Alap'])) 
            {
            if (empty($_POST['Het']) or empty($_POST['Nap']) or empty($_POST['Ev']) or ($_POST['Honap']=='0')) 
                {
                $this->hibak[]="Nem adtál meg dátumot!";
                $this->vanhiba=true;
                }        
            else 
                {
                $conn=foodDB::Connect();
                $qy = "SELECT Het FROM etlap WHERE Het=? and aktiv=1 and lang=?";
                
                $st=$conn->prepare($qy);
                if(!$st)
                    {
                    exit(ADATBAZISHIBASZOVEG_FRONTEND);
                    }
                $st->bind_param("is",$_POST['Het'],foodLanguage::getLang());
                $st->exec();
                $vanmar=$st->fetch_assoc();

                if ($vanmar && $this->muvelet!="csere") 
                    {
                    $this->hibak[]="Ez a hét már fel van töltve!";
                    $this->vanhiba=true;
                    }
                else 
                    {  
                    if(date("W",strtotime($_POST['Ev'].'-'.$_POST['Honap'].'-'.$_POST['Nap']))!=$_POST['Het'] || date("w",strtotime($_POST['Ev'].'-'.$_POST['Honap'].'-'.$_POST['Nap']))!=1)
                        {
                        $this->hibak[]="Ez a a dátum nem ennek a hétnek az első napja!";
                        $this->vanhiba=true;
                        }
                    if(!$this->vanhiba)
                        {
                    
                    
                    $file = new Upload($_FILES['filexml']);
                    $file->file_overwrite=true;
                    if ($file->uploaded) 
                        {
                        $file->file_new_name_body="etlap_".$_POST["Het"];
                        $file->file_new_name_ext='xml';
                        $file->Process(XMLDIR.foodLanguage::getLang());
                        $file->Clean();
                        $this->saved=true;
                        }
                     else
                        {
                        $this->hibak[]="Nem adtál meg file-t!";
                        $this->vanhiba=true;
                        }
					
                    if(!$this->vanhiba)
                        {
                    
                    $elsodatum=$_POST["Ev"]."-".$_POST['Honap']."-".$_POST['Nap'];
                    $eve=foodDatum::getEv($elsodatum);
                    
                    $qy1= "INSERT ignore INTO fuggoben(ev, Het, lang) VALUES(?,?,?)";
                    $st1=$conn->prepare($qy1);							

                    if(!$st1)
                        {
                        exit(ADATBAZISHIBASZOVEG_FRONTEND);
                        }
                    
                    $st1->bind_param("sis",foodDatum::getEv($elsodatum),foodDatum::getHet($elsodatum),foodLanguage::getLang());
                    $st1->exec();
                    
                    $file_name="etlap_".$_POST["Het"].".xml";
                    
                    if ($_FILES['filexml']['name'])
                        {
                        $file = XMLDIR.foodLanguage::getLang()."/".$file_name;
                        libxml_use_internal_errors(true);
                        $xml=simplexml_load_file($file,"foodXMLElement");
                        
                        //print_r(libxml_get_errors());
                        if(is_object($xml))
                            {
                            $xml->getEtlapXML($elsodatum,$this->kategoriak,$this->etlaphibak);
                            }
                        else
                            {
                            $this->hibak[]="Hibás xml file!";
                            $this->vanhiba=true;
                            }
                         }
// INNEN            

                    $levonas=0;
                    if(empty($this->etlaphibak["hiba"]) && !$this->vanhiba)
                      {
                      $this->datumok=array(); $gydb=array(); $katdb=array();
                      foreach($this->kategoriak as $kategoria => $napok)
                        { // üres kategóriák és hetikategóriák kiválasztása, ezek törlése a kategoriak tömbből
                        $db=0; $ar=0; 
                        foreach($napok as $datum => $etel)
                            {
                            if($etel["Ar"]>0)
                                {
                                $ar=$etel["Ar"];
                                if(!isset($this->datumok[$datum]))
                                    {
                                    $this->datumok[$datum]=1;
                                    }
                                else
                                    {
                                    $this->datumok[$datum]++;
                                    }
                                $db++;
                                }
                            }
                        if(isset($gydb[$db]))
                            {
                            $gydb[$db]++;
                            }
                        else
                            {
                            $gydb[$db]=1;
                            }
                        $katdb[$kategoria]=$db;
                        if($db==0)
                            {
                            unset($this->kategoriak[$kategoria]);
                            if($kategoria!="")
                                {
                                $this->etlaphibak["figyelmeztetes"][$kategoria][]="A(z) ".$kategoria." kategória üres volt, ez nem került fel az étlapra.";
                                }
                            }
                        if($db==1 || true) // minden sor lehet hetikategória!
                            {
                            $this->hetisorok[$kategoria]=$ar;
                            if( ($hetikategoria=etlapConf::isHeti($kategoria, $this->hetisorok))!==false )
                                {
                                $levonas++;
                                }
                            }
                        }
                        
                       $gydbmax = array_keys($gydb, max($gydb));
                       
                       foreach($katdb as $kategoria => $db)
                        { 
                        if($db < $gydbmax[0])
                            {
                            if($kategoria!="")
                                {
                                $this->etlaphibak["figyelmeztetes"][$kategoria][]="A(z) ".$kategoria." kategória hiányos lehet.";
                                }
                            }
                        }
                        
                        
                      $osszkat=count($this->kategoriak)-$levonas; // ennyi maradt
                      $torolni=array();
                      foreach($this->kategoriak as $kategoria => $napok)
                        {
                        foreach($napok as $datum => $etel)
                            {
                            if($this->datumok[$datum]<$osszkat)
                              {
                              if($this->datumok[$datum]>0)
                                {
                                $this->kategoriak[$kategoria][$datum]["elozonap"]=1; // nincs minden kategóriában étel, tehát előző napi szállítás
                                }
                              else
                                {
                                $this->kategoriak[$kategoria][$datum]["Szun"]='i'; // egyik kategóriában sincs étel, tehát szünnap
                                }
                              }
                            if( ($hetikategoria=etlapConf::isHeti($kategoria, $this->hetisorok))!==false ) 
                                { // azon kategóriák beállítása, amiből hetirendelés is van
                                $this->kategoriak[$kategoria][$datum]["hetirendeles"]=1;
                                $this->kategoriak[$kategoria][$datum]["hetiAr"]=$this->hetisorok[$hetikategoria];
                                $this->kategoriak[$kategoria][$datum]["hetiKategoria"]=$hetikategoria;
                                if(isset($this->etlaphibak["figyelmeztetes"][$hetikategoria]))
                                    {
                                    unset($this->etlaphibak["figyelmeztetes"][$hetikategoria]);
                                    }
                                }
                            }
                        if($hetikategoria!==false)
                            {
                            $torolni[]=$hetikategoria;
                            }
                        }
                       foreach($torolni as $hetikategoria) 
                            {
                            unset($this->kategoriak[$hetikategoria]);
                            }
                       // sorszámok beállítása
                       $maxsorszam=0;
                       $max=$this->getMaxhet($elsodatum);
                       if($max)
                            { // van előző heti étlap, ebből vesszük a sorszámokat, amit lehet
                           $maxheteve=$max["heteve"];
                           $maxHet=$max["Het"];

                            $qys = "select Kategoria, ssz from etlap where heteve=? and Het=? and lang=?";
                            //echo $qys;
                            
                            $sts=$conn->prepare($qys);
                            if(!$sts)
                                {
                                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                                }
                            $sts->bind_param("iis",$maxheteve,$maxHet,foodLanguage::getLang());
                            $sts->exec();
                            
                            while($sor=$sts->fetch_assoc())
                                {
                                $this->sorszamok[$sor["Kategoria"]]=$sor["ssz"];
                                if($sor["ssz"]>$maxsorszam)
                                    {
                                    $maxsorszam=$sor["ssz"];
                                    }
                                }
                           }
                           // idáig kinyertük a sorszámokat az előző hétből, és megvan a legnagyobb is, ez $maxsorszam - már ha volt egyáltalán...
                           foreach($this->kategoriak as $kategoria => $napok)
                                {
                                foreach($napok as $datum => $etel)
                                    {
                                    if(isset($this->sorszamok[$kategoria]))
                                        { // az előző hetiből jön a sorszám, ha volt ilyen kategória
                                        $this->kategoriak[$kategoria][$datum]["ssz"]=$this->sorszamok[$kategoria];
                                        }
                                    else
                                        { // különben biztosan nagyobbat kap, mint az előző heti legnagyobb sorszámúja => a végére kerül
                                        $this->kategoriak[$kategoria][$datum]["ssz"]=++$maxsorszam;
                                        $this->sorszamok[$kategoria]=$maxsorszam;
                                        }
                                    }
                                }
                        

                      $qyins="insert into etlap(Het,Honap,Nap,Szun,Kategoria,Nev,Ar,ev,Info,Gomba,Hot,New,Info2,elozonap,datum,ssz,heteve,screenNev,hetirendeles,hetiAr,hetiKategoria,aktiv,lang) values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
                      
                      $qyetelins="insert ignore into etelek(Nev,Kategoria,lang) values(?,?,?)";
                      
                      $qyetelup="update etelek set lastweek=? where Nev=? and lang=?";

                      $qykatins="insert ignore into kategoria(kat,lang) values(?,?)";
                      
                      $stetelup=$conn->prepare($qyetelup);
                      
                      $stetelins=$conn->prepare($qyetelins);
                      
                      $stins=$conn->prepare($qyins);
                      $stkatins=$conn->prepare($qykatins);
                      if(!$stins || !$stetelins || !$stetelup || !$stkatins)
                        {
                        exit(ADATBAZISHIBASZOVEG_FRONTEND);
                        }
                        
                      if($this->muvelet=="csere")
                        {
                        $qydel="delete from etlap where heteve=? and Het=? and lang=?";   
                        $stdel=$conn->prepare($qydel);
                        if(!$stdel)
                            {
                            exit(ADATBAZISHIBASZOVEG_FRONTEND);
                            }
                        $stdel->bind_param("sis",foodDatum::getEv($_POST["Ev"].'-'.$_POST["Honap"].'-'.$_POST["Nap"]),$_POST["Het"],foodLanguage::getLang());
                        $stdel->exec();
                        }
                        
                       foreach($this->kategoriak as $kategoria => $napok)
                         {
                         foreach($napok as $datum => $etel)
                           {
                      $stins->bind_param("isssssdssiiisisissidsis",$etel["Het"],$etel["Honap"],$etel["Nap"],$etel["Szun"],$etel["Kategoria"],$etel["Nev"],$etel["Ar"],$etel["ev"],$etel["Info"],$etel["Gomba"],0,0,$etel["Info2"],$etel["elozonap"],$etel["datum"],$etel["ssz"],$etel["heteve"],$etel["screenNev"],$etel["hetirendeles"],$etel["hetiAr"],$etel["hetiKategoria"],1,foodLanguage::getLang());
                      $stins->exec();
                       $stkatins->bind_param("ss",$etel["Kategoria"],foodLanguage::getLang());
                      
                      $stkatins->exec(); 
                      if(trim($etel["Nev"])!="")
                            {
                          $stetelins->bind_param("sss",$etel["Nev"],$etel["Kategoria"],foodLanguage::getLang());
                          
                          $stetelins->exec();
                          
                          $stetelup->bind_param("sss",$etel["ev"].fullzeroleft($etel["Het"],2),$etel["Nev"],foodLanguage::getLang());
                          $stetelup->exec();
                            }
                          }
                        }
                        
                       if($this->muvelet=="uj")
                            {
                           $qych="select distinct heteve, Het from etlap where aktiv=1 and lang=?";
                           
                           $stch=$conn->prepare($qych);
                           if(!$stch)
                            {
                            exit(ADATBAZISHIBASZOVEG_FRONTEND);
                            }
                            $stch->bind_param("s",foodLanguage::getLang());
                           $stch->exec();
                           $hetekszama=$stch->num_rows();
                            
                          if($hetekszama>HETEKSZAMA)
                              {
                              $qydat="SELECT distinct datum  FROM etlap where aktiv=1 and lang=? order by heteve ASC, Het ASC, datum DESC";
                              $stdat=$conn->prepare($qydat);
                              if(!$stdat)
                                {
                                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                                }
                              $stdat->bind_param("s",foodLanguage::getLang());
                              $stdat->exec();
                              $maxdat=$stdat->fetch_assoc();
                                    
                              $qyinac="update etlap set aktiv=0 where datum<=? and lang=?";
                              $stinac=$conn->prepare($qyinac);
                               if(!$stinac)
                                {
                                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                                }
                               $stinac->bind_param("ss",$maxdat["datum"],foodLanguage::getLang());
                               $stinac->exec();
                              }
                            }
                          }
                        else
                            {
                            $this->vanhiba=true;
                            }
                        } 
                      }
                    }
                  }     
             }
       
        
            if($this->muvelet=="csere")
                {
                if(isset($_GET["het"]))
                    {
                    $num=$_GET["het"];
                    if(is_numeric($num))
                        {
                        if(strlen($num)==6)
                            {
                            $heteve=substr($num,0,4);
                            $het=substr($num,4,2);
                            $this->setData($heteve,$het);
                            }
                        }
                    }
                 else
                    {
                    $heteve=foodDatum::getEv($_POST["Ev"].'-'.$_POST["Honap"].$_POST["Nap"]);
                    $het=$_POST["Het"];
                    $this->setData($heteve,$het);
                    }
                }
                
            if($this->muvelet=="uj")
                {
                $max=$this->getMaxhet();
                if($max)
                    {
                    $maxheteve=$max["heteve"];
                    $maxHet=$max["Het"];
                    $next=foodDatum::getHetelsonapja($maxheteve,$maxHet);
                    $this->get_tiltotthetek();
                    $nexttime=$this->get_correct_next_het(strtotime($next." + 1 week"));
                    $this->setData(foodDatum::getEv(date("Y-m-d",$nexttime)),foodDatum::getHet(date("Y-m-d",$nexttime)));
                    }
                }
        
        }
    
     function get_tiltotthetek()
        { // it feltölt egy tömböt tiltotthet[ev][het]=true ha nem lehet olyan het
        $conn=foodDB::Connect();

        $qy="select distinct ev, Het from tiltotthet where lang=?";
        $st=$conn->prepare($qy);
        
        if(!$st)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND." 07");
            }
         else
            {
            $st->bind_param("s",foodLanguage::getLang());
            $st->exec();
            while($sor=$st->fetch_assoc())
                {
                $this->tiltotthet[$sor['ev']][$sor['Het']]=true;
                }
            }
        }
    
    function get_correct_next_het($time)
        {
        while($this->tiltotthet[date("o",$time)][date("W",$time)])
            {
            $time=strtotime(date("Y-m-d",$time)." +1 week");
            }
        return($time);
        }
     
     function setData($ev,$het)
        {
        $this->data["heteve"]=$ev;
        $this->data["Het"]=$het;
        $elsonapdatum=foodDatum::getHetelsonapja($this->data["heteve"],$this->data["Het"]);
        $this->data["Ev"]=foodDatum::getEv($elsonapdatum);
        $this->data["Honap"]=foodDatum::getHonap($elsonapdatum);
        $this->data["Nap"]=foodDatum::getNap($elsonapdatum);
        }
        
     function getMaxhet($elsodatum=null)
        {
         $conn=foodDB::Connect();
         if(is_null($elsodatum))
            {
            $qym = "SELECT MAX( CAST( heteve AS UNSIGNED ) *100 + Het ) AS num FROM etlap where lang=?";
            }
         else
            {
            $qym = "SELECT MAX( CAST( heteve AS UNSIGNED ) *100 + Het ) AS num FROM etlap where datum<?  and lang=?";
            }
        $stm=$conn->prepare($qym);
        if(!$stm)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        if(is_null($elsodatum))
            {
            $stm->bind_param("s",foodLanguage::getLang());
            }
        else
            {
            $stm->bind_param("ss",$elsodatum,foodLanguage::getLang());
            }
        $stm->exec();
        $max=$stm->fetch_assoc();
        if(is_numeric($max['num']))
            {
            $maxheteve=substr($max['num'],0,4);
            $maxHet=substr($max['num'],4,2);
            return(array("heteve" => $maxheteve, "Het" => $maxHet));
            }
         else
            {
            return(false);
            }
        }
    }