<?php
require_once(DDIR.'iframe/CLASS_ujtelepulesBox.php');

class telepulesmodositasBox extends ujtelepulesBox
	{
	public $idtelep="";
	
	function __construct()
		{
		$this->setTemplate('iframe/egytelepules');
		$this->szurok=array( 1 => '%', 2 => '%',3 => '%',4 => '%');
		$this->idtelep=$_GET['idtelep'];
		$this->get_telepulesek();
		$this->init_telepules();
        
        if(isset($_POST['egytelepsubmit']))
			{
			$this->set_telepules();
			$this->check_POST();
			if(!$this->hiba)
				{
				$conn=foodDB::Connect();
				$qytelepules= "update telepulesek set Telep=?, Varosid=? , Hide=? , Color=? where idtelep=?";
				$sttelepules=$conn->prepare($qytelepules);
				if(!$sttelepules)
					{
					exit(ADATBAZISHIBASZOVEG_FRONTEND);
					}
				else
					{
					$sttelepules->bind_param('siiii',$this->telepules['Telep'],$this->telepules['Varosid'],$this->telepules['Hide'],$this->telepules['Color'],$this->idtelep);
					$sttelepules->exec();
					$this->saved=true;
					}
				}
			}
		}
	
	function init_telepules()
		{
		$conn=foodDB::Connect();
		$qytelepules= "select idtelep, Telep, Varosid, Hide, Color from telepulesek where idtelep=?";
		$sttelepules=$conn->prepare($qytelepules);
		if(!$sttelepules)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND);
			}
		else
			{
			$sttelepules->bind_param('i',$this->idtelep);
			$sttelepules->exec();
			$sortelepules=$sttelepules->fetch_assoc();
			foreach($this->postdata as $key)
				{
				$this->telepules[$key]=$sortelepules[$key];
				}
			}
		}
	
	function check_POST()
		{
		foreach($this->postdata as $num => $key)
			{
			if($_POST[$key]=='')
				{
				$this->hiba=$this->posthiba[$num];
				}
			}
		}	
	
	}

?>