<?php
require_once(DDIR.'CLASS_adminetelekBox.php');
require_once('Uploader/class.upload.php');

class ujetelBox extends adminetelekBox
	{
	public $etel=array();
	public $hiba=false;
	public $saved=false;
	public $idetel="uj";
	public $postdata=array( 1 => 'Nev', 2 => 'Kategoria');
	public $posthiba=array( 1 => 'Adja meg az etel nevé!', 2 => 'Adja meg a kategóriát');
	public $kategoriak;
	
	function __construct()
		{
		$this->setTemplate('iframe/egyetel');
		$this->szurok=array( 'szurnev' => '%',  'szurid' => '%', 'szurkategoria' => '%','szurhet' => '%', 'vankep' => '0');
		$this->get_etelek();
		$this->get_kategoriak();
		
        if(isset($_POST['egyetelsubmit']))
			{
			$this->set_etel();
			$this->check_POST();
			if(!$this->hiba)
				{
				
				$conn=foodDB::Connect();
				$qyetel= "insert into etelek(Nev,Kategoria,lang) values(?,?,?)";
				$stetel=$conn->prepare($qyetel);
				if(!$stetel)
					{
					exit(ADATBAZISHIBASZOVEG_FRONTEND);
					}
				else
					{
					$stetel->bind_param('sss',$this->etel['Nev'],$this->etel['Kategoria'],foodLanguage::getLang());
					$stetel->exec();
					$file = new Upload($_FILES['etelkepfile']);
					if ($file->uploaded) 
						{
						$idetel=$stetel->insert_id();
						$file->file_new_name_body=$idetel;
						$file->file_new_name_ext='jpg';
						$file->Process(IMGDIR.'etelek');
						$file->Clean();
                            $qyfileetel="update etelek set kep=1 where idetel=?";
                            $stfileetel=$conn->prepare($qyfileetel);
                            if(!$stfileetel)
                                {
                                exit(ADATBAZISHIBASZOVEG_FRONTEND);
                                }
                            $stfileetel->bind_param('i',$idetel);
                            $stfileetel->exec();
						}
					$this->saved=true;
					}
				}
			}
        
        }
	
	function get_kategoriak()
		{
		$conn=foodDB::Connect();
		
		$qykategoriak="select kat from kategoria where lang=? order by kat";
		$stkategoriak=$conn->prepare($qykategoriak);
		if(!$stkategoriak)
			{
			exit(ADATBAZISHIBASZOVEG_FRONTEND);
			}
		else
			{
               $stkategoriak->bind_param("s",foodLanguage::getLang());
			$stkategoriak->exec();
			while($sorkategoriak=$stkategoriak->fetch_assoc())
				{
				$this->kategoriak[]=$sorkategoriak['kat'];
				}
			}
		}
	
	function set_etel()
		{
		foreach($this->postdata as $key)
			{
			$this->etel[$key]=$_POST[$key];
			}
		}
	
	function check_POST()
		{
		foreach($this->postdata as $num => $key)
			{
			if($_POST[$key]=='')
				{
				$this->hiba=$this->posthiba[$num];
				}
			}
		
		
			
		if(!$this->hiba)
			{
			foreach($this->etelek as $k => $v)
				{
				if($this->postdata['Nev']==$v['Nev'] && $this->postdata['Kategoria']==$v['Kategoria'])
					{
					$this->hiba="Már van ilyen!";
					}
				}
			}
		}
	
	}

?>