<?php
class minszamlaBox extends baseclass
    {
    public $rendelid;
    public $lemondasok=array();
    public $changed=false;
    public $SZEP=0;
    public $formhiba=false;
    
    function __construct()
        {
        $this->rendelid=$_GET["id"];
        $conn=foodDB::Connect();
        $qy="select sum(vegosszeg) as osszeg, bank from lemondas 
            where rendelid=? and hetiKategoria=''
            group by bank";
        $st=$conn->prepare($qy);
        $qy1="select distinct vegosszeg as osszeg, bank, het, hetiKategoria from lemondas where rendelid=? and hetiKategoria!=''";
        $st1=$conn->prepare($qy1);
        if($st && $st1)
            {
            $st->bind_param("s",$this->rendelid);
            $st->exec();
            while($sor=$st->fetch_assoc())
                {
                $this->lemondasok[$sor["bank"]]=$sor["osszeg"];
                if($sor["bank"]!="CIB")
                    {
                    $this->SZEP+=$sor["osszeg"];
                    }
                }
                
            $st1->bind_param("s",$this->rendelid);
            $st1->exec();
            while($sor=$st1->fetch_assoc())
                {
                if(!isset($this->lemondasok[$sor["bank"]]))
                    {
                    $this->lemondasok[$sor["bank"]]=0;
                    }
                $this->lemondasok[$sor["bank"]]+=$sor["osszeg"];
                if($sor["bank"]!="CIB")
                    {
                    $this->SZEP+=$sor["osszeg"];
                    }
                } 
                
            if(isset($_POST["szamlaszam"]))
                {
                if(trim($_POST["szamlaszam"])!="" && preg_match(foodConstants::$SZAMLAPATTERN,$_POST["szamlaszam"]))
                    {
                    $qy1="update felhasznalok set Szamlaszam=? where idlogin=?";
                    $st1=$conn->prepare($qy1);
                    $st1->bind_param("si",$_POST["szamlaszam"],foodUser::getuserData("idlogin"));
                    $st1->exec();
                    
                    $qy2="update felhasznalok_cimek set Szamlaszam=? where idlogin=?";
                    $st2=$conn->prepare($qy2);
                    $st2->bind_param("si",$_POST["szamlaszam"],foodUser::getuserData("idlogin"));
                    $st2->exec();
                    foodUser::setUserSessionData("Szamlaszam",$_POST["szamlaszam"]);
                    $this->changed=true;
                    }
                else
                    {
                    $this->formhiba=true;
                    }
                }
            }
        }
    }
?>