<?php 
class kartya_moduleBox extends foodModule
    {
    public $active=true;
    public $rovidnev;
    public $urlOut;
    
    public $host;
    public $Email;
    public $rendelid;
    public $osszeg;
    public $cart_id;
    
    public $POS;
    public $tid;
    public $amount;
    public $tran;
    public $anum;
    public $curr;
    public $result;
    public $args=array();
    public $aktualiskartya="";
    
    function setValues($Email,$rendelid,$osszeg)
        {
        $this->Email=$Email;
        $this->rendelid=$rendelid;
        $this->osszeg=$osszeg;
        }
    
    function resetValues($cart_id=null)
        {
        if(is_null($cart_id))
            {
            //$cart_id=$_POST["cart_id"];
			$cart_id=$_REQUEST["cart_id"];
            }
        $conn=foodDB::Connect();
        $qy="select osszeg from card_out where cart_id=?";
        $st=$conn->prepare($qy);
        if(!$st)
            {
            exit("Adatbazis hiba miatt a tranzakcio nem folytathato!");
            }
        $st->bind_param("s",$cart_id);
        $st->exec();
        $sor=$st->fetch_assoc();
        $this->Email=$Email;
        //$this->rendelid=$rendelid;
        $this->osszeg=$sor["osszeg"];
        }
    
    public function logpost()
        {
        $conn=foodDB::Connect();
        //$log=print_r($_POST,true);
		$log=print_r($_REQUEST,true);
        $log=str_replace("\r",' ',$log);
        $log=str_replace("\n",' ',$log);
        $host=parse_url($_SERVER['HTTP_REFERER']);
        $this->host=$host['host'];
        $qy = "insert into cardteszt_log(host,log) values(?,?)";
        $st=$conn->prepare($qy);
        if(!$st)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $st->bind_param("ss",$this->host,$log);
        $st->exec();
        }
     
    public function acklog()
        {
        $conn=foodDB::Connect();
        //$log=print_r($_POST,true);
		$log=print_r($_REQUEST,true);
        $log=str_replace("\r",' ',$log);
        $log=str_replace("\n",' ',$log);
        $host=parse_url($_SERVER['HTTP_REFERER']);
        $this->host=$host['host'];
        $qy = "insert into ack_log(host,log) values(?,?)";
        $st=$conn->prepare($qy);
        if(!$st)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $st->bind_param("ss",$this->host,$log);
        $st->exec();
        } 
     
    public function logvalues()
        {
        $conn=foodDB::Connect();
        $qyi="insert into card_income(host,bank,result,pos,cart_id,tid,amount,tran,anum,curr,loginNev,rendelid) values (?,?,?,?,?,?,?,?,?,?,?,?)";
        $sti=$conn->prepare($qyi);
        if(!$sti)
            {
            exit(ADATBAZISHIBASZOVEG_FRONTEND);
            }
        $sti->bind_param("ssssssisssss",$this->host,$this->rovidnev,$this->result,$this->POS,$this->cart_id,$this->tid,$this->amount,$this->tran,$this->anum,$this->curr,foodUser::getUserData("loginNev"),$this->rendelid);
        $sti->exec();
        }
     
    
    
    public function submodule($kartya=null)
        {
        if(!is_null($kartya))
            {
            if(isset($this->submodules[$kartya]))
                {
                return($this->submodules[$kartya]);
                }
            }
        //return($this->submodules[$this->aktualiskartya]);
        }
    
    public function log($kartya)
        {
        $this->logpost();
        $this->submodule($kartya)->setIncome();
        $this->logvalues();
        }
    public function getArg($key)
        {
        if(isset($this->args[$key]))
            {
            return($this->args[$key]);
            }
        return("");
        }
    
    public function setArg($key,$value)
        {
        $this->args[$key]=$value;
        return($this->args[$key]);
        }
    }