<?php
header("Content-type: text/css; charset: UTF-8");
require_once("../config.php");
require_once("../classes.php");
require_once("../required/class_etlapConf.php");
?>
#etlapFelso h1, #etlapFelso h2 , #etlapFelso span.heading
{
	font-family: "Arial Black",Gadget,sans-serif;
    font-size: 30px;
    letter-spacing: -0.03em;
    margin: 0;
    padding: 0;
	color: #9C1F1F;
	font-weight: bold;
}

#etlapFelso h1 span, #etlapFelso h2 span, #etlapFelso span.heading span
{
	font-family: Arial, Helvetica, sans-serif;
	font-weight: normal;
	color: #febf01;
}


#etlapFelso {
	float:left;
	width:100%;
	margin-bottom:5px;
     position:relative;
}

#etlapFelso .etlapFelirat {
	float:left;
	margin:0 15px 0 15px;
}

#etlapFelso #hetvalaszto {
	float:left;
	background:url(<?php echo foodString::fullUrl(IMGDIR."valasszonHetet-szoveg.png"); ?>);
    background-repeat:no-repeat;
    width:120px;
	height:35px;
}

#etlapFelso  .hetvalasztolink {
   /* float:left;
    line-height:35px;
    text-align:center;
    width:180px;*/
    margin-left:20px;
	height:63px;
    font-weight:bold;
    color:#004400;
    font-size:16px;
	position: relative;
    font-family:"Arial Black",Gadget,sans-serif;*/
    font-family: verdana,sans-serif;
    float:left;
    line-height:35px;
    text-align:center;
    /*width:63px;*/
	height:35px;
    background:url(<?php echo foodString::fullUrl(IMGDIR."valasszonHetet-hatter.png"); ?>);
}

#etlapFelso  .hetvalasztolink  a{
    color:#FFF;
	font-size:12px;
	font-weight:bold;
    font-family: verdana,sans-serif;
}

#etlapFelso  #lezaro {
    float:left;
    font-size:12px;
    width:10px;
	height:35px;
    background:url(<?php echo foodString::fullUrl(IMGDIR."valasszonHetet-lezaro.png"); ?>);
}

#etlapFelso #vasarlasOsszege {
	float:left;
	background:url(<?php echo foodString::fullUrl(IMGDIR."osszrendeses.png"); ?>);
	width:165px;
	height:36px;
	line-height:36px;
	text-align:right;
	padding-right:10px;
	margin-left:10px;
	color:#FFF;
}

#etlapFelso a.rendelesLead {
	float:left;
	background:url(<?php echo foodString::fullUrl(IMGDIR."rendeles_megtekintese_zold.png"); ?>);
	width:175px;
	height:35px;
	display:block;
	margin: 0 0 0 10px;
}
#etlapFelso a.rendeleslemondasLead {
	float:left;
	background:url(<?php echo foodString::fullUrl(IMGDIR."lemondas_megtekintese_bordo.png"); ?>);
	width:185px;
	height:35px;
	display:block;
	margin: 0 0 0 10px;
}

#etlapFelso a.nyomtathato {
    float:left;
    width:181px;
    height:41px;
    display:block;
    margin:-3px 0 0 10px;
}

table.osszesito {
	float:left;
	width:<?php echo etlapConf::$fullwidth; ?>px; 
	background:rgb(128, 2, 2);
	color:#FFEBAE;
	font-size:11px;
    border-spacing: 0px;
    vertical-align: middle;
}




.hetDiv {
	float:left;
	width:100%;
	margin:20px 0 10px 0;
	color:#9C1F1F;
	font-size:16px;
	font-weight:bold;
}

.osszesites {
	position:absolute;
	top:0px;
     left:0px;
    background:#FFF;
	width:<?php echo etlapConf::$fullwidth; ?>px;
	padding-top:10px;
}

#mozgoOsszesitoDiv.fixed{
  position: fixed;
  top: 0px;
}

table.lemondas {
	float:left;
	margin:10px 0;
	width:90%;
}

table.lemondas td {
	padding:5px;
	vertical-align:top;
}

table.lemondas td.oszlop1 {
	width:70%;
}
	
table.lemondas td.oszlop2 {
	width:30%;
	text-align:right;
}

table.lemondas thead {
	color:#9C1F1F;
	font-size:16px;
	font-family:"Arial Black",Gadget,sans-serif;
	margin-top:10px;
}

.etlapCim , .etlapCim a{
	/*display:block;
	min-height:40px;
	padding-bottom: 5px;*/
	font-family:Verdana, Geneva, sans-serif;
	/*color:#666666;*/
	color: #000;
	font-size:11px;
	line-height:12px;
}

.etlapAr {
	color:#460217;
	font-size:11px;
    font-family:"Arial Black",Gadget,sans-serif;
}

.szallitas {
	display:block;
	text-transform:uppercase;
	font-weight:bold;
	padding:10px 0 0 0;
}

.lemondandoSzoveg {
	float:left;
	color:#6A6A6A;
	margin:0 0 20px 20px;
}




kosar {
}

.kosar h3 {
	color: #981d0d;
	font-size: 14px;
	font-weight: bold;
}

.two-col {
	float:left;
	width: 310px;
}

.two-col .cimblokk_table {
	color: #000000;
    font-family: Arial, Helvetica, sans-serif;
}

.two-col .cimblokk_table td {
	padding: 0 8px;
}

.two-col .cimblokk_table .td_bold {
	width: 135px;
}

/* etlap cim */

.address-holder {
	float: left;
    padding: 5px 5px;
    line-height: 1.3em;
    font-size: 11px;
    width: 960px;
}

/* /// nyomtathato */

#etlapFelso a.nyomtathato {
	background: url(<?php echo foodString::fullUrl(IMGDIR."icon_print_20_20.png"); ?>) no-repeat left 0;
	float: right;
    font-family: "Arial Black",Gadget,sans-serif;
    font-weight: normal;
	line-height: 16px;
	padding-left: 18px;
	color: #EDAE00;
}




/* /// TOOLTIP  */

#tooltip-body {
	position: fixed;
	display: none;
	background-color: #fff;
	padding: 10px;
	color: #000;
	font-size: 12px;
	border-radius: 0.5em;
	-webkit-border-radius: 0.5em;
	-moz-border-radius: 0.5em;
	line-height: 1.3em;
	border: solid 1px #666666;
	width: 400px;
}

#tooltip-body img {
	max-width: 400px;
}

.trigger-tooltip {
	display: block; text-align: center; width: 95px; /*height: 26px; */ margin: 2px auto;
}



.kosarTorlese {
	float:left;
	width:175px;
	height:35px;
	display:block;
	background:url(<?php echo foodString::fullUrl(IMGDIR."kosarTorlese.png"); ?>);
	padding:0 !important;
}

.megrendelesGomb {
	float:left;
	width:88px;
	height:41px;
	background:url(<?php echo foodString::fullUrl(IMGDIR."megrendeles_zold.png"); ?>);
	cursor:pointer;
	margin-left:10px;
	margin-top:-3px;
}
.visszaGomb {
	float:left;
	width:175px;
	height:35px;
	background:url(<?php echo foodString::fullUrl(IMGDIR."visszagomb.png"); ?>);
	cursor:pointer;
	margin-left:10px;
}
.lemondasGomb {
	float:left;
	width:88px;
	height:41px;
	background:url(<?php echo foodString::fullUrl(IMGDIR."lemondas_zold.png"); ?>);
	cursor:pointer;
	margin-left:10px;
	margin-top:-3px;
}


table.etlap {
    border-spacing:0px;
	float:left; 
    table-layout: fixed;
     overflow:hidden; 
	/*margin-left:5px;*/
	font-size:11px;
    font-family: Verdana, Geneva, sans-serif;
}

table.etlap thead {
	border-bottom:1px solid #694614;
	color:#6b6b6b;
	font-size:11px;
	line-height:15px;
}

table.etlap thead td {
	background:#640118;
}

table.etlap td {
	/*background:#edd565;  */
	padding:<?php echo etlapConf::getPadding(); ?>px;
	color:#000000; /* #666666 */
    overflow:hidden;
}

table.etlap td.elsoSor {
	/*background:url(../images/szinatmenet.png) repeat-x bottom #fff; */
	min-height:99px;
	color:#FFF;
	text-align:center;
	display:table-cell;
	vertical-align:top;
	font-weight:bold;
    line-height: 1.6em;
}


table.etlap td.elvalaszto {
	/*background:#FFF;*/
	height:5px;
	padding:0;
}

table.etlap tbody td.felso {
	border-top:<?php echo  etlapConf::getBorder(); ?>px solid #FFF;
	border-right:<?php echo  etlapConf::getBorder(); ?>px solid #FFF;
    vertical-align:top !important;
    text-align: center;
}

table.etlap tbody td.felso img {
	/*width: 15%;*/
}

table.etlap tbody td.kozepso {
	border-right:<?php echo  etlapConf::getBorder(); ?>px solid #FFF;
    vertical-align:top !important;
}

table.etlap tbody td.also {
	border-right:<?php echo  etlapConf::getBorder(); ?>px solid #FFF;
    border-bottom:<?php echo  etlapConf::getBorder(); ?>px solid #FFF;
    vertical-align:top !important;
}

table.etlap tbody td.elsooszlop {
	border-left:<?php echo  etlapConf::getBorder(); ?>px solid #FFF;
}

table.etlap tbody td.pluszsor {
	border-top:<?php echo  etlapConf::getBorder(); ?>px solid #FFF;
}


table.osszesito td {
	padding:<?php echo etlapConf::getPadding(); ?>px;
}

table.osszesito td.szoveg {
	text-align:right;
}

table.osszesito td.elsoSor {
	width:37.5px;
}

table.osszesito thead td {
	border-bottom:1px solid #fff;
}

table.osszesito tbody td {
	border-bottom:2px solid #640118;
	border-right:2px solid #640118;
}

.elsoSor button.plusz,
.mennyiseg .plusz {
	float:left;
	margin-left:3px;
	background:url(<?php echo foodString::fullUrl(SYSIMGDIR."plusz.png"); ?>);
	width:17px;
	height:17px;
	cursor:pointer;
	border:0;
}

.elsoSor button.minusz,
.mennyiseg .minusz {
	float:left;
	margin-left:3px;
	background:url(<?php echo foodString::fullUrl(SYSIMGDIR."minusz.png"); ?>);
	width:17px;
	height:17px;
	cursor:pointer;
	border:0;
}

.mennyiseg {
	float:left;
	width:100%;
	margin:10px 0; 
}

.huszmagas{
    line-height: 20px;
    color:#000000;
}

.mennyiseg .felirat {
	float:left;
	margin-left:-3px;
}

.mennyiseg .txtinput {
	border: 1px solid #A0A0A0;
    background-color: #FFFFFF;
    text-align: center;
    color: #202020;
    width: 30px;
    float: left;
}

.mennyiseg .pluszInaktiv {
	float:left;
	margin-left:3px;
	background:url(<?php echo foodString::fullUrl(SYSIMGDIR."plusz.png"); ?>);
	width:17px;
	height:17px;
	border:0;
   filter:alpha(opacity=50); 
   -moz-opacity: 0.5; 
   opacity: 0.5; 

}

.mennyiseg .minuszInaktiv {
	float:left;
	margin-left:3px;
	background:url(<?php echo foodString::fullUrl(SYSIMGDIR."minusz.png"); ?>);
	width:17px;
	height:17px;
	border:0;
   filter:alpha(opacity=50); 
   -moz-opacity: 0.5; 
   opacity: 0.5; 

}

.elsoSor input.darab,
.mennyiseg .darab {
	float:left;
	font-size:17px;
	height:12px;
	font-size:11px;
	padding:2px 0;
	text-align:center;
	margin:0 0 0 3px;
	width:20px;
	border: 1px solid #640118;
}


.kosarFejlec {
	/* float:left; */
	width:97%; /*490px;*/
	height:33px;
	border-bottom:1px solid #7b0c26;
	margin:0px 0 0 15px;
     padding-top:10px;
}

.kosarFejlec  h1{
font-family: "Arial Black",Gadget,sans-serif;
    font-size: 30px;
    letter-spacing: -0.03em;
    margin: 0;
    padding: 0;
	color: #9C1F1F;
	font-weight: bold;
    /* background: transparent url(<?php echo foodString::fullUrl(SYSIMGDIR."fejlecbg.png"); ?>) */
}

.kosarFejlec  h1 span.rendeles{
    font-family: Arial, Helvetica, sans-serif;
	font-weight: normal;
	color: #00BB00;
}

.kosarFejlec  h1 span.lemondas{
    font-family: Arial, Helvetica, sans-serif;
	font-weight: normal;
	color: #BB0000;
}

.tooltip-text-content{
font-family: Arial, Helvetica, sans-serif;
}

.formTable{
font-size: 12px !important;
font-family: Arial, Helvetica, sans-serif !important;
}

.td_bold{
font-weight: bold;
text-align: right;
}

.feherhatter{
background-color:#FFFFFF !important;
}

.fel30
    {
    /* padding-top: 10px !important; */
    }
.osszegeFT{
font-size: 12px !important;
font-family: Arial, Helvetica, sans-serif !important;
}

#content .szoveg {
	color:#6a6a6a;
	line-height:15px;
	padding:15px;
    font-size: 12px !important;
    font-family: Arial, Helvetica, sans-serif !important;
	/* float:left;  ! */
	/* width: 95%;  ! */
}



#content .cim {
	font-size:22px;
	color:#9c1f1f;
	line-height:40px;
}

.OtpSubmitGomb {
width: 370px;
height: 50px;
background: url(<?php echo foodString::fullUrl(IMGDIR."OtpSubmitGomb.png"); ?>);
cursor: pointer;
}

.OTPaySubmitGomb {
width: 370px;
height: 50px;
background: url(<?php echo foodString::fullUrl(IMGDIR."OTPaySubmitGomb.png"); ?>);
cursor: pointer;
}

.MkbSubmitGomb {
width: 370px;
height: 50px;
background: url(<?php echo foodString::fullUrl(IMGDIR."MkbSubmitGomb.png"); ?>);
cursor: pointer;
}

.KhSubmitGomb {
width: 370px;
height: 50px;
background: url(<?php echo foodString::fullUrl(IMGDIR."KhSubmitGomb.png"); ?>);
cursor: pointer;
}

.CibSubmitGomb {
width: 370px;
height: 50px;
background: url(<?php echo foodString::fullUrl(IMGDIR."CibSubmitGomb.png"); ?>);
cursor: pointer;
}