<?php if ( have_rows('payment_methods',icl_object_id(5,'post')) ) : ?>
<section id="payment-info" class="hide-for-small-only payment">
	<div class="row">
		<div class="row">
			<div class="large-5 medium-10 columns">
				<h2 class="payment-title"><?php _e('Mivel fizethet?','Interfood'); ?></h2>
			</div>
		</div>
		
		<div class="payment-slider">
			
			<?php
			while ( have_rows('payment_methods',5) ) : the_row();
			$image = get_sub_field('image');
			?>
			<article class="block">
				<div class="row">
					<div class="large-8 columns">
						<?php $sanitized_title = sanitize_title( get_sub_field('name') ); ?>
						<a id="slide-<?php echo $sanitized_title; ?>" href="<?php the_sub_field('payment_url'); ?>" target="_blank" class="payment-container">
							<h3 class="title"><?php the_sub_field('name'); ?></h3>
							
							<figure>
								<img src="<?php echo $image['url']; ?>" alt="<?php echo $image['alt'] ?>" />
							</figure>
							
							<div class="text">
								<?php the_sub_field('description'); ?>
							</div>
						</a>
					</div>
				</div>
				
				<div class="slider-dot"
					data-image="<?php echo $image['url']; ?>"
					data-name="<?php the_sub_field('long_name'); ?>"
					data-text="<?php the_sub_field('explanation'); ?>">
				</div>
			</article>
			<?php endwhile; ?>
			
		</div>
	</div>
	
	<div class="payment-slider-nav">
		<div class="row column"></div>
	</div>
</section>
<?php endif; ?>