<?php get_header(); ?>
<main class="main starwars">
	<div class="row">
		<div class="text-center rogue-text">
			<img src="<?php bloginfo('template_directory'); ?>/img/pictures/rogue-one.jpg" alt="Rogue One" />
		</div>
		
		<h1 class="title">Játsszon velünk és nyerje meg a 25 páros mozijegy egyikét a
		Zsivány Egyes – Egy Star Wars-történet című film premier előtti vetítésére!</h1>
		
		<p class="text-center">
			<img src="<?php bloginfo('template_directory'); ?>/img/pictures/planet.jpg" alt="Star Wars planet" />
		</p>
		
		<form class="row quiz-form">
			<div class="large-5 medium-8 small-centered columns">
				<h3>Akció időtartama: 2016. szeptember 2 – 2016. szeptember 8.</h3>
				<h2>Kérjük töltse ki a kvízt!</h2>
				
				<div class="form-group">
					<select class="custom-select" data-class="black">
						<option value="1">Ki a főszereplője a filmnek?</option>
						<option value="2">Ki a főszereplő?</option>
					</select>
				</div>
				
				<div class="form-group">
					<select class="custom-select" data-class="black">
						<option value="1">Mikor lesz a premier?</option>
						<option value="2">Mikor lesz?</option>
					</select>
				</div>
				
				<div class="form-group">
					<select class="custom-select" data-class="black">
						<option value="1">Szereti-e Csubakka az Interfood lasagne-ját?</option>
						<option value="2">Szereti-e Csubakka?</option>
					</select>
				</div>
				
				<div class="form-group">
					<button type="submit" class="button expanded red text-small">Beküldöm</button>
				</div>
			</div>
		</form>
		
		<div class="row">
			<div class="large-8 large-centered columns">
				<div class="flex-video widescreen">
					<iframe width="560" height="315" src="https://www.youtube.com/embed/Scxs7L0vhZ4" frameborder="0" allowfullscreen></iframe>
				</div>
			</div>
		</div>
		
		<p class="text-center">
			<img src="<?php bloginfo('template_directory'); ?>/img/pictures/rogue-text.jpg" alt="Rogue One készítők" />
		</p>
		
		<div class="row description entry">
			<div class="medium-6 columns">
				<p>A helyes kitöltők közt 25 páros mozijegyet sorsolunk ki az Rogue One című film
				vetítésére. A játékban való részvétellel hozzájárul, hogy az Interfood Plusz Kft.
				reklám célú leveleket küldjön Önnek. A hozzájárulását bármikor visszavonhatja.<br />
				<a href="" target="_blank">Adatkezelési tájékoztató</a></p>
			</div>
			
			<div class="medium-6 columns">
				<p>Játékszabályok:<br />
				A nyereményjátékot az Interfood Plusz Kft szervezi. Egy személy csak egyszer vehet
				rész a játékban. Sorsolás 2016. szeptember 9-én. A premier előtti vetítés időpontja
				és helyszíne: 2016. szeptember 14., 19:00 Lurdy mozi. A nyerteseket e-mailben
				értesítjük. Amennyiben a levél kézhezvételét követő 12 órán belül nem jelentkezik a
				nyertes, úgy új nyertest sorsolunk helyette.</p>
			</div>
		</div>
	</div>
</main>
<?php get_footer(); ?>