<?php get_header(); ?>
<main class="row main">
	<p class="show-for-small-only maintitle">Blog</p>
	
	<div class="show-for-small-only column form-group">
		<a href="" class="button expanded border-red sidebar-toggle-button">Szűrők</a>
	</div>
	
	<aside class="medium-4 medium-push-8 columns sidebar-toggle">
		
		<?php get_sidebar('blog'); ?>
		
		<article class="hide-for-small-only sb-block related-post">
			<h3 class="sb-title">Ez is érdekelheti</h3>
			<?php
			$curr_id = get_the_ID();
			$recommended = new WP_query( array( 'post__not_in' => array($curr_id), 'orderby' => 'rand', 'posts_per_page' => 1 ) );
			if ( $recommended->have_posts() ) :
				while ( $recommended->have_posts()) : $recommended->the_post();
			?>
			<?php if ( has_post_thumbnail() ) : ?>
				<figure>
					<?php the_post_thumbnail('medium'); ?>
				</figure>
				<?php endif; ?>
				<div class="text">
					<h4 class="title"><?php the_title(); ?></h4>
					<?php the_excerpt(); ?>
					<div class="row">
						<div class="large-6 large-centered columns">
							<a href="<?php the_permalink(); ?>" class="button expanded red">Tovább</a>
						</div>
					</div>
				</div>
				<?php
				endwhile;
				wp_reset_postdata();
			endif;
			?>
		</article>
		
	</aside>
	
	<?php while ( have_posts() ) : the_post(); ?>
	<section class="medium-8 medium-pull-4 columns">
		<div class="blog-category">
			<div class="row">
				<div class="medium-8 columns">
					<h1><?php the_title(); ?></h1>
				</div>
				
				<div class="medium-4 columns info">
					<ul class="list-comma text-color">
						<li><a href="">Kategória 1</a></li>
						<li><a href="">Kategória 2</a></li>
					</ul>
					
					
					
					<time datetime="2016-12-15"><?php the_date('Y. m. d.'); ?></time>
				</div>
			</div>
		</div>
		
		<article class="post-block page">
			<?php if ( has_post_thumbnail() ) : ?>
			<figure>
				<?php the_post_thumbnail(); ?>
			</figure>
			<?php endif; ?>
			
			<?php the_content(); ?>
			
			<div class="row">
				<div class="large-8 columns info">
					<ul class="list-comma text-color">
						<?php the_tags('<li>','</li> '); ?>
					</ul>
				</div>
				<div class="large-4 columns">
					<div class="fb-like" data-href="<?php echo get_site_url(); ?>" data-layout="button_count" data-action="like" data-size="small" data-show-faces="false" data-share="true"></div>
				</div>
			</div>
		</article>
	</section>
	<?php endwhile; ?>
</main>

<article class="show-for-small-only sb-block related-post">
	<h3 class="sb-title">Ez is érdekelheti</h3>
	
	<figure>
		<img src="img/pictures/blog.jpg" alt="" />
	</figure>
	
	<div class="text">
		<h4 class="title">Salátát, de milyet?</h4>
		
		<p>Csapatunk egész nap azon dolgozik, hogy Ön legfinomabb ételeket kapja.</p>
		
		<div class="row">
			<div class="large-6 large-centered columns">
				<a href="" class="button expanded red">Tovább</a>
			</div>
		</div>
	</div>
</article>
<?php get_footer(); ?>