<?php
	// Template name: Gyakran Ismételt Kérdések
	get_header();
?>
<main class="row main">
	<section class="large-9 columns entry">
		<h1 class="maintitle"><?php the_title(); ?></h1>
		
		<?php if ( has_post_thumbnail() ) : ?>
		<figure>
			<?php the_post_thumbnail(); ?>
		</figure>
		<?php endif; ?>
		
		<?php if ( have_rows('faq') ) : $i = 0; ?>
		<ul class="accordion" data-accordion data-allow-all-closed="true">
			<?php while ( have_rows('faq') ) : the_row(); ?>
			<li class="accordion-item<?php if( !$i ) { echo ' is-active'; } ?>" data-accordion-item>
				<a href="#" class="accordion-title"><?php the_sub_field('question'); ?></a>
				<div class="accordion-content" data-tab-content>
					<?php the_sub_field('answer'); ?>
				</div>
			</li>
			<?php $i++; endwhile; ?>
		</ul>
		<?php endif; ?>
		
	</section>
	
	<?php get_template_part( 'inc/sb-blocks' ); ?>
	
</main>
<?php get_footer(); ?>