<?php
	// Template name: Kapcsolat
	get_header();
?>
<main class="row main">
	<section class="large-9 columns entry">
		<h1 class="maintitle"><?php the_title(); ?></h1>
		
		<?php if ( has_post_thumbnail() ) : ?>
		<figure>
			<?php the_post_thumbnail(); ?>
		</figure>
		<?php endif; ?>
		
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post();
            the_content();
        endwhile; endif; ?>
		
		<div class="row">
			<div class="medium-6 columns">
				<strong><?php _e('Üzenet küldése','Interfood'); ?></strong>
				<?php
				if (ICL_LANGUAGE_CODE=='en') {
					echo do_shortcode('[contact-form-7 id="345" title="Kapcsolat - angol"]');
				} else {
					echo do_shortcode('[contact-form-7 id="33" title="Kapcsolat"]');
				}
				?>
			</div>
			
			<div class="medium-6 columns text-strong">
				<p><?php the_field('company_name'); ?></p>
				
				<?php if ( have_rows('phone_numbers') ) : ?>
				<p>
					<?php
					while ( have_rows('phone_numbers') ) : the_row();
						echo get_sub_field('title') . ': ' . get_sub_field('phone') . '<br />';
					endwhile;
					?>
				</p>
				<?php endif; ?>
				
				<?php if ( have_rows('company_data') ) : ?>
				<p>
					<?php
					while ( have_rows('company_data') ) : the_row();
						echo get_sub_field('title') . ': ' . get_sub_field('data') . '<br />';
					endwhile;
					?>
				</p>
				<?php endif; ?>
				
			</div>
		</div>
	</section>
	
	<aside class="large-3 columns">
		<?php get_sidebar(); ?>
	</aside>
	
</main>
<?php get_footer(); ?>